---
title: Электронное взаимодействие УТ вызов сервера
slug: erp-uh/электронное-взаимодействие-ут-вызов-сервера
---


## НайтиСсылкуНаОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Находит ссылку на объект ИБ по типу, ИД и дополнительным реквизитам.
//
// Параметры:
//  ТипОбъекта - Строка - идентификатор типа объекта, который необходимо найти;
//  ИДОбъекта - Строка - идентификатор объекта заданного типа;
//  ДополнительныеРеквизиты - Структура - набор дополнительных полей объекта для поиска;
//
Функция НайтиСсылкуНаОбъект(ТипОбъекта, Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеВзаимодействиеУТВызовСервера.НайтиСсылкуНаОбъект(ТипОбъекта, );
```
</details>

## ДанныеДляЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДанныеДляЗаполнения(НоменклатураКонтрагента) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеВзаимодействиеУТВызовСервера.ДанныеДляЗаполнения(НоменклатураКонтрагента) 
```
</details>

## ЕдиницаХраненияНоменклатуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для указанной номенклатуры функция возвращает единицу хранения.
//
// Параметры:
//	Номенклатура - СправочникСсылка.Номенклатура - номенклатура, для которой необходимо получить единицу хранения.
//
// Возвращаемое значение:
//	СправочникСсылка.УпаковкиЕдиницыИзмерения - единица хранения.
//
Функция ЕдиницаХраненияНоменклатуры(Знач Номенклатура) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеВзаимодействиеУТВызовСервера.ЕдиницаХраненияНоменклатуры(Номенклатура) 
```
</details>

## ПолучитьЗначениеФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение ФО.
//
// Параметры:
//  НаименованиеФО - Строка - имя ФО, значение который необходимо получить.
//
// Возвращаемое значение:
//	Булево - значение функциональной опции.
//
Функция ПолучитьЗначениеФО(НаименованиеФО) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеВзаимодействиеУТВызовСервера.ПолучитьЗначениеФО(НаименованиеФО) 
```
</details>

## СформироватьПредставлениеЭтапаГосконтракта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует представление этапа госконтракта для отображения в формах документов.
//
// Параметры:
//  Данные - Структура - данные для формирования представления:
// * НомерСтроки - Число.
// * ДатаНачала - Дата.
// * ДатаОкончания - Дата.
//
// Возвращаемое значение:
//  Строка - Представление этапа
//
Функция СформироватьПредставлениеЭтапаГосконтракта(Данные) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеВзаимодействиеУТВызовСервера.СформироватьПредставлениеЭтапаГосконтракта(Данные) 
```
</details>

## ПроверитьНаличиеПараметровЭДПоИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для проверки наличия параметров ЭДО по ссылке на объект учета.
//
// Параметры:
//  Источник - ЛюбаяСсылка - документ или справочник источника.
//
// Возвращаемое значение:
//  Соответствие - Результат проверки.
//
Функция ПроверитьНаличиеПараметровЭДПоИсточнику(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронноеВзаимодействиеУТВызовСервера.ПроверитьНаличиеПараметровЭДПоИсточнику(Источник) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
