---
title: Электронные сертификаты
slug: erp-uh/электронные-сертификаты
---


## ПараметрыГенерацииJWTRSA
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Параметры генерации токена доступа JWT в формате RS256
//
// Возвращаемое значение:
//   Структура:
//   * ТелоСообщения - Строка - Тело сообщения
//   * ОткрытыйКлюч - Строка - Открытый ключ
//   * ПарольОткрытогоКлюча - Строка - Пароль открытого ключа
//   * ЗакрытыйКлюч - Строка - Закрытый ключ
//   * ПарольЗакрытогоКлюча - Строка - Пароль закрытого ключа
//   * Сертификат - Строка - Сертификат
//
Функция ПараметрыГенерацииJWTRSA() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификаты.ПараметрыГенерацииJWTRSA() 
```
</details>

## ГенерацииТокенаJWTRSA
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерации токена доступа JWT в формате RS256
//
// Параметры:
//   ПараметрыОперации - см. ПараметрыГенерацииJWTRSA()
//
// Возвращаемое значение:
//  Результат - Строка - Токен JWTRSA
//
Функция ГенерацииТокенаJWTRSA(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификаты.ГенерацииТокенаJWTRSA(ПараметрыОперации) 
```
</details>

## ПодключитьКомпонентуЭлектронныеСертификаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет подключение внешней компоненты.
//
// Возвращаемое значение:
//   ОбъектВнешнейКомпоненты
//   Неопределено - если компоненту не удалось загрузить.
//
Функция ПодключитьКомпонентуЭлектронныеСертификаты() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификаты.ПодключитьКомпонентуЭлектронныеСертификаты() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
