---
title: Электронные сертификаты нсп к
slug: erp-uh/электронные-сертификаты-нсп-к
---


## ЕстьОшибкиОтправкиПодтвержденийНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак наличия ошибок отправки подтверждений НСПК.
//
// Возвращаемое значение:
//  Булево - признак наличия ошибок отправки подтверждений НСПК.
//
Функция ЕстьОшибкиОтправкиПодтвержденийНСПК() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ЕстьОшибкиОтправкиПодтвержденийНСПК() 
```
</details>

## ПолучитьПредставлениеОшибкиНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление ошибки операции НСПК.
//
// Параметры:
//  ОснованиеФискальнойОперации - ОпределяемыйТип.ОснованиеФискальнойОперацииБПО.
//
// Возвращаемое значение:
//  Строка - содержит представление ошибки НСПК.
//
Функция ПолучитьПредставлениеОшибкиНСПК(ОснованиеФискальнойОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПолучитьПредставлениеОшибкиНСПК(ОснованиеФискальнойОперации) 
```
</details>

## ВерсияВК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Возвращает версию ВК взаимодействия с НСПК
//
// Возвращаемое значение:
//  Строка - Версия ВК.
//
Функция ВерсияВК() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ВерсияВК() 
```
</details>

## ТестовоеПодключение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Тестовое подключение к НСПК
//
// Параметры:
//   ПараметрыОперации - см.ЭлектронныеСертификатыНСПК.ПараметрыОперацииНСПК
//
// Возвращаемое значение:
//  Структура:
//  *Результат - Булево.
//  *КодРезультата - Число.
//  *ОписаниеОшибки - Строка.
//  *ТоварныеПозиции - Массив.
//  *ИдентификаторКорзины - Число.
//  *СуммаСертификатами - Число.
//
Функция ТестовоеПодключение(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ТестовоеПодключение(ПараметрыОперации) 
```
</details>

## ПредварительноеОдобрениеИспользования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Предварительное одобрение использования сертификатов
//
// Параметры:
//   ПараметрыОперации - см.ЭлектронныеСертификатыНСПК.ПараметрыОперацииНСПК
//
// Возвращаемое значение:
//  Структура:
//  *Результат - Булево.
//  *КодРезультата - Число.
//  *ОписаниеОшибки - Строка.
//  *ТоварныеПозиции - Массив.
//  *ИдентификаторКорзины - Число.
//  *СуммаСертификатами - Число.
//
Функция ПредварительноеОдобрениеИспользования(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПредварительноеОдобрениеИспользования(ПараметрыОперации) 
```
</details>

## ПредварительноеОдобрениеВозврата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Предварительное одобрение возврата сертификатов
//
// Параметры:
//   ПараметрыОперации - см.ЭлектронныеСертификатыНСПК.ПараметрыОперацииНСПК
//
// Возвращаемое значение:
//  Структура:
//  *Результат - Булево.
//  *КодРезультата - Число.
//  *ОписаниеОшибки - Строка.
//  *ТоварныеПозиции - Массив.
//  *ИдентификаторКорзины - Число.
//  *СуммаСертификатами - Число.
//
Функция ПредварительноеОдобрениеВозврата(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПредварительноеОдобрениеВозврата(ПараметрыОперации) 
```
</details>

## ПолучениеИдентификатораКорзины
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Получение идентификатора корзины
//
// Параметры:
//   ПараметрыОперации - см.ЭлектронныеСертификатыНСПК.ПараметрыОперацииНСПК
//
// Возвращаемое значение:
//  Структура:
//  *Результат - Булево.
//  *КодРезультата - Число.
//  *ОписаниеОшибки - Строка.
//  *ИдентификаторКорзины - Число.
//
Функция ПолучениеИдентификатораКорзины(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПолучениеИдентификатораКорзины(ПараметрыОперации) 
```
</details>

## ПередачаДанныхФискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Передача данных фискального чека
//
// Параметры:
//   ПараметрыОперации - см.ЭлектронныеСертификатыНСПК.ПараметрыОперацииНСПК
//
// Возвращаемое значение:
//  Структура:
//  *Результат - Булево.
//  *КодРезультата - Число.
//  *ОписаниеОшибки - Строка.
//  *ТоварныеПозиции - Массив.
//  *ИдентификаторКорзины - Число.
//  *СуммаСертификатами - Число.
//
Функция ПередачаДанныхФискальногоЧека(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПередачаДанныхФискальногоЧека(ПараметрыОперации) 
```
</details>

## ПолучениеСоставаКорзины
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Получение состава корзины
//
// Параметры:
//   ПараметрыОперации - см.ЭлектронныеСертификатыНСПК.ПараметрыОперацииНСПК
//
// Возвращаемое значение:
//  Структура:
//  *Результат - Булево.
//  *КодРезультата - Число.
//  *ОписаниеОшибки - Строка.
//  *ТоварныеПозиции - Массив.
//  *ИдентификаторКорзины - Число.
//  *СуммаСертификатами - Число.
//
Функция ПолучениеСоставаКорзины(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПолучениеСоставаКорзины(ПараметрыОперации) 
```
</details>

## ПолучениеСпискаСертификатов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Получение списка сертификатов
//
// Параметры:
//   ПараметрыОперации - см.ЭлектронныеСертификатыНСПК.ПараметрыОперацииНСПК
//
// Возвращаемое значение:
//  Структура:
//  *Результат - Булево.
//  *КодРезультата - Число.
//  *ОписаниеОшибки - Строка.
//
Функция ПолучениеСпискаСертификатов(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПолучениеСпискаСертификатов(ПараметрыОперации) 
```
</details>

## ПолучениеСпискаИдентификаторовКорзинПокупокТСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Получение списка идентификаторов корзин покупок ТСП
//
// Параметры:
//   ПараметрыОперации - см.ЭлектронныеСертификатыНСПК.ПараметрыОперацииНСПК
//
// Возвращаемое значение:
//  Структура:
//  *Результат - Булево.
//  *КодРезультата - Число.
//  *ОписаниеОшибки - Строка.
//
Функция ПолучениеСпискаИдентификаторовКорзинПокупокТСП(ПараметрыОперации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПолучениеСпискаИдентификаторовКорзинПокупокТСП(ПараметрыОперации) 
```
</details>

## ПодключитьКомпонентуИнтеграцииНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Выполняет подключение внешней компоненты.
//
// Возвращаемое значение:
//   ОбъектВнешнейКомпоненты
//   Неопределено - если компоненту не удалось загрузить.
//
Функция ПодключитьКомпонентуИнтеграцииНСПК() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПодключитьКомпонентуИнтеграцииНСПК() 
```
</details>

## ПараметрыОперацииНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Пустая структура для выполнения операции взаимодействия с сервером НСПК
//
// Возвращаемое значение:
//   Структура:
//   * АдресСервера - Строка - Endpoint
//   * КлючДоступа - Строка - APIKey
//   * КлючКассы - Строка - MACKey
//
Функция ПараметрыОперацииНСПК() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПараметрыОперацииНСПК() 
```
</details>

## ПараметрыТоварнойПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Пустая структура для параметров товарной позиции
//
// Возвращаемое значение:
//   Структура:
//   * НомерПозиции - Строка - Порядковый номер позиции в корзине начиная с 1
//   * Артикул - Строка - Артикул товара
//   * КодТовараТРУ - Строка - Полный код товара, согласованный с перечнем ТРУ
//   * Количество - Число - Количество единиц товара
//   * Цена - Число - Цена за единицу товара в рублях
//   * Сертификаты - Массив из см.ЭлектронныеСертификатыНСПК.ПараметрыСертификата
//
Функция ПараметрыТоварнойПозиции() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПараметрыТоварнойПозиции() 
```
</details>

## ПараметрыСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела: используйте клиентскую версию компоненты.
// Пустая структура параметров сертификата
//
// Возвращаемое значение:
//   Структура:
//   * Идентификатор - Строка - Идентификатор сертификата
//   * Количество - Число - Количество
//   * Цена - Число - Цена
//   * МаксимальнаяЦена - Число - Максимальная цена
//
Функция ПараметрыСертификата() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПК.ПараметрыСертификата() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
