---
title: Электронные сертификаты нспк клиент сервер
slug: erp-uh/электронные-сертификаты-нспк-клиент-сервер
---


## ОписаниеКомпоненты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Описание подключения внешней компоненты (FECNSPK).
//
// Возвращаемое значение:
//  Структура:
//   * ПолноеИмяМакета - Строка
//   * ИмяОбъекта      - Строка
//
Функция ОписаниеКомпоненты() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПККлиентСервер.ОписаниеКомпоненты() 
```
</details>

## ПараметрыОперацииНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для выполнения операции взаимодействия с сервером НСПК
//
// Возвращаемое значение:
//   Структура:
//   * АдресСервера - Строка - Endpoint
//   * КлючДоступа - Строка - APIKey
//   * КлючКассы - Строка - MACKey
//   * ПроверятьКорневыеСертификаты - Булево - Проверка корневого сертификата сервера НСПК
//   * ПротоколОбмена - Перечисление.ПротоколОбменаФЭСНСПК - Протокол обмена ФЭС НСПК
//   * ИдентификаторЗапроса - Строка - Уникальный идентификатор запроса (нужно генерировать на прикладном коде в формате uuid).
//   * ИдентификаторКассы - Строка - Идентификатор кассы.
//   * ХешНомерКарты - Строка - Хешированный PAN карты.
//   * СсылкаНаПлатежныйСчет - Строка - Payment Account Reference, Уникальный идентификатор для токенезированных (виртуальных) карт  связанный с PAN конкретного держателя карты.
//   * ИдентификаторКорзины - Строка - Идентификатор корзины.
//   * ТоварныеПозиции - Массив - Структур - ПараметрыТоварнойПозиции()
//   * КодТовараТРУ - Строка - Полный код товара, согласованный с перечнем ТРУ
//   * НомерФискальногоНакопителя - Строка - Заводской номер фискального накопителя
//   * ФискальныйТипРасчета - Перечисление.ТипыРасчетаДенежнымиСредствами - Признак расчета
//   * ФискальныйПризнакЧека - Строка - Фискальный признак документа
//   * ФискальныйЧекНомер - Число - Порядковый номер фискального документа
//   * ФискальныйЧекДатаВремя - ДатаВремя - Дата и время осуществления расчета
//   * ФискальныйЧекСумма - Число - Сумма расчета
//   * ФискальныйМестоРасчетов - Строка - Место расчетов
//   * QRКодЧекаККТ - Строка - QR код чека ККТ
//   * ОснованиеФискальнойОперации - Ссылка - ОснованиеФискальнойОперацииБПО
//
Функция ПараметрыОперацииНСПК() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПККлиентСервер.ПараметрыОперацииНСПК() 
```
</details>

## ПараметрыТоварнойПозиции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для параметров товарной позиции
//
// Возвращаемое значение:
//   Структура:
//   * НомерПозиции - Строка - Порядковый номер позиции в корзине начиная с 1
//   * Артикул - Строка - Артикул товара
//   * КодТовараТРУ - Строка - Полный код товара, согласованный с перечнем ТРУ
//   * Количество - Число - Количество единиц товара
//   * Цена - Число - Цена за единицу товара в рублях
//   * Сертификаты - Массив из см.ЭлектронныеСертификатыНСПК.ПараметрыСертификата
//
Функция ПараметрыТоварнойПозиции() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПККлиентСервер.ПараметрыТоварнойПозиции() 
```
</details>

## ПараметрыДоступногоКодТовараТРУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для параметров товарной позиции
//
// Возвращаемое значение:
//   Структура:
//   * КодТовараТРУ - Строка - Полный код товара, согласованный с перечнем ТРУ
//   * БалансКоличество - Число - Доступное количество
//   * БалансДенежныхСредств - Число - Баланс денежных средств
//   * ЛимитДенежныхСредств - Число - Лимит денежных средств
//
Функция ПараметрыДоступногоКодТовараТРУ() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПККлиентСервер.ПараметрыДоступногоКодТовараТРУ() 
```
</details>

## ПараметрыДоступногоСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура для параметров доступного сертификата
//
// Возвращаемое значение:
//   Структура:
//   * БалансКоличество - Число - Доступное количество
//   * БалансДенежныхСредств - Число - Баланс денежных средств
//   * Идентификатор - Строка - Идентификатор сертификата
//   * Комментарий - Строка - Комментарий
//   * ДатаНачалаДействия - ДатаВремя - Дата начала действия
//   * ДатаЗавершенияДействия - ДатаВремя - Дата завершения действия
//   * ЛимитДенежныхСредств - Число - Лимит денежных средств
//   * Тип - Строка - Тип сертификата
//   * КодыТоваровТРУ - Массив - Доступные для сертификата коды товаров ТРУ
//
Функция ПараметрыДоступногоСертификата() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПККлиентСервер.ПараметрыДоступногоСертификата() 
```
</details>

## ПараметрыСертификата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура параметров сертификата
//
// Возвращаемое значение:
//   Структура:
//   * Идентификатор - Строка - Идентификатор сертификата
//   * Количество - Число - Количество
//   * Цена - Число - Цена
//   * МаксимальнаяЦена - Число - Максимальная цена
//
Функция ПараметрыСертификата() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПККлиентСервер.ПараметрыСертификата() 
```
</details>

## ПараметрыИдентификаторовКорзинПокупокТСП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пустая структура параметров идентификаторов корзин покупок ТСП
//
// Возвращаемое значение:
//   Структура:
//   * ИдентификаторКорзины - Строка - Идентификатор сертификата
//   * ДатаАвторизации - ДатаВремя - Дата авторизации
//
Функция ПараметрыИдентификаторовКорзинПокупокТСП() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПККлиентСервер.ПараметрыИдентификаторовКорзинПокупокТСП() 
```
</details>

## ПараметрыВыполненияОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Результат выполнения операции взаимодействия с сервером НСПК
//
// Параметры:
//   Результат - Булево.
//   ОписаниеОшибки - Строка.
//
// Возвращаемое значение:
//   Структура:
//   * Результат - Булево.
//   * КодРезультата - Число.
//   * ОписаниеОшибки - Строка.
//   * ТоварныеПозиции - Массив.
//   * ИдентификаторКорзины - Число.
//   * СуммаСертификатами - Число.
//
Функция ПараметрыВыполненияОперации(Результат = Ложь, ОписаниеОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПККлиентСервер.ПараметрыВыполненияОперации(Результат, ОписаниеОшибки);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
