---
title: Электронные сертификаты нспку т
slug: erp-uh/электронные-сертификаты-нспку-т
---


## ПараметрыОперацииНСПКПоКассеККМ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры операции НСПК по кассе.
//
// Параметры:
//  КассаККМ - СправочникСсылка.КассыККМ - Касса ККМ, для которой необходимо получить параметры операции
//  ИдентификаторКорзины - Строка - идентификатор корзины для операции возврата
//  ИдентификаторЗапроса - Строка - идентификатор запроса операции
//
// Возвращаемое значение:
//  См. ЭлектронныеСертификатыНСПККлиентСервер.ПараметрыОперацииНСПК
Функция ПараметрыОперацииНСПКПоКассеККМ(КассаККМ, ИдентификаторКорзины = "", ИдентификаторЗапроса = "0") Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПКУТ.ПараметрыОперацииНСПКПоКассеККМ(КассаККМ, ИдентификаторКорзины, ИдентификаторЗапроса);
```
</details>

## ОбщиеПараметрыПодключенияНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает общие параметры подключения к сервису НСПК.
//
// Возвращаемое значение:
//  см. РозничныеПродажиКлиентСерверЛокализация.ПараметрыПодключенияНСПК
//
Функция ОбщиеПараметрыПодключенияНСПК() Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПКУТ.ОбщиеПараметрыПодключенияНСПК() 
```
</details>

## ПараметрыПодключенияКассыНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры подключения кассы к сервису НСПК.
//
// Параметры:
//  КассаККМ - СправочникСсылка.КассыККМ - Касса ККМ, для которой необходимо получить параметры подключения.
//
// Возвращаемое значение:
//  Структура - содержит значения по оборудованию в НСПК:
//  * ИдентификаторНСПК - Строка - Идентификатор НСПК
//  * КлючКассыНСПК - Строка - Ключ кассы в НСПК
//  * ПротоколОбменаНСПК - ПеречислениеСсылка.ПротоколОбменаФЭСНСПК
//
Функция ПараметрыПодключенияКассыНСПК(КассаККМ) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПКУТ.ПараметрыПодключенияКассыНСПК(КассаККМ) 
```
</details>

## ПараметрыПодключенияОрганизацииНСПК
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры подключения организации к сервису НСПК.
//
// Параметры:
//  Организация - СправочникСсылка.Организации - Организация, для которой необходимо получить параметры подключения.
//
// Возвращаемое значение:
//  Структура - содержит значения ключа организации в НСПК:
//  * КлючОрганизацииНСПК - Строка - Ключ организации в НСПК
//
Функция ПараметрыПодключенияОрганизацииНСПК(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПКУТ.ПараметрыПодключенияОрганизацииНСПК(Организация) 
```
</details>

## ДокументФискализирован
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат проверки фискализации документа
//
// Параметры:
//  ЧекККМ - ДокументСсылка.ЧекККМ - Чек ККМ, который необходимо отправить для подтверждения операции с ЭС НСПК;
//
// Возвращаемое значение:
//  Структура - содержит:
//  *Результат - Булево -
//  *ОписаниеОшибки - Строка -
//
Функция ДокументФискализирован(ЧекККМ) Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПКУТ.ДокументФискализирован(ЧекККМ) 
```
</details>

## ПараметрыПередачиДанныхФискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает параметры передачи данных фискального чека
//
// Параметры:
//  ЧекККМ - ДокументСсылка.ЧекККМ - Чек ККМ, который необходимо отправить для подтверждения операции с ЭС НСПК;
//  СуммаСертификатамиНСПК - Число - Сумма оплаты сертификатами НСПК
//  ИдентификаторКорзины - Строка - идентификатор корзины операции ЭС НСПК;
//  ИдентификаторЗапроса - Строка - идентификатор запроса операции ЭС НСПК.
//
// Возвращаемое значение:
//  Структура - См. ЭлектронныеСертификатыНСПК.ПараметрыОперацииНСПК
Функция ПараметрыПередачиДанныхФискальногоЧека(ЧекККМ, СуммаСертификатамиНСПК = 0, ИдентификаторКорзины = "", ИдентификаторЗапроса = "0") Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПКУТ.ПараметрыПередачиДанныхФискальногоЧека(ЧекККМ, СуммаСертификатамиНСПК, ИдентификаторКорзины, ИдентификаторЗапроса);
```
</details>

## ПередачаДанныхФискальногоЧека
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат передачи подтверждения операции ЭС НСПК.
//
// Параметры:
//  ЧекККМ - ДокументСсылка.ЧекККМ - Чек ККМ, который необходимо отправить для подтверждения операции с ЭС НСПК;
//  СуммаСертификатамиНСПК - Число - Сумма оплаты сертификатами НСПК
//  ИдентификаторКорзины - Строка - идентификатор корзины операции ЭС НСПК;
//  ИдентификаторЗапроса - Строка - идентификатор запроса операции ЭС НСПК.
//
// Возвращаемое значение:
//  Структура - содержит:
//  *Результат - Булево -
//  *КодРезультата - Число -
//  *ОписаниеОшибки - Строка -
//
Функция ПередачаДанныхФискальногоЧека(ЧекККМ, СуммаСертификатамиНСПК = 0, ИдентификаторКорзины = "", ИдентификаторЗапроса = "0") Экспорт
```

Пример вызова
```bsl
Результат = ЭлектронныеСертификатыНСПКУТ.ПередачаДанныхФискальногоЧека(ЧекККМ, СуммаСертификатамиНСПК, ИдентификаторКорзины, ИдентификаторЗапроса);
```
</details>

## ДобавитьЗаписьПоНеотправленномуВНСПКФискальномуЧеку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет информацию об ошибке при отправке фискального чека в НСПК
//
// Параметры:
//  ДокументОснование - ДокументСсылка.ЧекККМ, ДокументСсылка.ЧекККМВозврат - Чек ККМ, который отправляется в НСПК;
//  СообщениеПользователю - Строка - Текст ошибки
Процедура ДобавитьЗаписьПоНеотправленномуВНСПКФискальномуЧеку(ДокументОснование, СообщениеПользователю) Экспорт
```

Пример вызова
```bsl
ЭлектронныеСертификатыНСПКУТ.ДобавитьЗаписьПоНеотправленномуВНСПКФискальномуЧеку(ДокументОснование, СообщениеПользователю) 
```
</details>

## УдалитьЗаписьПоОтправленномуВНСПКФискальномуЧеку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет информацию об ошибке при отправке фискального чека в НСПК
//
// Параметры:
//  ДокументОснование - ДокументСсылка.ЧекККМ, ДокументСсылка.ЧекККМВозврат - Чек ККМ, который отправляется в НСПК;
Процедура УдалитьЗаписьПоОтправленномуВНСПКФискальномуЧеку(ДокументОснование) Экспорт
```

Пример вызова
```bsl
ЭлектронныеСертификатыНСПКУТ.УдалитьЗаписьПоОтправленномуВНСПКФискальномуЧеку(ДокументОснование) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
