---
title: Элиминация ВГО УХ
slug: erp-uh/элиминация-вго-ух
---


## ПолучитьПустыеПараметрыЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить пустую структуру параметров элиминации.
//
// Возвращаемое значение:
//   - Структура:
//		- ДокументЭлиминации - ДокументСсылка.Элиминация -
//			документ для которого нужно заполнить регистр.
//		- Сценарий - СправочникСсылка.Сценарии - сценарий по котому отбираются
//			данные для элиминации.
//		- ПериодОтчета - СправочникСсылка.Периоды - период по котому отбираются
//			данные для элиминации.
//		- ОрганизацияДляЭлиминации - СправочникСсылка.Организации - организация
//			в данные которой будут записаны проводки/значения показателей.
//		- ПериметрДляЭлиминации - ДокументСсылка.УправлениеПериодомСценария.
//
Функция ПолучитьПустыеПараметрыЭлиминации() Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьПустыеПараметрыЭлиминации() 
```
</details>

## ЗаполнитьРегистрПроводкиДляЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить регистр сведений ПроводкиДляЭлиминации.
//
// Параметры:
//  ПараметрыЭлиминации - Структура - параметры заполнения.
//		См. функцию ПолучитьПустыеПараметрыЭлиминации().
//
Процедура ЗаполнитьРегистрПроводкиДляЭлиминации(ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаполнитьРегистрПроводкиДляЭлиминации(ПараметрыЭлиминации) 
```
</details>

## ПолучитьОписаниеСпособаЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру с описанием аналитик, показателей для переданного способа элиминации
// В структуре следующие реквизиты:
//	Аналитики - массив структур с описанием аналитик, необходимых для элиминации. Реквизиты:
//		Имя - имя по умолчанию для реквизита,
//		ТипДляЭлиминации - Перечисление.ТипыАналитикЭлиминации,
//		ВидАналитики	- ПланВидовХарактеристикСсылка.ВидыСубконтоКорпоративные
//		ИспользоватьДляСверки - Булево
//		 - Булево
//	Показатели - массив структур с описанием показателей. Реквизиты:
//		Имя - имя по умолчанию для реквизита,
//		ТипДляЭлиминации - Перечисление.ТипПоказателяЭлиминации
//		ТипЗначения - Перечисление.ТипыЗначенийПоказателейОтчетов
//
Функция ПолучитьОписаниеСпособаЭлиминации(СпособЭлиминации, ШаблонСверкиВГО) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьОписаниеСпособаЭлиминации(СпособЭлиминации, ШаблонСверкиВГО) 
```
</details>

## ТранслироватьСчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает счет после трансляции
// Параметры:
//	ШаблонТрансляции - СправочникСсылка.ШаблоныТрансляций, трансляция по правилам которой будет найден счет.
//	СчетИсточник - СправочникСсылка.СЧетаБД, исходный счет, соответсвие которому будет найдено.
//	НаправлениеТрансляции - ПеречислениеСсылка.НаправленияТрансляцииДанных, направление трансляции
//	ЭтоДт - Булево, каое правило трансляции отбирать. Истина - дебетовые, Ложь - кредитовые.
//	ЭтоОборот - Булево, указывает какое правило трансляции отбирать. Истина - трансляция оборотов, Ложь - трансляция сальдо.
//	ПриемникИсточникаДанных - необязательный, любая переменная, которая будет заполнена ссылкой на источник данных с настройками
//		 трансляции субконто. Если не найден,то Неопределено.
// Возвращает:
//	СправочникСсылка.СчетаБД - счет применик, соответсвующий счету источнику в трансляции Трансляция.
//
Функция ТранслироватьСчет(Трансляция, СчетИсточник, НаправлениеТрансляции, ЭтоДт, ЭтоОборот, ПриемникИсточникаДанных=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ТранслироватьСчет(Трансляция, СчетИсточник, НаправлениеТрансляции, ЭтоДт, ЭтоОборот, ПриемникИсточникаДанных);
```
</details>

## ПолучитьСубконтоСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает описание субконто счета по его номеру.
// Параметры:
//  СчетБД - СправочникСсылка.СчетаБД - счет для которого нужно получить субконто.
//  Номер - Число(1..3) - номер субконто 1..3.
//
// Возвращаемое значение:
//  ПланВидовХарактеристикСсылка - описание субконто счета с номером Номер.
//	Неопределено - такого субконто у счета нет.
Функция ПолучитьСубконтоСчета(СчетБД, Номер) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьСубконтоСчета(СчетБД, Номер) 
```
</details>

## ПолучитьЗначенияСубконтоТехСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для указанных правил заполнения счета и контексту объекта
//  получить перечень значений субконто.
//
// Параметры:
//  ПравилаЗаполненияСчета - Структура - описание технического счета и правил заполнения его субконто.
//		Можно получить функцией Справочники.ШаблоныСверкиВГО.ПолучитьОписаниеТехническогоСчетаУрегулирования().
//  	Поля структуры:
//			- СпособЗаполненияСубконто1..3 - Перечисления.СпособыЗаполненияЗначенийСубконтоСчета -
//				задают правило заполнения;
//			- ЗначениеЗаполненияСубконто1..3 - любая ссылка, фиксированное значение заполнения.
//  ЗначенияЗаполнения - Любая ссылка на объект, который содержит реквизиты:
//		Организация, Контрагент, Отправитель, Получатель, РазделВГО, ВалютаВзаиморасчетов.
//		Из этих реквизитов будут браться значения для заполнения субконто.
// 		Можно получить и заполнить структуру функцией ПолучитьИсходныеДанныеЗаполненияСубконтоТехСчета().
//		Можно напрямую передать заполненный документ УрегулированиеРасхожденияВГО.
//
// Возвращаемое значение:
//   - Массив, индекс+1 - это номер субконто. Значение - это значение заполнения субконто.
//		Количество элементов соотвествует количеству субконто счета.
//
Функция ПолучитьЗначенияСубконтоТехСчета(ПравилаЗаполненияСчета, ЗначенияЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьЗначенияСубконтоТехСчета(ПравилаЗаполненияСчета, ЗначенияЗаполнения) 
```
</details>

## ЗаполнитьЗначенияСубконтоТехническогоСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет значения субконто в проводке для указанной стороны.
// Параметры:
//  Проводка - Любой объект содержащий реквизиты субконто.
//		Имя каждого реквизита субконто имеет формат [ИмяРеквизитаСубконто][Дт/Кт][НомерСубконто].
//  ДтКт - Имя стороны на которой находится счет. "Дт" или "Кт".
//  ЗначенияСубконтоТехСчет - массив. Количество элементов определеяет количество заполняемых субконто.
//	ИмяРеквизитаСубконто - Префикс имени реквизита со значением субконто.
//
Процедура ЗаполнитьЗначенияСубконтоТехническогоСчета(Проводка, ДтКт, ЗначенияСубконтоТехСчет, ИмяРеквизитаСубконто="Субконто") Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаполнитьЗначенияСубконтоТехническогоСчета(Проводка, ДтКт, ЗначенияСубконтоТехСчет, ИмяРеквизитаСубконто);
```
</details>

## ПолучитьФВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьФВ(Организация, ТЗОрганизаций, ФВПоУмолчанию = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьФВ(Организация, ТЗОрганизаций, ФВПоУмолчанию);
```
</details>

## ПолучитьИсходныеЗначенияЗаполненияСубконтоТехСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить структуру для передачи данных в функцию заполнения занчений субконто.
// Параметры:
//	Ссылка - любой объект с реквизитами: Организация, Контрагент, Отправитель, Получатель,
//		РазделВГО/РазделСверки, ВалютаВзаиморасчетов/ВалютаДокумента/Валюта
// Возвращаемое значение:
//   Структура с полями: Организация, Контрагент, Отправитель, Получатель, РазделВГО, ВалютаВзаиморасчетов.
//
Функция ПолучитьИсходныеЗначенияЗаполненияСубконтоТехСчета(Ссылка=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьИсходныеЗначенияЗаполненияСубконтоТехСчета(Ссылка);
```
</details>

## ПроверитьСкорректироватьТипЗначенияПоВидуСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяем, что тип заполнения подходит к типу данных субконто.
// Если не подходит, то пытаемся скорректировать:
//	СправочникСсылка.Организации -> СправочникСсылка.Контрагенты
//
Процедура ПроверитьСкорректироватьТипЗначенияПоВидуСубконто(ЗначениеЗаполнения, Знач ВидСубконто) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ПроверитьСкорректироватьТипЗначенияПоВидуСубконто(ЗначениеЗаполнения, ВидСубконто));
```
</details>

## ИнициализироватьКонтекстЗаполненияСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создать соответствие для заполнения значений субконто в правиле заполнения.
// Заполнить контекст заполнения субконто по данным объекта с реквизитами:
//	Организация, Контрагент, Отправитель, Получатель, РазделВГО, ВалютаВзаиморасчетов.
Функция ИнициализироватьКонтекстЗаполненияСубконто(ЗначенияЗаполнения) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ИнициализироватьКонтекстЗаполненияСубконто(ЗначенияЗаполнения));
```
</details>

## ПодобратьВариантИмениРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет есть ли реквизиты с указанными именами у объекта, и возвращает первый существующий.
//
// Параметры:
//  Объект - любой объект - для него проверяем существование реквизитов.
//  ИменаРеквизитов	 - Строка - перечень имен реквизитов разделенные запятыми.
//
// Возвращаемое значение:
//   - Строка - если найдено имя существующее у объекта, то возвращает это имя.
//		Иначе возвращает пустую строку.
//
Функция ПодобратьВариантИмениРеквизита(Объект, ИменаРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПодобратьВариантИмениРеквизита(Объект, ИменаРеквизитов));
```
</details>

## ПолучитьТекстЗапросаПолученияДанныхДляЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстЗапросаПолученияДанныхДляЭлиминации(НомераТаблиц) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьТекстЗапросаПолученияДанныхДляЭлиминации(НомераТаблиц));
```
</details>

## ПолучитьДанныеДляЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить данные для элиминации
//
// Параметры:
//  ДатаСреза - Дата - дата на которую будут получены данные.
//  ПараметрыЭлиминации - Структура - условия получения данных.
//		Состав см. функцию ПолучитьПустыеПараметрыЭлиминации().
//
// Возвращаемое значение:
//   - Структура:
//		ТЗ_КурсыВалют  - таблица курсов валют для пересчета в валюту группы.
//			Дополнительно учитывается вид курса (средний, на начало, на конец).
//			Колонки:
//				- Курс - Число - курс валюты по отношению к валюте группы.
//              - Валюта - СправочникСсылка.Валюты.
//				- ВидЗначения - ПеречислениеСсылка.ВидыЗначенийВГО - вид курса.
//		ВыборкаНастройкиСверки - выборка запроса для иерархического обхода
//			источников данных. Первый уровень - это разделы сверки ВГО.
//			Второй - это источники данных данного раздела.
//			Поля запроса:
//				- РазделВГО - СправочникСсылка.РазделыСверкиВГО.
//				- ИсточникДанных - СправочникСсылка.ИсточникиДанных.
//				- СпособОпределенияНаправленияУчета - ПеречислениеСсылка.СпособОпределенияНаправленияУчета.
//				- НомерСтрокиРесурса - Число- номер источника данных в настройке.
//		ТЗОрганизацийПоВидамЗначений - таблица организаций периметра элиминации.
//			Колонки:
//				- ГлавнаяОрганизация - СправочникСсылка.Организации;
//				- Организация - СправочникСсылка.Организации;
//				- ВалютаФункц - СправочникСсылка.Валюты;
//				- Курс - Число - курс валюты по отношению к валюте группы
//				- ВидЗначения - ПеречислениеСсылка.ВидыЗначенийВГО - вид курса.
//		ОписаниеГлавнойОрганизации - таблица с описывающую консолидирующую
//			компанию группы. Колонки:
//				- ГлавнаяОрганизация - СправочникСсылка.Организации;
//				- ВалютаГр - СправочникСсылка.Валюты;
//				- КурсГр - Число - курс валюты группы;
//				- ВидЗначения - ПеречислениеСсылка.ВидыЗначенийВГО - вид курса.
//
Функция ПолучитьДанныеДляЭлиминации(ДатаСреза, ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьДанныеДляЭлиминации(ДатаСреза, ПараметрыЭлиминации));
```
</details>

## ЭтоКорректныеДанныеДляЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Побочный эффект: в случае ошибки(ок) записывает сообщение
// в протокол элиминации.
//
Функция ЭтоКорректныеДанныеДляЭлиминации(ПараметрыЭлиминации, ДанныеДляЭлиминации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ЭтоКорректныеДанныеДляЭлиминации(ПараметрыЭлиминации, ДанныеДляЭлиминации));
```
</details>

## ВключенаОтладка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВключенаОтладка(ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ВключенаОтладка(ПараметрыЭлиминации));
```
</details>

## ПолучитьРегистрДляЗаписиПроводокДляЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция  ПолучитьРегистрДляЗаписиПроводокДляЭлиминации(ДокументЭлиминации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьРегистрДляЗаписиПроводокДляЭлиминации(ДокументЭлиминации));
```
</details>

## ПолучитьКурсВалютыИзТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция - Получить курс валюты из таблицы
//
// Параметры:
//  ТаблицаКурсовВалют - ТаблицаЗначений - требуемые колонки: Валюта, Курс, ВидЗначения.
//		Можно получить функцией ПолучитьДанныеДляЭлиминации().ТЗ_КурсыВалют
//  Валюта - СправочникСсылка.Валюты.
//  ВидЗначенияКурса - ПеречислениеСсылка.ВидыЗначенийВГО - вид курса.
//
// Возвращаемое значение:
//   - Число. Никогда не возвращает 0.
//		Если курс равен нулю или не найден, то вернет 1.
//
Функция ПолучитьКурсВалютыИзТаблицы(ТаблицаКурсовВалют, Валюта, ВидЗначенияКурса) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьКурсВалютыИзТаблицы(ТаблицаКурсовВалют, Валюта, ВидЗначенияКурса));
```
</details>

## ПолучитьКурсВалютыИзТаблицыСУчетомКэша
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет кэш если такой валюты в нем нет.
// Подразумеваем, что для всех вызовов функции с фиксированным кэшем
// ВидЗначенияКурса остается неизменным. Т.е. кэш не учитывает
// вид значения курса.
//
Функция ПолучитьКурсВалютыИзТаблицыСУчетомКэша(ТаблицаКурсовВалют, Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьКурсВалютыИзТаблицыСУчетомКэша(ТаблицаКурсовВалют, );
```
</details>

## ПолучитьБазовыеПараметрыДляЗапросаЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьБазовыеПараметрыДляЗапросаЭлиминации(ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьБазовыеПараметрыДляЗапросаЭлиминации(ПараметрыЭлиминации));
```
</details>

## ПолучитьПустыеДанныеДляЗаполненияПроводкиЭлиминацииЗначенияПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПустыеДанныеДляЗаполненияПроводкиЭлиминацииЗначенияПоказателя() Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьПустыеДанныеДляЗаполненияПроводкиЭлиминацииЗначенияПоказателя());
```
</details>

## ЗаполнитьДанныеСтрокиПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДанныеСтрокиПоказателя(СтрокаЗначения, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаполнитьДанныеСтрокиПоказателя(СтрокаЗначения, ДанныеЗаполнения));
```
</details>

## ЗаполнитьРегистрПроводкиДляЭлиминацииПоказателейОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРегистрПроводкиДляЭлиминацииПоказателейОтчетов( Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаполнитьРегистрПроводкиДляЭлиминацииПоказателейОтчетов();
```
</details>

## ЗаполнитьДанныеДляЭлиминацииПоИсточникуДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьДанныеДляЭлиминацииПоИсточникуДанных( Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ЗаполнитьДанныеДляЭлиминацииПоИсточникуДанных();
```
</details>

## ЗаполнитьЗначениеЭлиминацииВВалютеГруппы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьЗначениеЭлиминацииВВалютеГруппы(ДанныеЗаполнения, Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаполнитьЗначениеЭлиминацииВВалютеГруппы(ДанныеЗаполнения, );
```
</details>

## ВернутьЗапросПроводокДляЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует запроса для проводок элиминации. Текст запроса формируется для одного шаблона сверки подходящего под Сценарий и ПериодОтчета.
// Входные параметны:
//	Параметры - структура с обязательными полями "Организация, Сценарий, ПериодОтчета, РазделВГО".
// Возвращает:
//	Запрос - если получилось создать.
//	Неопределено - если нет настроек для формирования проводок (Шаблон сверки не подходит под сценарий и период, либо шаблон сверки пуст).
//
Функция ВернутьЗапросПроводокДляЭлиминации(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ВернутьЗапросПроводокДляЭлиминации(Параметры));
```
</details>

## ВернутьЗапросПроводокДляЭлиминацииНРП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует запроса для проводок элиминации. Текст запроса формируется для одного шаблона сверки подходящего под Сценарий и ПериодОтчета.
// Входные параметны:
//	Параметры - структура с обязательными полями "Организация, Сценарий, ПериодОтчета, РазделВГО".
// Возвращает:
//	Запрос - если получилось создать.
//	Неопределено - если нет настроек для формирования проводок (Шаблон сверки не подходит под сценарий и период, либо шаблон сверки пуст).
//
Функция ВернутьЗапросПроводокДляЭлиминацииНРП(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ВернутьЗапросПроводокДляЭлиминацииНРП(Параметры));
```
</details>

## ВернутьТекстЗапросаЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТекстЗапросаЭлиминации(ПараметрыЭлиминации, Отбор=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ВернутьТекстЗапросаЭлиминации(ПараметрыЭлиминации, Отбор);
```
</details>

## ВернутьТекстЗапросаЭлиминацииНРП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТекстЗапросаЭлиминацииНРП(ПараметрыЭлиминации, Отбор=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ВернутьТекстЗапросаЭлиминацииНРП(ПараметрыЭлиминации, Отбор);
```
</details>

## ВернутьТекстЗапросаЭлиминацииВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТекстЗапросаЭлиминацииВНА(РазделВГО, Отбор=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ВернутьТекстЗапросаЭлиминацииВНА(РазделВГО, Отбор);
```
</details>

## ВернутьТекстЗапросаДопТаблицДляЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТекстЗапросаДопТаблицДляЭлиминации(БезТрансляции) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ВернутьТекстЗапросаДопТаблицДляЭлиминации(БезТрансляции));
```
</details>

## ПроверитьЧтоЗаполненыСчетаДтКт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Истина - если счета заполнены. Ложь если хотя бы один счет не заполнен.
// Если счет не заполнен, то делает запись об этом в журнал регистрации.
Функция ПроверитьЧтоЗаполненыСчетаДтКт(ПараметрыЭлиминации, ДанныеЗаполнения, СчетДтИсточник, СчетКтИсточник, СчетДт, СчетКт) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПроверитьЧтоЗаполненыСчетаДтКт(ПараметрыЭлиминации, ДанныеЗаполнения, СчетДтИсточник, СчетКтИсточник, СчетДт, СчетКт));
```
</details>

## ЗаписатьПроводкуЭлиминацииНРППродано
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПроводкуЭлиминацииНРППродано(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаписатьПроводкуЭлиминацииНРППродано(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации));
```
</details>

## ЗаписатьПроводкуЭлиминацииНРПЗапасы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПроводкуЭлиминацииНРПЗапасы(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаписатьПроводкуЭлиминацииНРПЗапасы(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации));
```
</details>

## ЗаписатьПроводкуЭлиминацииСебестоимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПроводкуЭлиминацииСебестоимости(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаписатьПроводкуЭлиминацииСебестоимости(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации));
```
</details>

## ЗаписатьПроводкуЭлиминацииВыручки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПроводкуЭлиминацииВыручки(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаписатьПроводкуЭлиминацииВыручки(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации));
```
</details>

## ЗаписатьПроводкуЭлиминацииЗначенияПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПроводкуЭлиминацииЗначенияПоказателя(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаписатьПроводкуЭлиминацииЗначенияПоказателя(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации));
```
</details>

## ЗаписатьПроводкуЭлиминацииНаценкиПродавцаВНА
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПроводкуЭлиминацииНаценкиПродавцаВНА(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаписатьПроводкуЭлиминацииНаценкиПродавцаВНА(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации));
```
</details>

## ЗаписатьПроводкуЭлиминацииНакопленнойАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПроводкуЭлиминацииНакопленнойАмортизации(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаписатьПроводкуЭлиминацииНакопленнойАмортизации(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации));
```
</details>

## ЗаписатьПроводкуЭлиминацииНачисленнойАмортизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПроводкуЭлиминацииНачисленнойАмортизации(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаписатьПроводкуЭлиминацииНачисленнойАмортизации(РегПроводок, НомерЗаписи, ДанныеЗаполнения, ПараметрыЭлиминации));
```
</details>

## ЗаполнитьЗначенияСубконтоТехСчетаЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить значения субконто технического счета
//
// Параметры:
//  ПриемникДанных - любой объект с реквизитами "СубконтоДт1..3", "СубконтоКт1..3". Будут установлены значения этих реквизитов.
//  ПрефиксТехСчета - Строка(2) "Дт" или "Кт" - префикс субконто.
//  ОписаниеТехСчета -
//  ПараметрыЭлиминации - Структура - общие данные элиминации. Используемые реквизиты:
//		- ОписаниеТехСчета - Структура - описывает счет и правила заполнения его субконто.
//				Можно получить функцией Справочники.ШаблоныСверкиВГО.ПолучитьОписаниеТехническогоСчетаУрегулирования().
//		- Организация - СправочникСсылка.Организация.
//		- РазделВГО - СправочникСсылка.РазделыСверкиВГО.
//  ДанныеЗаполнения - Структура - данные подготовленные для заполнения проводки. Используем реквизиты:
//		- ЭтоКредитор - Булево. Если истина, то в проводке организация - это кредитор. Иначе дебитор.
//		- Контрагент - СправочникСсылка.Организация.
//		- ВалютаВзаиморасчетов - СправочникСсылка.Валюты.
//
Процедура ЗаполнитьЗначенияСубконтоТехСчетаЭлиминации(ПриемникДанных, ПрефиксТехСчета, ПараметрыЭлиминации, ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаполнитьЗначенияСубконтоТехСчетаЭлиминации(ПриемникДанных, ПрефиксТехСчета, ПараметрыЭлиминации, ДанныеЗаполнения));
```
</details>

## ЗаписатьОшибкуВПротоколЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьОшибкуВПротоколЭлиминации(ПараметрыЭлиминации, ДанныеЗаполнения, Знач ТекстОшибки, Знач ТехническаяИнформация="") Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаписатьОшибкуВПротоколЭлиминации(ПараметрыЭлиминации, ДанныеЗаполнения, ТекстОшибки, ТехническаяИнформация);
```
</details>

## ПолучитьИмяТаблицыДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяТаблицыДанных(ОписаниеИсточникаДанных) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьИмяТаблицыДанных(ОписаниеИсточникаДанных));
```
</details>

## ЗаполнитьЗначенияСубконто
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполнить субконто проводки значениями аналитик показателя счета.
// Паратетры:
//	ИсточникДанных - структура или строка таблицы значений, содержащая реквизиты "Аналитика1"-"Аналитика5".
//	ПриемникДанных - структура или строка таблицы значений, содержащая реквизиты "СубконтоДт1..3", "СубконтоКт1..3".
//	КолАналитик - Число - количество используемых аналитик в источнике данных.
//	ИсточникДанныхДляРасчетов - ссылка на элемент справочника "ИсточникиДанныхДляРасчетов", позволяет получить
//		правила трансляции субконто счетов источника и приемника.
//	ИмяРеквизитаСубконто - имя реквизита без номера. В такие реквизиты записываются значения. По умолчанию - "СубконтоДт".
//	ИмяРеквизитаАналитики - имя реквизита без номера. Из таких реквизитов читаются значения. По умолчанию - "Аналитика".
//
Процедура ЗаполнитьЗначенияСубконто(Знач ИсточникДанных, ПриемникДанных, Знач КолАналитик, Знач ИсточникДанныхДляРасчетов=Неопределено, Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаполнитьЗначенияСубконто(ИсточникДанных, ПриемникДанных, КолАналитик, ИсточникДанныхДляРасчетов, );
```
</details>

## ЗаменитьПустойСчетМСФО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Если счет приемник - пустая ссылка на справочник "СчетаБД", и счет источник в том же плане счетов, что и ПланСчетов,
// то Счет приемник заменяем на счет источник.
// Иначе оставляем без изменений.
//
Процедура ЗаменитьПустойСчетМСФО(СчетПриемник, СчетИсточник, ПланСчетов) Экспорт
```

Пример вызова
```bsl
ЭлиминацияВГОУХ.ЗаменитьПустойСчетМСФО(СчетПриемник, СчетИсточник, ПланСчетов));
```
</details>

## ПолучитьНаименованиеЭтапаЭлиминации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНаименованиеЭтапаЭлиминации(РазделВГО, НомерЭтапа) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьНаименованиеЭтапаЭлиминации(РазделВГО, НомерЭтапа));
```
</details>

## ПолучитьСубконтоИзВидовСубконтоСчетаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСубконтоИзВидовСубконтоСчетаБД(ВидыСубконто, Номер) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьСубконтоИзВидовСубконтоСчетаБД(ВидыСубконто, Номер));
```
</details>

## ПолучитьТипДопЗначенияПВХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить тип справочника, который хранит дополнительные значения плана видов характеристик.
// Параметры:
//  ПВХ - ПланВидовХарактеристикСсылка - план видов характеристик для которого нужно получить тип справочника.
//
// Возвращаемое значение:
//	Тип - тип справочника.
//  Неопределено - справочник у ПВХ не задан.
//
Функция ПолучитьТипДопЗначенияПВХ(ПВХ) Экспорт
```

Пример вызова
```bsl
Результат = ЭлиминацияВГОУХ.ПолучитьТипДопЗначенияПВХ(ПВХ));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
