---
title: Этапы оплаты вызов сервера
slug: erp-uh/этапы-оплаты-вызов-сервера
---


## ДатаПлатежаПоКалендарю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дату платежа по календарю с учетом сдвига.
//
// Параметры:
//  Параметры - см. ЭтапыОплатыКлиентСервер.ПараметрыРасчетаДатыПлатежа
//
// Возвращаемое значение:
//  Дата - Дата платежа по календарю
Функция ДатаПлатежаПоКалендарю(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ЭтапыОплатыВызовСервера.ДатаПлатежаПоКалендарю(Параметры) 
```
</details>

## СдвигПоКалендарю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сдвиг по календарю от даты платежа.
//
// Параметры:
//  Параметры - см. ЭтапыОплатыКлиентСервер.ПараметрыРасчетаДатыПлатежа
//
// Возвращаемое значение:
//  Число - Сдвиг по календарю
Функция СдвигПоКалендарю(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ЭтапыОплатыВызовСервера.СдвигПоКалендарю(Параметры) 
```
</details>

## ГрафикСоглашенияЗаполнен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверки наличия графика оплаты в соглашении
//
// Параметры:
// 		Соглашение - СправочникСсылка.СоглашенияСПоставщиками, СправочникСсылка.СоглашенияСКлиентами -
//
// Возвращаемое значение:
// 		Булево - "Истина", если в графике есть хотя бы один этап и соглашения используются
//
Функция ГрафикСоглашенияЗаполнен(Соглашение) Экспорт
```

Пример вызова
```bsl
Результат = ЭтапыОплатыВызовСервера.ГрафикСоглашенияЗаполнен(Соглашение) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
