---
title: Этапы оплаты клиент
slug: erp-uh/этапы-оплаты-клиент
---


## ЭтапыГрафикаОплатыПроцентПлатежаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик события "ПриИзменении" поля "ЭтапыГрафикаОплатыПроцентПлатежа".
//
// Параметры:
// ТекущиеДанные          - ДанныеФормыЭлементКоллекции - строка с текущими данными таблицы этапов оплаты
// ЭтапыГрафикаОплаты     - ДанныеФормыКоллекция - таблица этапов оплаты
// СуммаОплатыПоДокументу - Число - сумма оплаты документа.
//
Процедура ЭтапыГрафикаОплатыПроцентПлатежаПриИзменении(ТекущиеДанные, ЭтапыГрафикаОплаты, Знач СуммаОплатыПоДокументу) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыПроцентПлатежаПриИзменении(ТекущиеДанные, ЭтапыГрафикаОплаты, СуммаОплатыПоДокументу) 
```
</details>

## ЭтапыГрафикаОплатыСуммаПлатежаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик события "ПриИзменении" поля "ЭтапыГрафикаОплатыСуммаПлатежа".
//
// Параметры:
// ТекущиеДанные          - ДанныеФормыЭлементКоллекции - строка с текущими данными таблицы этапов оплаты
// ЭтапыГрафикаОплаты     - ДанныеФормыКоллекция - таблица этапов оплаты
// СуммаОплатыПоДокументу - Число - сумма оплаты документа.
//
Процедура ЭтапыГрафикаОплатыСуммаПлатежаПриИзменении(ТекущиеДанные, ЭтапыГрафикаОплаты, Знач СуммаОплатыПоДокументу) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыСуммаПлатежаПриИзменении(ТекущиеДанные, ЭтапыГрафикаОплаты, СуммаОплатыПоДокументу) 
```
</details>

## ЭтапыГрафикаОплатыПроцентЗалогаЗаТаруПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик события "ПриИзменении" поля "ЭтапыГрафикаОплатыПроцентЗалогаЗаТару".
//
// Параметры:
// ТекущиеДанные          - ДанныеФормыЭлементКоллекции - строка с текущими данными таблицы этапов оплаты
// ЭтапыГрафикаОплаты     - ДанныеФормыКоллекция - таблица этапов оплаты
// СуммаЗалогаПоДокументу - Число - сумма залога за тару по документу.
//
Процедура ЭтапыГрафикаОплатыПроцентЗалогаЗаТаруПриИзменении(ТекущиеДанные, ЭтапыГрафикаОплаты, Знач СуммаЗалогаПоДокументу) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыПроцентЗалогаЗаТаруПриИзменении(ТекущиеДанные, ЭтапыГрафикаОплаты, СуммаЗалогаПоДокументу) 
```
</details>

## ЭтапыГрафикаОплатыСуммаЗалогаЗаТаруПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик события "ПриИзменении" поля "ЭтапыГрафикаОплатыСуммаЗалогаЗаТару".
//
// Параметры:
// ТекущиеДанные          - ДанныеФормыЭлементКоллекции - строка с текущими данными таблицы этапов оплаты
// ЭтапыГрафикаОплаты     - ДанныеФормыКоллекция - таблица этапов оплаты
// СуммаЗалогаПоДокументу - Число - сумма залога за тару по документу.
//
Процедура ЭтапыГрафикаОплатыСуммаЗалогаЗаТаруПриИзменении(ТекущиеДанные, ЭтапыГрафикаОплаты, Знач СуммаЗалогаПоДокументу) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыСуммаЗалогаЗаТаруПриИзменении(ТекущиеДанные, ЭтапыГрафикаОплаты, СуммаЗалогаПоДокументу) 
```
</details>

## ЭтапыГрафикаОплатыПередНачаломДобавления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик события "ПередНачаломДобавления" табличной части "ЭтапыГрафикаОплаты".
//
// Параметры:
// Форма                 - ФормаКлиентскогоПриложения - Форма документа/справочника.
// ПараметрыЭтапов       - см. ЭтапыОплатыСервер.ПараметрыЗаполненияЭтаповОплаты
// Отказ                 - Булево - флаг отказа от добавления новой строки.
// Копирование           - Булево - строка скопирована.
// Оповещение            - ОписаниеОповещения - Описание оповещения формы, которое необходимо выполнить после добавления строки.
//
Процедура ЭтапыГрафикаОплатыПередНачаломДобавления(Форма, ПараметрыЭтапов, Отказ, Копирование, Оповещение) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыПередНачаломДобавления(Форма, ПараметрыЭтапов, Отказ, Копирование, Оповещение) 
```
</details>

## ЭтапыГрафикаОплатыПередНачаломДобавленияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебный обработчик оповещения "ПередНачаломДобавления".
Процедура ЭтапыГрафикаОплатыПередНачаломДобавленияЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыПередНачаломДобавленияЗавершение(Результат, Параметры) 
```
</details>

## ЭтапыГрафикаОплатыПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик события "ПередУдалением" табличной части "ЭтапыГрафикаОплаты".
//
// Параметры:
// Форма                 - ФормаКлиентскогоПриложения - Форма документа/справочника.
// Отказ                 - Булево - флаг отказа от добавления новой строки.
// ЭтапыГрафикаОплаты    - ТаблицаЗначений, ДанныеФормыКоллекция - таблица этапов оплаты.
//
Процедура ЭтапыГрафикаОплатыПередУдалением(Форма, Отказ, ЭтапыГрафикаОплаты) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыПередУдалением(Форма, Отказ, ЭтапыГрафикаОплаты) 
```
</details>

## ЭтапыГрафикаОплатыПередНачаломИзменения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик события "ПередНачаломИзменения" табличной части "ЭтапыГрафикаОплаты".
//
// Параметры:
// Форма                 - ФормаКлиентскогоПриложения - Форма документа/справочника.
// ПараметрыЭтапов       - см. ЭтапыОплатыСервер.ПараметрыЗаполненияЭтаповОплаты
// Отказ                 - Булево - флаг отказа от добавления новой строки.
// Оповещение            - ОписаниеОповещения - Описание оповещения формы, которое необходимо выполнить после изменения строки.
//
Процедура ЭтапыГрафикаОплатыПередНачаломИзменения(Форма, ПараметрыЭтапов, Отказ, Оповещение) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыПередНачаломИзменения(Форма, ПараметрыЭтапов, Отказ, Оповещение) 
```
</details>

## ЭтапыГрафикаОплатыПередНачаломИзмененияЗавершение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебный обработчик оповещения "ПередНачаломИзменения".
Процедура ЭтапыГрафикаОплатыПередНачаломИзмененияЗавершение(Результат, Параметры) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыПередНачаломИзмененияЗавершение(Результат, Параметры) 
```
</details>

## ЭтапыГрафикаОплатыСдвигВариантОтсчетаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик события "ПриИзменении" поля "Сдвиг" и "ВариантОтсчета".
//
// Параметры:
// ТекущиеДанные                    - ДанныеФормыЭлементКоллекции - строка с текущими данными таблицы этапов оплаты
// ДатаЗаказа                       - Дата - Дата заказа, если есть.
// ДатаСогласования                - Дата - Дата согласования заказа, если есть.
// ДатаОтгрузки                     - Дата - Дата отгрузки, если есть.
// СрокПереходаПраваСобственности   - Число - Срок перехода права собственности из соглашения.
// ДатаПереходаПраваСобственности   - Дата - Дата перехода права собственности из документа, если есть.
// Календарь                        - СправочникСсылка.ПроизводственныеКалендари - Календарь, по которому считаются рабочие дни.
//
Процедура ЭтапыГрафикаОплатыСдвигВариантОтсчетаПриИзменении(ТекущиеДанные, Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыСдвигВариантОтсчетаПриИзменении(ТекущиеДанные, );
```
</details>

## ЭтапыГрафикаОплатыДатаПлатежаПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик события "ПриИзменении" поля "ВариантКонтроля".
//
// Параметры:
// ТекущиеДанные                    - ДанныеФормыЭлементКоллекции - строка с текущими данными таблицы этапов оплаты
// ДатаЗаказа                       - Дата - Дата заказа, если есть.
// ДатаСогласования                 - Дата - Дата согласования заказа, если есть.
// ДатаОтгрузки                     - Дата - Дата отгрузки, если есть.
// СрокПереходаПраваСобственности   - Число - Срок перехода права собственности из соглашения.
// ДатаПереходаПраваСобственности   - Дата - Дата перехода права собственности из документа, если есть.
// Календарь                        - СправочникСсылка.ПроизводственныеКалендари - Календарь, по которому считаются рабочие дни.
//
Процедура ЭтапыГрафикаОплатыДатаПлатежаПриИзменении(ТекущиеДанные, Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыДатаПлатежаПриИзменении(ТекущиеДанные, );
```
</details>

## ЭтапыГрафикаОплатыВариантКонтроляПриИзменении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Стандартный обработчик события "ПриИзменении" поля "ВариантКонтроля".
//
// Параметры:
// ТекущиеДанные          - ДанныеФормыЭлементКоллекции - строка с текущими данными таблицы этапов оплаты
// ДатаЗаказа                       - Дата - Дата заказа, если есть.
// ДатаСогласования                - Дата - Дата согласования заказа, если есть.
// ДатаОтгрузки                     - Дата - Дата отгрузки, если есть.
// СрокПереходаПраваСобственности   - Число - Срок перехода права собственности из соглашения.
// ДатаПереходаПраваСобственности   - Дата - Дата перехода права собственности из документа, если есть.
// Календарь                        - СправочникСсылка.ПроизводственныеКалендари - Календарь, по которому считаются рабочие дни.
//
Процедура ЭтапыГрафикаОплатыВариантКонтроляПриИзменении(ТекущиеДанные, Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ЭтапыГрафикаОплатыВариантКонтроляПриИзменении(ТекущиеДанные, );
```
</details>

## ОповеститьОбОкончанииЗаполненияЭтаповГрафикаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя об окончании заполнения этапов графика оплаты.
//
Процедура ОповеститьОбОкончанииЗаполненияЭтаповГрафикаОплаты() Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ОповеститьОбОкончанииЗаполненияЭтаповГрафикаОплаты() 
```
</details>

## ОповеститьОНевозможностиЗаполненияЭтаповГрафикаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Показывает оповещение пользователя о невозможности заполнения этапов графика оплаты.
//
Процедура ОповеститьОНевозможностиЗаполненияЭтаповГрафикаОплаты() Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ОповеститьОНевозможностиЗаполненияЭтаповГрафикаОплаты() 
```
</details>

## ПредложитьЗаполнитьГрафикОплатПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПредложитьЗаполнитьГрафикОплатПоУмолчанию(Форма, ОписаниеОповещения, Отказ) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиент.ПредложитьЗаполнитьГрафикОплатПоУмолчанию(Форма, ОписаниеОповещения, Отказ) 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
