---
title: Этапы оплаты клиент сервер
slug: erp-uh/этапы-оплаты-клиент-сервер
---


## НадписьЭтапыОплатаДляСоглашений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление условий оплаты для соглашений,
// включающие в себя форму оплаты, этапы оплаты.
//
// Параметры:
// 		Форма - ФормаКлиентскогоПриложения - форма из которой вызвана функция.
//
// Возвращаемое значение:
// 		Строка - представление условий оплаты.
//
Функция НадписьЭтапыОплатаДляСоглашений(Форма) Экспорт
```

Пример вызова
```bsl
Результат = ЭтапыОплатыКлиентСервер.НадписьЭтапыОплатаДляСоглашений(Форма) 
```
</details>

## ПорядокВариантовОтсчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Порядок вариантов отсрочки.
//
// Возвращаемое значение:
//  Соответствие - Порядок вариантов отсрочки.
Функция ПорядокВариантовОтсчета() Экспорт
```

Пример вызова
```bsl
Результат = ЭтапыОплатыКлиентСервер.ПорядокВариантовОтсчета() 
```
</details>

## ДатаПлатежаБезКалендаря
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает расчетную дату платежа без учета производственного календаря.
//
// Параметры:
//  Параметры - см. ЭтапыОплатыКлиентСервер.ПараметрыРасчетаДатыПлатежа
//
// Возвращаемое значение:
//  Дата - Дата платежа (без учета календаря)
//
Функция ДатаПлатежаБезКалендаря(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ЭтапыОплатыКлиентСервер.ДатаПлатежаБезКалендаря(Параметры) 
```
</details>

## СдвигБезКалендаря
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает расчетное количество дней от дата события до даты платежа без учета производственного календаря.
//
// Параметры:
//  Параметры - см. ЭтапыОплатыКлиентСервер.ПараметрыРасчетаДатыПлатежа
//
// Возвращаемое значение:
//  Число - Сдвиг, дней (без учета календаря)
//
Функция СдвигБезКалендаря(Параметры) Экспорт
```

Пример вызова
```bsl
Результат = ЭтапыОплатыКлиентСервер.СдвигБезКалендаря(Параметры) 
```
</details>

## РаспределитьСуммуПоЭтапамГрафикаОплаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Распределяет сумму по этапам оплаты
//
// Параметры:
// ЭтапыГрафика
// 		ЭтапыГрафикаОплаты -ТаблицаЗначений - таблица этапов оплаты, в которой необходимо распределить сумму
// 		СуммаКРаспределениюОплаты - Число - сумма платежей, которую необходимо распределить по этапам
// 		СуммаКРаспределениюЗалога - Число - Необязательный, сумма залога за тару, которую необходимо распределить по этапам
// 		СуммаКРаспределениюВзаиморасчетов - Число - Необязательный, сумма взаиморасчетов документа, которую необходимо распределить по этапам.
// 		СуммаКРаспределениюВзаиморасчетовПоТаре - Число - Необязательный, сумма взаиморасчетов по таре документа, которую необходимо распределить по этапам.
//
Процедура РаспределитьСуммуПоЭтапамГрафикаОплаты(ЭтапыГрафикаОплаты, Знач СуммаКРаспределениюОплаты, Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиентСервер.РаспределитьСуммуПоЭтапамГрафикаОплаты(ЭтапыГрафикаОплаты, СуммаКРаспределениюОплаты, );
```
</details>

## ПараметрыДляДобавленияЭтапаПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для метода ДобавитьЭтапОплатыПоУмолчанию()
//
// Возвращаемое значение:
//  Структура - Структура параметров с ключами:
// * Объект                       - ДокументОбъект - Документ, для которого заполняются этапы графика оплаты
// * ВариантОплаты                - ПеречислениеСсылка.ВариантыКонтроляОплатыКлиентом, ПеречислениеСсылка.ВариантыКонтроляОплатыПоставщику - Вариант оплаты добавляемого этапа
// * ЖелаемаяДата                 - Дата - Желаемая дата по документу
// * ДатаСеанса                   - Дата - Дата текущего сеанса пользователя
// * СуммаОплатыПоДокументу       - Число - сумма к оплате по документу
// * СуммаЗалогаПоДокументу       - Число - сумма залога по документу.
// * СуммаОтклоненияМерныхТоваров - Число - сумма отклонения мерных товаров.
Функция ПараметрыДляДобавленияЭтапаПоУмолчанию() Экспорт
```

Пример вызова
```bsl
Результат = ЭтапыОплатыКлиентСервер.ПараметрыДляДобавленияЭтапаПоУмолчанию() 
```
</details>

## ДобавитьЭтапОплатыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет один этап оплаты по умолчанию
//
// Параметры:
//	 Параметры - Структура - Структура параметров с ключами, описанными в методе ПараметрыДляДобавленияЭтапаПоУмолчанию()
Процедура ДобавитьЭтапОплатыПоУмолчанию(Параметры) Экспорт
```

Пример вызова
```bsl
ЭтапыОплатыКлиентСервер.ДобавитьЭтапОплатыПоУмолчанию(Параметры) 
```
</details>

## ПараметрыРасчетаДатыПлатежа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру параметров для расчета даты платежа или сдвига.
//
// Возвращаемое значение:
//  Структура - Параметры расчета даты платежа:
// * ВариантОтсчета                                         - ПеречислениеСсылка.ВариантыОтсчетаДатыПлатежа - Вариант отсчета строки.
// * Сдвиг                                                  - Число - Сдвиг строки.
// * ДатаПлатежа                                            - Дата - Дата платежа строки.
// * ДатаЗаказа                                             - Дата - Дата заказа, если есть.
// * ДатаСогласования                                       - Дата - Дата согласования заказа, если есть.
// * ДатаОтгрузки                                           - Дата - Дата отгрузки строки.
// * СрокПереходаПраваСобственности                         - Число - Срок перехода права собственности из соглашения
// * Календарь - СправочникСсылка.ПроизводственныеКалендари - Календарь для учета только рабочих дней.
// * ДатаПереходаПраваСобственности                         - Дата - Дата перехода права собственности документа.
//
Функция ПараметрыРасчетаДатыПлатежа() Экспорт
```

Пример вызова
```bsl
Результат = ЭтапыОплатыКлиентСервер.ПараметрыРасчетаДатыПлатежа() 
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
