---
title: Модуль управления процессами УХ
slug: erp-uh/модуль-управления-процессами-ух
---


## ВывестиДиаграммуЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выводит диаграмму этапов в поле табличного документа
//
Функция ВывестиДиаграммуЭтапов(Этапы, Уровни, СоответствиеРисунковИЭтапов, ЭкземплярПроцесса = Неопределено, ВыбранныйЭтапВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВывестиДиаграммуЭтапов(Этапы, Уровни, СоответствиеРисунковИЭтапов, ЭкземплярПроцесса, ВыбранныйЭтапВход);
```
</details>

## ДобавитьТекстОДопСогласовании
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ТекстСообщенияВход, дополненный информации о количестве дополнительных
// согласующих из КоличествоДопСогласующихВход.
Функция ДобавитьТекстОДопСогласовании(ТекстСообщенияВход, КоличествоДопСогласующихВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ДобавитьТекстОДопСогласовании(ТекстСообщенияВход, КоличествоДопСогласующихВход));
```
</details>

## ЭтапСОтветственными
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, нужны ли ответственные по для этапа ЭтапВход с выбранным типом.
Функция ЭтапСОтветственными(ЭтапВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЭтапСОтветственными(ЭтапВход) 
```
</details>

## ПоискНекорректныхПереходовНаЭтапы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно обходит дерево условий ДеревоВход этапа ИсходныйЭтапВход,
// получает корректность этапов перехода в параметр Результат. Параметр
// ГлубинаРекурсии защищает от бесконечной рекурсии.
Процедура ПоискНекорректныхПереходовНаЭтапы(ИсходныйЭтапВход, ДеревоВход, РезультатТаблица, ГлубинаРекурсии = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПоискНекорректныхПереходовНаЭтапы(ИсходныйЭтапВход, ДеревоВход, РезультатТаблица, ГлубинаРекурсии);
```
</details>

## ПолучитьТекстИзВебШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает текст между <body> и </body> для шаблона оповещения
// ШаблонВход. Когда тегов нет - возвращает входной шаблон целиком.
Функция ПолучитьТекстИзВебШаблона(ШаблонВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТекстИзВебШаблона(ШаблонВход) 
```
</details>

## ПолучитьТекстШаблонаЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст шаблона оповещения для этапа процесса ЭтапВход.
Функция ПолучитьТекстШаблонаЭтапа(ЭтапВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТекстШаблонаЭтапа(ЭтапВход));
```
</details>

## ПолучитьПользователейРолиПоВсемОрганизациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пользователей с ролью РольВход по всем организациям.
Функция ПолучитьПользователейРолиПоВсемОрганизациям(РольВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьПользователейРолиПоВсемОрганизациям(РольВход));
```
</details>

## ВернутьМассивПользователейПоРоли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пользователей, ответственных за роль РольВход
// в организации ОрганизацияВход.
Функция ВернутьМассивПользователейПоРоли(РольВход, ОрганизацияВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВернутьМассивПользователейПоРоли(РольВход, ОрганизацияВход);
```
</details>

## ПолучитьМассивУтверждающихЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пользователей, который могу утверждать этап ЭтапВход.
Функция ПолучитьМассивУтверждающихЭтапа(ЭтапВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьМассивУтверждающихЭтапа(ЭтапВход));
```
</details>

## УтверждающиеЗаполненыКорректно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, корректно ли заполнены утверждающие в массиве МассивУтверждающихВход
// для этапа процесса ЭтапВход.
Функция УтверждающиеЗаполненыКорректно(МассивУтверждающихВход, ЭтапВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.УтверждающиеЗаполненыКорректно(МассивУтверждающихВход, ЭтапВход));
```
</details>

## ПроверитьПустыеВыраженияУсловия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно проверяет дерево переходов ДеревоВход этапа условного перехода.
// Когда найдено пустое условие - добавляет в таблицу РезультатТаблица. Параметр
// ГлубинаРекурсииВход защищает от бесконечного цикла.
Процедура ПроверитьПустыеВыраженияУсловия(ДеревоВход, РезультатТаблица, ГлубинаРекурсииВход = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьПустыеВыраженияУсловия(ДеревоВход, РезультатТаблица, ГлубинаРекурсииВход);
```
</details>

## ПроверитьДействияБезЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно проверяет дерево переходов ДеревоВход этапа условного перехода.
// Когда найдено действие без этапа перехода - добавляет в таблицу РезультатТаблица.
//Параметр ГлубинаРекурсииВход защищает от бесконечного цикла.
Процедура ПроверитьДействияБезЭтапов(ДеревоВход, РезультатТаблица, ГлубинаРекурсииВход = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьДействияБезЭтапов(ДеревоВход, РезультатТаблица, ГлубинаРекурсииВход);
```
</details>

## ЕстьДействиеВДеревеУсловногоПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно обходит лерево условного перехода ДеревоВход. Когда
// найдена строка действия, выставляет параметр ЕстьДействиеРезультат
// в значение Истина. Параметр ГлубинаРекурсииВход защищает от
// бесконечной рекурсии.
Процедура ЕстьДействиеВДеревеУсловногоПерехода(ДеревоВход, ЕстьДействиеРезультат, ГлубинаРекурсииВход = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ЕстьДействиеВДеревеУсловногоПерехода(ДеревоВход, ЕстьДействиеРезультат, ГлубинаРекурсииВход);
```
</details>

## ПроверитьНаличиеДействия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет дерево условного перехода ДеревоВход. Добавляет строку в таблицу РезультатТаблица
// если не найден этап перехода.
Процедура ПроверитьНаличиеДействия(ДеревоВход, РезультатТаблица) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьНаличиеДействия(ДеревоВход, РезультатТаблица));
```
</details>

## ПроверитьВыходыИзУсловий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет дерево ДеревоВход на отсутствие условий без выходов. Добавляет в таблицу РезультатТаблица
// ошибку, если найдены условия без выходов.
Процедура ПроверитьВыходыИзУсловий(ДеревоВход, РезультатТаблица, ГлубинаРекурсииВход = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьВыходыИзУсловий(ДеревоВход, РезультатТаблица, ГлубинаРекурсииВход);
```
</details>

## ПроверитьВыходыИзВыбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие действий для всех веток условия выбора из дерева . В случае обнаружения
//пустой ветки - добавляет запись в таблицу ГлубинаРекурсииВход. Параметр ГлубинаРекурсииВход
// защищает от бесконечной рекурсии.
Процедура ПроверитьВыходыИзВыбора(ДеревоВход, РезультатТаблица, ГлубинаРекурсииВход = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьВыходыИзВыбора(ДеревоВход, РезультатТаблица, ГлубинаРекурсииВход);
```
</details>

## ПроверитьДеревоУсловий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет корректность заполнения дерева переходов ДеревоВход этапа условного
// перехода. Когда найдено несоотвествие - добавляет запись в таблицу ошибок
// РезультатТаблица
Процедура ПроверитьДеревоУсловий(ДеревоВход, РезультатТаблица) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьДеревоУсловий(ДеревоВход, РезультатТаблица) 
```
</details>

## ПроверитьРолиБезОтветственных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет роли ответственных по этапу ЭтапВход. В случае, если найдены роли без ответственных -
// добавляет ошибку в таблицу РезультатТаблица.
Процедура ПроверитьРолиБезОтветственных(ЭтапВход, РезультатТаблица) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьРолиБезОтветственных(ЭтапВход, РезультатТаблица));
```
</details>

## ПолучитьЭтапыПодготовкиОтчетностиПоШаблонуПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив всех этапов с типом этапа ЭтапПодготовкиОтчетности, принадлежащие
// шаблону процесса ШаблонПроцессаВход.
Функция ПолучитьЭтапыПодготовкиОтчетностиПоШаблонуПроцесса(ШаблонПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьЭтапыПодготовкиОтчетностиПоШаблонуПроцесса(ШаблонПроцессаВход));
```
</details>

## ПроверитьДублированиеВидаОтчетаВШаблонеПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет дублирование отчетов этапа ЭтапВход в его шалоне. В случае, найдены
//отчеты по одной организации, заполняемые в разных  этапах - добавляет ошибку
// в таблицу РезультатТаблица.
Процедура ПроверитьДублированиеВидаОтчетаВШаблонеПроцесса(ЭтапВход, РезультатТаблица) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьДублированиеВидаОтчетаВШаблонеПроцесса(ЭтапВход, РезультатТаблица));
```
</details>

## ПолучитьТаблицуОшибокЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений, содержащую информацию об
// ошибках в этапе ЭтапВход
Функция ПолучитьТаблицуОшибокЭтапа(ЭтапВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуОшибокЭтапа(ЭтапВход) 
```
</details>

## ПроверитьОшибкиЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает корректность заполнения этапа ЭтапВход. Возвращает
// Истина в случае обнаружения ошибок, Ложь - в противном случае.
Функция ПроверитьОшибкиЭтапа(ЭтапВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьОшибкиЭтапа(ЭтапВход) 
```
</details>

## ПолучитьПредставлениеОтветственныхЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает представление пользователей/ролей по таблице ответственных
// и организации ОрганизацияВход.
Функция ПолучитьПредставлениеОтветственныхЭтапа(ОтветственныеВход, ОрганизацияВход = Неопределено, ЭкземплярПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьПредставлениеОтветственныхЭтапа(ОтветственныеВход, ОрганизацияВход, ЭкземплярПроцессаВход);
```
</details>

## ПолучитьТекстРисункаЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст, который будет выведен в теле отображаемого этапа согласно
// данным из СтрокаЭтапа.
Функция ПолучитьТекстРисункаЭтапа(СтрокаЭтапа, ОрганизацияВход, Ответственные, ЭкземплярПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТекстРисункаЭтапа(СтрокаЭтапа, ОрганизацияВход, Ответственные, ЭкземплярПроцессаВход);
```
</details>

## РасчитатьКоличествоПереносовДляСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура расчитывает количество переносов для заданной строки
//
Процедура РасчитатьКоличествоПереносовДляСтроки(СтрокаАнализа, ЧислоСтрокСообщения, ЧислоКороткихСтрок) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.РасчитатьКоличествоПереносовДляСтроки(СтрокаАнализа, ЧислоСтрокСообщения, ЧислоКороткихСтрок));
```
</details>

## СкорректироватьЭтапПередВыводом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура корректирует этап на поле табличного документа
//
Процедура СкорректироватьЭтапПередВыводом(ТабличныйДокумент, СтрокаЭтапа, Уровни, СоответствиеРисунковИЭтапов, Ответственные, ОрганизацияВход = Неопределено,  ВыбранныйЭтапВход = Неопределено, ЭкземплярПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.СкорректироватьЭтапПередВыводом(ТабличныйДокумент, СтрокаЭтапа, Уровни, СоответствиеРисунковИЭтапов, Ответственные, ОрганизацияВход, ВыбранныйЭтапВход, ЭкземплярПроцессаВход);
```
</details>

## НарисоватьЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рисует этап на поле табличного документа
//
Процедура НарисоватьЭтап(ТабличныйДокумент, СтрокаЭтапа, Уровни, СоответствиеРисунковИЭтапов, Ответственные, ОрганизацияВход = Неопределено,  ВыбранныйЭтапВход = Неопределено, ЭкземплярПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.НарисоватьЭтап(ТабличныйДокумент, СтрокаЭтапа, Уровни, СоответствиеРисунковИЭтапов, Ответственные, ОрганизацияВход, ВыбранныйЭтапВход, ЭкземплярПроцессаВход);
```
</details>

## НарисоватьСвязи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура рисует связи этапа на поле табличного документа
//
Процедура НарисоватьСвязи(Этапы, ТабличныйДокумент, СтрокаЭтапа, Уровни, ВыбранныйЭтапВход = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.НарисоватьСвязи(Этапы, ТабличныйДокумент, СтрокаЭтапа, Уровни, ВыбранныйЭтапВход);
```
</details>

## НарисоватьТекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выводит рисунок типа "текст" в табличный документ
//
Функция НарисоватьТекст(ТабличныйДокумент, Текст, Расшифровка, Лево, Верх, Ширина, Высота, ОтображатьГраницыВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.НарисоватьТекст(ТабличныйДокумент, Текст, Расшифровка, Лево, Верх, Ширина, Высота, ОтображатьГраницыВход);
```
</details>

## НарисоватьЛинию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выводит рисунок типа "линия" в табличный документ
//
Процедура НарисоватьЛинию(ТабличныйДокумент, Расшифровка, ЛевоЛинии, ВерхЛинии, ШиринаЛинии, ВысотаЛинии, ЦветЛинии = Неопределено, ТолщинаЛинииВход = Неопределено, СтильЛинииВход = Неопределено, КоррекцияНаТень = 0); Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.НарисоватьЛинию(ТабличныйДокумент, Расшифровка, ЛевоЛинии, ВерхЛинии, ШиринаЛинии, ВысотаЛинии, ЦветЛинии, ТолщинаЛинииВход, СтильЛинииВход, КоррекцияНаТень);
```
</details>

## НарисоватьИзгиб
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выводит рисунок из линий, в виде изгиба, в табличный документ
//
Процедура НарисоватьИзгиб(ТабличныйДокумент, Расшифровка, ЛевоЛинии, ВерхЛинии, ШиринаЛинии, ВысотаЛинии, ЦветЛинии = Неопределено, ТолщинаЛинииВход = Неопределено, СтильЛинииВход = Неопределено); Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.НарисоватьИзгиб(ТабличныйДокумент, Расшифровка, ЛевоЛинии, ВерхЛинии, ШиринаЛинии, ВысотаЛинии, ЦветЛинии, ТолщинаЛинииВход, СтильЛинииВход);
```
</details>

## НарисоватьСтрелку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выводит рисунок из линий, в виде стрелки, в табличный документ
//
Процедура НарисоватьСтрелку(ТабличныйДокумент, Расшифровка, ЛевоЛинии, ВерхЛинии, ЦветЛинии = Неопределено, ТолщинаЛинииВход = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.НарисоватьСтрелку(ТабличныйДокумент, Расшифровка, ЛевоЛинии, ВерхЛинии, ЦветЛинии, ТолщинаЛинииВход);
```
</details>

## ОтобразитьСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтобразитьСостояние(ИмяСостоянияЭтапа, СтрокаЭтапа, ТабличныйДокумент, ЛевоРисунка, ВерхРисунка, ВысотаСтрокиТекста, ЦветЛинии, Расшифровка) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОтобразитьСостояние(ИмяСостоянияЭтапа, СтрокаЭтапа, ТабличныйДокумент, ЛевоРисунка, ВерхРисунка, ВысотаСтрокиТекста, ЦветЛинии, Расшифровка));
```
</details>

## ИнициироватьСогласованиеЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ УПРАВЛЕНИЯ ХОДОМ ПРОЦЕССА.
//
//
//

// Выполняет инициацию этапов для документа НовыйДокументВход.
Процедура ИнициироватьСогласованиеЭтапов(НовыйДокументВход, НужнаИнициализацияВход, Отказ = Ложь, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ИнициироватьСогласованиеЭтапов(НовыйДокументВход, НужнаИнициализацияВход, Отказ, ДополнительныеПараметры);
```
</details>

## ОпределитьОшибкуРегламентногоЗаданияОбработкаЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, есть ли ошибка в процессе ШаблонПроцессаВход с запуском регламентного
// задания ОбработкаЭтапа.
Функция ОпределитьОшибкуРегламентногоЗаданияОбработкаЭтапа(ШаблонПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОпределитьОшибкуРегламентногоЗаданияОбработкаЭтапа(ШаблонПроцессаВход));
```
</details>

## ПроверитьЗапускРегламентногоЗаданияОбработкаЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// При запуске процесса для объекта КлючевойОбъектВход проверяет наличие
// в шаблоне ШаблонПроцессаВход этапов, требующих регламентное
// задание Отложенная обработка этапов процессов. В случае наличия
// таких этапов и отключения регламентного задания - будет отправлено
// оповещение об ошибке запуска универсального процесса.
Процедура ПроверитьЗапускРегламентногоЗаданияОбработкаЭтапа(ШаблонПроцессаВход, КлючевойОбъектВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьЗапускРегламентногоЗаданияОбработкаЭтапа(ШаблонПроцессаВход, КлючевойОбъектВход));
```
</details>

## ЕстьАвтоДействияВШаблонеПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие в шаблоне ШаблонВход этапов с типом автоутверждение и автоотклонение.
Функция ЕстьАвтоДействияВШаблонеПроцесса(ШаблонВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЕстьАвтоДействияВШаблонеПроцесса(ШаблонВход));
```
</details>

## ПроверитьШаблонПроцессаПередЗапуском
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет этапы шаблон ШаблонВход универсального процесса на корректность
// ввода подчинённых этапов. Возвращает успешность проверки.
Функция ПроверитьШаблонПроцессаПередЗапуском(ШаблонВход, ТабИсполнителейВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьШаблонПроцессаПередЗапуском(ШаблонВход, ТабИсполнителейВход);
```
</details>

## НайтиИОстановитьНезавершенныйПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиИОстановитьНезавершенныйПроцесс(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.НайтиИОстановитьНезавершенныйПроцесс(СтруктураПараметров));
```
</details>

## ИнициализироватьПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИнициализироватьПроцесс(ПараметрыПроцесса, ШаблонПроцесса, Организация = Неопределено, КлючевойОбъект = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ИнициализироватьПроцесс(ПараметрыПроцесса, ШаблонПроцесса, Организация, КлючевойОбъект, );
```
</details>

## ПроверитьПроцессИнициализирован
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьПроцессИнициализирован(КлючевойОбъект, ЭкземплярПроцесса = Неопределено, ЭтоПроизвольныйПроцесс = Ложь, ШаблонПроцесса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьПроцессИнициализирован(КлючевойОбъект, ЭкземплярПроцесса, ЭтоПроизвольныйПроцесс, ШаблонПроцесса);
```
</details>

## ПостроитьМаршрутПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПостроитьМаршрутПроцесса(ДокументПроцесса, ЭкземплярОтчета, ТекущийЭтап = Неопределено,Инициализация=Неопределено,ИнициализироватьСледующий, Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПостроитьМаршрутПроцесса(ДокументПроцесса, ЭкземплярОтчета, ТекущийЭтап, Инициализация, ИнициализироватьСледующий, );
```
</details>

## ПолучитьПервыеЭтапыМаршрута
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПервыеЭтапыМаршрута(ШаблонПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьПервыеЭтапыМаршрута(ШаблонПроцесса) 
```
</details>

## НайтиОрганизациюСредиПредшественников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По соответствию ТаблицаОрганизацийЭтапаВход проверяет наличие организации ИскомаяОрганизацияВход
// среди организаций этапов из МассивПредшественниковВход.
Функция НайтиОрганизациюСредиПредшественников(МассивПредшественниковВход, ИскомаяОрганизацияВход, СоответствиеОрганизацийЭтаповВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.НайтиОрганизациюСредиПредшественников(МассивПредшественниковВход, ИскомаяОрганизацияВход, СоответствиеОрганизацийЭтаповВход));
```
</details>

## СформироватьСоответствиеОрганизацийЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие организаций этапам подготовки отчетности из массива
// МассивЭтаповВход по исходной таблице ТаблицаОрганизацийЭтапаВход.
Функция СформироватьСоответствиеОрганизацийЭтапов(МассивЭтаповВход, ТаблицаОрганизацийЭтапаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СформироватьСоответствиеОрганизацийЭтапов(МассивЭтаповВход, ТаблицаОрганизацийЭтапаВход));
```
</details>

## СформироватьМассивЭлиминирующихКонсолидирующихЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выделяет из массива этапов МассивЭтаповВход массив
// этапов для конослидирующих элиминирующих организаций.
Функция СформироватьМассивЭлиминирующихКонсолидирующихЭтапов(МассивЭтаповВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СформироватьМассивЭлиминирующихКонсолидирующихЭтапов(МассивЭтаповВход));
```
</details>

## ПолучитьМассивПервыхЭтаповНеПодготовкиОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив ссылок на все первые этапы шаблона процесса ШаблонПроцессаВход,
// которые не являются этапами подготовки отчетности.
Функция ПолучитьМассивПервыхЭтаповНеПодготовкиОтчетности(ШаблонПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьМассивПервыхЭтаповНеПодготовкиОтчетности(ШаблонПроцессаВход));
```
</details>

## ЕстьКонсолидируемыеОрганизацииВЭтапахПредшественниках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, есть ли в этапах из массива МассивЭтаповПредшественниковВход организации,
// консолидируемые организацией КонсолидирующаяОрганизацияВход в рамках регламента
// ВерсияРегламентаВход, используя данные из СоответствиеОрганизацийЭтапамВход.
Функция ЕстьКонсолидируемыеОрганизацииВЭтапахПредшественниках(ВерсияРегламентаВход, КонсолидирующаяОрганизацияВход, СоответствиеОрганизацийЭтапамВход, МассивЭтаповПредшественниковВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЕстьКонсолидируемыеОрганизацииВЭтапахПредшественниках(ВерсияРегламентаВход, КонсолидирующаяОрганизацияВход, СоответствиеОрганизацийЭтапамВход, МассивЭтаповПредшественниковВход));
```
</details>

## ПолучитьТаблицуАктивацииПоОрганизациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу первых появлений организаций в этапах шаблона процесса
// ШаблонПроцессаВход.
Функция ПолучитьТаблицуАктивацииПоОрганизациям(ШаблонПроцессаВход, ЭтапыПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуАктивацииПоОрганизациям(ШаблонПроцессаВход, ЭтапыПроцессаВход);
```
</details>

## ПолучитьИсполнителейПоЭтапамМаршрута
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИсполнителейПоЭтапамМаршрута(МаршрутСогласования) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьИсполнителейПоЭтапамМаршрута(МаршрутСогласования));
```
</details>

## ПометитьНаУдалениеЗадачиПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Помечает на удаление все задачи, связанные с объектом ОбъектСсылка.
Процедура ПометитьНаУдалениеЗадачиПоОбъекту(ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПометитьНаУдалениеЗадачиПоОбъекту(ОбъектСсылка) 
```
</details>

## СброситьСостоянияВыполненияПроцессов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет записи в регистр СостоянияВыполненияПроцессов об отмене
// процесса ДокументПроцессаВход. Возвращает успешность выполнения операции.
Функция СброситьСостоянияВыполненияПроцессов(ДокументПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СброситьСостоянияВыполненияПроцессов(ДокументПроцессаВход));
```
</details>

## ОстановитьПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Останавливает выполнение универсального процесса по экземпляру процесса ТекущийДокументПроцесса.
Функция ОстановитьПроцесс(ТекущийДокументПроцесса, ОстанавливатьОбъект = Истина, НаШагНазад = Ложь, ПомечатьНаУдалениеДокументПроцесса = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОстановитьПроцесс(ТекущийДокументПроцесса, ОстанавливатьОбъект, НаШагНазад, ПомечатьНаУдалениеДокументПроцесса);
```
</details>

## ПолучитьТаблицуОтчетовПоЭкземпляруПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу подготавливаемых отчетов с разбивкой по этапам для
// экземпляра процесса ДокументПроцессаВход.
Функция ПолучитьТаблицуОтчетовПоЭкземпляруПроцесса(ДокументПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуОтчетовПоЭкземпляруПроцесса(ДокументПроцессаВход) 
```
</details>

## ПолучитьМассивОтчетовПоЭкземпляруПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив подготавливаемых отчетов экземпляра процесса
// ДокументПроцессаВход.
Функция ПолучитьМассивОтчетовПоЭкземпляруПроцесса(ДокументПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьМассивОтчетовПоЭкземпляруПроцесса(ДокументПроцессаВход));
```
</details>

## ВыделитьСогласуемыеОтчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Из массива экземпляров отчетов МассивОтчетовВход выделяет массив тех низ них,
// которые согласуются.
Функция ВыделитьСогласуемыеОтчеты(МассивОтчетовВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВыделитьСогласуемыеОтчеты(МассивОтчетовВход));
```
</details>

## УправлениеПериодомОстановитьПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбрасывает процесс подготовки отчетности по документу процесса ДокументПроцессаВход,
// а также переводит все отчеты по данному процессу в состояние Черновик.
Функция УправлениеПериодомОстановитьПроцесс(ДокументПроцессаВход, ОстанавливатьОбъект = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.УправлениеПериодомОстановитьПроцесс(ДокументПроцессаВход, ОстанавливатьОбъект);
```
</details>

## ЗавершитьПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗавершитьПроцесс(ТекущийДокументПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЗавершитьПроцесс(ТекущийДокументПроцесса) 
```
</details>

## ВыполнитьПроцедурыПоСтатусам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет процедуры, которые должны исполняться при статусах Утвержен, Отклонен, Черновик для
// объекта согласования ОбъектСсылка по статусу СтатусСогласованияЭтапа. Для остальных статусов
// переводит в произвольное состояние. Возвращает успешность выполнения.
Функция ВыполнитьПроцедурыПоСтатусам(ОбъектСсылка, СтатусСогласованияЭтапа, ДокументПроцесса = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВыполнитьПроцедурыПоСтатусам(ОбъектСсылка, СтатусСогласованияЭтапа, ДокументПроцесса, ДополнительныеПараметры);
```
</details>

## ДобавитьПользователейВДополнительныеСогласующиеДокументаПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет пользователей из массива структур МассивПолучателейЗадачиВход в табличную часть
// Дополнительные согласующие документа ДокументПроцессаВход в этап ЭтапВход.
Процедура ДобавитьПользователейВДополнительныеСогласующиеДокументаПроцесса(ДокументПроцессаВход, ЭтапВход, МассивПолучателейЗадачиВход, ДопСогласующийВход = Ложь) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ДобавитьПользователейВДополнительныеСогласующиеДокументаПроцесса(ДокументПроцессаВход, ЭтапВход, МассивПолучателейЗадачиВход, ДопСогласующийВход);
```
</details>

## ОбработатьОшибкуМаршрутизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отработка ситуации, когда возникла ошибка маршрутизации: отправка оповещения об ошибке
// и перенос задачи согласования администратору процесса.
Процедура ОбработатьОшибкуМаршрутизации(ЭтапВход, ДокументПроцессаВход, ОрганизацияВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОбработатьОшибкуМаршрутизации(ЭтапВход, ДокументПроцессаВход, ОрганизацияВход));
```
</details>

## ПроверитьВыполнениеЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет выполнение этапа ЭтапПроцесса в ходе процесса ДокументПроцесса для
// организации Организация.
Функция ПроверитьВыполнениеЭтапа(ДокументПроцесса, Организация, ЭтапПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьВыполнениеЭтапа(ДокументПроцесса, Организация, ЭтапПроцесса));
```
</details>

## МожноСброситьЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет выполнение этапа ЭтапПроцесса в ходе процесса ДокументПроцесса для
// организации Организация.
Функция МожноСброситьЭтап(ДокументПроцесса, Организация, ЭтапПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.МожноСброситьЭтап(ДокументПроцесса, Организация, ЭтапПроцесса) 
```
</details>

## ОчиститьДополнительноеСогласованиеПоЭтапу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Очищает данные дополнительного согласования по этапу ЭтапПроцессаВход
// в процессе ДокументПроцессаВход.
Процедура ОчиститьДополнительноеСогласованиеПоЭтапу(ЭтапПроцессаВход, ДокументПроцессаВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОчиститьДополнительноеСогласованиеПоЭтапу(ЭтапПроцессаВход, ДокументПроцессаВход));
```
</details>

## ПолучитьКоличествоНеУтвержденныхЭтаповПредшественников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает число неутверждённых этапов-предшественников этапа ЭтапПроцессаВход
// в ходе процесса ДокументПроцессаВход.
Функция ПолучитьКоличествоНеУтвержденныхЭтаповПредшественников(ЭтапПроцессаВход, ДокументПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьКоличествоНеУтвержденныхЭтаповПредшественников(ЭтапПроцессаВход, ДокументПроцессаВход));
```
</details>

## ОпределитьОрганизациюРоли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет организацию для объекта КлючевойОбъектВход. Когда определить не удалось -
// возвращает ОрганизацияПоУмолчаниюВход.
Функция ОпределитьОрганизациюРоли(КлючевойОбъектВход, ОрганизацияПоУмолчаниюВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОпределитьОрганизациюРоли(КлючевойОбъектВход, ОрганизацияПоУмолчаниюВход));
```
</details>

## ОтменитьДочерниеПроцессы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Отменяет все дочерние процессы процесса ДокументПроцессаВход по этапу ЭтапПроцессаВход.
Процедура ОтменитьДочерниеПроцессы(ДокументПроцессаВход, ЭтапПроцессаВход, НаШагНазад = Ложь) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОтменитьДочерниеПроцессы(ДокументПроцессаВход, ЭтапПроцессаВход, НаШагНазад);
```
</details>

## СформироватьДополнительныеПараметрыСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру дополнительных параметров для согласования.
Функция СформироватьДополнительныеПараметрыСогласования() Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СформироватьДополнительныеПараметрыСогласования() 
```
</details>

## ИнициализироватьДополнительныеПараметрыСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение структуры дополнительных параметров СтруктураПараметровВход.
// В случае пустых значений, производит инициализацию. Возвращает заполненную копию.
Функция ИнициализироватьДополнительныеПараметрыСогласования(СтруктураПараметровВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ИнициализироватьДополнительныеПараметрыСогласования(СтруктураПараметровВход) 
```
</details>

## ОбработкаЭтапаАвтоУтверждение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку этапа ЭтапПроцессаВход автоотклонения.
Процедура ОбработкаЭтапаАвтоУтверждение(ДокументПроцессаВход, ОрганизацияВход, ЭтапПроцессаВход, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОбработкаЭтапаАвтоУтверждение(ДокументПроцессаВход, ОрганизацияВход, ЭтапПроцессаВход, ДополнительныеПараметры));
```
</details>

## ОбработкаЭтапаАвтоОтклонение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку этапа ЭтапПроцессаВход автоутверждения.
Процедура ОбработкаЭтапаАвтоОтклонение(ДокументПроцессаВход, ОрганизацияВход, ЭтапПроцессаВход, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОбработкаЭтапаАвтоОтклонение(ДокументПроцессаВход, ОрганизацияВход, ЭтапПроцессаВход, ДополнительныеПараметры));
```
</details>

## ОбработатьОшибкуЭтапаОбработка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку ошибки этапа ЭтапПроцессаВход процесса ДокументПроцессаВход типом Обработка.
// Отправляет оповещение администратору процесса о том, что произошла ошибка с текстом ТекстОшибкиВход,
// а также добавляет задачу на ручное завершение этапа.
Процедура ОбработатьОшибкуЭтапаОбработка(ДокументПроцессаВход, ЭтапПроцессаВход, ТекстОшибкиВход, ОрганизацияВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОбработатьОшибкуЭтапаОбработка(ДокументПроцессаВход, ЭтапПроцессаВход, ТекстОшибкиВход, ОрганизацияВход));
```
</details>

## ОбработатьЭтапОбработка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку этапа ЭтапПроцесса обработка.
Процедура ОбработатьЭтапОбработка(ДокументПроцесса, Организация, ЭтапПроцесса, НужнаДальнейшаяОбработка, ФлагОшибки, ДополнительныеПараметры ) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОбработатьЭтапОбработка(ДокументПроцесса, Организация, ЭтапПроцесса, НужнаДальнейшаяОбработка, ФлагОшибки, ДополнительныеПараметры ));
```
</details>

## ПринятьЭтапКИсполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура принимает этап к исполнению для конкретного пользователя.
Процедура ПринятьЭтапКИсполнению(ДокументПроцесса, Организация, ЭтапПроцесса, ПользовательВход = Неопределено, Комментарий, Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПринятьЭтапКИсполнению(ДокументПроцесса, Организация, ЭтапПроцесса, ПользовательВход, Комментарий, );
```
</details>

## ОтменитьПринятиеКИсполнению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура отменяет принятие этапа к исполнению для конкретного пользователя.
Процедура ОтменитьПринятиеКИсполнению(ДокументПроцесса, Организация, ЭтапПроцесса, ПользовательВход = Неопределено, Комментарий, Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОтменитьПринятиеКИсполнению(ДокументПроцесса, Организация, ЭтапПроцесса, ПользовательВход, Комментарий, );
```
</details>

## ИнициироватьСогласованиеЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура инициирует согласование этапа.
Процедура ИнициироватьСогласованиеЭтапа(ДокументПроцесса, Организация, ЭтапПроцесса, Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ИнициироватьСогласованиеЭтапа(ДокументПроцесса, Организация, ЭтапПроцесса, );
```
</details>

## УстановитьСостояниеТекущегоЭтапаЗавершен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура  УстановитьСостояниеТекущегоЭтапаЗавершен(ЭтапПроцесса,ДокументУправленияПроцессом) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УстановитьСостояниеТекущегоЭтапаЗавершен(ЭтапПроцесса, ДокументУправленияПроцессом) 
```
</details>

## УстановитьСостояниеТекущегоЭтапаВОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура  УстановитьСостояниеТекущегоЭтапаВОбработке(ЭтапПроцесса,ДокументУправленияПроцессом) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УстановитьСостояниеТекущегоЭтапаВОбработке(ЭтапПроцесса, ДокументУправленияПроцессом) 
```
</details>

## УстановитьСостояниеТекущегоЭтапаНеАктивен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура  УстановитьСостояниеТекущегоЭтапаНеАктивен(ЭтапПроцесса,ДокументУправленияПроцессом) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УстановитьСостояниеТекущегоЭтапаНеАктивен(ЭтапПроцесса, ДокументУправленияПроцессом) 
```
</details>

## УстановитьСостояниеТекущегоЭтапаЗавершенСОшибкой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура  УстановитьСостояниеТекущегоЭтапаЗавершенСОшибкой(ЭтапПроцесса,ДокументУправленияПроцессом) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УстановитьСостояниеТекущегоЭтапаЗавершенСОшибкой(ЭтапПроцесса, ДокументУправленияПроцессом) 
```
</details>

## УтвердитьДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УтвердитьДокумент(КлючевойОбъектПроцесса, ТекстСообщения, ЭтапПроцессаВход = Неопределено, ЗавершитьПроцессВход = Истина) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УтвердитьДокумент(КлючевойОбъектПроцесса, ТекстСообщения, ЭтапПроцессаВход, ЗавершитьПроцессВход);
```
</details>

## ЭтапыСогласованияДляТекущегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтапыСогласованияДляТекущегоПользователя(ОбъектСогласования, СписокЗадачВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЭтапыСогласованияДляТекущегоПользователя(ОбъектСогласования, СписокЗадачВход);
```
</details>

## МассивЭтаповСогласованияДляТекущегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив, содеращий активные этапы согласования по объекту
// ОбъектСогласованиядля текущего пользователя. Когда задан параметр
// СписокЗадачВход, будет дополнительно произведен отбор по списку задач.
Функция МассивЭтаповСогласованияДляТекущегоПользователя(ОбъектСогласованияВход, СписокЗадачВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.МассивЭтаповСогласованияДляТекущегоПользователя(ОбъектСогласованияВход, СписокЗадачВход);
```
</details>

## МассивТиповЭтаповСогласованияДляТекущегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив, содеращий типы активных этапов согласования по объекту
// ОбъектСогласованиядля текущего пользователя. Когда задан параметр
// СписокЗадачВход, будет дополнительно произведен отбор по списку задач.
Функция МассивТиповЭтаповСогласованияДляТекущегоПользователя(ОбъектСогласованияВход, СписокЗадачВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.МассивТиповЭтаповСогласованияДляТекущегоПользователя(ОбъектСогласованияВход, СписокЗадачВход);
```
</details>

## ОтобратьЭтапыПоЗадачам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возврщает копию таблицы ТаблицаЭтаповВход, в которой оставлены только задачи
// из списка СписокЗадачВход.
Функция ОтобратьЭтапыПоЗадачам(ТаблицаЭтаповВход, СписокЗадачВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОтобратьЭтапыПоЗадачам(ТаблицаЭтаповВход, СписокЗадачВход));
```
</details>

## ОтветственныеПоОбъектуСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу этапов с ответственными по объекту согласования ОбъектСогласованияВход.
Функция ОтветственныеПоОбъектуСогласования(ОбъектСогласованияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОтветственныеПоОбъектуСогласования(ОбъектСогласованияВход) 
```
</details>

## ЭтапыСогласованияДляПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтапыСогласованияДляПользователя(ОбъектСогласования, Пользователь, ДобавлятьЗаместителейВход = Истина, СписокЗадачВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЭтапыСогласованияДляПользователя(ОбъектСогласования, Пользователь, ДобавлятьЗаместителейВход, СписокЗадачВход);
```
</details>

## ОтветственныеПользователиПоОбъектуСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтветственныеПользователиПоОбъектуСогласования(ОбъектСогласования, СписокЗадачВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОтветственныеПользователиПоОбъектуСогласования(ОбъектСогласования, СписокЗадачВход);
```
</details>

## ПолучитьИсполнителяСУчетомЗамещения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИсполнителяСУчетомЗамещения(Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьИсполнителяСУчетомЗамещения(Пользователь) 
```
</details>

## ПолучитьЗамещаемых
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно получает заместителей пользователя Пользователь и добавлеят
// их в список значений СписокЗаместителей. Параметр ГлубинаРекурсии защищает
// от бесконечной рекурсии.
Процедура ПолучитьЗамещаемых(Пользователь, СписокЗаместителей, ГлубинаРекурсии = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПолучитьЗамещаемых(Пользователь, СписокЗаместителей, ГлубинаРекурсии);
```
</details>

## ПолучитьЗаместителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно добавляет в список СписокЗаместителей заместителей пользователя ПользовательВход.
// Параметр ГлубинаРекурсии защищает от бесконечной рекурсии.
Процедура ПолучитьЗаместителей(ПользовательВход, СписокЗаместителей, ГлубинаРекурсии = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПолучитьЗаместителей(ПользовательВход, СписокЗаместителей, ГлубинаРекурсии);
```
</details>

## ПолучитьЗаместителейСЗамещаемыми
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно добавляет в массив МассивЗаместителей структуру, содержащую заместителей пользователя
// ПользовательВход, а также самого пользователя. Параметр ГлубинаРекурсии защищает от бесконечной рекурсии.
Процедура ПолучитьЗаместителейСЗамещаемыми(ПользовательВход, МассивЗаместителей, ГлубинаРекурсии = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПолучитьЗаместителейСЗамещаемыми(ПользовательВход, МассивЗаместителей, ГлубинаРекурсии);
```
</details>

## ПолучитьИсториюСогласованияЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИсториюСогласованияЭтапа(ЭтапПроцесса, ОбъектСогласования) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьИсториюСогласованияЭтапа(ЭтапПроцесса, ОбъектСогласования) 
```
</details>

## ВернутьПоследнегоПользователяСогласовавшегоОтчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьПоследнегоПользователяСогласовавшегоОтчет(ЭкземплярОтчета) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВернутьПоследнегоПользователяСогласовавшегоОтчет(ЭкземплярОтчета) 
```
</details>

## ПолучитьТипСогласуемогоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТипСогласуемогоОбъекта(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТипСогласуемогоОбъекта(Ссылка) 
```
</details>

## УтвердитьЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УтвердитьЭтап(Форма, ТекущийЭтап, Ссылка=Неопределено, ПользовательВход = Неопределено, ЗамещениеВход = Ложь, Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.УтвердитьЭтап(Форма, ТекущийЭтап, Ссылка, ПользовательВход, ЗамещениеВход, );
```
</details>

## УтвержденыВсеЭтапыВМассиве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УтвержденыВсеЭтапыВМассиве(МассивЭтаповВход, ДокументПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.УтвержденыВсеЭтапыВМассиве(МассивЭтаповВход, ДокументПроцессаВход));
```
</details>

## ОчиститьМассивЭтаповПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет из массива МассивВход, куда перейдёт согласование, те этапы,
// которые не выполнены полностью
Функция ОчиститьМассивЭтаповПерехода(МассивВход, ДокументПроцессаВход, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОчиститьМассивЭтаповПерехода(МассивВход, ДокументПроцессаВход, ДополнительныеПараметры);
```
</details>

## ТипыЭтаповБезУчастияПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает типы этапов, не трубеющих участия пользователя.
Функция ТипыЭтаповБезУчастияПользователя() Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ТипыЭтаповБезУчастияПользователя() 
```
</details>

## ЕстьОтклоненныеЭтапыПоПроцессуСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, есть ли по процессу ДокументПроцессаВход этапы со статусом Отклонён.
Функция ЕстьОтклоненныеЭтапыПоПроцессуСогласования(ДокументПроцессаВход, МассивЭтапов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЕстьОтклоненныеЭтапыПоПроцессуСогласования(ДокументПроцессаВход, МассивЭтапов);
```
</details>

## ПерейтиНаСледующиеЭтапы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПерейтиНаСледующиеЭтапы(ДокументПроцесса, Организация = Неопределено, ЭтапПроцесса, Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПерейтиНаСледующиеЭтапы(ДокументПроцесса, Организация, ЭтапПроцесса, );
```
</details>

## ПолучитьКомментарийСистемыЗамещаемого
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст комментарий системы для замещения пользователя ПользовательВход.
Функция ПолучитьКомментарийСистемыЗамещаемого(ПользовательВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьКомментарийСистемыЗамещаемого(ПользовательВход) 
```
</details>

## ДополнитьКомментарийЗамещающего
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текст комментария, дополненный при необходимости текстом о замещении пользователем ПользовательВход
// по ДокументПроцессаВход и ЭтапПроцессаВход.
Функция ДополнитьКомментарийЗамещающего(ДокументПроцессаВход, ЭтапПроцессаВход, ПользовательВход, КомментарийВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ДополнитьКомментарийЗамещающего(ДокументПроцессаВход, ЭтапПроцессаВход, ПользовательВход, КомментарийВход) 
```
</details>

## ОчиститьНепройденныеЭтапы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию массива этапов МассивВход, содержащую только те этапы, которые
// были пройдены в ходе согласования по документу ДокументПроцессаВход.
Функция ОчиститьНепройденныеЭтапы(ДокументПроцессаВход, МассивВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОчиститьНепройденныеЭтапы(ДокументПроцессаВход, МассивВход) 
```
</details>

## УтвердитьЭтапПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УтвердитьЭтапПроцесса(ДокументПроцесса, Организация = Неопределено, ЭтапПроцесса, Комментарий, Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.УтвердитьЭтапПроцесса(ДокументПроцесса, Организация, ЭтапПроцесса, Комментарий, );
```
</details>

## ОтклонитьЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтклонитьЭтап(Форма,ТекущийЭтап,Ссылка=Неопределено, ПользовательВход = Неопределено, ЗамещениеВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОтклонитьЭтап(Форма, ТекущийЭтап, Ссылка, ПользовательВход, ЗамещениеВход);
```
</details>

## ЗапущенПроцессСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗапущенПроцессСогласования(ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЗапущенПроцессСогласования(ОбъектСсылка) 
```
</details>

## ПолучитьТекущийЭтапСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Получает текущий этап согласования по ссылке
Функция ПолучитьТекущийЭтапСогласования(ОбъектСсылка, ДокументПроцесса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТекущийЭтапСогласования(ОбъектСсылка, ДокументПроцесса);
```
</details>

## ПолучитьЗавершенныеЭтапы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает завершенные этапы процесса.
// Этапы, на которых выполнен переход "На шаг назад" не учитываются.
Функция ПолучитьЗавершенныеЭтапы(ОбъектСсылка, ДокументПроцесса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьЗавершенныеЭтапы(ОбъектСсылка, ДокументПроцесса);
```
</details>

## ПолучитьПользователейПоРоли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПользователейПоРоли(Роль,Организация,Проект=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьПользователейПоРоли(Роль, Организация, Проект);
```
</details>

## ДокументПолностьюСогласован
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ДокументПолностьюСогласован(ЭкземплярОтчета) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ДокументПолностьюСогласован(ЭкземплярОтчета) 
```
</details>

## ВозможноПроведениеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВозможноПроведениеОбъекта(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВозможноПроведениеОбъекта(Ссылка) 
```
</details>

## ПолучитьКоличествоРеквизитовСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество реквизитов, необходимых для согласования,
// которые есть на форме Форма.
Функция ПолучитьКоличествоРеквизитовСогласования(Форма) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьКоличествоРеквизитовСогласования(Форма));
```
</details>

## СогласующийНеОпределенПредставление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает текстовое представление маркера Согласующий не определён.
Функция СогласующийНеОпределенПредставление() Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СогласующийНеОпределенПредставление());
```
</details>

## ЭтоИнициаторСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, является ли текущий пользователь инициатором по объекту ОбъектСогласованияВход.
Функция ЭтоИнициаторСогласования(ОбъектСогласованияВход, Исполняющий = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЭтоИнициаторСогласования(ОбъектСогласованияВход, Исполняющий);
```
</details>

## ОпределитьСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьСостояние(Форма, ОбновитьОтветственныхВход = Ложь) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОпределитьСостояние(Форма, ОбновитьОтветственныхВход);
```
</details>

## НетЭтаповВОбработкеПоПроцессуСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НетЭтаповВОбработкеПоПроцессуСогласования(ДокументПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.НетЭтаповВОбработкеПоПроцессуСогласования(ДокументПроцесса) 
```
</details>

## УстановитьСостояниеЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьСостояниеЭтапа(ЭтапПроцесса, ДокументПроцесса, ЧислоСогласованныхЭтаповПредшественников) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УстановитьСостояниеЭтапа(ЭтапПроцесса, ДокументПроцесса, ЧислоСогласованныхЭтаповПредшественников) 
```
</details>

## ОтменитьСогласованиеЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет согласование этапа ЭтапПроцесса по процессу ДокументПроцесса в этапе для организации
// Организация в регистре ВыполнениеПроцессов.
Функция ОтменитьСогласованиеЭтапа(ДокументПроцесса, ЭтапПроцесса, Организация, ПользовательВход = Неопределено, Комментарий = "", СостояниеЭтапа = Неопределено, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОтменитьСогласованиеЭтапа(ДокументПроцесса, ЭтапПроцесса, Организация, ПользовательВход, Комментарий, СостояниеЭтапа, ДополнительныеПараметры);
```
</details>

## ОтклонитьЭтапСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтклонитьЭтапСогласования(ДокументПроцесса, Организация = Неопределено, ЭтапПроцесса, Комментарий, ПользовательВход = Неопределено, СостояниеЭтапа = Неопределено, ТолькоПройденные = Ложь, ДополнительныеПараметры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОтклонитьЭтапСогласования(ДокументПроцесса, Организация, ЭтапПроцесса, Комментарий, ПользовательВход, СостояниеЭтапа, ТолькоПройденные, ДополнительныеПараметры);
```
</details>

## ПроверитьВозможностьЗапускаПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьЗапускаПроцесса(ОбъектСсылкаВход, ИсполнительВход, СогласующийВход, Отказ) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьВозможностьЗапускаПроцесса(ОбъектСсылкаВход, ИсполнительВход, СогласующийВход, Отказ));
```
</details>

## ПолучитьПараметрыЗапускаПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру необходимых параметров для запуска процесса из формы Форма
// или по ссылке Ссылка.
Функция ПолучитьПараметрыЗапускаПроцесса(Форма = Неопределено, Ссылка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьПараметрыЗапускаПроцесса(Форма, Ссылка);
```
</details>

## ПринятьКОбработке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПринятьКОбработке(Форма = Неопределено, Ссылка = Неопределено, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПринятьКОбработке(Форма, Ссылка, Отказ);
```
</details>

## УстановитьТекущегоОтветственного
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьТекущегоОтветственного(Форма) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УстановитьТекущегоОтветственного(Форма) 
```
</details>

## ВернутьДокументНаДоработку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьДокументНаДоработку(Форма, ТекущийЭтап, Ссылка=Неопределено, ПользовательВход = Неопределено, ЗамещениеВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВернутьДокументНаДоработку(Форма, ТекущийЭтап, Ссылка, ПользовательВход, ЗамещениеВход);
```
</details>

## ВернутьНаДоработку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВернутьНаДоработку(Ссылка, ТекстВозврата, ПользовательВход = Неопределено, СтруктураЭтапаВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ВернутьНаДоработку(Ссылка, ТекстВозврата, ПользовательВход, СтруктураЭтапаВход) 
```
</details>

## ВернутьСостояниеСогласованияОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСостояниеСогласованияОбъекта(Объект) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВернутьСостояниеСогласованияОбъекта(Объект) 
```
</details>

## ПриУтвержденииВсехЭтаповМаршрутаСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПриУтвержденииВсехЭтаповМаршрутаСогласования(ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПриУтвержденииВсехЭтаповМаршрутаСогласования(ОбъектСсылка));
```
</details>

## УстановитьДоступностьЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьДоступностьЭлементов(Форма,Доступность,СхемаДоступностиРеквизитов=Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УстановитьДоступностьЭлементов(Форма, Доступность, СхемаДоступностиРеквизитов);
```
</details>

## ВернутьЦФОПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьЦФОПоОбъекту(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВернутьЦФОПоОбъекту(Ссылка) 
```
</details>

## СоздатьЭтапАвтоМаршрута
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьЭтапАвтоМаршрута() Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СоздатьЭтапАвтоМаршрута());
```
</details>

## ПолучитьПолучателейОповещенияОтменыСогласованияИнициатором
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пользоваталей, которым будет отправлено оповещение
// об отмене согласования объекта СсылкаНаОбъектВход инициатором.
Функция ПолучитьПолучателейОповещенияОтменыСогласованияИнициатором(СсылкаНаОбъектВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьПолучателейОповещенияОтменыСогласованияИнициатором(СсылкаНаОбъектВход));
```
</details>

## РазрешеноОтменитьПроцессИнициатором
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, разрешено ли в данный момент инициатору отменить процесс по объекту СсылкаНаОбъектВход.
Функция РазрешеноОтменитьПроцессИнициатором(СсылкаНаОбъектВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.РазрешеноОтменитьПроцессИнициатором(СсылкаНаОбъектВход));
```
</details>

## ОтменитьСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтменитьСогласование(Форма = Неопределено, Ссылка = Неопределено, ОтменятьПроведениеВход = Истина, ТекстОповещенияСогласующимВход = "", Отказ = Ложь, МожноОтменитьСогласование = Ложь) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОтменитьСогласование(Форма, Ссылка, ОтменятьПроведениеВход, ТекстОповещенияСогласующимВход, Отказ, МожноОтменитьСогласование);
```
</details>

## ОтменитьСогласованиеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтменитьСогласованиеОбъекта(ОбъектСсылка, ОтменятьПроведениеВход = Истина, ЭтапПроцесса = Неопределено, ТекстОповещенияСогласующимВход = "") Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОтменитьСогласованиеОбъекта(ОбъектСсылка, ОтменятьПроведениеВход, ЭтапПроцесса, ТекстОповещенияСогласующимВход);
```
</details>

## ПроверитьНеобходимостьОтменыПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьНеобходимостьОтменыПроведения(ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьНеобходимостьОтменыПроведения(ОбъектСсылка));
```
</details>

## УдалитьЗаписиВРегистреСостояний
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура  УдалитьЗаписиВРегистреСостояний(Ссылка) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УдалитьЗаписиВРегистреСостояний(Ссылка) 
```
</details>

## ПолучитьЗначениеОтветственныхИзТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значения ответственных в таблице ТаблицаОтветственныхВход по колонке
// ТипОтветственногоВход. Когда указан один ответственный - будет возвращён он, иначе -
// массив ответственных.
Функция ПолучитьЗначениеОтветственныхИзТаблицы(ТаблицаОтветственныхВход, ТипОтветственногоВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьЗначениеОтветственныхИзТаблицы(ТаблицаОтветственныхВход, ТипОтветственногоВход));
```
</details>

## ВернутьСтрокиОтветственныхСМаксимальнымПриоритетом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию таблицы ТаблицаВход, отобранную по максимальному значению поля
// Приоритет.
Функция ВернутьСтрокиОтветственныхСМаксимальнымПриоритетом(ТаблицаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВернутьСтрокиОтветственныхСМаксимальнымПриоритетом(ТаблицаВход));
```
</details>

## ПолучитьТаблицуОтветственныхПоМатрицеПолномочий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений, содержащих ответственных из матрицы полномочий по
// настройкам входных параметров.
Функция ПолучитьТаблицуОтветственныхПоМатрицеПолномочий(РазделятьПоОрганизациямВход, РазделятьПоПроектамВход, ОрганизацияВход, ПроектВход, МетаданныеВход, ШаблонДокументаБдВход, ВерсияРегламентаВход, КлючевойОбъектПроцесса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуОтветственныхПоМатрицеПолномочий(РазделятьПоОрганизациямВход, РазделятьПоПроектамВход, ОрганизацияВход, ПроектВход, МетаданныеВход, ШаблонДокументаБдВход, ВерсияРегламентаВход, КлючевойОбъектПроцесса);
```
</details>

## РазрешитьОтветственноеЛицо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ответственного, выбирая его между пользователем ПользовательВход
// и ролью РольВход.
Функция РазрешитьОтветственноеЛицо(ПользовательВход, РольВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.РазрешитьОтветственноеЛицо(ПользовательВход, РольВход));
```
</details>

## ПолучитьОтветственногоЗаТипОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтветственногоЗаТипОбъекта(ОбъектВход, Знач Организация=Неопределено, Проект = Неопределено, ШаблонДокументаБД=Неопределено, ТипОтветственного=Неопределено, ВыгружатьСвернуто=Ложь, ДополнительныеПараметрыВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьОтветственногоЗаТипОбъекта(ОбъектВход, Организация, Проект, ШаблонДокументаБД, ТипОтветственного, ВыгружатьСвернуто, ДополнительныеПараметрыВход);
```
</details>

## ПроцессЗаверщен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПроцессЗаверщен(КлючевойОбъектПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроцессЗаверщен(КлючевойОбъектПроцесса) 
```
</details>

## РуководительПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По настройкам расширенной адресации АдресацияВход получет рукводителя пользоавтеля ПользовательВход
// по структуре реквизита РеквизитСогласованияВход.
Функция РуководительПользователя(ПользовательВход, АдресацияВход, РеквизитСогласованияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.РуководительПользователя(ПользовательВход, АдресацияВход, РеквизитСогласованияВход));
```
</details>

## ПользовательИзРеквизитаРасширеннаяАдресация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет расшифровку расширенной адресации для вида адресации ПользовательИзРеквизита.
Процедура ПользовательИзРеквизитаРасширеннаяАдресация(ДокументПроцессаВход, АдресацияВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПользовательИзРеквизитаРасширеннаяАдресация(ДокументПроцессаВход, АдресацияВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм));
```
</details>

## ИнициаторПроцессаРасширеннаяАдресация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет расшифровку расширенной адресации для вида адресации ИнициаторПроцесса.
Процедура ИнициаторПроцессаРасширеннаяАдресация(ДокументПроцессаВход, АдресацияВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ИнициаторПроцессаРасширеннаяАдресация(ДокументПроцессаВход, АдресацияВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм));
```
</details>

## ПроизвольныйКодРасширеннаяАдресация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет расшифровку расширенной адресации для вида адресации ПроизвольныйКод.
Процедура ПроизвольныйКодРасширеннаяАдресация(ДокументПроцессаВход, АдресацияВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроизвольныйКодРасширеннаяАдресация(ДокументПроцессаВход, АдресацияВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм));
```
</details>

## ПолучитьОтветственныхПоРоли
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вовзращает массив ответственных за роль РольВход для объекта ролевой адресации
// ОбъектРолевойАдресацииВход.
Функция ПолучитьОтветственныхПоРоли(ОбъектРолевойАдресацииВход, РольВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьОтветственныхПоРоли(ОбъектРолевойАдресацииВход, РольВход));
```
</details>

## РольПоРеквизитуРасширеннаяАдресация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет расшифровку расширенной адресации для вида адресации РольПоРеквизиту.
Процедура РольПоРеквизитуРасширеннаяАдресация(АдресацияВход, ДокументПроцессаВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.РольПоРеквизитуРасширеннаяАдресация(АдресацияВход, ДокументПроцессаВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм));
```
</details>

## РольПоФиксированномуОбъектуРасширеннаяАдресация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет расшифровку расширенной адресации для вида адресации РольПоФиксированномуОбъекту.
Процедура РольПоФиксированномуОбъектуРасширеннаяАдресация(АдресацияВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.РольПоФиксированномуОбъектуРасширеннаяАдресация(АдресацияВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм));
```
</details>

## РасшифроватьРасширеннуюАдресацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заменяет в таблице ответственных ТабОтветственныхИзм расширенную адресацию пользоавтелями
// для строки таблицы СтрокаОтветственныхВход по документу ДокументПроцессаВход, попутно
// изменяя представление в СтрокаПредставленияИзм.
Процедура РасшифроватьРасширеннуюАдресацию(ДокументПроцессаВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.РасшифроватьРасширеннуюАдресацию(ДокументПроцессаВход, СтрокаОтветственныхВход, ТабОтветственныхИзм, СтрокаПредставленияИзм) 
```
</details>

## РасшифроватьРолиОтветственных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РасшифроватьРолиОтветственных(ДокументПроцессаВход, ТабОтветственных,ТекОрганизация,СтрокаПредставления="") Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.РасшифроватьРолиОтветственных(ДокументПроцессаВход, ТабОтветственных, ТекОрганизация, СтрокаПредставления);
```
</details>

## ВернутьТаблицуСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТаблицуСогласования(ШаблонПроцесса, ТекущийДокумент) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВернутьТаблицуСогласования(ШаблонПроцесса, ТекущийДокумент) 
```
</details>

## ПолучитьОбщийСтатусДляСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОбщийСтатусДляСогласования(ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьОбщийСтатусДляСогласования(ОбъектСсылка)  
```
</details>

## ПолучитьСоответствиеСостоянийОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоответствиеСостоянийОбъекта(Знач ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьСоответствиеСостоянийОбъекта(ОбъектСсылка)  
```
</details>

## ПолучитьРеквизитСостоянияОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРеквизитСостоянияОбъекта(ОбъектСогласования) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьРеквизитСостоянияОбъекта(ОбъектСогласования) 
```
</details>

## ОтклонитьВложенныйПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтклонитьВложенныйПроцесс(ДокументПроцесса) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОтклонитьВложенныйПроцесс(ДокументПроцесса) 
```
</details>

## УтвердитьВложенныйПроцесс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УтвердитьВложенныйПроцесс(ДокументПроцесса) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УтвердитьВложенныйПроцесс(ДокументПроцесса) 
```
</details>

## ОтправитьНаСогласованиеПриПроведенииДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура при проведении документа пытается стартовать процесс,
// или же устанавливает статус "Утверждено", если установлен флаг "Вне маршрута"
//
// Параметры:
//  ДокументОбъект	 - ДокументОбъект.ЗаявкаНаОперацию, ДокументОбъект.РеестрПлатежей, ДокументОбъект.Резервирование бюджета -
//  проводимый документ
//
Процедура ОтправитьНаСогласованиеПриПроведенииДокумента(ДокументОбъект, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОтправитьНаСогласованиеПриПроведенииДокумента(ДокументОбъект, Отказ);
```
</details>

## ПользователиОтклонившиеЭтап
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПользователиОтклонившиеЭтап(ДокументПроцесса, ЭтапПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПользователиОтклонившиеЭтап(ДокументПроцесса, ЭтапПроцесса));
```
</details>

## ПровестиАнализПереходов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ ОБРАБОТКИ ПЕРЕХОДА.
//

Процедура ПровестиАнализПереходов(ТаблицаПереходов, ЭтапыМаршрута, ИсходныйЭтап) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПровестиАнализПереходов(ТаблицаПереходов, ЭтапыМаршрута, ИсходныйЭтап));
```
</details>

## ОтобратьВыбранныеЭтапыРучногоПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает копию массив этапов МассивЭтаповВход, в которых оставлены только те этапы, которые были выбраны
// пользователями этапа ручной переход.
Функция ОтобратьВыбранныеЭтапыРучногоПерехода(ДокументПроцессаВход, МассивЭтаповВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОтобратьВыбранныеЭтапыРучногоПерехода(ДокументПроцессаВход, МассивЭтаповВход));
```
</details>

## ПровестиПереходыПоЭтапам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПровестиПереходыПоЭтапам(ДокументПроцесса, НаборЗаписей, МассивТекущихЭтапов, ОбщийМассивЭтапов, ЭкземплярОтчета, Знач ИндексПерехода, Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПровестиПереходыПоЭтапам(ДокументПроцесса, НаборЗаписей, МассивТекущихЭтапов, ОбщийМассивЭтапов, ЭкземплярОтчета, ИндексПерехода, );
```
</details>

## ОтменитьСогласованиеПоследующихЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтменитьСогласованиеПоследующихЭтапов(ДокументПроцесса, ЭтапПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОтменитьСогласованиеПоследующихЭтапов(ДокументПроцесса, ЭтапПроцесса) 
```
</details>

## ПроверитьСогласованиеПредшественниковДляЭтапаСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСогласованиеПредшественниковДляЭтапаСогласования(ДокументПроцесса, ЭтапПроцесса, СостояниеЭтапа) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьСогласованиеПредшественниковДляЭтапаСогласования(ДокументПроцесса, ЭтапПроцесса, СостояниеЭтапа) 
```
</details>

## ПолучитьМассивИерархии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивИерархии(ОрганизационнаяЕдиница, Сценарий, Период) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьМассивИерархии(ОрганизационнаяЕдиница, Сценарий, Период) 
```
</details>

## ПолучитьМассивИерархии_ПоВерсииОрганизационнойСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивИерархии_ПоВерсииОрганизационнойСтруктуры(ОрганизационнаяЕдиница, ВерсияРегламентовПодготовкиОтчетности) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьМассивИерархии_ПоВерсииОрганизационнойСтруктуры(ОрганизационнаяЕдиница, ВерсияРегламентовПодготовкиОтчетности) 
```
</details>

## ПодготовитьСтруктуруЛимитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьСтруктуруЛимитов(СтруктураЛимитов, Документ) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПодготовитьСтруктуруЛимитов(СтруктураЛимитов, Документ));
```
</details>

## ВернутьПостроительЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьПостроительЗапроса(Объект, МассивРеквизитов, ИндексРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВернутьПостроительЗапроса(Объект, МассивРеквизитов, ИндексРеквизита));
```
</details>

## ДополнитьЗапросДополнительнымиРеквизитамиИСведениями
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьЗапросДополнительнымиРеквизитамиИСведениями(Объект, МетаданныеОбъекта, Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ДополнитьЗапросДополнительнымиРеквизитамиИСведениями(Объект, МетаданныеОбъекта, );
```
</details>

## СравнитьЧислаПоВидуСравнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СравнитьЧислаПоВидуСравнения(ТекВидСравнения, ПервоеЧисло, ВтороеЧисло) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СравнитьЧислаПоВидуСравнения(ТекВидСравнения, ПервоеЧисло, ВтороеЧисло) 
```
</details>

## ОбработатьСпособПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьСпособПерехода(Строки, ЭкземплярОтчета, МассивЭтапов, ДляПроверки = Ложь,Инициализация=Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОбработатьСпособПерехода(Строки, ЭкземплярОтчета, МассивЭтапов, ДляПроверки, Инициализация, );
```
</details>

## ПроверкаУсловияПереходаСПараметром
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет условие перехода СтрокаВход, представленное параметром в документе процесса ДокументВход по
// таблице значений параметров ТаблицаЗначенийТекущихПараметровВход. Возвращает результат проверки условия.
Функция ПроверкаУсловияПереходаСПараметром(СтрокаВход, ДокументВход, ИнициализацияВход, ТаблицаЗначенийТекущихПараметровВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверкаУсловияПереходаСПараметром(СтрокаВход, ДокументВход, ИнициализацияВход, ТаблицаЗначенийТекущихПараметровВход));
```
</details>

## ПроверкаУсловияПерехода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверкаУсловияПерехода(ПостроительЗапроса, МассивВидовАналитик,  Строка, Документ, СтруктураЛимитов, Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверкаУсловияПерехода(ПостроительЗапроса, МассивВидовАналитик, Строка, Документ, СтруктураЛимитов, );
```
</details>

## ПроверитьОтборПоПостроителюЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьОтборПоПостроителюЗапроса(ПостроительЗапроса, Документ, ИмяПоля, Строка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьОтборПоПостроителюЗапроса(ПостроительЗапроса, Документ, ИмяПоля, Строка));
```
</details>

## ПроверитьОтборПоПарамтерическойФункции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьОтборПоПарамтерическойФункции(СтруктураПараметров,ФункцияСтрока,СтрокаОтбора) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьОтборПоПарамтерическойФункции(СтруктураПараметров, ФункцияСтрока, СтрокаОтбора));
```
</details>

## ПроверитьОтборПоИсточникуДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция  ПроверитьОтборПоИсточникуДанных(СтруктураПараметров, ИсточникСтрока, СтрокаОтбора, ДокументПроцесса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьОтборПоИсточникуДанных(СтруктураПараметров, ИсточникСтрока, СтрокаОтбора, ДокументПроцесса);
```
</details>

## ПроверитьОтборПоЗначениюПараметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьОтборПоЗначениюПараметра(ЗначениеПараметра, СтрокаОтбора) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьОтборПоЗначениюПараметра(ЗначениеПараметра, СтрокаОтбора));
```
</details>

## ПолучитьИсточникПоШаблону
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИсточникПоШаблону(ШаблонПроцесса,Наименование) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьИсточникПоШаблону(ШаблонПроцесса, Наименование));
```
</details>

## ОбработатьПроводящийсяДокумент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Осуществляет проведение/распроведение документа СсылкаВход.
Процедура ОбработатьПроводящийсяДокумент(СсылкаВход, УтвердитьВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОбработатьПроводящийсяДокумент(СсылкаВход, УтвердитьВход));
```
</details>

## ПолучитьТаблицуФормируемыхДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу документов, формируемых в этапе ЭтапВход по параметрам функции.
Функция ПолучитьТаблицуФормируемыхДокументов(ВерсияРегламентаВход, ОрганизацияВход, ПериодВход, СценарийВход, ЭтапВход, ВидДокументаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуФормируемыхДокументов(ВерсияРегламентаВход, ОрганизацияВход, ПериодВход, СценарийВход, ЭтапВход, ВидДокументаВход);
```
</details>

## ОбработатьДокументыЭтапаПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьДокументыЭтапаПоОрганизации(ВерсияРегламента, Период, Сценарий, Этап, Организация, Утвердить, НастройкиОбработкиДокументов, ОстанавливатьсяПриОшибке, ВидДокумента = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОбработатьДокументыЭтапаПоОрганизации(ВерсияРегламента, Период, Сценарий, Этап, Организация, Утвердить, НастройкиОбработкиДокументов, ОстанавливатьсяПриОшибке, ВидДокумента);
```
</details>

## ПолучитьСостояниеОткрытияНовогоЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает состояние, в которое будет переведен этап-последователь ЭтапВход.
Функция ПолучитьСостояниеОткрытияНовогоЭтапа(ЭтапВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьСостояниеОткрытияНовогоЭтапа(ЭтапВход));
```
</details>

## ПолучитьОрганизацииАктивацииЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает соответствие Организаций для активации этапа по организации
// ОрганизацияВход, опираясь на таблицу СостоянияВыполненияПроцесса.
Функция ПолучитьОрганизацииАктивацииЭтапа(ЭтапВход, ОрганизацияВход, СостоянияВыполненияПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьОрганизацииАктивацииЭтапа(ЭтапВход, ОрганизацияВход, СостоянияВыполненияПроцесса) 
```
</details>

## ОткрытьЭтапПоследователь
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОткрытьЭтапПоследователь(ЭтапВход, ОрганизацияВход, ПериодВход, СценарийВход, ВерсияРегламентаВход, ЭкземплярПроцессаВход, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОткрытьЭтапПоследователь(ЭтапВход, ОрганизацияВход, ПериодВход, СценарийВход, ВерсияРегламентаВход, ЭкземплярПроцессаВход, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок));
```
</details>

## ДополнитьМассивКонсолидируемыхОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в массив МассивОрганизаций организации, которые консолидирует организация
// КонсолидирующаяОрганизацияВход, согласно дереву регламента ДеревоВход. Параметр
// ГлубинаРекурсииВход защищает от бесконечной рекурсии.
Процедура ДополнитьМассивКонсолидируемыхОрганизаций(ДеревоВход, КонсолидирующаяОрганизацияВход, МассивОрганизаций, ГлубинаРекурсииВход = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ДополнитьМассивКонсолидируемыхОрганизаций(ДеревоВход, КонсолидирующаяОрганизацияВход, МассивОрганизаций, ГлубинаРекурсииВход);
```
</details>

## МассивОрганизацийКонсолидации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив организаций для консолидации по консолидирующей организации
// КонсолидирующаяОрганизацияВход по сценарию СценарийВход и регламенту
// ВерсияРегламентаВход на текущую дату.
Функция МассивОрганизацийКонсолидации(ВерсияРегламентаВход, СценарийВход, КонсолидирующаяОрганизацияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.МассивОрганизацийКонсолидации(ВерсияРегламентаВход, СценарийВход, КонсолидирующаяОрганизацияВход));
```
</details>

## ПолучитьМассивНеобходимыхОрганизацийПредшественниковЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает все организации, по которым необходимо заполнение этапов-
// предшественников по этапу ЭтапВход и организации ОрганизацияВход.
Функция ПолучитьМассивНеобходимыхОрганизацийПредшественниковЭтапа(ЭтапВход, ОрганизацияВход, СценарийВход, ВерсияРегламентаВход, ПериодВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьМассивНеобходимыхОрганизацийПредшественниковЭтапа(ЭтапВход, ОрганизацияВход, СценарийВход, ВерсияРегламентаВход, ПериодВход));
```
</details>

## ПолучитьМассивЗначенийРодителейСтрокиДерева
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив, содержащий значения полей ИмяКолонкиВход родителей строки
// дерева значений ИмяКолонкиВход.
Функция ПолучитьМассивЗначенийРодителейСтрокиДерева(Знач СтрокаДереваВход, ИмяКолонкиВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьМассивЗначенийРодителейСтрокиДерева(СтрокаДереваВход, ИмяКолонкиВход) 
```
</details>

## ДополнитьМассивКонсолидирующихЭлиминирующихОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет рекурсивно в массив МассивОрганизаций консолидирующие и элиминирующие
// организации для организации ОрганизацияВход из дерева ДеревоВход. Параметр ГлубинаРекурсииВход
// защищает от бесконечной рекурсии.
Процедура ДополнитьМассивКонсолидирующихЭлиминирующихОрганизаций(ДеревоВход, ОрганизацияВход, МассивОрганизаций, ГлубинаРекурсииВход = 0) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ДополнитьМассивКонсолидирующихЭлиминирующихОрганизаций(ДеревоВход, ОрганизацияВход, МассивОрганизаций, ГлубинаРекурсииВход);
```
</details>

## ПолучитьМассивНеобходимыхПоследователейОрганизацийЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив консолидирующих и элиминирующих организаций для,
// организации ОрганизацияВход, которые стоят на этапах-последователях
// этапа ЭтапВход по сценарию СценарийВход, регламенту ВерсияРегламентаВход.
Функция ПолучитьМассивНеобходимыхПоследователейОрганизацийЭтапа(ЭтапВход, ОрганизацияВход, СценарийВход, ВерсияРегламентаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьМассивНеобходимыхПоследователейОрганизацийЭтапа(ЭтапВход, ОрганизацияВход, СценарийВход, ВерсияРегламентаВход));
```
</details>

## ПолучитьТаблицуУтвержденияПредыдущихЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу утверждения необходимых организаций предыдущих этапов
// для этапа ЭтапВход по организации ОрганизацияВход, сценарию СценарийВход,
// в периоде ПериодВход, согласно регламенту ВерсияРегламентаВход.
Функция ПолучитьТаблицуУтвержденияПредыдущихЭтапов(ЭтапВход, ОрганизацияВход, ВерсияРегламентаВход, ПериодВход, СценарийВход, ЭкземплярПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуУтвержденияПредыдущихЭтапов(ЭтапВход, ОрганизацияВход, ВерсияРегламентаВход, ПериодВход, СценарийВход, ЭкземплярПроцессаВход);
```
</details>

## ПолучитьСостоянияЭтаповПоОрганизациям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу, содержащую состояния этапов из массива этапов МассивЭтаповВход,
// в организациях МассивОрганизацийВход (если параметр ЕстьОтборПоОрганизациямВход - Ложь,
// отбор по организациям не накладывается) по регламенту ВерсияРегламентаВход, периоду
// ПериодВход и сценарию СценарийВход.
Функция ПолучитьСостоянияЭтаповПоОрганизациям(МассивОрганизацийВход, ЕстьОтборПоОрганизациямВход, ВерсияРегламентаВход, МассивЭтаповВход, ПериодВход, СценарийВход, ЭкземплярПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьСостоянияЭтаповПоОрганизациям(МассивОрганизацийВход, ЕстьОтборПоОрганизациямВход, ВерсияРегламентаВход, МассивЭтаповВход, ПериодВход, СценарийВход, ЭкземплярПроцессаВход);
```
</details>

## ПолучитьТаблицуУтвержденияПоследующихЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу, содержащую состояния утверждения этапов-последователей
// этапа ЭтапВход по консолидирующим и  элиминирующим организациям для
// организации ОрганизацияВход по регламенту ВерсияРегламентаВход, периоду
// ПериодВход и сценарию СценарийВход.
Функция ПолучитьТаблицуУтвержденияПоследующихЭтапов(ЭтапВход, ОрганизацияВход, ВерсияРегламентаВход, ПериодВход, СценарийВход, ЭкземплярПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуУтвержденияПоследующихЭтапов(ЭтапВход, ОрганизацияВход, ВерсияРегламентаВход, ПериодВход, СценарийВход, ЭкземплярПроцессаВход);
```
</details>

## ПроверитьУтверждениеПредшественников
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает успешность утверждения всех необходимых организаций на ранних этапах для
// исходного этапа ЭтапВход по проверяемой организации ОрганизацияВход в периоде
// ПериодВход, по сценарию СценарийВход и регламенту ВерсияРегламентаВход.
Функция ПроверитьУтверждениеПредшественников(ЭтапВход, ОрганизацияВход, ВерсияРегламентаВход, ПериодВход, СценарийВход, УтвердитьВход, ЭкземплярПроцессаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПроверитьУтверждениеПредшественников(ЭтапВход, ОрганизацияВход, ВерсияРегламентаВход, ПериодВход, СценарийВход, УтвердитьВход, ЭкземплярПроцессаВход);
```
</details>

## ВыделитьИзменяемыеЭтапыВТаблицеПоследователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив этапов-поледователей для, которые не находятся в состоянии
// Запланирован для организации ОрганизацияВход.
Функция ВыделитьИзменяемыеЭтапыВТаблицеПоследователей(ТаблицаСостоянийВход, ТаблицаПоследователейВход, ОрганизацияВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВыделитьИзменяемыеЭтапыВТаблицеПоследователей(ТаблицаСостоянийВход, ТаблицаПоследователейВход, ОрганизацияВход);
```
</details>

## ИзменитьСостояниеЭтаповПоследователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет необходимость снятия обработки с этапов последователей и переводит их в
// состояние Не активен, если такая необходимость есть.
Процедура ИзменитьСостояниеЭтаповПоследователей(ТаблицаСостоянийВход, ТаблицаПоследователейВход, ОрганизацияВход, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ИзменитьСостояниеЭтаповПоследователей(ТаблицаСостоянийВход, ТаблицаПоследователейВход, ОрганизацияВход, ДополнительныеПараметры));
```
</details>

## СброситьВыполнениеЭлиминирующихКонсолидирующихОрганизацийИЭтаповНеПодготовкиОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сбрасывает исполнение всех косолидирующих и элиминирующих организаций для организации
// ОрганизацияВход в этапах-последователях ЭтапВход по регламенту ВерсияРегламентаВход, в
// периоде ПериодВход, сценарии СценарийВход и экземпляру процесса ЭкземплярПроцессаВход.
// А также сбрасывает выполнение у этапов не относящихся к Этапам подготовки отчетности.
Процедура СброситьВыполнениеЭлиминирующихКонсолидирующихОрганизацийИЭтаповНеПодготовкиОтчетности(ЭтапВход, ОрганизацияВход, ВерсияРегламентаВход, ПериодВход, Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.СброситьВыполнениеЭлиминирующихКонсолидирующихОрганизацийИЭтаповНеПодготовкиОтчетности(ЭтапВход, ОрганизацияВход, ВерсияРегламентаВход, ПериодВход, );
```
</details>

## ОткрытьЭтапыПоследователиАвтоматически
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Открывает этапы-последователи из Последователи, если им установлен
// соотвественное автоматическое действие.
Процедура ОткрытьЭтапыПоследователиАвтоматически(Последователи, ОрганизацияВход, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, Период, Сценарий, ВерсияРегламента, ЭкземплярПроцесса) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОткрытьЭтапыПоследователиАвтоматически(Последователи, ОрганизацияВход, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, Период, Сценарий, ВерсияРегламента, ЭкземплярПроцесса));
```
</details>

## ОбработатьКритерийВсеЭкземпляры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет таблицу ТаблицаВыполненияЭтаповВход на возможность закрытия этапа процесса
// подготовки отчётности по критерию Утверждены все экземпляры. Возвращает успешность проверки.
Функция ОбработатьКритерийВсеЭкземпляры(ТаблицаВыполненияЭтаповВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОбработатьКритерийВсеЭкземпляры(ТаблицаВыполненияЭтаповВход));
```
</details>

## ОбработатьКритерийКонтрольныеЭкземпляры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет таблицу ТаблицаВыполненияЭтаповВход на возможность закрытия этапа процесса
// подготовки отчётности по критерию Утверждены контрольные экземпляры. Возвращает
// успешность проверки.
Функция ОбработатьКритерийКонтрольныеЭкземпляры(ТаблицаВыполненияЭтаповВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОбработатьКритерийКонтрольныеЭкземпляры(ТаблицаВыполненияЭтаповВход));
```
</details>

## ОбработатьКритерийЗаполненныеЭкземпляры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет таблицу ТаблицаВыполненияЭтаповВход на возможность закрытия этапа процесса
// подготовки отчётности по критерию Утверждены заполненные экземпляры. Возвращает
// успешность проверки.
Функция ОбработатьКритерийЗаполненныеЭкземпляры(ТаблицаВыполненияЭтаповВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОбработатьКритерийЗаполненныеЭкземпляры(ТаблицаВыполненияЭтаповВход));
```
</details>

## ПроверитьИУтвердитьЭтапИзСтатусаДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, можно ли утвердить этап Этап, исходя из статуса его документов и настроек утверждения.
// В случае успеха устанавливает этапу новый статус.
Процедура ПроверитьИУтвердитьЭтапИзСтатусаДокументов(Организация, ТЗПоследователей, ТекущиеДанные, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроверитьИУтвердитьЭтапИзСтатусаДокументов(Организация, ТЗПоследователей, ТекущиеДанные, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, ДополнительныеПараметры));
```
</details>

## ОбработатьДокументыЭтапаИзменитьСтатусЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет обработку документов этапа Этап и устанавливает состояние этапа в состояние в зависимости от Утвердить.
Функция ОбработатьДокументыЭтапаИзменитьСтатусЭтапов(ОбрабатыватьДокументы, Организация, ТЗПоследователей, УспешноОбработаныДокументыЭтапа, Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОбработатьДокументыЭтапаИзменитьСтатусЭтапов(ОбрабатыватьДокументы, Организация, ТЗПоследователей, УспешноОбработаныДокументыЭтапа, );
```
</details>

## ОбработатьДокументыЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьДокументыЭтапа(СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОбработатьДокументыЭтапа(СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, ДополнительныеПараметры) 
```
</details>

## ПолучитьТаблицуОповещенияТребуетсяЗаполнитьОтчетыПоЭтапу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу исполнителей и аналитик для оповещения ТребуетсяЗаполнитьОтчетыПоЭтапу.
Функция ПолучитьТаблицуОповещенияТребуетсяЗаполнитьОтчетыПоЭтапу(ВерсияРегламентаВход, ОрганизацииВход, ПериодВход, СценарийВход, ЭтапВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуОповещенияТребуетсяЗаполнитьОтчетыПоЭтапу(ВерсияРегламентаВход, ОрганизацииВход, ПериодВход, СценарийВход, ЭтапВход));
```
</details>

## ОповеститьОНеобходимостиЗаполнитьОтчеты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет отправку оповещений исполнителям отчетов о необходимости заполнить
// экземпляр по регламенту ВерсияРегламентаВход, периоду ПериодВход, сценарию
// СценарийВход на этапе подготовки отчетности ЭтапВход, где организации заданы
// в массиве ОрганизацииВход.
Процедура ОповеститьОНеобходимостиЗаполнитьОтчеты(ВерсияРегламентаВход, ОрганизацииВход, ПериодВход, СценарийВход, ЭтапВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОповеститьОНеобходимостиЗаполнитьОтчеты(ВерсияРегламентаВход, ОрганизацииВход, ПериодВход, СценарийВход, ЭтапВход));
```
</details>

## ПреобразоватьОрганизацииОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует ОрганизацииВход в соответствие отбора организаций
Функция ПреобразоватьОрганизацииОтбор(ОрганизацииВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПреобразоватьОрганизацииОтбор(ОрганизацииВход));
```
</details>

## ОбработатьЭтапОповещенияВПодготовкеОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит этап оповещния ЭтапВход в состояние Состояние по регламенту ВерсияРегламента
// в периоде Период по сценарию Сценарий для процесса ЭкземплярПроцесса. Возвращает
// успешность выполнения операции.
Функция ОбработатьЭтапОповещенияВПодготовкеОтчетности(ЭтапВход, Состояние, ВерсияРегламента, Период, Сценарий, ЭкземплярПроцесса, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, АктивироватьПоследователиВход = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОбработатьЭтапОповещенияВПодготовкеОтчетности(ЭтапВход, Состояние, ВерсияРегламента, Период, Сценарий, ЭкземплярПроцесса, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, АктивироватьПоследователиВход);
```
</details>

## ОбработатьЭтапОбработкаВПодготовкеОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Переводит этап обработки Этап в состояние СостояниеВход по регламенту ВерсияРегламента
// в периоде Период, сценарию Сценарий для процесса ЭкземплярПроцесса. Возвращает успешность
// выполнения операции.
Функция ОбработатьЭтапОбработкаВПодготовкеОтчетности(ЭтапВход, СостояниеВход, ВерсияРегламента, Период, Сценарий, ЭкземплярПроцесса, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, АктивироватьПоследователейВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОбработатьЭтапОбработкаВПодготовкеОтчетности(ЭтапВход, СостояниеВход, ВерсияРегламента, Период, Сценарий, ЭкземплярПроцесса, СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, АктивироватьПоследователейВход);
```
</details>

## СформироватьСтруктуруДополнительныхПараметровОбработкиДокументовЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру дополнительных параметров для обработки документов этапа.
Функция СформироватьСтруктуруДополнительныхПараметровОбработкиДокументовЭтапа() Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СформироватьСтруктуруДополнительныхПараметровОбработкиДокументовЭтапа());
```
</details>

## ВыполнитьДействияПоТипуЭтапаПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет действия по этапу подготовки отчетности ЭтапВход согласно типу этапа.
Функция ВыполнитьДействияПоТипуЭтапаПроцесса(СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ВыполнитьДействияПоТипуЭтапаПроцесса(СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, ДополнительныеПараметры));
```
</details>

## СоздатьНедостающиеДокументыЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По структура дополнительных параметров ДополнительныеПараметры создаёт недостающие документы
// для процесса подготовки отчётности.
Процедура СоздатьНедостающиеДокументыЭтапа(ДополнительныеПараметры) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.СоздатьНедостающиеДокументыЭтапа(ДополнительныеПараметры));
```
</details>

## УстановитьСостояниеЭтапаПроцессаОтчетности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УстановитьСостояниеЭтапаПроцессаОтчетности( Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.УстановитьСостояниеЭтапаПроцессаОтчетности();
```
</details>

## ОстанавливатьсяПриОшибке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОстанавливатьсяПриОшибке(Отладка, ОстанавливатьсяПриОшике) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОстанавливатьсяПриОшибке(Отладка, ОстанавливатьсяПриОшике));
```
</details>

## ЭтапУтвержден
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтапУтвержден(Период, Сценарий, Этап) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЭтапУтвержден(Период, Сценарий, Этап));
```
</details>

## ПолучитьСостояниеЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСостояниеЭтапа(Период, Сценарий, Этап, Расширенно = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьСостояниеЭтапа(Период, Сценарий, Этап, Расширенно);
```
</details>

## ПолучитьСостояниеЭтапаПоЭкземпляруПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСостояниеЭтапаПоЭкземпляруПроцесса(ЭкземплярПроцесса, Этап, Расширенно = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьСостояниеЭтапаПоЭкземпляруПроцесса(ЭкземплярПроцесса, Этап, Расширенно);
```
</details>

## ИзменитьСостояниеЭтапаПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьСостояниеЭтапаПроцесса(Период,Сценарий,Организация = Неопределено,Этап,Состояние) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ИзменитьСостояниеЭтапаПроцесса(Период, Сценарий, Организация, Этап, Состояние) 
```
</details>

## ПолучитьЗначениеИзСоответствия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение из соответствия СоответствиеВход по ключу КлючВход. Когда ключ не найден,
// будет возвращено значение ЗначениеПоУмолчаниюВход.
Функция ПолучитьЗначениеИзСоответствия(СоответствиеВход, КлючВход, ЗначениеПоУмолчаниюВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьЗначениеИзСоответствия(СоответствиеВход, КлючВход, ЗначениеПоУмолчаниюВход);
```
</details>

## ОпределитьСостояниеЭтапаПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Для этапа ТекущийЭтап в периоде отчета Период и сценарии Сценарий определяет
// состояние по состояниям выполнения этапа организациями, а после переводит
// данный этап в процессе ЭкземплярПроцесса в полученное состояние.
Процедура ОпределитьСостояниеЭтапаПроцесса(ЭкземплярПроцесса, ТекущийЭтап, Период, Сценарий) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОпределитьСостояниеЭтапаПроцесса(ЭкземплярПроцесса, ТекущийЭтап, Период, Сценарий) 
```
</details>

## ТаблицаИсполненияОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу исполнения отчётов для определения возможности завершить этап ЭтапВход.
Функция ТаблицаИсполненияОтчетов(ОрганизацияВход, ПериодВход, СценарийВход, ЭтапВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ТаблицаИсполненияОтчетов(ОрганизацияВход, ПериодВход, СценарийВход, ЭтапВход));
```
</details>

## ПолучитьСтатистикуВыполненияПоЭтапам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений, содержащую этапы процесса подготовки отчетности,
// количество утвержденных и контроллируемых документов на этапе, а также критерий
// выполенения этапа. Для процесса в периоде ПериодОтчетаВход по сценарию СценарийВход.
Функция ПолучитьСтатистикуВыполненияПоЭтапам(СценарийВход, ПериодОтчетаВход, ОрганизацияВход = Неопределено, ШаблонДокументаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьСтатистикуВыполненияПоЭтапам(СценарийВход, ПериодОтчетаВход, ОрганизацияВход, ШаблонДокументаВход);
```
</details>

## ИзменитьСостояниеЭтапаЭскалация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Завершает выполнение этапа при осуществлении эскалации.
Процедура ИзменитьСостояниеЭтапаЭскалация(СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, СтруктураДанныхВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ИзменитьСостояниеЭтапаЭскалация(СостоянияВыполненияПроцесса, мПредшественникиСтрок, мПоследователиСтрок, СтруктураДанныхВход));
```
</details>

## ВыполнитьЭскалациюУтвержденияЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьЭскалациюУтвержденияЭтапа(СценарийВход, ПериодВход, ОрганизацияВход = Неопределено, ШаблонДокументаВход = Неопределено, ВерсияРегламентаВход = Неопределено, МассивЭтаповВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ВыполнитьЭскалациюУтвержденияЭтапа(СценарийВход, ПериодВход, ОрганизацияВход, ШаблонДокументаВход, ВерсияРегламентаВход, МассивЭтаповВход));
```
</details>

## ПолучитьСценарийПериодПоИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает структуру, содержащую сценарий, организацию и период по объекту ИсточникВход.
Функция ПолучитьСценарийПериодПоИсточнику(ИсточникВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьСценарийПериодПоИсточнику(ИсточникВход) 
```
</details>

## ЭскалацияУтвержденияЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработчик подписки на событие УтверждениеЭтапаПроцесса.
// Завершает выполнение этапа процесса, если утверждены все входащие в этап документы.
Процедура ЭскалацияУтвержденияЭтапа(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ЭскалацияУтвержденияЭтапа(Источник, Отказ) 
```
</details>

## ПолучитьПредшественниковПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредшественниковПоОрганизации(ТЗПредшественников,ТекущиеДанные, СостоянияВыполненияПроцесса, мПредшественникиСтрок,Период,Сценарий) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьПредшественниковПоОрганизации(ТЗПредшественников, ТекущиеДанные, СостоянияВыполненияПроцесса, мПредшественникиСтрок, Период, Сценарий) 
```
</details>

## ПолучитьПоследователейПоОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПоследователейПоОрганизации(ТЗПредшественников,ТекущиеДанные, СостоянияВыполненияПроцесса, мПоследователиСтрок, Период, Сценарий, РекурсивноВход = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьПоследователейПоОрганизации(ТЗПредшественников, ТекущиеДанные, СостоянияВыполненияПроцесса, мПоследователиСтрок, Период, Сценарий, РекурсивноВход);
```
</details>

## ПолучитьПредшественниковПоОрганизацииРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПредшественниковПоОрганизацииРекурсивно(ТЗПредшественников,ТекущиеДанные, СостоянияВыполненияПроцесса, мПредшественникиСтрок) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПолучитьПредшественниковПоОрганизацииРекурсивно(ТЗПредшественников, ТекущиеДанные, СостоянияВыполненияПроцесса, мПредшественникиСтрок) 
```
</details>

## ПолучитьПоследователейПоОрганизацииРекурсивно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПоследователейПоОрганизацииРекурсивно(ТЗПоследователей,ТекущиеДанные, СостоянияВыполненияПроцесса, мПоследователиСтрок, МассивИндексовВход, РекурсивноВход = Истина) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПолучитьПоследователейПоОрганизацииРекурсивно(ТЗПоследователей, ТекущиеДанные, СостоянияВыполненияПроцесса, мПоследователиСтрок, МассивИндексовВход, РекурсивноВход);
```
</details>

## ПолучитьОргЕдиницыТекущейВерсииПоЭтапу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОргЕдиницыТекущейВерсииПоЭтапу(Этап,ТаблицаОрганизаций=Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПолучитьОргЕдиницыТекущейВерсииПоЭтапу(Этап, ТаблицаОрганизаций);
```
</details>

## ПолучитьОргЕдиницыТекущейВерсииПоРегламенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьОргЕдиницыТекущейВерсииПоРегламенту(ВерсияРегламента,ОбновитьРегистр=Ложь) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПолучитьОргЕдиницыТекущейВерсииПоРегламенту(ВерсияРегламента, ОбновитьРегистр);
```
</details>

## ОбновитьОрганизацииЭтаповПоРегламенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьОрганизацииЭтаповПоРегламенту(ВерсияРегламента,Этап=Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОбновитьОрганизацииЭтаповПоРегламенту(ВерсияРегламента, Этап);
```
</details>

## ОбновитьСтатусЭкзепляраПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСтатусЭкзепляраПроцесса(Сценарий, Период, ЭкземплярПроцесса) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОбновитьСтатусЭкзепляраПроцесса(Сценарий, Период, ЭкземплярПроцесса) 
```
</details>

## ЕстьЭтапыПоследователиДляСнятия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, есть ли в текущем процессе подготовки отчетности этапы-последователи
// по организации ОрганизацииВход в состоянии отличном от неактивного.
Функция ЕстьЭтапыПоследователиДляСнятия(ОрганизацииВход, ЭтапВход, СостоянияВыполненияПроцесса, мПоследователиСтрок, ПериодВход, СценарийВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЕстьЭтапыПоследователиДляСнятия(ОрганизацииВход, ЭтапВход, СостоянияВыполненияПроцесса, мПоследователиСтрок, ПериодВход, СценарийВход) 
```
</details>

## ПолучитьТаблицуЭтапов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



////////////////////////////////////////////////////////////////////////////////
// ВСПОМОГАТЕЛЬНЫЕ ЭКСПОРТНЫЕ ПРОЦЕДУРЫ.
//
Функция ПолучитьТаблицуЭтапов(ШаблонПроцесса, Уровни,ТабличноеПоле_ЛинейнаяСвязь,ТабличноеПолеНачальныхНастроек) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуЭтапов(ШаблонПроцесса, Уровни, ТабличноеПоле_ЛинейнаяСвязь, ТабличноеПолеНачальныхНастроек) 
```
</details>

## ПолучитьТаблицуЭтаповЭкземпляраПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуЭтаповЭкземпляраПроцесса(ЭкземплярПроцесса, Уровни,ТабличноеПоле_ЛинейнаяСвязь,ТабличноеПолеНачальныхНастроек,ПланируемаяДатаЗавершения,НакопленноеОтклонение) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуЭтаповЭкземпляраПроцесса(ЭкземплярПроцесса, Уровни, ТабличноеПоле_ЛинейнаяСвязь, ТабличноеПолеНачальныхНастроек, ПланируемаяДатаЗавершения, НакопленноеОтклонение) 
```
</details>

## РассчитатьУровеньХРекурсивноДляПоследователей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РассчитатьУровеньХРекурсивноДляПоследователей(СтрокаЭтапа, Этапы, МаксУровень, ТабличноеПолеНачальныхНастроек) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.РассчитатьУровеньХРекурсивноДляПоследователей(СтрокаЭтапа, Этапы, МаксУровень, ТабличноеПолеНачальныхНастроек));
```
</details>

## РассчитатьУровеньX
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура расчитывает положение этапа на графике по оси Х
//
Процедура РассчитатьУровеньX(СтрокаЭтапа, Этапы, ТекущийЭтап = Неопределено, МаксУровень = 0, ТабличноеПолеНачальныхНастроек = Неопределено, ПройденныеЭтапы = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.РассчитатьУровеньX(СтрокаЭтапа, Этапы, ТекущийЭтап, МаксУровень, ТабличноеПолеНачальныхНастроек, ПройденныеЭтапы);
```
</details>

## ПолучитьЭтапыПоследователи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭтапыПоследователи(ДокументПроцесса, ЭтапСогласованияИсточник) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьЭтапыПоследователи(ДокументПроцесса, ЭтапСогласованияИсточник) 
```
</details>

## ПолучитьЭтапыПоследователиТЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭтапыПоследователиТЗ(УсловияСогласования,ТабличноеПолеНачальныхНастроек) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьЭтапыПоследователиТЗ(УсловияСогласования, ТабличноеПолеНачальныхНастроек));
```
</details>

## РекурсивныйОбходСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РекурсивныйОбходСтрок(Строки, ТаблицаПоследователей, Знач ТекУровень,ТабличноеПолеНачальныхНастроек) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.РекурсивныйОбходСтрок(Строки, ТаблицаПоследователей, ТекУровень, ТабличноеПолеНачальныхНастроек));
```
</details>

## ОпределитьНовуюПозициюВУровнеY
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет положение этапа на графике по оси Y
//
Функция ОпределитьНовуюПозициюВУровнеY(СтрокаЭтапа, ЗанятыеУровниПоУ, Предпочтение = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОпределитьНовуюПозициюВУровнеY(СтрокаЭтапа, ЗанятыеУровниПоУ, Предпочтение);
```
</details>

## ПриИнициализацииМаршрутаСогласования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИнициализацииМаршрутаСогласования(ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПриИнициализацииМаршрутаСогласования(ОбъектСсылка));
```
</details>

## ДополнитьЭтапыИнформациейОтчетногоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ДополнитьЭтапыИнформациейОтчетногоПериода(РабочийПроцесс,Этапы,ПланируемаяДатаЗавершения,НакопленноеОтклонение) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ДополнитьЭтапыИнформациейОтчетногоПериода(РабочийПроцесс, Этапы, ПланируемаяДатаЗавершения, НакопленноеОтклонение));
```
</details>

## ЕстьЭтапСогласованияПредшественник
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьЭтапСогласованияПредшественник(ДокументПроцесса,ЭтапПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЕстьЭтапСогласованияПредшественник(ДокументПроцесса, ЭтапПроцесса) 
```
</details>

## ЭтапыСогласованияПредшественники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтапыСогласованияПредшественники(ДокументПроцесса,ЭтапПроцесса) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЭтапыСогласованияПредшественники(ДокументПроцесса, ЭтапПроцесса) 
```
</details>

## ОбновитьУсловныеПереходы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьУсловныеПереходы() Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОбновитьУсловныеПереходы() 
```
</details>

## ЗавершеноОсновноеСогласование
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет завершение основного согласования ЭкземплярПроцессаВход по этапу ЭтапСогласованияВход
Функция ЗавершеноОсновноеСогласование(ЭкземплярПроцессаВход, ЭтапСогласованияВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ЗавершеноОсновноеСогласование(ЭкземплярПроцессаВход, ЭтапСогласованияВход) 
```
</details>

## ПолучитьЗаместителейТекущегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пользователей, замещающих пользователя ПользовательВход.
// Когда пользователь не задан - будет использован текущий.
Функция ПолучитьЗаместителейТекущегоПользователя(ПользовательВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьЗаместителейТекущегоПользователя(ПользовательВход);
```
</details>

## ПолучитьЗамещаемыхТекущегоПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив пользователей, которых замещает пользователь ПользовательВход.
// Когда пользователь не задан - будет использован текущий.
Функция ПолучитьЗамещаемыхТекущегоПользователя(ПользовательВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьЗамещаемыхТекущегоПользователя(ПользовательВход);
```
</details>

## ЗаполнитьРеквизитПоСтруктуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет реквизит с именем НаименованиеРеквизитаВход в объекте ОбъектЗаполненияВход
// по данному аналогичного поля в структуре СтруктураВход. Когда в структуре поля нет - пропускает
// заполнение.
Процедура ЗаполнитьРеквизитПоСтруктуре(ОбъектЗаполненияВход, СтруктураВход, НаименованиеРеквизитаВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ЗаполнитьРеквизитПоСтруктуре(ОбъектЗаполненияВход, СтруктураВход, НаименованиеРеквизитаВход));
```
</details>

## ПолучитьСлучайныйМногопериодныйСводныйБланк
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает случайный многопериодный бланк или бланк сводной таблицы
// по виду отчёта ВидОтчетаВход.
Функция ПолучитьСлучайныйМногопериодныйСводныйБланк(ВидОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьСлучайныйМногопериодныйСводныйБланк(ВидОтчетаВход));
```
</details>

## СоздатьМногопериодныйБланкПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует многопериодный бланк по умолчанию для вида отчёта ВидОтчетаВход
// с наименованием НаименованиеВход. Параметр ТихийРежимВход регулирует
// выпод служебных сообщений.
Функция СоздатьМногопериодныйБланкПоУмолчанию(ВидОтчетаВход, НаименованиеВход = "", ТихийРежимВход = Истина) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СоздатьМногопериодныйБланкПоУмолчанию(ВидОтчетаВход, НаименованиеВход, ТихийРежимВход);
```
</details>

## СформироватьТаблицуКолонокБланка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу колонок для вида отчёта ВидОтчетаВход.
Функция СформироватьТаблицуКолонокБланка(ВидОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СформироватьТаблицуКолонокБланка(ВидОтчетаВход) 
```
</details>

## СформироватьДеревоСтрокБланка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает дерево значений строк вида отчёта ВидОтчетаВход по таблице
// колонок ТаблицаКолонокВход.
Функция СформироватьДеревоСтрокБланка(ВидОтчетаВход, ТаблицаКолонокВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.СформироватьДеревоСтрокБланка(ВидОтчетаВход, ТаблицаКолонокВход) 
```
</details>

## ПолучитьБланкНовогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает бланк отображения для экземпляра отчета по заданным настройкам.
Функция ПолучитьБланкНовогоОтчета(СценарийВход, ОрганизацияВход, ВидОтчетаВход, ПериодВход, ПериодОкончаниеВход, ВерсияРегламентаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьБланкНовогоОтчета(СценарийВход, ОрганизацияВход, ВидОтчетаВход, ПериодВход, ПериодОкончаниеВход, ВерсияРегламентаВход));
```
</details>

## СоздатьОбъектПоСтруктуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Генерирует объеты БД по входной структуре СтруктураОбъекта.
Процедура СоздатьОбъектПоСтруктуре(СтруктураОбъекта) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.СоздатьОбъектПоСтруктуре(СтруктураОбъекта) 
```
</details>

## ИзменитьСостояниеДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет состояние экземпляров отчетов в списке СпДокументов по параметрам СтруктураПараметров.
Процедура ИзменитьСостояниеДокументов(СпДокументов, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ИзменитьСостояниеДокументов(СпДокументов, СтруктураПараметров) 
```
</details>

## ПровестиДокументыПоСтруктуреПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проводит документы в списке СписокВход, когда свойство Состояние находится в
// значении Утвержден. В случае отсутствия или незаполненности свойства пропускает
// операцию. В остальных случаях - отменяет проведение.
Процедура ПровестиДокументыПоСтруктуреПараметров(СписокВход, СтруктураПараметровВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПровестиДокументыПоСтруктуреПараметров(СписокВход, СтруктураПараметровВход));
```
</details>

## ИзменитьСостояниеОбъектовПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Изменяет состояние объектов из списка СписокОбъектовВход по структуре
// параметров СтруктураПараметровВход.
Процедура ИзменитьСостояниеОбъектовПроцесса(СписокОбъектовВход, СтруктураПараметровВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ИзменитьСостояниеОбъектовПроцесса(СписокОбъектовВход, СтруктураПараметровВход) 
```
</details>

## УстановитьДатуОбработкиЭтапаПоРасписанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в регистр ДатыВыполненияДействийПоРасписаниямЭтапов этап ЭтапВход,
// дату последнего исполнения ДатаПоследнегоИсполненияВход, дату следующего
// исполнения ДатаСледующегоИсполненияВход.
Процедура УстановитьДатуОбработкиЭтапаПоРасписанию(ЭтапВход, ДатаПоследнегоИсполненияВход, ДатаСледующегоИсполненияВход, ЭкземплярПроцессаВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УстановитьДатуОбработкиЭтапаПоРасписанию(ЭтапВход, ДатаПоследнегоИсполненияВход, ДатаСледующегоИсполненияВход, ЭкземплярПроцессаВход));
```
</details>

## УстановитьТекущуюДатуОбработкиЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Записывает в регистр ДатыВыполненияДействийПоРасписаниямЭтапов даты последнего и
// следующего выполняения действий по расписанию этапа процесса ЭтапВход. В качестве
// последнего значения будет установлена ДатаВход, когда параметр не задан -
// текущая дата. Дата следующего выполнения будет вычислена на основе даты
// последнего и настройки расписания этапа.
Процедура УстановитьТекущуюДатуОбработкиЭтапа(ЭтапВход, ЭкземплярПроцессаВход, ДатаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.УстановитьТекущуюДатуОбработкиЭтапа(ЭтапВход, ЭкземплярПроцессаВход, ДатаВход);
```
</details>

## ПолучитьСтруктуруПериодаСценарияПоЭкземпляруПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По экземпляру процесса возвращает структуру, содержащую период отчета и сценарий.
Функция ПолучитьСтруктуруПериодаСценарияПоЭкземпляруПроцесса(ЭкземплярПроцессаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьСтруктуруПериодаСценарияПоЭкземпляруПроцесса(ЭкземплярПроцессаВход));
```
</details>

## СформироватьПробнуюОтчетностьНаЭтапе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пробную отчетность в процессе ЭкземплярПроцессаВход на этапе ЭтапВход.
Процедура СформироватьПробнуюОтчетностьНаЭтапе(ЭтапВход, ЭкземплярПроцессаВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.СформироватьПробнуюОтчетностьНаЭтапе(ЭтапВход, ЭкземплярПроцессаВход));
```
</details>

## ВыполнитьДействияЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет назначенные на эта действия в процессе ЭкземплярПроцессаВход на этапе ЭтапВход.
Процедура ВыполнитьДействияЭтапа(ЭтапВход, ЭкземплярПроцессаВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ВыполнитьДействияЭтапа(ЭтапВход, ЭкземплярПроцессаВход));
```
</details>

## ВыполнитьНазначенноеДействиеДляЭтапа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет для этапа процесса ЭтапВход в процессе ЭкземплярПроцессаВход назначенное
//действие по расписанию и записывает дату выполнения в регистр.
Процедура ВыполнитьНазначенноеДействиеДляЭтапа(ЭтапВход, ЭкземплярПроцессаВход, СостояниеЭтапаВход) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ВыполнитьНазначенноеДействиеДляЭтапа(ЭтапВход, ЭкземплярПроцессаВход, СостояниеЭтапаВход) 
```
</details>

## ПроцессЗапущен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроцессЗапущен(ВерсияОрганизационнойСтруктуры,ТекДокументСсылка,тПроцессЗапущен = Ложь) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ПроцессЗапущен(ВерсияОрганизационнойСтруктуры, ТекДокументСсылка, тПроцессЗапущен);
```
</details>

## ПолучитьЭкземплярыОтчетовЗакрытияПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает массив экземпляров отчетов для закрытия периода по документу
// управления периодом УправлениеПериодомВход.
Функция ПолучитьЭкземплярыОтчетовЗакрытияПериода(УправлениеПериодомВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьЭкземплярыОтчетовЗакрытияПериода(УправлениеПериодомВход));
```
</details>

## ОтделитьЗакрытыеЭтапы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выбирает из массива экземпляров МассивДокументовВход те из них,
// которые не принадлежат закрытым этапам.
Функция ОтделитьЗакрытыеЭтапы(МассивДокументовВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ОтделитьЗакрытыеЭтапы(МассивДокументовВход));
```
</details>

## ВыполнитьРегламентЗакрытияПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВыполнитьРегламентЗакрытияПериода(ТекДокументСсылка) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ВыполнитьРегламентЗакрытияПериода(ТекДокументСсылка) 
```
</details>

## ШаблонЗаполнен
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ШаблонЗаполнен(ВерсияОрганизационнойСтруктуры,тШаблонЗаполнен) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ШаблонЗаполнен(ВерсияОрганизационнойСтруктуры, тШаблонЗаполнен) 
```
</details>

## ОстановитьПроцессРасширенный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОстановитьПроцессРасширенный(тСсылка,тПроцессОстановлен, ОстанавливатьОбъект = Истина) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОстановитьПроцессРасширенный(тСсылка, тПроцессОстановлен, ОстанавливатьОбъект);
```
</details>

## ИнициализироватьПроцессРасширенный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьПроцессРасширенный(ШаблонПроцесса,тСсылка,тЭкземплярПроцесса) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ИнициализироватьПроцессРасширенный(ШаблонПроцесса, тСсылка, тЭкземплярПроцесса) 
```
</details>

## НайтиЭкземплярПроцессаРасширенный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НайтиЭкземплярПроцессаРасширенный(Объект) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.НайтиЭкземплярПроцессаРасширенный(Объект) 
```
</details>

## ПолучитьЭкземплярПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭкземплярПроцесса(ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьЭкземплярПроцесса(ОбъектСсылка) 
```
</details>

## ОпределитьСвязанныйШаблон
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьСвязанныйШаблон(ВерсияРегламента,СвязанныйШаблонПроцесса) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОпределитьСвязанныйШаблон(ВерсияРегламента, СвязанныйШаблонПроцесса) 
```
</details>

## СоздатьШаблонПроцесса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает шаблон по версии шаблона ВерсияВход с наименованием
// НаименованиеВход и возвращает ссылку. Когда такой шаблон уже
// создан - будет возвращена ссылка на него. В случае неудачи при
// создании - будет возвращена пустая ссылка.
Процедура СоздатьШаблонПроцесса(ВерсияВход, НаименованиеВход,РезультатФункции) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.СоздатьШаблонПроцесса(ВерсияВход, НаименованиеВход, РезультатФункции) 
```
</details>

## ПолучитьРакурсСогласованияОбласти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРакурсСогласованияОбласти(ТекДокумент,Ракурс,Организация, ИспользоватьПроекты = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьРакурсСогласованияОбласти(ТекДокумент, Ракурс, Организация, ИспользоватьПроекты);
```
</details>

## ПолучитьТаблицуОрганизацийЭтапаПоРегламенту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений организаций по регламенту ВерсияРегламентаВход для
// этапа ЭтапВход.
Функция ПолучитьТаблицуОрганизацийЭтапаПоРегламенту(ЭтапВход, ВерсияРегламентаВход) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуОрганизацийЭтапаПоРегламенту(ЭтапВход, ВерсияРегламентаВход) 
```
</details>

## ПолучитьТаблицуФормируемыхДокументовПоЭтапу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу значений, содержащую данные для формирования необходимых
// документов по этапу ЭтапВход в регламенте ВерсияРегламентаВход. Когда
// параметр ОрганизацияВход указан, будет произведен отбор по организации.
Функция ПолучитьТаблицуФормируемыхДокументовПоЭтапу(ЭтапВход, ВерсияРегламентаВход, ОрганизацияВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = МодульУправленияПроцессамиУХ.ПолучитьТаблицуФормируемыхДокументовПоЭтапу(ЭтапВход, ВерсияРегламентаВход, ОрганизацияВход);
```
</details>

## ОтменитьСогласованиеПриОтменеПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет, находится ли объект ОбъектСсылкаВход на согласовании
// и отменяет согласование, если согласование установлено.
Процедура ОтменитьСогласованиеПриОтменеПроведения(ОбъектСсылкаВход, Отказ = Ложь) Экспорт
```

Пример вызова
```bsl
МодульУправленияПроцессамиУХ.ОтменитьСогласованиеПриОтменеПроведения(ОбъектСсылкаВход, Отказ);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
