---
title: Общего назначения УХ
slug: erp-uh/общего-назначения-ух
---


## ТипыРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует кэш, содержащий типы реквизитов переданного объекта метаданных
//
// Параметры:
//  ОбъектМетаданных - 	ОбъектМетаданных - объект метаданных, реквизиты которого необходимо поместить в кэш
//
// Возвращаемое значение:
//  ФиксированнаяСтруктура
//
Функция ТипыРеквизитовОбъекта(ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ТипыРеквизитовОбъекта(ОбъектМетаданных) 
```
</details>

## СкопироватьУниверсальнуюКоллекцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает копию переданного массива, структуры или соответствия
//
// Параметры:
//  КоллекцияИсходная: тип Массив, Структура, Соответствие - исходная коллекция
// Возвращаемое значение:
//  КоллекцияКопия:  тип Массив, Структура, Соответствие - копия исходной коллекции
//
Функция СкопироватьУниверсальнуюКоллекцию(КоллекцияИсходная) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СкопироватьУниверсальнуюКоллекцию(КоллекцияИсходная) 
```
</details>

## ПолучитьЭлементСтруктурыПоИндексу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭлементСтруктурыПоИндексу(Структура,Индекс) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьЭлементСтруктурыПоИндексу(Структура, Индекс) 
```
</details>

## СравнитьМассивыСтрокТаблицыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция сравнивает два массива строк, полученных из одной таблицы значений, на предмет идентичности
//
//
// Параметры
//  МассивСтрок1 - МассивСтрок для сравнения
//  МассивСтрок2 - МассивСтрок для сравнения
//  ТаблицаЗначений - содержит колонки исходной ТЗ.
//
// Возвращаемое значение:
//   Булево, идентичны или нет два массива
//
Функция СравнитьМассивыСтрокТаблицыЗначений(МассивСтрок1,МассивСтрок2, ТаблицаЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СравнитьМассивыСтрокТаблицыЗначений(МассивСтрок1, МассивСтрок2, ТаблицаЗначений) 
```
</details>

## ПреобразоватьТаблицуЗначенийВДерево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПреобразоватьТаблицуЗначенийВДерево(ТаблицаЗначений) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПреобразоватьТаблицуЗначенийВДерево(ТаблицаЗначений) 
```
</details>

## ПолучитьКолонкиКоллекцииТекстом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКолонкиКоллекцииТекстом(КоллекцияКолонок) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьКолонкиКоллекцииТекстом(КоллекцияКолонок) 
```
</details>

## УдалитьНепроверяемыеРеквизитыИзМассива
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура удаляет из массива МассивРеквизитов элементы, соответствующие именам
// реквизитов объекта из массива МассивНепроверяемыхРеквизитов.
// Для использования в обработчиках события ОбработкаПроверкиЗаполнения.
//
// Параметры:
//	МассивРеквизитов              - Массив - массив строк с именами реквизитов объекта.
//	МассивНепроверяемыхРеквизитов - Массив строк с именами реквизитов объекта, не требующих проверки.
//
Процедура УдалитьНепроверяемыеРеквизитыИзМассива(МассивРеквизитов, МассивНепроверяемыхРеквизитов) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УдалитьНепроверяемыеРеквизитыИзМассива(МассивРеквизитов, МассивНепроверяемыхРеквизитов) 
```
</details>

## ВыполнитьЗаполнениеПолейИзСоответствия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Рекурсивно заполняет в дереве ДеревоОбработки колонку с именем ИмяПоляПриемникаВход значениями
// из соответствия СоответствиеЗначенийВход по колонке с именем ИмяПоляИсточникаВход.
Процедура ВыполнитьЗаполнениеПолейИзСоответствия(ИмяПоляИсточникаВход, ИмяПоляПриемникаВход, СоответствиеЗначенийВход, ДеревоОбработки, ТолькоЛистьяВход = Ложь, ГлубинаРекурсииВход = 0) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ВыполнитьЗаполнениеПолейИзСоответствия(ИмяПоляИсточникаВход, ИмяПоляПриемникаВход, СоответствиеЗначенийВход, ДеревоОбработки, ТолькоЛистьяВход, ГлубинаРекурсииВход);
```
</details>

## ПроставитьЗначенияПолейИзСоответствия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет в дереве ДеревоОбработки колонку с именем ИмяПоляПриемникаВход значениями
// из соответствия СоответствиеЗначенийВход по колонке с именем ИмяПоляИсточникаВход.
Процедура ПроставитьЗначенияПолейИзСоответствия(ИмяПоляИсточникаВход, ИмяПоляПриемникаВход, СоответствиеЗначенийВход, ДеревоОбработки, ТолькоЛистьяВход  = Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПроставитьЗначенияПолейИзСоответствия(ИмяПоляИсточникаВход, ИмяПоляПриемникаВход, СоответствиеЗначенийВход, ДеревоОбработки, ТолькоЛистьяВход);
```
</details>

## ЗначениеВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Представляет любое значение в строку для отображения пользователю
//  в наглядном для человека представлении.
//
// Параметры:
//  Значение - Любое значение - значение для преобразования в строку.
//  Отступ	 - Строка - отступ для всех строк представления.
//
// Возвращаемое значение:
//   - Строка - представление переданного значений. Может занимать
//				несколько строк.
//
Функция ЗначениеВСтроку(Знач Значение, Знач Отступ = "") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗначениеВСтроку(Значение, Отступ);
```
</details>

## ДобавитьДень
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Функция добавляет "ЧислоДней" к "Дата"
//
Функция ДобавитьДень(Дата, ЧислоДней) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ДобавитьДень(Дата, ЧислоДней) 
```
</details>

## РазностьДатВДнях
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. см.ОбщегоНазначенияКлиентСерверУХ.РазностьДатВДнях
//Функция возвращает разность в днях между "ДатаУменьшаемое" и "ДатаВычитаемое"
//
Функция РазностьДатВДнях(ДатаУменьшаемое, ДатаВычитаемое) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.РазностьДатВДнях(ДатаУменьшаемое, ДатаВычитаемое) 
```
</details>

## РассчитатьКоличествоПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает количество периодов между указанными датами
//
// Параметры
//  ДатаНачала, ДатаКонца: Дата  – границы интервала
//  Периодичность (Перечисления.Периодичность): периодичность планирования
//
// Возвращаемое значение:
//   КоличествоПериодов   – количество периодов в переданном интервале
//
Функция РассчитатьКоличествоПериодов(ДатаНачала,ДатаКонца,Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.РассчитатьКоличествоПериодов(ДатаНачала, ДатаКонца, Периодичность) 
```
</details>

## НачалоДекады
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НачалоДекады(ДатаНачала) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.НачалоДекады(ДатаНачала) 
```
</details>

## КонецДекады
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КонецДекады(ДатаНачала) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.КонецДекады(ДатаНачала) 
```
</details>

## НачалоНеделиПоМесяцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НачалоНеделиПоМесяцу(ДатаНачала) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.НачалоНеделиПоМесяцу(ДатаНачала) 
```
</details>

## КонецНеделиПоМесяцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КонецНеделиПоМесяцу(ДатаНачала) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.КонецНеделиПоМесяцу(ДатаНачала) 
```
</details>

## ДобавитьИнтервал
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция добавляет интервал к дате
//
// Параметры:
//	Периодичность (Перечисления.Периодичность)	- пнриодичность планирования по сценарию.
//	ДатаВПериоде (Дата)							- произвольная дата
//	Смещение (число)							- определяет направление и количество периодов, в котором сдвигается дата
//
// Возвращаемое значение:
//	Дата, отстоящая от исходной на заданное количество периодов
//
Функция ДобавитьИнтервал(ДатаПериода,Периодичность,Смещение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ДобавитьИнтервал(ДатаПериода, Периодичность, Смещение) 
```
</details>

## ДатаНачалаПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ближайшую дату начала периода планирования
//
// Параметры
//	Периодичность (Перечисления.Периодичность)	- периодичность планирования по сценарию.
//	ДатаВПериоде (Дата)							- произвольная дата
//
// Возвращаемое значение:
//	ДатаНачалаПериода		– ближайшая дата начала периода планирования
//
Функция ДатаНачалаПериода(ДатаВПериоде,Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ДатаНачалаПериода(ДатаВПериоде, Периодичность) 
```
</details>

## ДатаКонцаПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ближайшую дату окончания периода планирования
//
// Параметры
//	Периодичность (Перечисления.Периодичность)	- периодичность планирования по сценарию.
//	ДатаВПериоде (Дата)							- произвольная дата
//
// Возвращаемое значение:
//	ДатаКонцаПериода	– ближайшая дата окончания периода планирования
//
Функция ДатаКонцаПериода(ДатаВПериоде,Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ДатаКонцаПериода(ДатаВПериоде, Периодичность) 
```
</details>

## ОпределитьГраницыИнтервала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьГраницыИнтервала(ДатаНачала,ДатаОкончания,Периодичность) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ОпределитьГраницыИнтервала(ДатаНачала, ДатаОкончания, Периодичность) 
```
</details>

## ОпределитьСписокПодчиненныхПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьСписокПодчиненныхПериодов(Периодичность,СписокПериодов=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьСписокПодчиненныхПериодов(Периодичность, СписокПериодов);
```
</details>

## ОпределитьМассивВышестоящихПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьМассивВышестоящихПериодов(Периодичность,МассивПериодов=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьМассивВышестоящихПериодов(Периодичность, МассивПериодов);
```
</details>

## ТекстНачалаКонцаПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстНачалаКонцаПериода(Периодичность,ДатаВПериоде=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ТекстНачалаКонцаПериода(Периодичность, ДатаВПериоде);
```
</details>

## ПолучитьПроизвольныйПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получет ссылку на справочник Периоды по заданным датам начала и окончания периода
//
// Параметры:
//  ДатаНачала  - <Дата> - дата начала периода
//  ДатаОкончания - <Дата> - дата окончания периода
//
// Возвращаемое значение:
//   <СправочникСсылка.Периоды>   - Найденое значение если существует. Пустую ссылку если период с заданными параметрами отсутствует
//
Функция ПолучитьПроизвольныйПериод(ДатаНачала, ДатаОкончания) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьПроизвольныйПериод(ДатаНачала, ДатаОкончания) 
```
</details>

## ПолучитьПериодПоДате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получет ссылку на справочник Периоды по заданной дате и периодичности
//
// Параметры:
//  ДатаВПериоде  - <Дата> - дата которая попадает в период
//  Периодичность  - <ПеречислениеСсылка.Периодичность> - необходимая периодичность
//
// Возвращаемое значение:
//   <СправочникСсылка.Периоды>   - Найденое значение если существует. Пустую ссылку если период с заданными параметрами отсутствует
//
Функция ПолучитьПериодПоДате(ДатаВПериоде, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьПериодПоДате(ДатаВПериоде, Периодичность) 
```
</details>

## ОпределитьПериодПоДате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Использовать Функцию ПолучитьПериодПоДате(ДатаВПериоде, Периодичность)
//
Функция ОпределитьПериодПоДате(ДатаВПериоде, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьПериодПоДате(ДатаВПериоде, Периодичность) 
```
</details>

## ПолучитьПериодСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПериодСтрокой(ДатаВПериоде, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьПериодСтрокой(ДатаВПериоде, Периодичность) 
```
</details>

## ИндексПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИндексПеречисления(ЗначениеПеречисления, ИмяПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИндексПеречисления(ЗначениеПеречисления, ИмяПеречисления) 
```
</details>

## МинимальнаяПериодичность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МинимальнаяПериодичность(Периодичность1,Периодичность2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.МинимальнаяПериодичность(Периодичность1, Периодичность2) 
```
</details>

## МаксимальнаяПериодичность
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксимальнаяПериодичность(Периодичность1,Периодичность2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.МаксимальнаяПериодичность(Периодичность1, Периодичность2) 
```
</details>

## ПолучитьВышестоящийПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВышестоящийПериод(ПериодОтчета,Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьВышестоящийПериод(ПериодОтчета, Периодичность) 
```
</details>

## ВернутьОтносительнуюДату
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьОтносительнуюДату(ДатаНачала, Периодичность, Смещение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВернутьОтносительнуюДату(ДатаНачала, Периодичность, Смещение) 
```
</details>

## глОтносительныйПериодПоДате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция глОтносительныйПериодПоДате(ДатаНачала, Периодичность, Смещение, ТихийРежим = Ложь, Реструктурировать = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.глОтносительныйПериодПоДате(ДатаНачала, Периодичность, Смещение, ТихийРежим, Реструктурировать);
```
</details>

## глОтносительныйПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция глОтносительныйПериод(локПериодОтчета, Смещение, ТихийРежим = Ложь, Реструктурировать = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.глОтносительныйПериод(локПериодОтчета, Смещение, ТихийРежим, Реструктурировать);
```
</details>

## глАналогичныйПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция глАналогичныйПериод(локПериодОтчета, Смещение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.глАналогичныйПериод(локПериодОтчета, Смещение) 
```
</details>

## ПолучитьКонецПериодаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКонецПериодаОтчета(ПериодОтчета = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьКонецПериодаОтчета(ПериодОтчета);
```
</details>

## ПолучитьЗначениеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает значение по умолчанию для передаваемого пользователя и настройки.
//
// Параметры:
//  Настройка    - Строка - вид настройки, значение по умолчанию которой необходимо получить
//  Пользователь - СправочникСсылка.Пользователи - пользователь программы, настройка которого
//				   запрашивается, если параметр не передается настройка возвращается для текущего пользователя
//
// Возвращаемое значение:
//  Значение по умолчанию для настройки.
//
Функция ПолучитьЗначениеПоУмолчанию(Настройка, Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьЗначениеПоУмолчанию(Настройка, Пользователь);
```
</details>

## УстановитьЗначениеПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура записывает значение по умолчанию для передаваемого пользователя и настройки.
//
// Параметры:
//  Настройка    - Строка - вид настройки
//  Значение     - значение настройки
//  Пользователь - СправочникСсылка.Пользователи - текущий пользователь программы, для которого устанавливается настройка
//
// Возвращаемое значение:
//  Нет
//
Процедура УстановитьЗначениеПоУмолчанию(Настройка, Значение, Пользователь = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УстановитьЗначениеПоУмолчанию(Настройка, Значение, Пользователь);
```
</details>

## ЦФОПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЦФОПоУмолчанию(Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЦФОПоУмолчанию(Пользователь) 
```
</details>

## ЯзыкПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЯзыкПоУмолчанию(Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЯзыкПоУмолчанию(Пользователь) 
```
</details>

## ПолучитьНомерЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНомерЯзыка(Язык) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьНомерЯзыка(Язык) 
```
</details>

## ПроектПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроектПоУмолчанию(Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПроектПоУмолчанию(Пользователь) 
```
</details>

## ПустоеЗначениеТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для получения пустого значения заданного типа:
//	примитивного, или ссылочного. Используется
//
// Параметры:
//	ЗаданныйТип   - тип, пустое значение которого нужно получить
//
Функция ПустоеЗначениеТипа(ЗаданныйТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПустоеЗначениеТипа(ЗаданныйТип) 
```
</details>

## ПолучитьОписаниеТипаПоТипуПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеТипаПоТипуПоказателя(ТипЗначенияПоказателя) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТипаПоТипуПоказателя(ТипЗначенияПоказателя) 
```
</details>

## ПолучитьПустоеЗначениеПоТипуПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПустоеЗначениеПоТипуПоказателя(ТипЗначенияПоказателя) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьПустоеЗначениеПоТипуПоказателя(ТипЗначенияПоказателя) 
```
</details>

## ПолучитьОписаниеТиповСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов строки, заданной длины.
//
// Параметры:
//  ДлинаСтроки - число, длина строки.
//
// Возвращаемое значение:
//  Объект "ОписаниеТипов" для строки указанной длины.
//
Функция ПолучитьОписаниеТиповСтроки(ДлинаСтроки) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТиповСтроки(ДлинаСтроки) 
```
</details>

## ПолучитьОписаниеТиповЧисла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов числа, заданной разрядности.
//
// Параметры:
//  Разрядность 			- число, разряд числа.
//  РазрядностьДробнойЧасти - число, разряд дробной части.
//
// Возвращаемое значение:
//  Объект "ОписаниеТипов" для числа указанной разрядности.
//
Функция ПолучитьОписаниеТиповЧисла(Знач Разрядность, Знач РазрядностьДробнойЧасти=0, Знач ДопустимыйЗнакЧисла = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТиповЧисла(Разрядность, РазрядностьДробнойЧасти, ДопустимыйЗнакЧисла);
```
</details>

## ПолучитьОписаниеТиповСсылка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов ссылочного значения
// по переданному строковому описанию
//
// Параметры:
//  ТекстОписание 			- строка
// Возвращаемое значение:
//  Объект "ОписаниеТипов" описанного ссылочного объекта метаданных.
//
Функция ПолучитьОписаниеТиповСсылка(ТекстОписание) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТиповСсылка(ТекстОписание) 
```
</details>

## ПолучитьОписаниеТиповПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеТиповПоОбъекту(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТиповПоОбъекту(Объект) 
```
</details>

## ПолучитьОписаниеТиповБулево
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов булево.
//
// Возвращаемое значение:
//  Объект "ОписаниеТипов" булева типа.
//
Функция ПолучитьОписаниеТиповБулево() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТиповБулево() 
```
</details>

## ПолучитьОписаниеТиповТЗ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов таблица значений.
//
// Возвращаемое значение:
//  Объект "ОписаниеТипов" булева типа.
//
Функция ПолучитьОписаниеТиповТЗ() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТиповТЗ() 
```
</details>

## ПолучитьОписаниеТиповСписокЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов список значений.
//
// Возвращаемое значение:
//  Объект "ОписаниеТипов" булева типа.
//
Функция ПолучитьОписаниеТиповСписокЗначений() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТиповСписокЗначений() 
```
</details>

## ПолучитьОписаниеТиповСтруктура
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов структура.
//
// Возвращаемое значение:
//  Объект "ОписаниеТипов" типа Структура
//
Функция ПолучитьОписаниеТиповСтруктура() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТиповСтруктура() 
```
</details>

## ПолучитьОписаниеТиповДаты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, предназначенная для получения описания типов даты
//
// Параметры:
//  ЧастиДаты - системное перечисление ЧастиДаты.
//
Функция ПолучитьОписаниеТиповДаты(ЧастиДаты) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТиповДаты(ЧастиДаты) 
```
</details>

## ПримитивныйТип
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, определяющая примитивность переданного типа
//
Функция ПримитивныйТип(Тип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПримитивныйТип(Тип) 
```
</details>

## ПримитивныйТипСтрока
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Служебная функция, определяющая примитивность переданного типа
//
Функция ПримитивныйТипСтрока(СтрокаТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПримитивныйТипСтрока(СтрокаТип) 
```
</details>

## ПолучитьТипЗначенияПоказателяПоСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТипЗначенияПоказателяПоСтроке(СтрокаТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьТипЗначенияПоказателяПоСтроке(СтрокаТип) 
```
</details>

## ПолучитьТипЗначенияПоказателяПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТипЗначенияПоказателяПоТипу(Тип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьТипЗначенияПоказателяПоТипу(Тип) 
```
</details>

## ПолучитьПолноеИмяПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПолноеИмяПоТипу(Тип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьПолноеИмяПоТипу(Тип) 
```
</details>

## ПолучитьОбъектМетаданныхПоТаблицеАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОбъектМетаданныхПоТаблицеАналитики(ТаблицаАналитики) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОбъектМетаданныхПоТаблицеАналитики(ТаблицаАналитики) 
```
</details>

## ПолучитьОписаниеПримитивногоТипаИзСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеПримитивногоТипаИзСтроки(МассивТиповВИБ) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеПримитивногоТипаИзСтроки(МассивТиповВИБ) 
```
</details>

## ПолучитьОписаниеПримитивногоТипаИзТипаЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеПримитивногоТипаИзТипаЗначения(ТипЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеПримитивногоТипаИзТипаЗначения(ТипЗначения) 
```
</details>

## ПолучитьДанныеТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеТипа(СтрокаТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьДанныеТипа(СтрокаТип) 
```
</details>

## ПреобразоватьТипИзСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПреобразоватьТипИзСтроки(Тип,ВозвращатьТип=Истина,ТолькоПримитивные=Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПреобразоватьТипИзСтроки(Тип, ВозвращатьТип, ТолькоПримитивные);
```
</details>

## ПолучитьОписаниеТиповИзСтрокиТипов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеТиповИзСтрокиТипов(СтрокаТипов) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеТиповИзСтрокиТипов(СтрокаТипов) 
```
</details>

## ПолучитьВидСубконтоУХПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВидСубконтоУХПоТипу(ИсходныйТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьВидСубконтоУХПоТипу(ИсходныйТип) 
```
</details>

## ПолучитьСписокИзТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокИзТипа(ИсходныйТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСписокИзТипа(ИсходныйТип) 
```
</details>

## ПреобразоватьТИПизВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПреобразоватьТИПизВИБ(База, Тип,ВозвращатьТип=Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПреобразоватьТИПизВИБ(База, Тип, ВозвращатьТип);
```
</details>

## ВыполнитьПреобразованиеТипов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьПреобразованиеТипов(Значение,ИсходныйТип,РезультирующийТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВыполнитьПреобразованиеТипов(Значение, ИсходныйТип, РезультирующийТип) 
```
</details>

## ПроверитьТипЗначенияВПодсистеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьТипЗначенияВПодсистеме(Значение, ТипЗначения, ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПроверитьТипЗначенияВПодсистеме(Значение, ТипЗначения, ИмяПодсистемы) 
```
</details>

## СодержитТипВПодсистеме
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СодержитТипВПодсистеме(ОписаниеСоставногоТипа, ПроверяемыйТип, ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СодержитТипВПодсистеме(ОписаниеСоставногоТипа, ПроверяемыйТип, ИмяПодсистемы) 
```
</details>

## ИмяТипаРегистрыСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаРегистрыСведений() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаРегистрыСведений() 
```
</details>

## ИмяТипаРегистрыНакопления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаРегистрыНакопления() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаРегистрыНакопления() 
```
</details>

## ИмяТипаРегистрыБухгалтерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаРегистрыБухгалтерии() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаРегистрыБухгалтерии() 
```
</details>

## ИмяТипаРегистрыРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаРегистрыРасчета() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаРегистрыРасчета() 
```
</details>

## ИмяТипаДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаДокументы() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаДокументы() 
```
</details>

## ИмяТипаСправочники
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаСправочники() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаСправочники() 
```
</details>

## ИмяТипаПланыОбмена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаПланыОбмена() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаПланыОбмена() 
```
</details>

## ИмяТипаПланыВидовХарактеристик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаПланыВидовХарактеристик() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаПланыВидовХарактеристик() 
```
</details>

## ИмяТипаБизнесПроцессы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаБизнесПроцессы() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаБизнесПроцессы() 
```
</details>

## ИмяТипаЗадачи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаЗадачи() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаЗадачи() 
```
</details>

## ИмяТипаПланыСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаПланыСчетов() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаПланыСчетов() 
```
</details>

## ИмяТипаПланыВидовРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИмяТипаПланыВидовРасчета() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТипаПланыВидовРасчета() 
```
</details>

## ПодготовитьПолеВыбораЯзыка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьПолеВыбораЯзыка(ПолеВыбораЯзыка, ЗначениеЯзык) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПодготовитьПолеВыбораЯзыка(ПолеВыбораЯзыка, ЗначениеЯзык) 
```
</details>

## ОпределитьСписокРегистровСБезусловнымУдалениемДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает список регистров, движения по которым нужно удалять в привилегированном модуле
//
// Параметры
//  ДокументСсылка - ссылка на документ
//
// Возвращаемое значение:
//   Структура - содержит список регистров
//
Функция ОпределитьСписокРегистровСБезусловнымУдалениемДвижений(ДокументСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьСписокРегистровСБезусловнымУдалениемДвижений(ДокументСсылка));
```
</details>

## ПолучитьСписокРегистровДляОчисткиДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает массив регистров, по которым можно не очищать движения
Функция ПолучитьСписокРегистровДляОчисткиДвижений(ТекущийРежимПроведенияДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСписокРегистровДляОчисткиДвижений(ТекущийРежимПроведенияДокумента));
```
</details>

## ПолучитьСписокРегистровНеОчищатьКОллекцию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокРегистровНеОчищатьКОллекцию(ТекущийРежимПроведенияДокумента) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСписокРегистровНеОчищатьКОллекцию(ТекущийРежимПроведенияДокумента));
```
</details>

## УдалитьДвиженияРегистратора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура удаления существующих движений документа при перепроведении (отмене проведения)
Процедура УдалитьДвиженияРегистратора(ДокументОбъект, Отказ, СтруктураВидовУчета = Неопределено, ВыборочноОчищатьРегистры = Ложь, РежимПроведенияДокумента=неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УдалитьДвиженияРегистратора(ДокументОбъект, Отказ, СтруктураВидовУчета, ВыборочноОчищатьРегистры, РежимПроведенияДокумента);
```
</details>

## ВыполнитьДвижениеПоРегистру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет движение по регистру.
//
// Параметры:
//  НаборДвижений               - набор движений регистра,
//  ПустыеКолонкиСоставногоТипа - структура, содержащая имена измерений,ресурсов и
//  реквизитов составного типа, которые могут содержать пустые ссылки.
//
Процедура ВыполнитьДвижениеПоРегистру(НаборДвижений, ВидДвижения = Неопределено, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ВыполнитьДвижениеПоРегистру(НаборДвижений, ВидДвижения, );
```
</details>

## ЗаписатьНаборЗаписейНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьНаборЗаписейНаСервере(ИмяРегистра, Регистратор, ТаблицаДвижений = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаписатьНаборЗаписейНаСервере(ИмяРегистра, Регистратор, ТаблицаДвижений);
```
</details>

## ОчисткаКоллекцииДвиженийДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура очищает коллекцию движений документа
//
Процедура ОчисткаКоллекцииДвиженийДокумента(ДокументОбъект) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ОчисткаКоллекцииДвиженийДокумента(ДокументОбъект));
```
</details>

## МинимальноеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МинимальноеЗначение(МассивЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.МинимальноеЗначение(МассивЗначений) 
```
</details>

## МаксимальноеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксимальноеЗначение(МассивЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.МаксимальноеЗначение(МассивЗначений) 
```
</details>

## СреднеАрифметическоеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет среднеарифметическое значение всех элементов в числовом
// массиве МассивЗначений. Когда массив пустой - возвращает 0.
Функция СреднеАрифметическоеЗначение(МассивЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СреднеАрифметическоеЗначение(МассивЗначений) 
```
</details>

## ПроизведениеЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет произведение значений всех элементов в числовом
// массиве МассивЗначений. Когда массив пустой - возвращает 0.
Функция ПроизведениеЗначений(МассивЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПроизведениеЗначений(МассивЗначений) 
```
</details>

## ВернутьМассивВероятностей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьМассивВероятностей(МассивЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВернутьМассивВероятностей(МассивЗначений) 
```
</details>

## СтатистикаВыборки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтатистикаВыборки(МассивЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СтатистикаВыборки(МассивЗначений) 
```
</details>

## ПолучитьСтатистикуПоПоказателю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтатистикуПоПоказателю(СценарийБаза,ЭкземплярОтчета,Показатель,ГлубинаАнализа) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтатистикуПоПоказателю(СценарийБаза, ЭкземплярОтчета, Показатель, ГлубинаАнализа) 
```
</details>

## ПолучитьДополнениеЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вспомогательная функция для определнения условий запроса в механизме
// изменения порядка следования элементов. Ставит условия на родителя и владельца
//
// Параметры
//  Элемент - СправочникСсылка, для которого необходимо изменить порядок
//  Запрос - Запрос, в который дописываем условия
//
//  Возвращаемое значение:
//   Строка - условие запроса
//
Функция ПолучитьДополнениеЗапроса(Элемент, Запрос, БезПервогоИ = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьДополнениеЗапроса(Элемент, Запрос, БезПервогоИ);
```
</details>

## НазначитьНовыйПорядок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение порядка для нового элемента справочника.
//
// Параметры
//  ЭлементОбъект - СправочникОбъект - новый объект
//
// Возвращаемое значение:
//   Число - новый порядок
//
Функция НазначитьНовыйПорядок(ЭлементОбъект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.НазначитьНовыйПорядок(ЭлементОбъект));
```
</details>

## ПередЗаписьюОбъектаПорядка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вызывается перед записью объекта, для которого необходимо
// контролировать порядок элементов.
//
// Параметры
//  Отказ - Булево, отказ от записи объекта
//  ЭтотОбъект - СправочникОбъект
//  КонтролироватьПорядок - Булево, контролировать порядок при записи объекта или нет
//
Процедура ПередЗаписьюОбъектаПорядка(Отказ, ЭтотОбъект, КонтролироватьПорядок) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПередЗаписьюОбъектаПорядка(Отказ, ЭтотОбъект, КонтролироватьПорядок) 
```
</details>

## ИзменитьПорядок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура изменяет порядок следования объектов с настраиваемым из ВЯ
// порядком следования.
//
// Параметры:
//  ЭлементСсылка - СправочникСсылка, элемент для которого необходимо изменить порядок
//  НаправлениеПорядка - Строка, "Вверх" или "Вниз"
//
Процедура ИзменитьПорядок(ЭлементСсылка, НаправлениеПорядка, ЦиклическийСдвиг = Истина) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ИзменитьПорядок(ЭлементСсылка, НаправлениеПорядка, ЦиклическийСдвиг);
```
</details>

## ОпределитьНовыйПорядок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет элемент справочника, с которым необходимо
// произвести "рокировку" текущего элемента
//
// Параметры
//  ЭлементСсылка - СпраовочникСсылка, элемент для изменения порядка
//  НаправлениеПорядка - Строка, "Вверх" или "Вниз"
//
// Возвращаемое значение:
//   СправочникСсылка
//
Функция ОпределитьНовыйПорядок(ЭлементСсылка, НаправлениеПорядка, ЦиклическийСдвиг) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьНовыйПорядок(ЭлементСсылка, НаправлениеПорядка, ЦиклическийСдвиг));
```
</details>

## СостояниеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция представляет собой обертку над ОбщегоНазначенияБП.СостояниеДокумента
// для облегчения замены учетного ядра.
Функция СостояниеДокумента(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СостояниеДокумента(Объект) 
```
</details>

## УстановитьСостояниеДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установка пиктограммы состояния документа в "стандартном" случае,
// когда на форме есть числовой реквизит СостояниеДокумента.
Процедура УстановитьСостояниеДокумента(Форма) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УстановитьСостояниеДокумента(Форма) 
```
</details>

## СообщитьОбОшибке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит сообщение об ошибке и выставляет параметр Отказ в "Истина".
// В случае работы на клиенте или на сервере выводит в окно сообщений,
// в случае внешнего соединения вызывает исключение.
//
// Параметры:
//  ТекстСообщения - строка, текст сообщения.
//  Отказ          - булево, признак отказа (необязательный).
//
Процедура СообщитьОбОшибке(Знач ТекстСообщения, Отказ = Ложь, Заголовок = "", Знач Статус = Неопределено, ИдентификаторФормы = Неопределено, ОбъектДанных = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.СообщитьОбОшибке(ТекстСообщения, Отказ, Заголовок, Статус, ИдентификаторФормы, ОбъектДанных);
```
</details>

## ЗначенияРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначенияРеквизитовОбъекта(Ссылка, Знач Реквизиты, ВыбратьРазрешенные = Ложь, КодЯзыка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗначенияРеквизитовОбъекта(Ссылка, Реквизиты, ВыбратьРазрешенные, КодЯзыка);
```
</details>

## ЗначениеРеквизитаОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗначениеРеквизитаОбъекта(Ссылка, Знач Реквизит, ВыбратьРазрешенные = Ложь, КодЯзыка = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗначениеРеквизитаОбъекта(Ссылка, Реквизит, ВыбратьРазрешенные, КодЯзыка);
```
</details>

## ЕстьРеквизитИлиСвойствоОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие реквизита или свойства у произвольного объекта без обращения к метаданным.
//
// Параметры:
//  Объект       - Произвольный - объект, у которого нужно проверить наличие реквизита или свойства;
//  ИмяРеквизита - Строка       - имя реквизита или свойства.
//
// Возвращаемое значение:
//  Булево - Истина, если есть.
//
Функция ЕстьРеквизитИлиСвойствоОбъекта(Объект, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЕстьРеквизитИлиСвойствоОбъекта(Объект, ИмяРеквизита) 
```
</details>

## глСоставПериметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает состав периметра организаций по заданным периоду, сценарию с учетом дополнительных отборов.
//
// Параметры:
//	локСценарий - сценарий, для котороого требуется получить периметр, СправочникСсылка.Сценарии;
//	локПериодОтчета - для котороого требуется получить периметр, СправочникСсылка.Периоды;
//	локОрганизация - организация консолидирующая организация, СправочникСсылка.Организации;
//	локМетодКонсолидации - метод консолидации, ПеречислениеСсылка.МетодыКонсолидации;
//	локМинПолнаяДоляВладения - максимальная полная доля владения, число;
//	локМаксПолнаяДоляВладения - минимальная полная доля владения, число;
//	локТипыОрганизаций - типы организаций, для которых требуется получить периметр.
//
// Возвращаемое значение:
//	Массив элементов типа СпарвочникСсылка.Организация.
//
Функция глСоставПериметра(КонтекстОтчета, локСценарий = Неопределено, локПериодОтчета = Неопределено, локОрганизация = Неопределено, локМетодКонсолидации = Неопределено, локМинПолнаяДоляВладения = 0, локМаксПолнаяДоляВладения = 100, локТипыОрганизаций = Неопределено, ВладелецПериметра = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.глСоставПериметра(КонтекстОтчета, локСценарий, локПериодОтчета, локОрганизация, локМетодКонсолидации, локМинПолнаяДоляВладения, локМаксПолнаяДоляВладения, локТипыОрганизаций, ВладелецПериметра);
```
</details>

## ПолучитьЗначениеПеременной
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С ГЛОБАЛЬНЫМИ ПЕРЕМЕННЫМИ

Функция ПолучитьЗначениеПеременной(ИмяПараметра, Кэш = Неопределено, КэшИзменен = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьЗначениеПеременной(ИмяПараметра, Кэш, КэшИзменен);
```
</details>

## ДобавитьПрефиксУзла
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ МЕХАНИЗМА РИБ

Процедура ДобавитьПрефиксУзла(Префикс) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ДобавитьПрефиксУзла(Префикс) 
```
</details>

## ПриУстановкеНовогоНомераДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ УПРАВЛЕНИЯ НОМЕРАМИ ДОКУМЕНТОВ

Процедура ПриУстановкеНовогоНомераДокумента(Источник, СтандартнаяОбработка, Префикс) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПриУстановкеНовогоНомераДокумента(Источник, СтандартнаяОбработка, Префикс) 
```
</details>

## ПриУстановкеНовогоКодаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриУстановкеНовогоКодаСправочника(Источник, СтандартнаяОбработка, Префикс) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПриУстановкеНовогоКодаСправочника(Источник, СтандартнаяОбработка, Префикс) 
```
</details>

## СвернутьПоИзмерениям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////

// Функция - Свернуть Таблицу значений по измерениям(если не указаны КолонкиГруппировок, то используются все колонки, исключая КолонкиСуммирования)
//
// Параметры:
//  Коллекция			 - 	 -
//  КолонкиГруппировок	 - 	 -
//  КолонкиСуммирования	 - 	 -
//
// Возвращаемое значение:
//   -
//
Функция СвернутьПоИзмерениям(Коллекция, Знач КолонкиГруппировок = Неопределено, КолонкиСуммирования = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СвернутьПоИзмерениям(Коллекция, КолонкиГруппировок, КолонкиСуммирования);
```
</details>

## ШестнадцатиричноеВДесятичное
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ШестнадцатиричноеВДесятичное(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ШестнадцатиричноеВДесятичное(Источник) 
```
</details>

## ДесятичноеВШестнадцатиричное
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДесятичноеВШестнадцатиричное(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ДесятичноеВШестнадцатиричное(Источник) 
```
</details>

## ЧетноеЧисло
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЧетноеЧисло(Число) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЧетноеЧисло(Число) 
```
</details>

## ЕстьНеЦифрыВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Анализирует строку Стр на наличие в ней символов - не цифр.
// Возвращает Истина, если в строке присутствуют символы, не являющиеся цифрами.
// В противном случае возвращает Ложь.
//
Функция ЕстьНеЦифрыВСтроке(Стр) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЕстьНеЦифрыВСтроке(Стр) 
```
</details>

## ТолькоЦифрыВСтроке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет наличие в строке только цифр
//
// Параметры
//  СтрокаПроверки - Строка для проверки только цифр
//
// Возвращаемое значение:
//   Булево
//
Функция ТолькоЦифрыВСтроке(Знач СтрокаПроверки, УчитыватьЛидирующиеНули = Истина, УчитыватьПробелы = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ТолькоЦифрыВСтроке(СтрокаПроверки, УчитыватьЛидирующиеНули, УчитыватьПробелы);
```
</details>

## СформироватьСтрокуДляПоискаВЗапросе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// функция из исходной строки формирует строку для поиска данных в запросе
Функция СформироватьСтрокуДляПоискаВЗапросе(Знач СтрокаПоиска) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СформироватьСтрокуДляПоискаВЗапросе(СтрокаПоиска) 
```
</details>

## ПеренестиСтрокуВыборкиВСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура переносит строку из запроса в Структуру
Процедура ПеренестиСтрокуВыборкиВСтруктуру(РезультатЗапроса, СтрокаВыборки, СтруктураЭлемента) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПеренестиСтрокуВыборкиВСтруктуру(РезультатЗапроса, СтрокаВыборки, СтруктураЭлемента) 
```
</details>

## ПеренестиСтрокуТаблицыВСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура переносит строку из таблицы в Структуру
Функция ПеренестиСтрокуТаблицыВСтруктуру(Таблица, СтрокаТаблицы, СтруктураЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПеренестиСтрокуТаблицыВСтруктуру(Таблица, СтрокаТаблицы, СтруктураЭлемента)
```
</details>

## ВернутьИндексВМассиве
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// функция ищет элемент в массиве. Если находит - возвращает его индекс, иначе -1
Функция ВернутьИндексВМассиве(МассивДанные, Элемент) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВернутьИндексВМассиве(МассивДанные, Элемент) 
```
</details>

## ПолучитьШапкуОшибки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьШапкуОшибки(ЗНАЧ ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьШапкуОшибки(ЗНАЧ ОбъектРасчета) 
```
</details>

## СформироватьТекстСообщения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция убирает из текста сообщения служебную информацию
//
// Параметры
//  ТекстСообщения, Строка, исходный текст сообщения//
// Возвращаемое значение:
//   Строка
//
Функция СформироватьТекстСообщения(Знач ТекстСообщения) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СформироватьТекстСообщения(ТекстСообщения) 
```
</details>

## ЗаполнитьПустоеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет переданный параметр, если он пустой,
// то заполняет его указанным значением.
//
// Параметры:
//  Параметр - параметр, значение которого проверяется и заполняется.
//  Значение - значение для заполнения пустого параметра.
//
Процедура ЗаполнитьПустоеЗначение(Параметр, Значение) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьПустоеЗначение(Параметр, Значение) 
```
</details>

## УстановитьНовоеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура проверяет переданный параметр, если он не соответствует значению,
// то присваивает ему указанное значение.
//
// Параметры:
//  Параметр - параметр, значение которого проверяется и заполняется.
//  Значение - значение для заполнения пустого параметра.
//
Процедура УстановитьНовоеЗначение(Параметр, Значение) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УстановитьНовоеЗначение(Параметр, Значение) 
```
</details>

## ПолучитьЗначениеПеречисленияПоИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для получения ссылки на элемент перечисления по его имени.
//
// Параметры:
//	Элемент перечисления.
//
// Возвращаемое значение:
//	Строка - имя элемента перечисления в метаданных.
//
Функция ПолучитьЗначениеПеречисленияПоИмени(ИмяОбъекта,ИмяПеречисления,НастройкаСоответствия=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьЗначениеПеречисленияПоИмени(ИмяОбъекта, ИмяПеречисления, НастройкаСоответствия);
```
</details>

## ПолучитьПустуюСсылкуПеречисление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПустуюСсылкуПеречисление(ИмяОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьПустуюСсылкуПеречисление(ИмяОбъекта) 
```
</details>

## ПолучитьЗначениеПеречисленияПоНастройке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначениеПеречисленияПоНастройке(ИмяОбъекта,ИмяПеречисления,НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьЗначениеПеречисленияПоНастройке(ИмяОбъекта, ИмяПеречисления, НастройкаСоответствия));
```
</details>

## ПолучитьРеквизитОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРеквизитОбъекта(МетаданныеОбъекта,ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьРеквизитОбъекта(МетаданныеОбъекта, ИмяРеквизита) 
```
</details>

## ДополнитьДоЗаданнойДлины
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку заданной длины, дополняя
// переданную строку пробелами.
// Параметры:
//	НачСтрока - исходная строка
//  ЗаданнаяДлина - необходимая длина строки
//
Функция ДополнитьДоЗаданнойДлины(НачСтрока,ЗаданнаяДлина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ДополнитьДоЗаданнойДлины(НачСтрока, ЗаданнаяДлина) 
```
</details>

## ПолучитьСписокОрганизацийКорректировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//////////////////////////////

Функция ПолучитьСписокОрганизацийКорректировки(Сценарий, ПериодОтчета, Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСписокОрганизацийКорректировки(Сценарий, ПериодОтчета, Организация) 
```
</details>

## ЗначениеПоМодулю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает модуль значения.
Функция ЗначениеПоМодулю(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗначениеПоМодулю(Значение) Экспорт;);
```
</details>

## РазложитьСтрокуВМассивПодстрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция "расщепляет" строку на подстроки, используя заданный
//		разделитель. Разделитель может иметь любую длину.
//		Если в качестве разделителя задан пробел, рядом стоящие пробелы
//		считаются одним разделителем, а ведущие и хвостовые пробелы параметра Стр
//		игнорируются.
//		Например,
//		РазложитьСтрокуВМассивПодстрок(",ку,,,му", ",") возвратит массив значений из пяти элементов,
//		три из которых - пустые строки, а
//		РазложитьСтрокуВМассивПодстрок(" ку   му", " ") возвратит массив значений из двух элементов
//
//	Параметры:
//		Стр - 			строка, которую необходимо разложить на подстроки.
//						Параметр передается по значению.
//		Разделитель - 	строка-разделитель, по умолчанию - запятая.
//
//
//	Возвращаемое значение:
//		массив значений, элементы которого - подстроки
//
Функция РазложитьСтрокуВМассивПодстрок(Знач Стр, Разделитель = ",") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.РазложитьСтрокуВМассивПодстрок(Стр, Разделитель, ") 
```
</details>

## ЗаменитьСимволыПути
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьСимволыПути(Строка,СтрокаЗамены) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗаменитьСимволыПути(Строка, СтрокаЗамены) 
```
</details>

## ПолучитьМассивПутей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивПутей(СтрокаПуть) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьМассивПутей(СтрокаПуть) 
```
</details>

## РазложитьСтрокуПоЗаглавнымБуквам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РазложитьСтрокуПоЗаглавнымБуквам(Знач Стр) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.РазложитьСтрокуПоЗаглавнымБуквам(Стр) 
```
</details>

## УстановитьДоступностьОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает доступность элементов управления отбором списка.
//
// Параметры:
//  ТабличноеПоле      - табличное поле списка.
//  ОбязательныеОтборы - список имен обязательных отборов, у которых доступность отключается.
//
Процедура УстановитьДоступностьОтбора(ТабличноеПоле, Знач ОбязательныеОтборы = "") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УстановитьДоступностьОтбора(ТабличноеПоле, ОбязательныеОтборы);
```
</details>

## УстановитьДоступностьПорядка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура устанавливает доступность всех элементов управления порядком списка.
//
// Параметры:
//  ТабличноеПоле - табличное поле списка.
//
Процедура УстановитьДоступностьПорядка(ТабличноеПоле, Доступность = Истина) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УстановитьДоступностьПорядка(ТабличноеПоле, Доступность);
```
</details>

## ЗагрузитьВТаблицуЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в таблицу значений строки из другой таблицы значений и
// в них значения колонок с совпадающими наименованиями.
//
// Параметры:
//  ТаблицаИсточник - таблица значений, откуда берутся значения.
//  ТаблицаПриемник - таблица значений, куда добавляются строки.
//
Процедура ЗагрузитьВТаблицуЗначений(ТаблицаИсточник, ТаблицаПриемник) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗагрузитьВТаблицуЗначений(ТаблицаИсточник, ТаблицаПриемник) 
```
</details>

## ЗагрузитьВТаблицуЗначенийОтсутствующие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в таблицу значений отсутствующие строки из другой таблицы значений и
// в них значения колонок с совпадающими наименованиями.
// Проверка осуществляется по равенству колонок "ИменаКолонокДляСравнения".
// Использовать только для таблиц небольшого (до 200 строк) размера.
//
// Параметры:
//  ТаблицаИсточник - таблица значений, откуда берутся значения.
//  ТаблицаПриемник - таблица значений, куда добавляются строки.
//	ИменаКолонокДляСравнения - Строка, имена колонок разделенные
//		запятыми для поиска строк в таблице приемнике.
//
Процедура ЗагрузитьВТаблицуЗначенийОтсутствующие(ТаблицаИсточник, ТаблицаПриемник, ИменаКолонокДляСравнения) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗагрузитьВТаблицуЗначенийОтсутствующие(ТаблицаИсточник, ТаблицаПриемник, ИменаКолонокДляСравнения) 
```
</details>

## ДобавитьМассивВСписокЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет значения из переданного массива в переданный список значений
//
Процедура ДобавитьМассивВСписокЗначений(СписокЗначений, Массив) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ДобавитьМассивВСписокЗначений(СписокЗначений, Массив) 
```
</details>

## СвернутьНечисловыеЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сворачивает переданную таблицу значений с нечисловыми показателями
//
Функция СвернутьНечисловыеЗначения(РабочаяТаблица,СтрСверткаИзмерения,СтрСверткаЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СвернутьНечисловыеЗначения(РабочаяТаблица, СтрСверткаИзмерения, СтрСверткаЗначения) 
```
</details>

## ВернутьСтруктуруИтога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСтруктуруИтога(ВидИтога,ТипЗначения=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВернутьСтруктуруИтога(ВидИтога, ТипЗначения);
```
</details>

## ТЗИтог
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает итоговое значение из переданной таблицы значений,
// свернутой по необходимым аналитикам
// Параметры:
//	ТаблицаЗначений - исходная таблица значений;
//  СтрАналитики - строка с именами колонок аналитики для свертки
//  КолонкаИтог - имя колонки, по которой ищется итоговое значение
//  ВидИтога - значение перечисления ВидыИтоговПоказателя
//
Функция ТЗИтог(ТаблицаЗначений, СтрАналитики, КолонкаИтог, ВидИтога,ТипЗначения=Неопределено,СтруктураОтбора=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ТЗИтог(ТаблицаЗначений, СтрАналитики, КолонкаИтог, ВидИтога, ТипЗначения, СтруктураОтбора);
```
</details>

## ПолучитьПустоеЗначение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПустоеЗначение(ТипЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьПустоеЗначение(ТипЗначения) 
```
</details>

## ДобавитьКоллекциюВСтрокуДереваЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет к строке дерева значений полную коллекцию строк другого дерева значений
//
Процедура ДобавитьКоллекциюВСтрокуДереваЗначений(СтрокаДерева,КоллекцияСтрок) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ДобавитьКоллекциюВСтрокуДереваЗначений(СтрокаДерева, КоллекцияСтрок) 
```
</details>

## СравнитьСтруктурыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СравнитьСтруктурыЗначений(Структура1, Структура2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СравнитьСтруктурыЗначений(Структура1, Структура2) 
```
</details>

## СравнитьСпискиЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СравнитьСпискиЗначений(Список1,Список2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СравнитьСпискиЗначений(Список1, Список2) 
```
</details>

## СравнитьМассивыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СравнитьМассивыЗначений(Массив1,Массив2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СравнитьМассивыЗначений(Массив1, Массив2));
```
</details>

## УдалитьНеиспользуемыеПараметры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет неиспользуемые способы вычисления параметров из таблиц их вычисления
//
Процедура УдалитьНеиспользуемыеПараметры(ТабВычисления) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УдалитьНеиспользуемыеПараметры(ТабВычисления));
```
</details>

## СравнитьТаблицыВычисленияПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Функция сравнивает две таблицы вычисления параметров операндов
//
// Параметры
//  ТаблицаВычисления1 - ТаблицаЗначений для сравнения
//  ТаблицаВычисления2 - ТаблицаЗначений для сравнения
//
// Возвращаемое значение:
//   Булево, идентичны или нет две таблицы
//
Функция СравнитьТаблицыВычисленияПараметров(РабочаяТаблица1, РабочаяТаблица2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СравнитьТаблицыВычисленияПараметров(РабочаяТаблица1, РабочаяТаблица2) 
```
</details>

## СравнитьТаблицыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СравнитьТаблицыЗначений(ТаблицаЗначений1, ТаблицаЗначений2,СтруктураПропускаемыхЗначений=Неопределено,СтруктураКолонокПоиска=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СравнитьТаблицыЗначений(ТаблицаЗначений1, ТаблицаЗначений2, СтруктураПропускаемыхЗначений, СтруктураКолонокПоиска);
```
</details>

## ОбъектыСовпадают
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбъектыСовпадают(Объект1, Объект2, Знач РеквизитыПроверки = "", Знач РеквизитыИсключения = "", ПроверятьНаличиеРеквизита = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОбъектыСовпадают(Объект1, Объект2, РеквизитыПроверки, РеквизитыИсключения, ПроверятьНаличиеРеквизита);
```
</details>

## ИзменитсяТабличнаяЧастьПриЗагрузкеДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// не должно быть одинаковых строк в таблице иначе алгоритм будет неправильно работать
Функция ИзменитсяТабличнаяЧастьПриЗагрузкеДанных(ТабЧасть, ТаблицаНовыхЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИзменитсяТабличнаяЧастьПриЗагрузкеДанных(ТабЧасть, ТаблицаНовыхЗначений) 
```
</details>

## ЗаполнитьКолонкиТаблицыЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьКолонкиТаблицыЗначений(ТаблицаЗначений,ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьКолонкиТаблицыЗначений(ТаблицаЗначений, ДанныеЗаполнения) 
```
</details>

## ПолучитьСтрокуИзСпискаЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтрокуИзСпискаЗначений(СписокЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтрокуИзСпискаЗначений(СписокЗначений) 
```
</details>

## ПолучитьСтрокуИзСпискаЗначенийПоПредставлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтрокуИзСпискаЗначенийПоПредставлению(СписокЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтрокуИзСпискаЗначенийПоПредставлению(СписокЗначений) 
```
</details>

## СписокЗначенийНайтиПоПредставлению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СписокЗначенийНайтиПоПредставлению(СписокЗначений,Представление) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СписокЗначенийНайтиПоПредставлению(СписокЗначений, Представление) 
```
</details>

## ПолучитьСписокЭлементовПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Функция формирует список элементов перечисления
//
// Параметры
//  ИмяПеречисления - имя перечисления, как оно задано в конфигураторе
//
// Возвращаемое значение:
//   СписокЗначений - список элементов перечисления
//
Функция ПолучитьСписокЭлементовПеречисления(ИмяПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСписокЭлементовПеречисления(ИмяПеречисления) 
```
</details>

## ПроверитьУникальностьСтрокТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура проверяет уникальность строк табличной части
//
Процедура ПроверитьУникальностьСтрокТабличнойЧасти(ТабличнаяЧасть, ИмяКолонки, Отказ, ШапкаОшибки, ЗапретНезаполненныхЗначений = Ложь) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПроверитьУникальностьСтрокТабличнойЧасти(ТабличнаяЧасть, ИмяКолонки, Отказ, ШапкаОшибки, ЗапретНезаполненныхЗначений);
```
</details>

## ВставитьКлючи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вставляет ключи в структуру, если их там нет.
//
// Параметры:
//  Структура - Структура, в которую добавляются ключи.
//  Ключи     - Строка - список ключей, разделенных запятыми.
//
Процедура ВставитьКлючи(Структура, Знач Ключи) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ВставитьКлючи(Структура, Ключи) 
```
</details>

## ЗаполнитьПредставленияРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет стркутуру представлений реквизтов.
//
// Параметры:
//  СтруктураРеквизитов - (Структуура) - ключ - имя реквизита, значение - представление реквизита.
//  КоллекцияРеквизитов - (Коллекция ОбъектМетаданных) - коллекция реквизитов.
//
Процедура ЗаполнитьПредставленияРеквизитов(СтруктураРеквизитов, КоллекцияРеквизитов) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьПредставленияРеквизитов(СтруктураРеквизитов, КоллекцияРеквизитов) 
```
</details>

## ПроверитьНеИзменяемыеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет не изменяемые реквизиты объекта.
// У объекта должен быть определен экспортируемый метод НеИзменяемыеРеквизиты().
// У объекта должена быть определена экспортируемая переменная СтруктураРеквизитов.
//
// Параметры:
//  Объект    - объект, реквизиты которого проверяются.
//  Отказ     - Истина, если проверка выявила проблемы. В противном случае не меняется.
//              В параметр удобно передавать параметр Отказ обработчика ПередЗаписью.
//  Сообщение - строка, в которую будут дописаны "замечания", выявленные при проверке.
//              Сформированная таким образом строка может использоваться в вызывающей
//              процедуре в качестве сообщения или предупреждения.
//
Процедура ПроверитьНеИзменяемыеРеквизиты(Объект, Отказ, ШапкаОшибки = "") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПроверитьНеИзменяемыеРеквизиты(Объект, Отказ, ШапкаОшибки);
```
</details>

## ПрименитьЭлементНастройкиФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Считывает значение настройки из структуры настроек и присваивает его приемнику,
// выполняя необходимые проверки
//
// Параметры:
//  СтруктураНастроек - Структура - структура применяемых настроек.
//  КлючЗначения      - Строка - ключ применяемой настройки.
//  ПриемникЗначения  - в этот параметр будет записано значение настройки.
//  ТипЗначения       - Строка - тип, который должно иметь значение настройки.
//
Процедура ПрименитьЭлементНастройкиФормы(СтруктураНастроек, КлючЗначения, ПриемникЗначения, ТипЗначения) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПрименитьЭлементНастройкиФормы(СтруктураНастроек, КлючЗначения, ПриемникЗначения, ТипЗначения) 
```
</details>

## ЗаполнитьПредставленияПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет представления элементов всех коллекций построителя отчета на
//  основании соответствия имен и представдлений переданных в параметре
//
// Параметры
//  СтруктураСоответствияИмен - Структура, ключ - имя поля, значение - представление поля
//  ПостроительОтчета         - ПостроительОтчета
//
//  Возвращаемое значение
//   НЕТ
//
Процедура ЗаполнитьПредставленияПолей(СтруктураСоответствияИмен, ПостроительОтчета) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьПредставленияПолей(СтруктураСоответствияИмен, ПостроительОтчета) 
```
</details>

## РаспределитьПропорционально
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция выполняет пропорциональное распределение суммы в соответствии
// с заданными коэффициентами распределения
//
// Параметры:
//		ИсхСумма - распределяемая сумма
//		МассивКоэф - массив коэффициентов распределения
//		Точность - точность округления при распределении. Необязателен.
//      ПроверкаНулевыхЗначений - определяет, будут ли распределяться нулевые значения
//      ИмяКолонки - имя колонки, содержещей коэффициент для распределения в случае, если передан массив строк
//
//	Возврат:
//		МассивСумм - массив размерностью равный массиву коэффициентов, содержит
//			суммы в соответствии с весом коэффициента (из массива коэффициентов)
//          В случае если распределить не удалось (сумма = 0, кол-во коэф. = 0,
//          или суммарный вес коэф. = 0), тогда возвращается значение Неопределено
//
Функция РаспределитьПропорционально(Знач ИсхСумма, МассивКоэф, Знач Точность = 2, ПроверкаНулевыхЗначений=Истина,ИмяКолонки="") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.РаспределитьПропорционально(ИсхСумма, МассивКоэф, Точность, ПроверкаНулевыхЗначений, ИмяКолонки);
```
</details>

## ПроверитьОбъектПередУдалением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьОбъектПередУдалением(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПроверитьОбъектПередУдалением(Ссылка) 
```
</details>

## ПометитьСправочникПоРеквизиту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПометитьСправочникПоРеквизиту(ИмяСправочника,ИмяРеквизита,ЗначениеРеквизита,Пометка,Отказ) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПометитьСправочникПоРеквизиту(ИмяСправочника, ИмяРеквизита, ЗначениеРеквизита, Пометка, Отказ) 
```
</details>

## ПометитьСправочникПоРеквизитуТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПометитьСправочникПоРеквизитуТЧ(ИмяСправочника,ИмяТЧ,ИмяРеквизитаТЧ,ЗначениеРеквизитаТЧ,Пометка,Отказ) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПометитьСправочникПоРеквизитуТЧ(ИмяСправочника, ИмяТЧ, ИмяРеквизитаТЧ, ЗначениеРеквизитаТЧ, Пометка, Отказ) 
```
</details>

## УдалитьИнформациюОКоординатах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьИнформациюОКоординатах(ЭлементСтруктуры,Отказ) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УдалитьИнформациюОКоординатах(ЭлементСтруктуры, Отказ) 
```
</details>

## ПолучитьСтруктуруРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруРеквизитовОбъекта(Объект,СтруктураРеквизитов=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтруктуруРеквизитовОбъекта(Объект, СтруктураРеквизитов);
```
</details>

## СтруктураСвойствОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураСвойствОбъекта(Объект, МетаданныеОбъекта = Неопределено, НужныТабличныеЧасти = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СтруктураСвойствОбъекта(Объект, МетаданныеОбъекта, НужныТабличныеЧасти);
```
</details>

## СтруктураРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураРеквизитовОбъекта(МетаданныеОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СтруктураРеквизитовОбъекта(МетаданныеОбъекта) 
```
</details>

## ИменаРеквизитовОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИменаРеквизитовОбъекта(МетаданныеОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИменаРеквизитовОбъекта(МетаданныеОбъекта) 
```
</details>

## ЗаполнитьИзмененныеРеквизиты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьИзмененныеРеквизиты(Объект, ЗначенияРеквизитов, ИсключаемыеСвойства, ЕстьИзменения) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьИзмененныеРеквизиты(Объект, ЗначенияРеквизитов, ИсключаемыеСвойства, ЕстьИзменения) 
```
</details>

## ЗагрузитьИзмененнуюТабЧасть
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗагрузитьИзмененнуюТабЧасть(ТабЧасть, ТаблицаНовыхЗначений, ЕстьИзменения) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗагрузитьИзмененнуюТабЧасть(ТабЧасть, ТаблицаНовыхЗначений, ЕстьИзменения) 
```
</details>

## ПолучитьРабочийОбъект
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРабочийОбъект(ДанныеОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьРабочийОбъект(ДанныеОбъекта) 
```
</details>

## ВернутьАлфавитноЦифровоеПредставление
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С КОДАМИ ЭЛЕМЕНТОВ СПРАВОЧНИКОВ.

// Функция заменяет все не алфавитноцифровые символы на знак подчеркивания.
// Параметры
//  Код            - Строка, Значение кода, которое необходимо преобразовать.
// Возвращаемое значение
//  Строка, преобразованное значение кода.
//
Функция ВернутьАлфавитноЦифровоеПредставление(Код, РазрешитьЦифрыВНачале = Ложь, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВернутьАлфавитноЦифровоеПредставление(Код, РазрешитьЦифрыВНачале, );
```
</details>

## РусАнгАлфавитВспомогательныеСимволы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция РусАнгАлфавитВспомогательныеСимволы(Символ) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.РусАнгАлфавитВспомогательныеСимволы(Символ) 
```
</details>

## ПолучитьИмяЭлементаПеречисленияПоЗначению
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Предназначена для получения имени элемента перечисления по значению.
//
// Параметры:
//	Элемент перечисления.
//
// Возвращаемое значение:
//	Строка - имя элемента перечисления в метаданных.
//
Функция ПолучитьИмяЭлементаПеречисленияПоЗначению(ЗначениеПеречисления) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьИмяЭлементаПеречисленияПоЗначению(ЗначениеПеречисления) 
```
</details>

## ПолучитьНовыйПорядковыйНомер
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// МЕХАНИЗМ ПОРЯДКОВЫХ НОМЕРОВ СПРАВОЧНИКА

// Функция возвращает новое значения реквизита "ПорядковыйНомер"
//
// Объект   - Тип СправочникОбъект.
// ИмяРеквизитовРодителя - Строка, имя реквизита, в пределов которых поддерживается уникальность порядковых номеров
//
Функция ПолучитьНовыйПорядковыйНомер(Объект, ИмяРеквизитовРодителя = "Родитель") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьНовыйПорядковыйНомер(Объект, ИмяРеквизитовРодителя);
```
</details>

## ПолучитьМассивПрефиксовРИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивПрефиксовРИБ() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьМассивПрефиксовРИБ() 
```
</details>

## СформироватьМассивПрефиксовДляРИБИОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьМассивПрефиксовДляРИБИОрганизации(Организация) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СформироватьМассивПрефиксовДляРИБИОрганизации(Организация) 
```
</details>

## СформироватьЗаголовокДокумента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция формирует представление заголовка документа
//
// Возвращаемое значение:
//  Строка - представление номера документа
//
Функция СформироватьЗаголовокДокумента(ДокументОбъект, НазваниеДокумента = "") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СформироватьЗаголовокДокумента(ДокументОбъект, НазваниеДокумента);
```
</details>

## ПолучитьНомерНаПечать
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура предназначена для преобразования номера документа.
//
// Параметры:
//  Документ - (ДокументСсылка), документ, чей номер надо получить для печати.
//
// Возвращаемое значение.
//  Строка - номер документа для печати
//
Функция ПолучитьНомерНаПечать(Документ, МассивПрефиксов = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьНомерНаПечать(Документ, МассивПрефиксов);
```
</details>

## УстановитьНовыйПорядковыйНомерПриНеобходимости
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет установку нового значения реквизита "ПорядковыйНомер" при необходимости
//
// Объект   - Тип СправочникОбъект.
// ИмяРеквизитовРодителя - Строка, имя реквизита, в пределов которых поддерживается уникальность порядковых номеров
//
Процедура УстановитьНовыйПорядковыйНомерПриНеобходимости(Объект, ИмяРеквизитовРодителя = "Родитель") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УстановитьНовыйПорядковыйНомерПриНеобходимости(Объект, ИмяРеквизитовРодителя);
```
</details>

## ПодготовитьПоказателиДляЗаполненияОбъектов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьПоказателиДляЗаполненияОбъектов(Ссылка) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПодготовитьПоказателиДляЗаполненияОбъектов(Ссылка) 
```
</details>

## ОбновитьПоказателиОбъектовБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьПоказателиОбъектовБД(Ссылка) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ОбновитьПоказателиОбъектовБД(Ссылка) 
```
</details>

## ОпределитьНомерАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОпределитьНомерАналитики(СтрокаРеквизита,СохраненныеРеквизиты,НомерПоследнейАналитики) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ОпределитьНомерАналитики(СтрокаРеквизита, СохраненныеРеквизиты, НомерПоследнейАналитики) 
```
</details>

## ПолучитьИмяСправочникаОписанияПоТипуМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



/////////////////////////////////////////////////////////////////////////////////////////
// Процедуры и функции создания описаний объектов текущей или внешних информационных баз
//

Функция ПолучитьИмяСправочникаОписанияПоТипуМетаданных(ТипМетаДанных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьИмяСправочникаОписанияПоТипуМетаданных(ТипМетаДанных) 
```
</details>

## ПолучитьОписаниеОбъектаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеОбъектаБД(ТекСоединениеВИБ,ТипМетаДанных,ИмяОбъектаБД,Владелец,ЗаполнятьРеквизиты=Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьОписаниеОбъектаБД(ТекСоединениеВИБ, ТипМетаДанных, ИмяОбъектаБД, Владелец, ЗаполнятьРеквизиты);
```
</details>

## ПолучитьШаблонСтруктурыОписанияОбъектаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьШаблонСтруктурыОписанияОбъектаБД(ТипОбъектаМетаДанных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьШаблонСтруктурыОписанияОбъектаБД(ТипОбъектаМетаДанных) 
```
</details>

## ПолучитьСтруктуруОписанияСправочникаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОписанияСправочникаБД(ИмяСправочника, ТекСоединениеВИБ, Используется77, Кэш) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтруктуруОписанияСправочникаБД(ИмяСправочника, ТекСоединениеВИБ, Используется77, Кэш) 
```
</details>

## ПолучитьМассивСтруктурТабличныхЧастей1С
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивСтруктурТабличныхЧастей1С(ТекСоединениеВИБ, ДанныеОбъектаВладельцаТЧ, Использование77, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьМассивСтруктурТабличныхЧастей1С(ТекСоединениеВИБ, ДанныеОбъектаВладельцаТЧ, Использование77, );
```
</details>

## ПолучитьСтруктуруОписанияДокументаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОписанияДокументаБД(ИмяДокумента, ТекСоединениеВИБ, Используется77, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтруктуруОписанияДокументаБД(ИмяДокумента, ТекСоединениеВИБ, Используется77, Кэш);
```
</details>

## ПолучитьСтруктуруОписанияПланаВидовХарактеристикБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОписанияПланаВидовХарактеристикБД(ИмяПланаВидовХарактеристик, ТекСоединениеВИБ, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтруктуруОписанияПланаВидовХарактеристикБД(ИмяПланаВидовХарактеристик, ТекСоединениеВИБ, Кэш);
```
</details>

## ПолучитьСтруктуруОписанияПеречисленияБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОписанияПеречисленияБД(ИмяПеречисления, ТекСоединениеВИБ, Используется77, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтруктуруОписанияПеречисленияБД(ИмяПеречисления, ТекСоединениеВИБ, Используется77, Кэш);
```
</details>

## ПолучитьСтруктуруОписанияРегистраНакопленияБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОписанияРегистраНакопленияБД(ИмяРегистраНакопления, ТекСоединениеВИБ, Используется77, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтруктуруОписанияРегистраНакопленияБД(ИмяРегистраНакопления, ТекСоединениеВИБ, Используется77, );
```
</details>

## ПолучитьСтруктуруОписанияРегистраБухгалтерииБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОписанияРегистраБухгалтерииБД(ИмяРегистраБухгалтерии, ТекСоединениеВИБ, Используется77, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтруктуруОписанияРегистраБухгалтерииБД(ИмяРегистраБухгалтерии, ТекСоединениеВИБ, Используется77, );
```
</details>

## ПолучитьСтруктуруОписанияПланаСчетовБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОписанияПланаСчетовБД(ПланСчетовНаименование,ПланСчетовМетаданные, ТекСоединениеВИБ, Используется77, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтруктуруОписанияПланаСчетовБД(ПланСчетовНаименование, ПланСчетовМетаданные, ТекСоединениеВИБ, Используется77, );
```
</details>

## ПолучитьСтруктуруОписанияРегистраСведенийБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруОписанияРегистраСведенийБД(ИмяРегистраСведений, ТекСоединениеВИБ, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтруктуруОписанияРегистраСведенийБД(ИмяРегистраСведений, ТекСоединениеВИБ, Кэш);
```
</details>

## ПолучитьМассивИменОбъектовБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивИменОбъектовБД(ТипОбъектаМетаданных, ТекСоединениеВИБ, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьМассивИменОбъектовБД(ТипОбъектаМетаданных, ТекСоединениеВИБ, Кэш);
```
</details>

## ПроверитьНаличиеОписанияОбъектаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПроверитьНаличиеОписанияОбъектаБД(ТекСоединениеВИБ,СтрТипЗначения,ТипБД,ЗаполнятьПроизводныеРеквизиты) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПроверитьНаличиеОписанияОбъектаБД(ТекСоединениеВИБ, СтрТипЗначения, ТипБД, ЗаполнятьПроизводныеРеквизиты) 
```
</details>

## ПолучитьСтрокуТиповДанныхБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтрокуТиповДанныхБД(ТекСоединениеВИБ,ОписаниеТиповБД,ТипБД,ЗаполнятьПроизводныеРеквизиты=Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтрокуТиповДанныхБД(ТекСоединениеВИБ, ОписаниеТиповБД, ТипБД, ЗаполнятьПроизводныеРеквизиты);
```
</details>

## ПолучитьСтрокуПримитивныхТипов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтрокуПримитивныхТипов(ОписаниеТипов) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтрокуПримитивныхТипов(ОписаниеТипов) 
```
</details>

## ПолучитьРасширенныеДанныеТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРасширенныеДанныеТипа(СтрокаТип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьРасширенныеДанныеТипа(СтрокаТип));
```
</details>

## ПроверитьВозможностьУстановкиСоответствия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьУстановкиСоответствия(ОписаниеТиповИсточник,ОписаниеТиповПриемник) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПроверитьВозможностьУстановкиСоответствия(ОписаниеТиповИсточник, ОписаниеТиповПриемник) 
```
</details>

## ПреобразоватьПримитивныйТипВСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПреобразоватьПримитивныйТипВСтроку(Тип,ВозвращатьТип=Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПреобразоватьПримитивныйТипВСтроку(Тип, ВозвращатьТип);
```
</details>

## ПолучитьТипСтрокой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТипСтрокой(Тип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьТипСтрокой(Тип) 
```
</details>

## ЗаполнитьСписокРегистровБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСписокРегистровБД(ТипБД, База = Неопределено, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьСписокРегистровБД(ТипБД, База, );
```
</details>

## ЗаполнитьСписокСправочниковБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСписокСправочниковБД(ТипБД, База = Неопределено, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьСписокСправочниковБД(ТипБД, База, Кэш);
```
</details>

## ПодключитьсяКИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодключитьсяКИБ(ТипБД, База, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПодключитьсяКИБ(ТипБД, База, Кэш);
```
</details>

## ЗаполнитьСписокПлановВидовХарактеристикБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСписокПлановВидовХарактеристикБД(ТипБД, База = Неопределено, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьСписокПлановВидовХарактеристикБД(ТипБД, База, Кэш);
```
</details>

## ОбновитьОтсутствующиеВКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет ревизит ОтсутствуетВКонфигурации для справочника Справочник БД по данным
// МассивСуществующихВход для баз данных с типом ТипБдВход.
Процедура ОбновитьОтсутствующиеВКонфигурации(МассивСуществующихВход, ТипБдВход, ИмяСправочникаВход = "") Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ОбновитьОтсутствующиеВКонфигурации(МассивСуществующихВход, ТипБдВход, ИмяСправочникаВход);
```
</details>

## ПометитьНаУдалениеОтсутствующие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Серверная обёртка команды ПометитьНаУдалениеОтсутствующие.
Функция ПометитьНаУдалениеОтсутствующие(ИмяСправочникаВход = "") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПометитьНаУдалениеОтсутствующие(ИмяСправочникаВход);
```
</details>

## ЗаполнитьСписокДокументовБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСписокДокументовБД(ТипБД, База = Неопределено, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьСписокДокументовБД(ТипБД, База, Кэш);
```
</details>

## ЗаполнитьСписокПеречисленийБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСписокПеречисленийБД(ТипБД, База = Неопределено, Кэш = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьСписокПеречисленийБД(ТипБД, База, Кэш);
```
</details>

## ЗаполнитьДеревоТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьДеревоТЧ(Объект,ТабличныеЧасти) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьДеревоТЧ(Объект, ТабличныеЧасти) 
```
</details>

## ОбновитьОписаниеОбъектаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьОписаниеОбъектаБД(ТекСоединениеВИБ, ТипМетаДанных, ИмяОбъектаБД, Владелец, ОбновлятьТабличныеЧасти = Ложь, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ОбновитьОписаниеОбъектаБД(ТекСоединениеВИБ, ТипМетаДанных, ИмяОбъектаБД, Владелец, ОбновлятьТабличныеЧасти, );
```
</details>

## ПолучитьДанныеОбъектаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеОбъектаБД(ОписаниеОбъектаБД) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьДанныеОбъектаБД(ОписаниеОбъектаБД) 
```
</details>

## ОбновитьОписаниеТабличнойЧастиБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ОбновитьОписаниеТабличнойЧастиБД(СоединениеВИБ, ВладелецТЧ, ДанныеВладельцаТЧ, Использование77 = Ложь, Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ОбновитьОписаниеТабличнойЧастиБД(СоединениеВИБ, ВладелецТЧ, ДанныеВладельцаТЧ, Использование77, );
```
</details>

## ПринудительноеЗаполнениеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПринудительноеЗаполнениеПоля(СтрПравило) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПринудительноеЗаполнениеПоля(СтрПравило) 
```
</details>

## ОтборПоАналитикамЭкземпляраОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтборПоАналитикамЭкземпляраОтчета(СпособВычисленияПараметра) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОтборПоАналитикамЭкземпляраОтчета(СпособВычисленияПараметра) 
```
</details>

## ПолучитьЛокальныйСписокРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ МЕХАНИЗМОВ УПРАВЛЕНИЯ НСИ

// Функция получает список реквизитов для конкретного справочника ИБ Консолидации
// Параметры:
//  ЛокальныйСправочник - Строка, хранит имя справочника в ВИБ
//                        ВидХарактеристик, хранит ссылку на вид характеристик
//  СписокРеквизитов    - СписокЗначений, получает список реквизитов справочника ИБ Консолидации
//
Функция ПолучитьЛокальныйСписокРеквизитов(ТипОбъектаКонсолидации,ИмяОбъектаМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьЛокальныйСписокРеквизитов(ТипОбъектаКонсолидации, ИмяОбъектаМетаданных) 
```
</details>

## ЗаполнитьТабличноеПолеРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьТабличноеПолеРеквизитов(ИмяСправочника,Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗаполнитьТабличноеПолеРеквизитов(ИмяСправочника, Ссылка) 
```
</details>

## ПроставитьСостояниеСогласованности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроставитьСостояниеСогласованности(ПолеСоответствияРеквизитов,ТекущаяСтрока = Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПроставитьСостояниеСогласованности(ПолеСоответствияРеквизитов, ТекущаяСтрока);
```
</details>

## ЗаполнитьСтолбецЛокальныхРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтолбецЛокальныхРеквизитов(ПолеСоответствияРеквизитов,ТипОбъектаКонсолидации,ИмяОбъектаМетаданных,ОчищатьСтолбец = Истина) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьСтолбецЛокальныхРеквизитов(ПолеСоответствияРеквизитов, ТипОбъектаКонсолидации, ИмяОбъектаМетаданных, ОчищатьСтолбец);
```
</details>

## ЗаполнитьТаблицуРеквизитовКонсолидации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьТаблицуРеквизитовКонсолидации(ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗаполнитьТаблицуРеквизитовКонсолидации(ОбъектМетаданных) 
```
</details>

## ИерархическийСправочник
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет, является ли справочник иерархическим.
// Параметры:
//  Справочник      - Строка, Справочник.ЛюбаяСсылка, имя или ссылка на проверяемый справочник.
//  ЯвляетсяЛокальным - Булево, признак принадлежности справочника локальной ИБ.
//
Функция ИерархическийСправочник(Справочник, ЯвляетсяЛокальным = Истина) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИерархическийСправочник(Справочник, ЯвляетсяЛокальным);
```
</details>

## ПроверитьНаПримитивныйТипКонсолидация
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет на возможность использовать аналитику внешней информационной базы
// в отборе.
Функция ПроверитьНаПримитивныйТипКонсолидация(Аналитика) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПроверитьНаПримитивныйТипКонсолидация(Аналитика) 
```
</details>

## ЗаполнитьВидыАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция заполняет список значений аналитик переданного объекта (вида отчета или группы раскрытия показателя).
// Параметры:
//	ОбъектАналитики - объект, виды аналитики которого анализируются.
//  ТаблицаАналитик- Таблица значений, список, в который помещаются наименования
//	 аналитик показателя.
//
Функция ЗаполнитьВидыАналитик(ОбъектАналитики, НеВключатьАналитикуВГО = Ложь, ДобавлятьПоказатели=Ложь,ПоказательОтбор=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗаполнитьВидыАналитик(ОбъектАналитики, НеВключатьАналитикуВГО, ДобавлятьПоказатели, ПоказательОтбор);
```
</details>

## ИерархияГруппИЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИерархияГруппИЭлементов(ТаблицаАналитики) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИерархияГруппИЭлементов(ТаблицаАналитики) 
```
</details>

## ПолучитьНаименованиеСсылочногоТипаБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНаименованиеСсылочногоТипаБД(База, Тип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьНаименованиеСсылочногоТипаБД(База, Тип) 
```
</details>

## ЗаполнитьВидыАналитикпоТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Функция заполняет список значений аналитик переданного объекта (вида отчета или группы раскрытия показателя).
// Параметры:
//	ОбъектАналитики - объект, виды аналитики которого анализируются.
//  ТаблицаАналитик- Таблица значений, список, в который помещаются наименования
//	 аналитик показателя.
//
Функция ЗаполнитьВидыАналитикпоТЧ(ОбъектАналитики) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗаполнитьВидыАналитикпоТЧ(ОбъектАналитики) 
```
</details>

## ПолучитьТекстАналитикОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстАналитикОбъекта(ОбъектАналитики,Разделитель=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьТекстАналитикОбъекта(ОбъектАналитики, Разделитель);
```
</details>

## МаксКоличествоАналитикПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МаксКоличествоАналитикПоказателей(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.МаксКоличествоАналитикПоказателей(ВидОтчета) 
```
</details>

## ЗаполнитьОбщиеРеквизитыАналитики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьОбщиеРеквизитыАналитики(ТекВидАналитики,СтруктураАналитика) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьОбщиеРеквизитыАналитики(ТекВидАналитики, СтруктураАналитика));
```
</details>

## ПолучитьДанныеГруппыРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеГруппыРаскрытия(Показатель=Неопределено,ГруппаРаскрытия=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьДанныеГруппыРаскрытия(Показатель, ГруппаРаскрытия);
```
</details>

## ПолучитьДанныеАналитикВидаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеАналитикВидаОтчета(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьДанныеАналитикВидаОтчета(ВидОтчета) 
```
</details>

## ПолучитьДанныеГруппыРаскрытияТЧ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеГруппыРаскрытияТЧ(Объект=Неопределено,ГруппаРаскрытия=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьДанныеГруппыРаскрытияТЧ(Объект, ГруппаРаскрытия);
```
</details>

## ВернутьКоличествоАналитикНаУровнеОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьКоличествоАналитикНаУровнеОтчета(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВернутьКоличествоАналитикНаУровнеОтчета(ВидОтчета) 
```
</details>

## ЕстьРеквизитСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьРеквизитСправочника(ТаблицаСправочника,ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЕстьРеквизитСправочника(ТаблицаСправочника, ИмяРеквизита) 
```
</details>

## ПроверитьНаличиеВозможныхОшибокСДублямиАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура выдает список ЭО, по которым замена ссылок будет невозможна или дублирования
// строк в регистре сведений
// Параметры
//  <Параметр1>  - <Тип.Вид> - <описание параметра>
//                 <продолжение описания параметра>
//  <Параметр2>  - <Тип.Вид> - <описание параметра>
//                 <продолжение описания параметра>
//
Функция ПроверитьНаличиеВозможныхОшибокСДублямиАналитик(ТаблицаДокументовСОшибками, ПравильныйЭлемент, МассивДублей, ТаблицаСсылок) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПроверитьНаличиеВозможныхОшибокСДублямиАналитик(ТаблицаДокументовСОшибками, ПравильныйЭлемент, МассивДублей, ТаблицаСсылок));
```
</details>

## ВыполнитьЗаменуЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьЗаменуЭлементов(ПравильныйЭлемент, МассивДублей, УдалятьДубли=Истина, ТаблицаДокументовСОшибками = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВыполнитьЗаменуЭлементов(ПравильныйЭлемент, МассивДублей, УдалятьДубли, ТаблицаДокументовСОшибками);
```
</details>

## ОбновитьАдресаЭлементовСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С УПРОЩЕННЫМ РЕЖИМОМ ВВОДА ФОРМУЛ

Процедура ОбновитьАдресаЭлементовСтруктуры(БланкОтчета) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ОбновитьАдресаЭлементовСтруктуры(БланкОтчета) 
```
</details>

## ПолучитьАдресаЭлементовСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьАдресаЭлементовСтруктуры(ВидОтчета,ЭлементСтруктуры,Элемент=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьАдресаЭлементовСтруктуры(ВидОтчета, ЭлементСтруктуры, Элемент);
```
</details>

## ПолучитьЭлементСтруктурыПоАдресу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЭлементСтруктурыПоАдресу(ВидОтчета,ЭлементСтруктуры,АдресЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьЭлементСтруктурыПоАдресу(ВидОтчета, ЭлементСтруктуры, АдресЭлемента) 
```
</details>

## ПолучитьТекстВидаИтогаДляФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстВидаИтогаДляФормулы(ВидИтога,ДтКт) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьТекстВидаИтогаДляФормулы(ВидИтога, ДтКт) 
```
</details>

## ПолучитьВидИтогаДтКт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВидИтогаДтКт(ТекстВидаИтога,Использование77=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьВидИтогаДтКт(ТекстВидаИтога, Использование77);
```
</details>

## ПолучитьНастройкиДляРегистраБухгалтерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНастройкиДляРегистраБухгалтерии(НазначениеРасчетов,ТипБД) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьНастройкиДляРегистраБухгалтерии(НазначениеРасчетов, ТипБД) 
```
</details>

## ПолучитьНастройкиДляКорректировкиБухгалтерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНастройкиДляКорректировкиБухгалтерии(НазначениеРасчетов,ПотребительРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьНастройкиДляКорректировкиБухгалтерии(НазначениеРасчетов, ПотребительРасчета) 
```
</details>

## ОпределитьТекстВидаИтога
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьТекстВидаИтога(ТекстФормулы,НачальныйИндекс) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьТекстВидаИтога(ТекстФормулы, НачальныйИндекс) 
```
</details>

## ПолучитьРезультатРазбораТекстаФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает результат разбора текста формулы в виде массива соответствий
// Ключом соответствия является текст, опознанный, как операнд формулы
// Значением - структура, определяющая вид и необходимые параметры операнда
//  - по упрощенному представлению данных РБ (СНД, СНК...): способ получения, регистр бухгалтерии, счет, корр. счет, вид итога, сдвиг периодов, текст субконто
//  - по упрощенному представлению ссылки на показатель отчета: вид отчета, показатель, сдвиг периодов, текст аналитик
//  - прочие операнды: операнд
//  Исходные настройки: структура
//
Функция ПолучитьРезультатРазбораТекстаФормулы(ТекстФормулы,НазначениеРасчетов,ПотребительРасчета,СпособИспользования,ТипБД, РегистрБД=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьРезультатРазбораТекстаФормулы(ТекстФормулы, НазначениеРасчетов, ПотребительРасчета, СпособИспользования, ТипБД, РегистрБД);
```
</details>

## ПолучитьКодУпрощеннойФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКодУпрощеннойФормулы(РабочийТекстФормулы,ТекстИтога="") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьКодУпрощеннойФормулы(РабочийТекстФормулы, ТекстИтога);
```
</details>

## ОпределитьКодыСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьКодыСчетов(КодСчета,КодКоррСчета,ТекстСчетов,ТекстИтога) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьКодыСчетов(КодСчета, КодКоррСчета, ТекстСчетов, ТекстИтога));
```
</details>

## ПолучитьДанныеИсточникаПоКодуУпрощеннойФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеИсточникаПоКодуУпрощеннойФормулы(КодУпрощеннойФормулы,НазначениеРасчетов,ПотребительРасчета,СпособИспользования=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьДанныеИсточникаПоКодуУпрощеннойФормулы(КодУпрощеннойФормулы, НазначениеРасчетов, ПотребительРасчета, СпособИспользования);
```
</details>

## ПолучитьДанныеИсточникаПоКодуПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеИсточникаПоКодуПоказателя(КодУпрощеннойФормулы,НазначениеРасчетов,ПотребительРасчета,СпособИспользования=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьДанныеИсточникаПоКодуПоказателя(КодУпрощеннойФормулы, НазначениеРасчетов, ПотребительРасчета, СпособИспользования);
```
</details>

## ПолучитьДанныеИсточникаПоКодуИсточника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеИсточникаПоКодуИсточника(КодУпрощеннойФормулы,НазначениеРасчетов,ПотребительРасчета,СпособИспользования=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьДанныеИсточникаПоКодуИсточника(КодУпрощеннойФормулы, НазначениеРасчетов, ПотребительРасчета, СпособИспользования);
```
</details>

## ПрочитатьКодУпрощеннойФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПрочитатьКодУпрощеннойФормулы(ИсточникДанных=Неопределено,КодИсточника=Неопределено,ПотребительРасчета=Неопределено,СпособИспользования=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПрочитатьКодУпрощеннойФормулы(ИсточникДанных, КодИсточника, ПотребительРасчета, СпособИспользования);
```
</details>

## ПолучитьВозможныйКодУпрощеннойФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВозможныйКодУпрощеннойФормулы(ПроектКода,Ссылка,НазначениеРасчетов,ПотребительРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьВозможныйКодУпрощеннойФормулы(ПроектКода, Ссылка, НазначениеРасчетов, ПотребительРасчета) 
```
</details>

## ОпределитьНастройкиОперандаРегистраБухгалтерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьНастройкиОперандаРегистраБухгалтерии(Инд,ТекстИтога,РабочийТекстФормулы,НазначениеРасчетов,ПотребительРасчета,СпособИспользования,ТипБД,РегистрБД) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьНастройкиОперандаРегистраБухгалтерии(Инд, ТекстИтога, РабочийТекстФормулы, НазначениеРасчетов, ПотребительРасчета, СпособИспользования, ТипБД, РегистрБД));
```
</details>

## ПолучитьСчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСчет(КодСчета,ПланСчетов) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСчет(КодСчета, ПланСчетов) 
```
</details>

## ОпределитьНастройкиОперандаПоказательОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьНастройкиОперандаПоказательОтчета(Инд,РабочийТекстФормулы,НазначениеРасчетов,ПотребительРасчета,СпособИспользования) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьНастройкиОперандаПоказательОтчета(Инд, РабочийТекстФормулы, НазначениеРасчетов, ПотребительРасчета, СпособИспользования));
```
</details>

## ПереданАдресПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПереданАдресПоказателя(СтрокаАдрес) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПереданАдресПоказателя(СтрокаАдрес));
```
</details>

## ЗаменитьКодыВТекстеФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаменитьКодыВТекстеФормулы(ТекстПроцедуры, НазначениеРасчетов,ПотребительРасчета,НаКодыИсточников=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗаменитьКодыВТекстеФормулы(ТекстПроцедуры, НазначениеРасчетов, ПотребительРасчета, НаКодыИсточников);
```
</details>

## ЗаполнитьФормулуРасчетаПоказателяПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаполнитьФормулуРасчетаПоказателяПоУмолчанию(НазначениеРасчетов,ПотребительРасчета) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗаполнитьФормулуРасчетаПоказателяПоУмолчанию(НазначениеРасчетов, ПотребительРасчета) 
```
</details>

## ИнициализироватьТаблицуКонтроляЛимитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С НАСТРОЙКАМИ


Функция ИнициализироватьТаблицуКонтроляЛимитов() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИнициализироватьТаблицуКонтроляЛимитов() 
```
</details>

## ПолучитьСоединение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С COM/OLE

// Функция, которая создает COM/OLE соединение с сервером и записывает в таблицу
// подключений. Если запись о соединении уже есть в таблице, возвращает суще-
// ствующее значение.
// Параметры:
//  ТаблицаПодключений - Таблица значений, таблица, в которой хранится информация о
//                    подключениях.
//  ВИБ             - Справочники.ВнешниеИнформационныеБазы.Ссылка, Элемент справочника внешних
//                    информационных баз, по данным из которого создается соединение.
//  ТипПодключения  - Перечисление, указывает по какой технологии подключаться к
//                    серверу. (OLE или COM)
// Возвращаемое значение:
// 	- COMОбъект, в котором хранится подключение к серверу.
//
Функция ПолучитьСоединение(ТаблицаПодключений=Неопределено, ВИБ, ТипПодключения, ПроверкаСоединения = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСоединение(ТаблицаПодключений, ВИБ, ТипПодключения, ПроверкаСоединения);
```
</details>

## ПолучитьСоединениеСВИБПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСоединениеСВИБПоУмолчанию(ТипБД,ТипПодключения) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСоединениеСВИБПоУмолчанию(ТипБД, ТипПодключения) 
```
</details>

## ПолучитьСписокВИБПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокВИБПоТипу(ТипБД) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСписокВИБПоТипу(ТипБД) 
```
</details>

## ОпределитьНаличиеСоединения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция для определения наличия соединения в таблице для данной записи
// справочника.
// Параметры:
//  ТаблицаПодключений - Таблица значений, таблица, в которой хранится информация о
//                     подключениях.
//  ВИБ             - Справочники.ВнешниеИнформационныеБазы.Ссылка, Элемент справочника внешних
//                  информационных баз, по данным из которого создается соединение.
// Возвращаемое значение:
//  Строка, в которой указана технология подключения. Если подключения нет, то Неопределено
//
Функция ОпределитьНаличиеСоединения(ТаблицаПодключений=Неопределено, ВИБ) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьНаличиеСоединения(ТаблицаПодключений, ВИБ) 
```
</details>

## СброситьСуществующиеПодключения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура сбрасывает существующие подключения для указанного элемента из справочника
// Параметры:
//  ТаблицаПодключений - Таблица значений, таблица, в которой хранится информация о
//                     подключениях.
//  ВИБ             - Справочники.ВнешниеИнформационныеБазы.Ссылка, Элемент справочника внешних
//                  информационных баз, по данным из которого создается соединение.
//
Процедура СброситьСуществующиеПодключения(ТаблицаПодключений=Неопределено, ВИБ) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.СброситьСуществующиеПодключения(ТаблицаПодключений, ВИБ) 
```
</details>

## СброситьСоединенияПоТаймАуту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура сбрасывает существующие подключения для которых время простоя превысило
// указываемый интервал в секундах.
// Параметры:
//  ТаблицаПодключений - Таблица значений, таблица, в которой хранится информация о
//                     подключениях.
//  Интервал        - Число, интервал в секундах, при превышении которого происходит разрыв
//                  соединения.
//
Процедура СброситьСоединенияПоТаймАуту(ТаблицаПодключений, Интервал) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.СброситьСоединенияПоТаймАуту(ТаблицаПодключений, Интервал) 
```
</details>

## ПолучитьСинонимПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
//
// ФУНКЦИИ ПРЕОБРАЗОВАНИЯ ИМЕН.

//Функция кэширует поля и их синонимы
Функция ПолучитьСинонимПоля(Поле) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСинонимПоля(Поле) 
```
</details>

## НайтиСлово
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиСлово(Парам) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.НайтиСлово(Парам));
```
</details>

## Синоним
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Возвращает синоним для параметра
Функция Синоним(Парам) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.Синоним(Парам) 
```
</details>

## ПроверитьНаПравильностьСимвол
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет, является ли Символ алфавитно-цифровым и если является, возвращает символ
// иначе пустой символ.
// Параметры:
//  Символ         - Строка, Символ для проверки.
// Результат:
//  Строка, Символ, если он алфавитноцифровой, иначе пустая строка.
Функция ПроверитьНаПравильностьСимвол(Символ) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПроверитьНаПравильностьСимвол(Символ));
```
</details>

## УдалитьИзСтрокиЗарезервированныеСлова
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция УдалитьИзСтрокиЗарезервированныеСлова(ЗНАЧ РедактируемыйТекст,ИмяСправочника="") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.УдалитьИзСтрокиЗарезервированныеСлова(ЗНАЧ РедактируемыйТекст, ИмяСправочника);
```
</details>

## СформироватьКодНаОснованииНаименования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Функция формирует код на основании наименования.
//
Функция СформироватьКодНаОснованииНаименования(Вн_Наименование,Знач ДлинаКода=0,ИмяСправочника="",Владелец=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СформироватьКодНаОснованииНаименования(Вн_Наименование, ДлинаКода, ИмяСправочника, Владелец);
```
</details>

## ПолучитьВозможныйКодСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВозможныйКодСправочника(Знач ПроектКода, Знач ДлинаКода, ИмяСправочника, Владелец = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьВозможныйКодСправочника(ПроектКода, ДлинаКода, ИмяСправочника, Владелец);
```
</details>

## ПолучитьВозможныйКодПВХ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВозможныйКодПВХ(ПроектКода,Знач ДлинаКода,ИмяПВХ) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьВозможныйКодПВХ(ПроектКода, ДлинаКода, ИмяПВХ) 
```
</details>

## ЕстьРеквизитОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
//
// ПРОЦЕДУРЫ - ОБРАБОТЧИКИ СОБЫТИЙ ИНТЕРФЕЙСА.

// Позволяет определить есть ли среди реквизитов шапки документа
// реквизит с переданным именем.
//
// Параметры:
//  ИмяРеквизита - строковое имя искомого реквизита,
//  МетаданныеДокумента - объект описания метаданных документа, среди реквизитов которого производится поиск.
//
// Возвращаемое значение:
//  Истина - нашли реквизит с таким именем, Ложь - не нашли.
//
Функция ЕстьРеквизитОбъекта(ИмяРеквизита, Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЕстьРеквизитОбъекта(ИмяРеквизита, Объект) 
```
</details>

## ЭлементСоставаОбщегоРеквизитаИспользуется
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает состояние использования элемента состава общего реквизита.
//
// Параметры:
//  ЭлементСостава            - ОбъектМетаданных - элемент состава общего реквизита, использование которого требуется
//                                                 проверить.
//  МетаданныеОбщегоРеквизита - ОбъектМетаданных - объект метаданных общего реквизита, которому принадлежит
//                                                 ЭлементСостава.
//
// Возвращаемое значение:
//  Булево - Истина, если элемент состава используется, иначе Ложь.
//
Функция ЭлементСоставаОбщегоРеквизитаИспользуется(Знач ЭлементСостава, Знач МетаданныеОбщегоРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЭлементСоставаОбщегоРеквизитаИспользуется(ЭлементСостава, МетаданныеОбщегоРеквизита) 
```
</details>

## ЕстьТабличнаяЧастьОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьТабличнаяЧастьОбъекта(ИмяТЧ, Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЕстьТабличнаяЧастьОбъекта(ИмяТЧ, Объект) 
```
</details>

## ЕстьРеквизитОбъектаМД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет определить есть ли среди реквизитов объекта метаданных
// реквизит с переданным именем.
//
// Параметры:
//  ИмяРеквизита - строковое имя искомого реквизита,
//  МетаданныеДокумента - объект описания метаданных документа, среди реквизитов которого производится поиск.
//
// Возвращаемое значение:
//  Истина - нашли реквизит с таким именем, Ложь - не нашли.
//
Функция ЕстьРеквизитОбъектаМД(ИмяРеквизита, ОбъектМД) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЕстьРеквизитОбъектаМД(ИмяРеквизита, ОбъектМД) 
```
</details>

## ПолучитьРеквизитОбъектаМД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Позволяет определить есть ли среди реквизитов объекта метаданных
// реквизит с переданным именем.
//
// Параметры:
//  ИмяРеквизита - строковое имя искомого реквизита,
//  МетаданныеДокумента - объект описания метаданных документа, среди реквизитов которого производится поиск.
//
// Возвращаемое значение:
//  Истина - нашли реквизит с таким именем, Ложь - не нашли.
//
Функция ПолучитьРеквизитОбъектаМД(ИмяРеквизита, ОбъектМД) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьРеквизитОбъектаМД(ИмяРеквизита, ОбъектМД) 
```
</details>

## ПредставлениеДокументаПриПроведении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Формирует строку представления документа для сообщений при проведении.
//
// Параметры
//  Источник - структура шапки или ссылка на проводимый документ.
//
// Возвращаемое значение
//  Строка с представлением документа
//
Функция ПредставлениеДокументаПриПроведении(Источник) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПредставлениеДокументаПриПроведении(Источник) 
```
</details>

## НаследоватьРеквизитПоРодителю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НаследоватьРеквизитПоРодителю(Объект,ИмяРеквизита,ЗначениеПоУмолчанию=Неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.НаследоватьРеквизитПоРодителю(Объект, ИмяРеквизита, ЗначениеПоУмолчанию);
```
</details>

## РазобратьПутьКОбъектуМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С КРИТЕРИЯМИ ОТБОРА

// Функция разбирает строку вида
// ТипОбъектаМетаданных.ИмяДокумента.ТабличнаяЧасть.ИмяТабличнойЧасти.Реквизит.ИмяРеквизита.
// ТипОбъектаМетаданных должен быть Справочник или Документ.
//
// Параметры:
//  ПутьКДанным - строка.
//  МетаданныеОбъекта - Объект метаданных
//
// Возвращаемое значение:
//  Структура - путь к объекту метаданных
//
Функция РазобратьПутьКОбъектуМетаданных(ПутьКДанным, МетаданныеОбъекта = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.РазобратьПутьКОбъектуМетаданных(ПутьКДанным, МетаданныеОбъекта);
```
</details>

## ПредупреждениеОбОшибке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ОБНОВЛЕНИЯ КОНФИГУРАЦИИ

Процедура ПредупреждениеОбОшибке(ТекстСообщения) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПредупреждениеОбОшибке(ТекстСообщения) 
```
</details>

## СоздатьИсточникДанныхПоПараметрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// СИСТЕМНЫЕ ПРОЦЕДУРЫ И ФУНКЦИИ

Функция СоздатьИсточникДанныхПоПараметрам(СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СоздатьИсточникДанныхПоПараметрам(СтруктураПараметров) 
```
</details>

## ПолучитьШаблонНастроекИсточникаДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьШаблонНастроекИсточникаДанных() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьШаблонНастроекИсточникаДанных() 
```
</details>

## ОпределитьНаличиеАналогичныхОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет наличие в базе данных операндов, получающих данные из отчета
// по параметрам НазначениеРасчетовВход, ПотребительРасчетаВход, ПоказательОтборВход,
// СпособИспользованияВход. Возвращает массив структур, содержащих коды таких
// операндов и ссылки на показатели, из которых берутся исходные данные.
Функция ОпределитьНаличиеАналогичныхОперандов(НазначениеРасчетовВход, ПотребительРасчетаВход, ПоказательОтборВход, СпособИспользованияВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОпределитьНаличиеАналогичныхОперандов(НазначениеРасчетовВход, ПотребительРасчетаВход, ПоказательОтборВход, СпособИспользованияВход) 
```
</details>

## СоздатьИсточникДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СоздатьИсточникДанных(СтруктураДанных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СоздатьИсточникДанных(СтруктураДанных) 
```
</details>

## ПолучитьМассивИспользуемыхРегистров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////
// ДЛЯ ВЕРСИИ 8.2.
//

// Функция формирует массив имен регистров, по которым документ имеет движения.
// Вызывается при подготовке записей к регистрации движений.
//
Функция ПолучитьМассивИспользуемыхРегистров(Регистратор, Движения, МассивИсключаемыхРегистров = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьМассивИспользуемыхРегистров(Регистратор, Движения, МассивИсключаемыхРегистров);
```
</details>

## ЗагрузитьВСписокЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Добавляет в список значений значения из другого списка значений
//
// Параметры:
//  СписокИсточник - список значений, откуда берутся значения.
//  СписокПриемник - список значений, куда добавляются значения.
//
Процедура ЗагрузитьВСписокЗначений(СписокИсточник, СписокПриемник,ОчищатьПриемник=Истина) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗагрузитьВСписокЗначений(СписокИсточник, СписокПриемник, ОчищатьПриемник);
```
</details>

## ПроверитьПроведенностьДокументов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
////////////////////////////////////////////////////////////////////////////////
// Общие процедуры и функции

// Проверяет проведенность документов
// Параметры
//  Документы - массив - документы, проведенность которых необходимо проверить
// Возвращаемое значение
//  Массив - непроведенные документы из массива Документы
//
Функция ПроверитьПроведенностьДокументов(знач Документы) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПроверитьПроведенностьДокументов(знач Документы) 
```
</details>

## ПровестиДокументы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура выполняет проведение документов перед формированием печатной формы.
//
// Параметры:
//	Документы - Массив - Документы, которые необходимо провести
//
// Возвращаемое значение:
//	Массив - документы, которые провести не удалось
//
Функция ПровестиДокументы(Документы, ТипПроведенныхДокументов) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПровестиДокументы(Документы, ТипПроведенныхДокументов) 
```
</details>

## ТекущийПользователь
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает ссылку на текущего пользователя базы данных,
// установленного по учетной записи пользователя конфигурации.
//
// Возвращаемое значение:
//  СправочникСсылка.Пользователи
//
Функция ТекущийПользователь() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ТекущийПользователь() 
```
</details>

## ВыполнитьБезопасно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить экспортную процедуру без параметров по имени.
//
// Параметры
//  ИмяЭкспортнойПроцедуры – Строка    – имя экспортной процедуры в формате
//										 <имя объекта>.<имя процедуры>, где <имя объекта> - это
// 										 общий модуль или модуль менеджера объекта.
//
// Пример:
//  ВыполнитьБезопасно("МойОбщийМодуль.МояПроцедура");
//
Процедура ВыполнитьБезопасно(Знач Имя Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ВыполнитьБезопасно(ИмяЭкспортнойПроцедуры) 
```
</details>

## ПолучитьЗначенияРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устарела. Следует использовать функцию ОбщегоНазначения.ЗначенияРеквизитовОбъекта
Функция ПолучитьЗначенияРеквизитов(Ссылка, ИменаРеквизитов) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьЗначенияРеквизитов(Ссылка, ИменаРеквизитов) 
```
</details>

## ПолучитьЗначениеРеквизита
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПолучитьЗначениеРеквизита возвращает значение
// реквизита, прочитанного из информационной базы по ссылке на объект.
//
//  Если доступа к реквизиту нет, возникнет исключение прав доступа.
//  Если необходимо зачитать реквизит независимо от прав текущего пользователя,
//  то следует использовать предварительный переход в привилегированный режим.
//
// Параметры:
//  Ссылка       - ссылка на объект, - элемент справочника, документ, ...
//  ИмяРеквизита - Строка, например, "Код".
//
// Возвращаемое значение:
//  Произвольный    - зависит от типа значения прочитанного реквизита.
//
Функция ПолучитьЗначениеРеквизита(Ссылка, ИмяРеквизита) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьЗначениеРеквизита(Ссылка, ИмяРеквизита) 
```
</details>

## ОбъединитьТаблицыПоУсловиюИ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Объединяет две таблицы значений по условию "И".
// Возвращает таблицу значений, полученную в результате объединения двух таблиц по условию "И".
//
// Параметры:
//  Таблица1         - ТаблицаЗначений - первая таблица значений для объединения
//  Таблица2         - ТаблицаЗначений - вторая таблица значений для объединения
//  ПоляТаблицы      - Строка - поля таблицы, перечисленные через запятую, по которым будут выполнятся объединение
//  ИмяПоляИтератора - Строка - имя служебной колонки таблицы значений.
//                              Это имя должно быть уникально во множестве имен колонок первой и второй таблиц.
//                              Переменная ПоляТаблицы не должна содержать этого имени.
//                              Значение по умолчанию "ИтераторПоляТаблицы"
//
// Возвращаемое значение:
//  ТаблицаЗначений -  таблица значений, полученная в результате объединения двух таблиц по условию "И"
//
Функция ОбъединитьТаблицыПоУсловиюИ(Таблица1, Таблица2, Знач ПоляТаблицы, ИмяПоляИтератора = "ИтераторПоляТаблицы") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОбъединитьТаблицыПоУсловиюИ(Таблица1, Таблица2, ПоляТаблицы, ИмяПоляИтератора);
```
</details>

## ИмяЗначенияПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает имя значения перечисления как объекта метаданных
//
// Параметры:
//  Значение - значение перечисления для которого необходимо получить имя перечисления
//
// Возвращаемое значение:
//  Строка - имя значения перечисления как объекта метаданных
//
Функция ИмяЗначенияПеречисления(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяЗначенияПеречисления(Значение) 
```
</details>

## ДобавитьИтераторТаблице
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет колонку в таблицу значений. Заполняет колонку переданным значением
//
// Параметры:
//  Таблица           - ТаблицаЗначений - таблица значений для добавления колонки
//  ЗначениеИтератора - Произвольный - значение, которым будет заполнено новое поле таблицы
//  ИмяПоляИтератора  - Строка - имя добавляемого поля
//
Процедура ДобавитьИтераторТаблице(Таблица, ЗначениеИтератора, ИмяПоляИтератора) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ДобавитьИтераторТаблице(Таблица, ЗначениеИтератора, ИмяПоляИтератора));
```
</details>

## КолвоВременныхТаблицВТекстеПакетаЗапросов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция вычисляет кол-во временных таблиц в тексте запроса (создания и удаления)
Функция КолвоВременныхТаблицВТекстеПакетаЗапросов(ТекстЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.КолвоВременныхТаблицВТекстеПакетаЗапросов(ТекстЗапроса) 
```
</details>

## ИмяCOMСоединителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// Вспомогательные процедуры и функции

// Возвращает имя COM-класса для работы с 1С:Предприятием 8 через COM-соединение.
//
Функция ИмяCOMСоединителя() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяCOMСоединителя() 
```
</details>

## ИнформационнаяБазаФайловая
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ИнформационнаяБазаФайловая определяет режим эксплуатации
// информационной базы файловый (Истина) или Серверный (Ложь).
//  При проверке используется СтрокаСоединенияИнформационнойБазы, которую
// можно указать явно.
//
// Параметры:
//  СтрокаСоединенияИнформационнойБазы - Строка - параметр используется, если
//                 нужно проверить строку соединения не текущей информационной базы.
//
// Возвращаемое значение:
//  Булево.
//
Функция ИнформационнаяБазаФайловая(Знач СтрокаСоединенияИнформационнойБазы = "") Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИнформационнаяБазаФайловая(СтрокаСоединенияИнформационнойБазы);
```
</details>

## ПолучитьПредставлениеИнформационнойБазы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить представление информационной базы для отображения пользователю.
//
// Возвращаемое значение:
//   Строка      - Представление информационной базы
//
// Пример возвращаемого результата:
// - для ИБ в файлом режиме: \\FileServer\1c_ib\
// - для ИБ в серверном режиме: ServerName:1111 / information_base_name
//
Функция ПолучитьПредставлениеИнформационнойБазы() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьПредставлениеИнформационнойБазы() 
```
</details>

## ОписаниеТипаСостоитИзТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверить, что описание типа состоит из единственного типа значения и
// совпадает с нужным типом.
//
// Возвращаемое значение:
//   Булево      - Совпадает или нет
//
Функция ОписаниеТипаСостоитИзТипа(ОписаниеТипа, ТипЗначения) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОписаниеТипаСостоитИзТипа(ОписаниеТипа, ТипЗначения) 
```
</details>

## ПрочитатьXMLВТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ПрочитатьXMLВТаблицу преобразует текст формата XML в таблицу значений,
// при этом колонки таблицы формируются на основе описания в XML.
//
// Параметры:
//  ТекстXML     - текст формата XML.
//
// Возвращаемое значение:
//  ТаблицаЗначений.
//
Функция ПрочитатьXMLВТаблицу(ТекстXML) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПрочитатьXMLВТаблицу(ТекстXML) 
```
</details>

## СохранитьФайлНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция СохранитьФайлНаСервере перемещает двоичные данные из временного
// хранилища в файл на сервере (данные во временном хранилище удаляются).
//
// Параметры:
//  АдресВоВременномХранилище - адрес, указывающий на значение во временном хранилище.
//  ИмяФайла     - Строка, необязательный параметр,
//                 полное имя файла на сервере для сохранения двоичных данных.
//
// Возвращаемое значение:
//  Строка       - полное имя файла на сервере, в который сохранены двоичные данные.
//
Функция СохранитьФайлНаСервере(Знач АдресВоВременномХранилище, Знач ИмяФайла = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СохранитьФайлНаСервере(АдресВоВременномХранилище, ИмяФайла);
```
</details>

## ПолучитьТаблицуОписанияСвойствОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает таблицу значений с описанием требуемых свойств всех реквизитов объекта метаданного
// Получает значения свойств стандартных реквизитов и пользовательских реквизитов (созданных в режиме конфигуратора)
//
// Параметры:
//  ОбъектМетаданных  - Объект метаданных конфигурации, для которого необходимо получить значение свойств реквизитов.
//                      Например: Метаданные.Документ.РеализацияТоваровИУслуг
//  Свойства - Строка - свойства реквизитов, перечисленных через запятую, значение которых необходимо получить.
//                      Например: "Имя, Тип, Синоним, Подсказка"
//
// Возвращаемое значение:
//  ТаблицаЗначений - таблица значений с описанием требуемых свойств всех реквизитов объекта метаданного
//
Функция ПолучитьТаблицуОписанияСвойствОбъекта(ОбъектМетаданных, Свойства) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьТаблицуОписанияСвойствОбъекта(ОбъектМетаданных, Свойства) 
```
</details>

## ТаблицаЗначенийВМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//	Преобразует таблицу значений в массив.
//	Может использоваться для передачи на клиента данных, полученных
//	на сервере в виде таблицы значений в том случае, если таблица
//	значений содержит только такие значения, которые могут
//  быть переданы на клиента
//
//	Полученный массив содержит структуры, каждая из которых повторяет
//	структуру колонок таблицы значений.
//
//	Не рекомендуется использовать для преобразования таблиц значений
//	с большим количеством строк.
//
//	Параметры: ТаблицаЗначений
//	Возвращаемое значение: Массив
//
Функция ТаблицаЗначенийВМассив(ТаблицаЗначений) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ТаблицаЗначенийВМассив(ТаблицаЗначений) 
```
</details>

## МассивВТаблицуЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Преобразует массив структур в таблицу значений.
// Все структуры должны содеражать одинаковые поля.
// Тип колонок устанавливается по значениям в массиве.
// Проверка полноты заполнения полей в структурах массива
// не производится.
//
// Параметры:
//  МассивСтруктур - Массив(Структура) - массив структур для преобразования.
//
// Возвращаемое значение:
//   ТаблицаЗначений - колонки соотвествуют полям из самой первой структуры.
//		Строки заполнены созданы и заполнены из всех структур массива.
//
Функция МассивВТаблицуЗначений(МассивСтруктур) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.МассивВТаблицуЗначений(МассивСтруктур) 
```
</details>

## ДобавитьКолонкиТаблицыЗначенийИзСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура - Добавить колонки таблицы значений из структуры.
// Тип колонки - либо объединение типов значений в ней,
// либо, если значений нет, то это Число.
//
// Параметры:
//  Таблица - ТаблицаЗначений - таблица значений для добавления
//		колонок.
//  МассивСтруктур - Массив(Структура) - из нее берутся имена колонок.
//
Процедура ДобавитьКолонкиТаблицыЗначенийИзСтруктуры( Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ДобавитьКолонкиТаблицыЗначенийИзСтруктуры();
```
</details>

## ЭтоВнешнееСоединение
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определение внешнее соединение или нет
Функция ЭтоВнешнееСоединение() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЭтоВнешнееСоединение() 
```
</details>

## ИмяБазовогоТипаПоОбъектуМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////
// Вспомогательные процедуры и функции работающие с типами
// и их строковыми представлениями

// Возвращает имя базового типа по переданному значению объекта метаданных
//
// Параметры:
//  ОбъектМетаданных - объект метаданных, по которому необходимо определить базовый тип
//
// Возвращаемое значение:
//  Строка - имя базового типа по переданному значению объекта метаданных
//
Функция ИмяБазовогоТипаПоОбъектуМетаданных(ОбъектМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяБазовогоТипаПоОбъектуМетаданных(ОбъектМетаданных) 
```
</details>

## МенеджерОбъектаПоПолномуИмени
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция МенеджерОбъектаПоПолномуИмени возвращает менеджер объекта
// по полному имени объекта метаданных.
//
// Не обрабатываются точки маршрутов бизнес-процессов.
//
// Параметры:
//  ПолноеИмя    - Строка, полное имя объекта метаданных,
//                 например, "Справочник.Организации".
//
// Возвращаемое значение:
//  СправочникМенеджер, ДокументМенеджер, ...
//
Функция МенеджерОбъектаПоПолномуИмени(ПолноеИмя) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.МенеджерОбъектаПоПолномуИмени(ПолноеИмя) 
```
</details>

## МенеджерОбъектаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция МенеджерОбъектаПоПолномуИмени возвращает менеджер объекта
// по ссылке на объект.
//
// Не обрабатываются точки маршрутов бизнес-процессов.
//
// Параметры:
//  Ссылка       - ссылка на объект, - элемент справочника, документ, ...
//
// Возвращаемое значение:
//  СправочникМенеджер, ДокументМенеджер, ...
//
Функция МенеджерОбъектаПоСсылке(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.МенеджерОбъектаПоСсылке(Ссылка) 
```
</details>

## СсылкаСуществует
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет физическое наличие записи в информационной базе данных о переданном значении ссылки
//
// Параметры:
//  ЛюбаяСсылка - значение любой ссылки информационной базы данных
//
// Возвращаемое значение:
//  Истина - ссылка физически существует;
//  Ложь   - ссылка физически не существует
//
Функция СсылкаСуществует(ЛюбаяСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СсылкаСуществует(ЛюбаяСсылка) 
```
</details>

## ВидОбъектаПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ВидОбъектаПоСсылке возвращает имя вида объектов метаданных
// по ссылке на объект.
//
// Не обрабатываются точки маршрутов бизнес-процессов.
//
// Параметры:
//  Ссылка       - ссылка на объект, - элемент справочника, документ, ...
//
// Возвращаемое значение:
//  Строка       - имя вида объектов метаданных, например, "Справочник", "Документ" ...
//
Функция ВидОбъектаПоСсылке(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВидОбъектаПоСсылке(Ссылка) 
```
</details>

## ВидОбъектаПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает имя вида объектов метаданных по типу объекта.
//
// Не обрабатываются точки маршрутов бизнес-процессов.
//
// Параметры:
//  Тип       - Тип прикладного объекта, определенный в конфигурации
//
// Возвращаемое значение:
//  Строка       - имя вида объектов метаданных, например, "Справочник", "Документ" ...
//
Функция ВидОбъектаПоТипу(Тип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВидОбъектаПоТипу(Тип) 
```
</details>

## ИмяТаблицыПоСсылке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает полное имя объекта метаданных по переданному значению ссылки
// Например,
//  "Справочник.Номенклатура";
//  "Документ.ПриходнаяНакладная"
//
// Параметры:
//  Ссылка - ЛюбаяСсылка - значение ссылки, для которого необходимо получить имя таблицы ИБ
//
// Возвращаемое значение:
//  Строка - полное имя объекта метаданных для указанного значения ссылки
//
Функция ИмяТаблицыПоСсылке(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ИмяТаблицыПоСсылке(Ссылка) 
```
</details>

## ПолучитьСтроковоеПредставлениеТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтроковоеПредставлениеТипа(Тип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьСтроковоеПредставлениеТипа(Тип) 
```
</details>

## ЗначениеСсылочногоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция ЗначениеСсылочногоТипа проверяет, что значение имеет ссылочный тип данных
//
// Параметры:
//  Ссылка       - ссылка на объект, - элемент справочника, документ, ...
//
// Возвращаемое значение:
//  Булево       - Истина, если тип значения ссылочный.
//
Функция ЗначениеСсылочногоТипа(Значение) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ЗначениеСсылочногоТипа(Значение) 
```
</details>

## ТипСсылочногоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверка того, что тип имеет ссылочный тип данных
//
Функция ТипСсылочногоТипа(Тип) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ТипСсылочногоТипа(Тип) 
```
</details>

## ПолучитьИмяОбъектаМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяОбъектаМетаданных(ОбъектСсылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьИмяОбъектаМетаданных(ОбъектСсылка) 
```
</details>

## ОбъектЯвляетсяГруппой
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Является ли объект группой
// В качестве параметра может принимать только справочник или ПВХ
//
Функция ОбъектЯвляетсяГруппой(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ОбъектЯвляетсяГруппой(Объект) 
```
</details>

## ПолучитьМассивТиповЛюбаяСсылка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивТиповЛюбаяСсылка() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьМассивТиповЛюбаяСсылка() 
```
</details>

## СсылкаНаОбъектИзНавигационнойСсылки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По тексту навигационной ссылки ТекстСсылкиВход возвращает ссылку на объект
// информационной базы. В случае неудачи преобразования возвращает Неопределено.
Функция СсылкаНаОбъектИзНавигационнойСсылки(ТекстСсылкиВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СсылкаНаОбъектИзНавигационнойСсылки(ТекстСсылкиВход) 
```
</details>

## ХранилищеОбщихНастроекСохранитьМассив
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
//  Сохранение и чтение настроек

// Передает с клиента на сервер для записи массив настроек
//(массив структур с полями Объект Настройка Значение)
Процедура ХранилищеОбщихНастроекСохранитьМассив(МассивСтруктур) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ХранилищеОбщихНастроекСохранитьМассив(МассивСтруктур) 
```
</details>

## ХранилищеОбщихНастроекСохранить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Передает с клиента на сервер для записи настройку
Процедура ХранилищеОбщихНастроекСохранить(Объект, Настройка, Значение) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ХранилищеОбщихНастроекСохранить(Объект, Настройка, Значение) 
```
</details>

## ХранилищеОбщихНастроекЗагрузить
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Передает с клиента на сервер для записи
Функция ХранилищеОбщихНастроекЗагрузить(Объект, Настройка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ХранилищеОбщихНастроекЗагрузить(Объект, Настройка) 
```
</details>

## ПриЗаписиСчетаПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриЗаписиСчетаПриЗаписи(Источник, Отказ) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ПриЗаписиСчетаПриЗаписи(Источник, Отказ) 
```
</details>

## ПолучитьПредставлениеВидаСравнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредставлениеВидаСравнения(ВидСравненияВОтборе) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьПредставлениеВидаСравнения(ВидСравненияВОтборе) 
```
</details>

## ПолучитьРодителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает список родителей  для указанной ссылки
Функция ПолучитьРодителей(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьРодителей(Ссылка) 
```
</details>

## ЗаполнитьКолонкиТабличнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура заполняет колонки табличной части значениями из структуры
Процедура ЗаполнитьКолонкиТабличнойЧасти(ТаблицаЗначений,ДанныеЗаполнения) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьКолонкиТабличнойЧасти(ТаблицаЗначений, ДанныеЗаполнения) 
```
</details>

## ПолучитьЗначениеКонстанты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает значение из константы с именем ИмяКонстантыВход.
Функция ПолучитьЗначениеКонстанты(ИмяКонстантыВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПолучитьЗначениеКонстанты(ИмяКонстантыВход) 
```
</details>

## ВключеныНапоминанияПользователя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, включены ли напоминания у текущего пользователя
Функция ВключеныНапоминанияПользователя() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВключеныНапоминанияПользователя() 
```
</details>

## РассчитатьСуммуУпр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает сумму СуммаВход в валюте ВалютаВход в валюту упр учета.
Функция РассчитатьСуммуУпр(ВалютаВход, СуммаВход, ДатаВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.РассчитатьСуммуУпр(ВалютаВход, СуммаВход, ДатаВход);
```
</details>

## СравнитьЗначенияПеречисления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////
// Работа с перечислениями

// Сравнивает два значения перечисления.
// Параметры:
//	Значение1 - ПеречислениеСсылка
//	Значение2 - ПеречислениеСсылка
// Возвращает:
//	Если значения равны, то возвращает 0.
//	Если Значение1 стоить раньше по порядку Значение2, то -1
//	Если Значение1 стоить позже по порядку Значение2, то 1
Функция СравнитьЗначенияПеречисления(Значение1, Значение2) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СравнитьЗначенияПеречисления(Значение1, Значение2) 
```
</details>

## СоздатьНедостающиеПоказателиОСВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СоздатьНедостающиеПоказателиОСВ(ПланСчетов=Неопределено,Счет=Неопределено,ВидОтчетаОСВ=Неопределено, ОбновитьТР = Истина) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.СоздатьНедостающиеПоказателиОСВ(ПланСчетов, Счет, ВидОтчетаОСВ, ОбновитьТР);
```
</details>

## ВыгрузитьРезультатыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пакет запросов и возвращает результат каждого запроса
//
// Параметры:
//	Запрос			- Запрос - запрос, параметры которого предварительно установлены.
//	ТекстыЗапроса	- СписокЗначений - в списке перечислены тексты запросов и их имена.
//	ОбходРезультата - ОбходРезультатаЗапроса - вариант обхода результата запроса.
//	ДобавитьРазделитель - Булево - добавлять разделитель между запросами из ТекстыЗапроса
//	УничтожитьСозданныеВременныеТаблицы - Булево - добавить уничножение временных таблиц, создаваемых в ТекстыЗапроса
//										Для уничтожения таблице должно быть присвоено имя в ТекстыЗапроса
//
// Возвращаемое значение:
//   Структура   - структура в которую помещены полученные таблицы
//
Функция ВыгрузитьРезультатыЗапроса(Запрос, Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВыгрузитьРезультатыЗапроса(Запрос, );
```
</details>

## УстановитьЗначениеПараметраВПользовательскиеНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пользовательские настройки отчета с имененем
// ИмяОтчетаВход, куда установлен параметр с именем ИмяПараметраВход
// и значением ЗначениеПараметраВход.
Функция УстановитьЗначениеПараметраВПользовательскиеНастройки(ИмяОтчетаВход, ИмяПараметраВход, ЗначениеПараметраВход) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.УстановитьЗначениеПараметраВПользовательскиеНастройки(ИмяОтчетаВход, ИмяПараметраВход, ЗначениеПараметраВход) 
```
</details>

## УстановитьЗначениеОтбораВПользовательскиеНастройкиОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает в существующие пользовательские настройки ПользовательскиеНастройкиВход
// значение ЗначениеОтбораВход отбора ИмяОтбораВход для отчета ИмяОтчетаВход.
Процедура УстановитьЗначениеОтбораВПользовательскиеНастройкиОтчета(ИмяОтчетаВход, ИмяОтбораВход, ЗначениеОтбораВход, ПользовательскиеНастройкиВход) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.УстановитьЗначениеОтбораВПользовательскиеНастройкиОтчета(ИмяОтчетаВход, ИмяОтбораВход, ЗначениеОтбораВход, ПользовательскиеНастройкиВход) 
```
</details>

## ДобавитьЭлементФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// УПРАВЛЯЕМЫЙ ИНТЕРФЕЙС

// Размещает на форме в группе ГруппаРодительВход элемент с нименованием НаименованиеЭлементаВход,
// заголовком ЗаголовокВход и типом элемента формы ТипЭлементаВход. По умолчанию заголовок скрыт.
// Подключает его к реквизиту НаименованиеРеквизитаВход. Возвращает новый элемент формы.
Функция ДобавитьЭлементФормы(НаименованиеЭлементаВход, ГруппаРодительВход, НаименованиеРеквизитаВход, ЭлементыВход, ТипЭлементаВход = Неопределено, ЗаголовокВход = "", ЗаголовокСкрыт = Истина, ГоризонтальноеПоложениеВход = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ДобавитьЭлементФормы(НаименованиеЭлементаВход, ГруппаРодительВход, НаименованиеРеквизитаВход, ЭлементыВход, ТипЭлементаВход, ЗаголовокВход, ЗаголовокСкрыт, ГоризонтальноеПоложениеВход);
```
</details>

## ДобавитьГруппуЭлементов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет группу элементов формы в родительскую группу ГруппаРодительВход с наименованием
// НаименованиеНовогоРеквизитаВход. ГруппировкаВход задаёт способ размещения (группировку) элементов.
Функция ДобавитьГруппуЭлементов(НаименованиеНовогоРеквизитаВход, ГруппаРодительВход, ГруппировкаВход, ЭлементыВход, ЗаголовокВход = "", ОтображатьЗаголовокВход = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ДобавитьГруппуЭлементов(НаименованиеНовогоРеквизитаВход, ГруппаРодительВход, ГруппировкаВход, ЭлементыВход, ЗаголовокВход, ОтображатьЗаголовокВход);
```
</details>

## КлючДанныхДляСообщенияПользователю
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ключ данных для подстановки в сообщение пользователю
// Ключ данных нужен при групповой обработке объектов - если он установлен, то при нажатии пользователем на сообщение
// будет открываться форма объекта.
//
//	Параметры:
//		Объект - Произвольный - объект, для которого нужно получить ключ данных.
//
//	Возвращаемое значение
//		Ссылка - ссылка на объект информационной базы.
//
Функция КлючДанныхДляСообщенияПользователю(Объект) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.КлючДанныхДляСообщенияПользователю(Объект) 
```
</details>

## ЗаполнитьСвойства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
//

// Функция копирует значения свойств Источника в свойства Приемника по СтруктуреПреобразования, в которой в Ключе указано ИмяПоляПриемника, а в Значение указано ИмяПоляИсточника
Процедура ЗаполнитьСвойства(Приемник, Источник, СтруктураПреобразованияПолей = неопределено) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗаполнитьСвойства(Приемник, Источник, СтруктураПреобразованияПолей);
```
</details>

## СвойствоЗаполнено
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает Истину, если в структуре есть такое свойство и оно заполнено. Иначе Ложь.
Функция СвойствоЗаполнено(Структура, ИмяСвойства) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СвойствоЗаполнено(Структура, ИмяСвойства) 
```
</details>

## СтруктураВТ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//

////////////////////////////////////////////////////////////////////////////////
// РАБОТА С ВРЕМЕННЫМИ ТАБЛИЦАМИ ЗАПРОСА

// Функция возвращает структуру, в которой имя временной таблицы находится в ключе, а в занчении содержимое временной таблицы (таблица значений)
Функция СтруктураВТ(Запрос) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.СтруктураВТ(Запрос) 
```
</details>

## ЗагрузитьТаблицуВоВременнуюТаблицуЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//Процедура помещает таблицу значений в виртуальную таблицу запроса
Процедура ЗагрузитьТаблицуВоВременнуюТаблицуЗапроса(Запрос, ИмяВТ, Таблица) Экспорт
```

Пример вызова
```bsl
ОбщегоНазначенияУХ.ЗагрузитьТаблицуВоВременнуюТаблицуЗапроса(Запрос, ИмяВТ, Таблица) 
```
</details>

## ВыполнитьЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыполнитьЗапрос(ТекстЗапроса, Параметры = неопределено) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ВыполнитьЗапрос(ТекстЗапроса, Параметры);
```
</details>

## ТекстРазделителяЗапросовПакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает разделитель запросов в пакете запросов
Функция ТекстРазделителяЗапросовПакета() Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ТекстРазделителяЗапросовПакета() 
```
</details>

## ТипОпределяемогоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// ОПК

// Функция возвращает тип из определяемого типа по номеру
Функция ТипОпределяемогоТипа(ОпределяемыйТип, НомерТипа = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ТипОпределяемогоТипа(ОпределяемыйТип, НомерТипа);
```
</details>

## ПустоеЗначениеОпределяемогоТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает пустое значение по определяемому типу
Функция ПустоеЗначениеОпределяемогоТипа(ОпределяемыйТип, НомерТипа = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПустоеЗначениеОпределяемогоТипа(ОпределяемыйТип, НомерТипа);
```
</details>

## ПустоеЗначениеОписанияТипа
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает пустое значение по определяемому типу
Функция ПустоеЗначениеОписанияТипа(ОписаниеТипа, НомерТипа = 0) Экспорт
```

Пример вызова
```bsl
Результат = ОбщегоНазначенияУХ.ПустоеЗначениеОписанияТипа(ОписаниеТипа, НомерТипа);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
