---
title: Регламентированная отчетность АЛКО
slug: erp-uh/регламентированная-отчетность-алко
---


## ВерсияПодсистемыКонфигурации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает номер версии подсистемы, встроенной в конфигурацию.
//
// Параметры:
//  ИмяПодсистемы  - Строка - имя подсистемы, определенное в конфигурации.
// Возвращаемое значение:
//  Строка - версия подсистемы, например "1.0.1.1".
//
Функция ВерсияПодсистемыКонфигурации(ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВерсияПодсистемыКонфигурации(ИмяПодсистемы) 
```
</details>

## ПолучитьВерсиюПодсистемыКонфигурацииЧислом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает версию подсистемы в виде числового значения.
//
// Параметры
//  ИмяПодсистемы  - Строка - имя подсистемы, определенное в конфигурации.
// Возвращаемое значение:
//   Число.
//
Функция ПолучитьВерсиюПодсистемыКонфигурацииЧислом(ИмяПодсистемы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьВерсиюПодсистемыКонфигурацииЧислом(ИмяПодсистемы) 
```
</details>

## ПолучитьВерсиюЧислом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает приведенное к числу значение версии подсистемы.
// Параметры
//	 СтрокаВерсии - Строка. Строка версии вида "0.0.0.0".
// Возвращаемое значение:
//   Число.
//
Функция ПолучитьВерсиюЧислом(СтрокаВерсии) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьВерсиюЧислом(СтрокаВерсии) 
```
</details>

## ПолучитьВерсиюБСПЧислом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает версию подсистемы "СтандартныеПодсистемы" в виде числового значения.
//
// Параметры
//
// Возвращаемое значение:
//   Число.
//
Функция ПолучитьВерсиюБСПЧислом() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьВерсиюБСПЧислом() 
```
</details>

## ПолучитьИмяОбщегоМодуляРаботаСАдресами
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя общего модуля работы с адресами, в зависимости от версии БСП.
// Параметры
//	 ВерсияБСПЧислом - Число. Результат работы ПолучитьВерсиюЧислом().
// Возвращаемое значение:
//   Строка.
//
Функция ПолучитьИмяОбщегоМодуляРаботаСАдресами(ВерсияБСПЧислом = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьИмяОбщегоМодуляРаботаСАдресами(ВерсияБСПЧислом);
```
</details>

## ВыполнитьМетодКонфигурацииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Выполнить экспортную процедуру по имени с уровнем привилегий конфигурации.
// При включении профилей безопасности для вызова оператора Выполнить() используется
// переход в безопасный режим с профилем безопасности, используемом для информационной базы
// (если выше по стеку не был установлен другой безопасный режим).
//
// Параметры:
//  ИмяМетода  - Строка - имя экспортной процедуры в формате
//                       <имя объекта>.<имя процедуры>, где <имя объекта> - это
//                       общий модуль или модуль менеджера объекта.
// Параметры  - Массив - параметры передаются в процедуру <ИмяЭкспортнойПроцедуры>
//                       в порядке расположения элементов массива.
//
Процедура ВыполнитьМетодКонфигурацииАЛКО(Знач ИмяМетода, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВыполнитьМетодКонфигурацииАЛКО(ИмяМетода, );
```
</details>

## ВыполнитьМетодОбъектаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполнить экспортную процедуру объекта встроенного языка по имени.
// При включении профилей безопасности для вызова оператора Выполнить() используется
// переход в безопасный режим с профилем безопасности, используемом для информационной базы
// (если выше по стеку не был установлен другой безопасный режим).
//
// Параметры:
//  Объект - Произвольный - объект встроенного языка 1С:Предприятия, содержащий методы (например, ОбработкаОбъект),
//  ИмяМетода - Строка - имя экспортной процедуры модуля объекта обработки.
// Параметры - Массив - параметры передаются в процедуру <ИмяПроцедуры>
//  в порядке расположения элементов массива.
//
Процедура ВыполнитьМетодОбъектаАЛКО(Знач Объект, Знач ИмяМетода, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВыполнитьМетодОбъектаАЛКО(Объект, ИмяМетода, );
```
</details>

## ВыполнитьВБезопасномРежимеАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет произвольный алгоритм на встроенном языке 1С:Предприятия, предварительно устанавливая
//  безопасный режим выполнения кода и безопасный режим разделения данных для всех разделителей,
//  присутствующих в составе конфигурации. В результате при выполнении алгоритма:
//   - игнорируются попытки установки привилегированного режима,
//   - запрещаются все внешние (по отношению к платформе 1С:Предприятие) действия (COM,
//       загрузка внешних компонент, запуск внешних приложений и команд операционной системы,
//       доступ к файловой системе и Интернет-ресурсам),
//   - запрещается отключение использования разделителей сеанса,
//   - запрещается изменение значений разделителей сеанса (если разделение данным разделителем не
//       является условно выключенным),
//   - запрещается изменение объектов, которые управляют состоянием условного разделения.
//
// Параметры:
//  Алгоритм - Строка - содержащая произвольный алгоритм на встроенном языке 1С:Предприятия.
//  Параметры - Произвольный - в качестве значения данного параметра может быть передано значение,
//    которое требуется для выполнения алгоритма (при этом в тексте алгоритма обращение к данному
//    значению должно осуществляться как к имени переменной Параметры).
//
Процедура ВыполнитьВБезопасномРежимеАЛКО(Знач Алгоритм, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВыполнитьВБезопасномРежимеАЛКО(Алгоритм, );
```
</details>

## ВычислитьАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет переданное выражение, предварительно устанавливая безопасный режим выполнения кода
//  и безопасный режим разделения данных для всех разделителей, присутствующих в составе конфигурации.
//  В результате при вычислении выражения:
//   - игнорируются попытки установки привилегированного режима,
//   - запрещаются все внешние (по отношению к платформе 1С:Предприятие) действия (COM,
//       загрузка внешних компонент, запуск внешних приложений и команд операционной системы,
//       доступ к файловой системе и Интернет-ресурсам),
//   - запрещается отключение использования разделителей сеанса,
//   - запрещается изменение значений разделителей сеанса (если разделение данным разделителем не
//       является условно выключенным),
//   - запрещается изменение объектов, которые управляют состоянием условного разделения.
//
// Параметры:
//  Выражение - Строка - выражение, которое требуется вычислить. Например, "МойМодуль.МояФункция(Параметры)".
//  Параметры - Произвольный - в качестве значения данного параметра может быть передано значение,
//    которое требуется для вычисления выражения (при этом в тексте выражения обращение к данному
//    значению должно осуществляться как к имени переменной Параметры).
//
// Возвращаемое значение:
//   Произвольный - результат вычисления выражения.
//
Функция ВычислитьАЛКО(Знач Выражение, Знач Параметры = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВычислитьАЛКО(Выражение, Параметры, );
```
</details>

## ПолучитьЗначениеЭлементаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет значение, отображаемое элементом формы, по имени элемента.
//
// Параметры:
//			Форма			- Управляемая форма.
//			ИмяЭлемента		- Строка - имя элемента формы.
//
// Возвращаемое значение:
//		Произвольное.
//
Функция ПолучитьЗначениеЭлементаФормы(Форма, ИмяЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьЗначениеЭлементаФормы(Форма, ИмяЭлемента) 
```
</details>

## ПолучитьИмяФормыОбъектаЗначенияЭлементаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя формы объекта для значения, отображаемого элементом формы.
//
// Параметры:
//			Форма			- Управляемая форма.
//			ИмяЭлемента		- Строка - имя элемента формы.
//          ЗначениеСсылки	- Тип любой. В параметре возвращается значение реквизита формы, который является
//							источником данных для элемента.
// Возвращаемое значение:
//		Строка.
//
Функция ПолучитьИмяФормыОбъектаЗначенияЭлементаФормы(Форма, ИмяЭлементаСсылки, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьИмяФормыОбъектаЗначенияЭлементаФормы(Форма, ИмяЭлементаСсылки, );
```
</details>

## ПолучитьИмяОбъектаМетаданныхПоИмениФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет неполное имя объекта метаданных по имени любой формы, относящейся к этому объекту.
//
// Параметры:
//
//			ИмяФормыОбъектаМетаданных	- Строка - имя любой формы объекта метаданных.
//
// Возвращаемое значение:
//		Строка.
//
// Пример:
//
// ИмяОбъекта = ПолучитьИмяОбъектаМетаданныхПоИмениФормы(ИмяФормы);
//
// Если имя формы например РегистрыСведений.СведенияРеглОтчетАлкоПрил11Раздел1.Форма.ФормаЗаписи
// то ИмяОбъекта = "СведенияРеглОтчетАлкоПрил11Раздел1"
//
Функция ПолучитьИмяОбъектаМетаданныхПоИмениФормы(ИмяФормыОбъектаМетаданных) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьИмяОбъектаМетаданныхПоИмениФормы(ИмяФормыОбъектаМетаданных) 
```
</details>

## ПолучитьИмяФормыОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет имя формы объекта по переданной ссылке.
//
// Параметры:
// 		Ссылка		- Любая ссылка - ссылка на объект метаданных.
//
// Возвращаемое значение:
// 		Строка - имя формы объекта ссылки.
//
Функция ПолучитьИмяФормыОбъекта(Ссылка) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьИмяФормыОбъекта(Ссылка) 
```
</details>

## ВСтрокеВсеЦифры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Опеределяет все ли символы в переданной строке - цифры.
// Не используется посимвольный перебор, благодаря чему работает очень быстро,
// что важно при большом объеме проверок.
// Не подходит для проверки строки произвольной длины.
//
// Параметры:
// 		ПроверяемаяСтрока		- Строка.
//
// Возвращаемое значение:
// 		Булево - Истина если в строке все символы являются цифрами.
//
Функция ВСтрокеВсеЦифры(ПроверяемаяСтрока) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВСтрокеВсеЦифры(ПроверяемаяСтрока) 
```
</details>

## СоздатьНовыйПотокXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает поток XML в необходимой кодировке, в виде строки или в виде файла.
//
// Параметры:
// 		Кодировка		- Строка. - Необязательный. Название кодировки.
//		ИмяФайлаXML		- Строка. - Необязательный. Имя файла, в который нужно начать писать поток XML.
//
// Возвращаемое значение:
// 		ЗаписьXML  	- с установленной строкой кодировки и в случае переданного имени файла,
//					с открытым файлом для записи информации XML.
//
Функция СоздатьНовыйПотокXML(Кодировка = "windows-1251", Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СоздатьНовыйПотокXML(Кодировка, );
```
</details>

## ПолучитьХешCRC32
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует Хеш сумму CRC32.
//
// Параметры:
// 		Стр				- Строка.
//
// Возвращаемое значение:
// 		Число.
//
Функция ПолучитьХешCRC32(Стр) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьХешCRC32(Стр) 
```
</details>

## ПолучитьХешSHA256
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует Хеш сумму SHA256.
//
// Параметры:
// 		Стр				- Строка.
//
// Возвращаемое значение:
// 		Строка.
//
Функция ПолучитьХешSHA256(Стр) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьХешSHA256(Стр) 
```
</details>

## ХешСтрокойПригоднойДляКлючаСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку Хеш суммы SHA256 с символом "X" впереди.
// В таком виде строка хеш суммы может использоваться в качестве ключа структуры.
//
// Параметры:
// 		Стр				- Строка.
//
// Возвращаемое значение:
// 		Строка.
//
Функция ХешСтрокойПригоднойДляКлючаСтруктуры(Стр) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ХешСтрокойПригоднойДляКлючаСтруктуры(Стр) 
```
</details>

## ПолучитьИдДок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИдДок(ДокументСсылкаАлкоОтчет) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьИдДок(ДокументСсылкаАлкоОтчет) 
```
</details>

## ПолучитьИдДокИндСтраницы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует идентификатор страницы табличных данных отчета при отражении в регистре сведений.
//
// Параметры:
// 		ДокументСсылкаАлкоОтчет				- ДокументСсылка.
//		ИндексСтраницы						- Число.
// Возвращаемое значение:
// 		Строка.
//
Функция ПолучитьИдДокИндСтраницы(ДокументСсылкаАлкоОтчет, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьИдДокИндСтраницы(ДокументСсылкаАлкоОтчет, );
```
</details>

## ВернутьСтрокуНужнойДлины
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует из строки параметра строку нужной длины, обрезая справа или добавляя справа пробелы.
//
// Параметры:
// 		Стр						- Строка.
//		ДолжноБытьСимволов		- Число.
// Возвращаемое значение:
// 		Строка.
//
Функция ВернутьСтрокуНужнойДлины(Стр, ДолжноБытьСимволов) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВернутьСтрокуНужнойДлины(Стр, ДолжноБытьСимволов) 
```
</details>

## ОбъектОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ОтчетОбъект отчета, в том числе внешнего, пригодного для обращения к процедурам и функциям
// модуля объекта отчета, получению макетов.
// Если в параметре ОбъектЭтогоОтч передано значение, возвращается именно оно.
//
// Параметры:
// 		ИмяФормы			- Строка. Имя формы отчета.
//		ОбъектЭтогоОтч		- ОтчетОбъект.<Имяотчета> или Неопределено. Необязательный.
//							Если не определен, возвращается опеределенное значение.
// Возвращаемое значение:
// 		ОтчетОбъект.<Имяотчета>
//
Функция ОбъектОтчетаАЛКО(ИмяФормы, ОбъектЭтогоОтч = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ОбъектОтчетаАЛКО(ИмяФормы, ОбъектЭтогоОтч);
```
</details>

## ПолучитьМакетИзОбъектаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает макет опеределенный в конфигурации отчета, в том числе внешнего.
//
// Параметры:
// 		ИмяМакета			- Строка. Имя макета, как оно определено в конфигураторе.
// 		ИмяФормы			- Строка. Имя формы отчета.
//		ОбъектЭтогоОтч		- ОтчетОбъект.<Имяотчета> или Неопределено. Необязательный.
//							Если не определен, возвращается опеределенное значение.
// Возвращаемое значение:
// 		ТабличныйДокумент; ТекстовыйДокумент; другой объект, который может быть макетом.
//
Функция ПолучитьМакетИзОбъектаАЛКО(ИмяМакета, ИмяФормы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьМакетИзОбъектаАЛКО(ИмяМакета, ИмяФормы, );
```
</details>

## ИмяДействующегоМакета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает имя действующего на переданную дату макета нужного типа.
//
// Логика работы функции построена в предположении, что имя макета соответствует шаблону
// {ОсновноеИмяМакета}[версия]{[_]{ГГГГ}Кв{НомерКвартала}}[_{СуффиксОсновногоИмени}][_{ГГГГММЧЧ}]
//
// Заключенное в {} обязательные поля, а в [] - необязательные.
// При наличии обоих полей, определеяющих дату начала действия - [_{ГГГГММЧЧ}] будет иметь приоритет.
//
// Например:
//	ПечатнаяФормаОтчета2012Кв3_Титульный_20140101
//	ПечатнаяФормаОтчета2012Кв3_Титульный
//	Списки2015Кв3
//	СхемаВыгрузки431_2015Кв4
//	Списки2012Кв3_20120726.
//
// Параметры:
//
// 		ИмяФормы				-	Строка. Имя формы отчета.
//		ОсновноеИмяМакета		-	Строка. Имя макета без даты начала действия и суффикса.
//		НаДату					-	Дата. Дата, на момент которой необходимо определеить имя действующего макета.
//								Например: "ПечатнаяФормаОтчета", "СхемаВыгрузки", "Списки", "СоставПоказателей".
//		СуффиксОсновногоИмени 	- 	Строка. Необязательный. Строка суффикса после основного имени и даты действия в имени.
//		ОбъектЭтогоОтч			- ОтчетОбъект.<Имяотчета> или Неопределено. Необязательный.
//							Если не определен, возвращается опеределенное значение.
// Возвращаемое значение:
// 		Строка - имя действующего на переданную дату макета.
//
Функция ИмяДействующегоМакета(ИмяФормы = Неопределено, ОсновноеИмяМакета, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ИмяДействующегоМакета(ИмяФормы, ОсновноеИмяМакета, );
```
</details>

## ПолучитьНазваниеОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНазваниеОтчетаАЛКО(ИмяФормы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьНазваниеОтчетаАЛКО(ИмяФормы, );
```
</details>

## ПроверкаГотовностиПечатиНаСервереАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверкаГотовностиПечатиНаСервереАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПроверкаГотовностиПечатиНаСервереАЛКО(Форма) 
```
</details>

## ОпределитьКонтрагентаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьКонтрагентаАЛКО(ИНН, КПП, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ОпределитьКонтрагентаАЛКО(ИНН, КПП, );
```
</details>

## ОпределитьКонтрагентаИзЛицензийПоставщиковАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьКонтрагентаИзЛицензийПоставщиковАЛКО(ИНН, КПП, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ОпределитьКонтрагентаИзЛицензийПоставщиковАЛКО(ИНН, КПП, );
```
</details>

## ЕстьОбъектМетаданных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЕстьОбъектМетаданных(ПолноеИмяОбъекта) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ЕстьОбъектМетаданных(ПолноеИмяОбъекта) 
```
</details>

## ТекстЗапросаВыбораКонтрагентаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаВыбораКонтрагентаАЛКО(ОсновнаяТаблица, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ТекстЗапросаВыбораКонтрагентаАЛКО(ОсновнаяТаблица, );
```
</details>

## ТекстЗапросаВыбораПроизводителяИмпортераАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ТекстЗапросаВыбораПроизводителяИмпортераАЛКО(ВставитьКодПродукции, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ТекстЗапросаВыбораПроизводителяИмпортераАЛКО(ВставитьКодПродукции, );
```
</details>

## ОпределитьПроизводителяИмпортераАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьПроизводителяИмпортераАЛКО(ИНН, КПП, ПолноеНаименование, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ОпределитьПроизводителяИмпортераАЛКО(ИНН, КПП, ПолноеНаименование, );
```
</details>

## ИзвлечьСтруктуруXMLАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИзвлечьСтруктуруXMLАЛКО(ДатаКонцаОтчета, ИмяФормыОбъекта, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ИзвлечьСтруктуруXMLАЛКО(ДатаКонцаОтчета, ИмяФормыОбъекта, );
```
</details>

## ЕстьРеквизитВерхнегоУровняФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет наличие реквизита верхнего уровня у формы.
//
// Параметры:
// 		Форма 				- Управляемая форма.
//		ИмяРеквизитаФормы 	- Строка.
//
// Возвращаемое значение: Булево.
//
Функция ЕстьРеквизитВерхнегоУровняФормы(Форма, ИмяРеквизитаФормы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ЕстьРеквизитВерхнегоУровняФормы(Форма, ИмяРеквизитаФормы) 
```
</details>

## ПравильныеПараметрыВСтруктуре
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Приводит переданные через структуру параметры к верному типу и значениям по умолчанию
// в случае незаполненности или несоответствия типа.
// Универсальная процедура приведения в порядок параметров, переданных в функцию или процедуру в составе структуры.
// Позволяет контролировать тип параметра и значения по умолчанию для случая если неверный тип и/или незаполнено значение.
// При этом если в структуре параметров нет каких то ключей-параметров, они дописываются со значениями по умолчанию.
//
// Параметры:
// 		СтруктураПараметров					- Структура.
//											Содержит в качестве ключей имена параметров, в качестве значений - значения параметров.
//		СтруктураТиповИЗначенийПоУмолчанию 	- Структура.
//
//			* <ИмяПараметра>			- Структура. Ключ - имя параметра.
//				* ДопустимыйТип 		- Структура.
//					* <ИмяТипа>			- Любой. Значением является значение по умолчанию, если параметр указанного типа,
//										но не заполнен.
//										Если в значении передано "Неопределено" - присваивается Неопределено.
//										Если значение не передано или передано Неопределено,
//										присваивается пустое значение нужного типа. Если тип не входит в число возможных для
//										функции ПустоеЗначениеПоТипу() - пустое значение присваевается Неопределено.
//										Ключ - строка имени допустимого типа, без точек и пробелов, В ВЕРХНЕМ РЕГИСТРЕ.
//										Не допускается использование составных типов, например Справочники.СтраныМира.
//										Примеры правильных типов:
//										"СТРОКА", "ЧИСЛО", "СТРУКТУРА", "ФИКСИРОВАННАЯСТРУКТУРА",
//										"НЕОПРЕДЕЛЕНО", "СТРОКАТАБЛИЦЫЗНАЧЕНИЙ".
//				* ЗначениеПоУмолчанию	- Любой. Необязательный. Значение по умолчанию, если параметр передан неверного типа.
//										Если ключ ЗначениеПоУмолчанию отсутствует - присваивается пустое значение первого найденного
//										допустимого типа.
//										Иначе
//										Если в значении передано "Неопределено" - присваивается Неопределено.
//										Если значение не передано или передано Неопределено, присваивается пустое значение
//										первого найденного допустимого типа.
//
//
Функция ПравильныеПараметрыВСтруктуре(СтруктураПараметров, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПравильныеПараметрыВСтруктуре(СтруктураПараметров, );
```
</details>

## ВнестиНастройкиВСтруктуруТиповИЗначенийПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВнестиНастройкиВСтруктуруТиповИЗначенийПоУмолчанию(СтруктураТиповИЗначенийПоУмолчанию, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВнестиНастройкиВСтруктуруТиповИЗначенийПоУмолчанию(СтруктураТиповИЗначенийПоУмолчанию, );
```
</details>

## ПустоеЗначениеПоТипу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустое значение нужного типа.
//
// Параметры:
//		 ИмяТипа - 	Строка. Имя Типа, пустое значение которого нужно вернуть.
//					Может принимать значения (регистр не важен)
//					СТРОКА, НЕОПРЕДЕЛЕНО, ЧИСЛО, ДАТА, МАССИВ, СТРУКТУРА, СООТВЕТСТВИЕ, СПИСОКЗНАЧЕНИЙ, ТАБЛИЦАЗНАЧЕНИЙ
//					ДЕРЕВОЗНАЧЕНИЙ, ФИКСИРОВАННЫЙМАССИВ, ФИКСИРОВАННОЕСООТВЕТСТВИЕ, ФИКСИРОВАННАЯСТРУКТУРА, СТРОКАТАБЛИЦЫЗНАЧЕНИЙ.
//
// Результат
//		Пустое значение нужного типа или Неопределено.
//
Функция ПустоеЗначениеПоТипу(ИмяТипа) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПустоеЗначениеПоТипу(ИмяТипа) 
```
</details>

## ВыгрузитьДеревоВXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВыгрузитьДеревоВXML(ДеревоВыгрузки, ПараметрыВыгрузки, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВыгрузитьДеревоВXML(ДеревоВыгрузки, ПараметрыВыгрузки, );
```
</details>

## УдалитьНастройкиОкнаФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьНастройкиОкнаФормы(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.УдалитьНастройкиОкнаФормы(Форма) 
```
</details>

## ЧислоИзСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЧислоИзСтроки(Стр) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ЧислоИзСтроки(Стр) 
```
</details>

## БулевоИзСтроки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция БулевоИзСтроки(Стр) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.БулевоИзСтроки(Стр) 
```
</details>

## ДатаИзСтрокиЛюбогоФормата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ДатаИзСтрокиЛюбогоФормата(СтрДата) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ДатаИзСтрокиЛюбогоФормата(СтрДата) 
```
</details>

## РеглОтчетыИсполнителиТребований
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РеглОтчетыИсполнителиТребований(ИсполнителиТребований) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.РеглОтчетыИсполнителиТребований(ИсполнителиТребований) 
```
</details>

## ПолучитьСписокРегламентированныхОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСписокРегламентированныхОтчетов(СписокРегламентированныхОтчетов) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПолучитьСписокРегламентированныхОтчетов(СписокРегламентированныхОтчетов) 
```
</details>

## СписокРегистровСведенийАлкоОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СписокРегистровСведенийАлкоОтчетов() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СписокРегистровСведенийАлкоОтчетов() 
```
</details>

## ПолучитьПустуюСтруктуруАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру сведений по обособленному подразделению,
// состоящей из Наименования, КПП и адресной информации.
//
// Параметры:
// 		Нет.
// Возвращаемое значение:
// 		Структура, со свойствами:
//
//			* УникальныйНомерФИАС 	- Уникальный идентификатор адреса в системе ФИАС.
//			* ДополнительныеКоды	- пустая структура
//			* КодСтраны
//			* Страна
//			* Индекс
//			* КодРегиона
//			* Регион
//			* Район
//			* Город
//			* НаселенныйПункт
//			* Улица
//			* Дом
//			* Корпус
//			* Литера
//			* Квартира
//
//			* ТипДома
//			* ТипКорпуса
//			* ТипКвартиры
//
//			* ПредставлениеАдреса
//			* АдресXML				- XML представление адреса подсистемы УправлениеКонтактнойИнформацией
//
Функция ПолучитьПустуюСтруктуруАдреса() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьПустуюСтруктуруАдреса() 
```
</details>

## ПолучитьПустуюСтруктуруСведенийОбОП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую структуру сведений по обособленному подразделению,
// состоящей из Наименования, КПП и адресной информации.
//
// Параметры:
// 		Нет.
// Возвращаемое значение:
// 		Структура, со свойствами:
//			* Наименование 			- Наимкенование ОП.
//			* КПП					- КПП ОП.
//
//			Адресные поля
//			* КодСтраны
//			* Страна
//			* Индекс
//			* КодРегиона
//			* Регион
//			* Район
//			* Город
//			* НаселенныйПункт
//			* Улица
//			* Дом
//			* Корпус
//			* Литера
//			* Квартира
//
//			* ТипДома
//			* ТипКорпуса
//			* ТипКвартиры
//
//			* ПредставлениеАдреса
//			* АдресXML				- XML представление адреса подсистемы УправлениеКонтактнойИнформацией
//
Функция ПолучитьПустуюСтруктуруСведенийОбОП() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьПустуюСтруктуруСведенийОбОП() 
```
</details>

## ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXML
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру адресных сведений отчета из XML или JSON представления или
// стандартного представления адресной информации.
// Оставлена для совместимости стороннего кода.
//
// Параметры:
// 		Адрес						- Строка. XML представление или стандартное представление адресной информации.
//		ПроверитьАдрес				- Булево. По умолчанию Истина. Признак необходимости проверки корректности
//									адреса в соответствии с адресным классификатором.
// Возвращаемое значение:
// 		Структура, со свойствами:
//			* КодСтраны
//			* Страна
//			* Индекс
//			* КодРегиона
//			* Регион
//			* Район
//			* Город
//			* НаселенныйПункт
//			* Улица
//			* Дом
//			* Корпус
//			* Литера
//			* Квартира
//			* ПредставлениеАдреса
//			* АдресXML				- XML представление адреса подсистемы УправлениеКонтактнойИнформацией
//			* АдресJSON				- JSON представление адреса подсистемы УправлениеКонтактнойИнформацией
//
Функция ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXML(знач Адрес, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXML(знач Адрес, );
```
</details>

## ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXMLИлиJSON
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру адресных сведений отчета из XML или JSON представления или
// стандартного представления адресной информации.
//
// Параметры:
// 		Адрес						- Строка. XML представление или стандартное представление адресной информации.
//		ПроверитьАдрес				- Булево. По умолчанию Истина. Признак необходимости проверки корректности
//									адреса в соответствии с адресным классификатором.
// Возвращаемое значение:
// 		Структура, со свойствами:
//			* КодСтраны
//			* Страна
//			* Индекс
//			* КодРегиона
//			* Регион
//			* Район
//			* Город
//			* НаселенныйПункт
//			* Улица
//			* Дом
//			* Корпус
//			* Литера
//			* Квартира
//			* ПредставлениеАдреса
//			* АдресXML				- XML представление адреса подсистемы УправлениеКонтактнойИнформацией
//			* АдресJSON				- JSON представление адреса подсистемы УправлениеКонтактнойИнформацией
//
// Дополнительно присутствуют свойства, определяемые в РаботаСАдресамиКлиентСервер.ПоляАдреса().
//
Функция ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXMLИлиJSON(знач Адрес, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXMLИлиJSON(знач Адрес, );
```
</details>

## СокращенияОбъектовАдресацииАдресаРФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает сокращения частей адреса.
// Предзначена в первую очередь для сокращения поля "иное" или "другое" в случае заполнения.
// Там возможно все что угодно, поэтому представлены максимум вариантов.
// Также используется для сокращения стандартных значений в ТипДома, ТипКорпуса и ТипКвартиры.
//
// Возвращаемое значение:
//      Соответствие - Список сокращений.
//
Функция СокращенияОбъектовАдресацииАдресаРФ() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СокращенияОбъектовАдресацииАдресаРФ() 
```
</details>

## КодыФИАС
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру уникальных идентификаторов ФИАС структуры адреса,
// получаемой из ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXMLИлиJSON().
//
// Параметры:
// 		СтруктураАдреса				- Структура. Соответствует результату работы
//									ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXMLИлиJSON().
//
// Возвращаемое значение:
// 		Структура, со свойствами:
//			* КодРегион				- GUID или Неопределено.
//			* КодРайон				- GUID или Неопределено.
//			* КодГород				- GUID или Неопределено.
//			* КодНаселПункт			- GUID или Неопределено.
//			* КодУлица				- GUID или Неопределено.
//			* КодДом				- GUID или Неопределено.
//			* КодКварт				- GUID или Неопределено.
//
Функция КодыФИАС(СтруктураАдреса) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.КодыФИАС(СтруктураАдреса) 
```
</details>

## СтруктураПредопределенныхВидовКонтактнойИнформацииАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураПредопределенныхВидовКонтактнойИнформацииАдреса() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СтруктураПредопределенныхВидовКонтактнойИнформацииАдреса() 
```
</details>

## ОпределитьВидыКонтактнойИнформацииДляВводаАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьВидыКонтактнойИнформацииДляВводаАдреса() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ОпределитьВидыКонтактнойИнформацииДляВводаАдреса() 
```
</details>

## ПолучитьАдресОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получить значение определенного вида контактной информации у объекта в формате JSON, если его нет то в XML.
//
// Параметры:
//     Ссылка                  - ЛюбаяСсылка - ссылка на объект-владелец контактной информации (организация,
//                                             контрагент, партнер и т.д.).
//	   ПредставлениеАдреса		- Необязательный. Строка. В этом параметре передается представление адреса,
//								рассчитанное по представлению в XML.
//     ИмяВидКонтактнойИнформацииОсновной - Необязательный.
//								- Строка - ИмяПредопределенныхДанных Справочника ВидыКонтактнойИнформации.
//								- СправочникСсылка.ВидыКонтактнойИнформации.
//								- ПеречислениеСсылка.ТипыКонтактнойИнформации.
//     ИмяВидКонтактнойИнформацииЕслиНетОсновного - Необязательный.
//								- Строка - ИмяПредопределенныхДанных Справочника ВидыКонтактнойИнформации.
//								- СправочникСсылка.ВидыКонтактнойИнформации.
//								- ПеречислениеСсылка.ТипыКонтактнойИнформации.
//     ИмяВидКонтактнойИнформацииЕслиНетОсновного2 - Необязательный.
//								- Строка - ИмяПредопределенныхДанных Справочника ВидыКонтактнойИнформации.
//								- СправочникСсылка.ВидыКонтактнойИнформации.
//								- ПеречислениеСсылка.ТипыКонтактнойИнформации.
//	   ВыдаватьЛюбойЕслиНетНужногоВида - Булево.
//
// Возвращаемое значение:
//		Строка - строка JSON или XML значения полей адреса.
//		Неопределено - если не найдено.
//
Функция ПолучитьАдресОбъекта(знач Ссылка, ПредставлениеАдреса = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьАдресОбъекта(знач Ссылка, ПредставлениеАдреса, );
```
</details>

## ПрефиксСтрокиСтруктурыХраненияАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПрефиксСтрокиСтруктурыХраненияАдреса() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПрефиксСтрокиСтруктурыХраненияАдреса() 
```
</details>

## АдресОбъектаВСтрокуСтруктурыХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АдресОбъектаВСтрокуСтруктурыХранения(знач Ссылка, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.АдресОбъектаВСтрокуСтруктурыХранения(знач Ссылка, );
```
</details>

## СтруктураАдресаВСтрокуСтруктурыХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураАдресаВСтрокуСтруктурыХранения(СтруктураАдреса) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СтруктураАдресаВСтрокуСтруктурыХранения(СтруктураАдреса) 
```
</details>

## СтруктураАдресаИзСтрокиСтруктурыХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СтруктураАдресаИзСтрокиСтруктурыХранения(ПолеСтруктурыАдреса) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СтруктураАдресаИзСтрокиСтруктурыХранения(ПолеСтруктурыАдреса) 
```
</details>

## ВводАдресаКонтрагентаЗавершениеНаСервере
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВводАдресаКонтрагентаЗавершениеНаСервере(Результат, ПредставлениеАдреса, ПолеСтруктурыАдреса, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВводАдресаКонтрагентаЗавершениеНаСервере(Результат, ПредставлениеАдреса, ПолеСтруктурыАдреса, );
```
</details>

## ЭтоКонтактнаяИнформацияВСтрокеСтруктурыХранения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоКонтактнаяИнформацияВСтрокеСтруктурыХранения(СтрокаАдреса) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ЭтоКонтактнаяИнформацияВСтрокеСтруктурыХранения(СтрокаАдреса) 
```
</details>

## ВариантКонтактнойИнформацииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВариантКонтактнойИнформацииАЛКО(СтрокаАдреса) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВариантКонтактнойИнформацииАЛКО(СтрокаАдреса) 
```
</details>

## ОбработкаСохраненияАдресаКонтрагента
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработкаСохраненияАдресаКонтрагента(Контрагент = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ОбработкаСохраненияАдресаКонтрагента(Контрагент, );
```
</details>

## ОбработкаСохраненияАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаСохраненияАдреса(ПолеСтруктурыАдреса, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОбработкаСохраненияАдреса(ПолеСтруктурыАдреса, );
```
</details>

## ОбработкаЗаписиРегистраАлкоЛицензии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработкаЗаписиРегистраАлкоЛицензии(Запись) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОбработкаЗаписиРегистраАлкоЛицензии(Запись) 
```
</details>

## ОбновитьМестоОсуществленияДеятельности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вносит новые данные адреса местонахождения организации в данные титульного листа отчета ФСРАР.
//
// Параметры:
//
//	 	Форма				- Управляемая форма - Форма отчета ФСРАР.
//		Результат			- Структура - результат, возвращаемый
//							УправлениеКонтактнойИнформациейКлиент.ОткрытьФормуКонтактнойИнформации()
//
Процедура ОбновитьМестоОсуществленияДеятельности(Форма, Результат) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОбновитьМестоОсуществленияДеятельности(Форма, Результат) 
```
</details>

## СообщитьПроцентВыполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Передает из фоновой задачи процент выполнения процесса и сообщение пользователю.
// В дальнейшем переданную информацию можно прочесть с помощью
// РегламентированнаяОтчетностьАЛКОВызовСервера.ПолучитьИнформациюИзФоновойЗадачи(ИдентификаторФоновогоЗадания)
// или ДлительныеОперации.ПрочитатьПрогресс(ИдентификаторФоновогоЗадания)
//
// Параметры:
//
//	 	СообщениеПользователю 				- Строка - Необязательный. Основное сообщение, выводимое в форме
//											длительной операции.
// 		Обработано 							- Число - Необязательный. По умолчанию 0. Отражает количество отработанных
//											операций.
// 		НужноОбработать						- Число - Необязательный. По умолчанию 100. Отражает общее количество
//											операций, которые нужно отработать.
// 		СтоПроцентов						- Число - Необязательный. По умолчанию 100. Отражает сколько процентов
//											соответствует параметру НужноОбработать.
//
// Пример:
//
// 	НужноОбработатьСтрок = 2*(ВсегоСтрокПоРазделу1 + ВсегоСтрокПоРазделу2);
//	// При выгрузке проверка заполнения строк и заполнение дерева выгрузки составляет примерно 84%,
//	// при проверке выгрузки - примерно 90% от общего времени выполнения.
//	ПроцентБезЗавершающейПроверкиДанных = ?(ЭтоВыгрузка, 84, 90);
//	. . . .
//	РегламентированнаяОтчетностьАлко.СообщитьПроцентВыполнения("Заполнение данными дерева выгрузки.", ОбработаноСтрок,
//										НужноОбработатьСтрок, ПроцентБезЗавершающейПроверкиДанных);
//
Процедура СообщитьПроцентВыполнения(СообщениеПользователю = Неопределено, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.СообщитьПроцентВыполнения(СообщениеПользователю, );
```
</details>

## КонтрольноеЧислоИНН
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет контрольное число ИНН для физических и юридических лиц.
//
// Параметры:
//
//	 	ИНН 				- Строка. ИНН российского юридического или физического лица.
//
// Возвращаемое значение:
//		Неопределено или Строка - для юридических лиц длиной 1 символ-цифру, для физических - 2 символа-цифры.
//
Функция КонтрольноеЧислоИНН(ИНН, РежимОтладки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.КонтрольноеЧислоИНН(ИНН, РежимОтладки);
```
</details>

## СоздатьТаблицуСообщенийОбОшибках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Создает пустую таблицу сообщений об ошибках.
//
// Параметры:
//
//	 	Нет.
//
// Возвращаемое значение:
//		Таблица значений
//
Функция СоздатьТаблицуСообщенийОбОшибках() Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СоздатьТаблицуСообщенийОбОшибках() 
```
</details>

## СообщитьОбОшибкеЗаполнения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет строку в таблицу сообщений об ошибках, заполняя ее данными о ошибке.
//
// Параметры:
//
//	 	ДокументСсылка				- Документ.РегламентированныйОтчет.Ссылка - документ отчета.
//		ТаблицаСообщенийОбОшибках	- Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		СтатусПроверки				- Булево - Флаг наличия ошибок при проверке выгрузки отчета.
//		СтруктураОшибки				- Структура - структура информации об ошибке.
//			* ТекстОписанияОшибки		- Строка - описание сути ошибки.
//			* Раздел					- Строка - раздел отчета, к которому относится ошибка.
//			* Показатель				- Строка - имя поля формы отчета или имя колонки таблицы с указанием номера строки,
//										например:
//										"Организация", "П000000000102" - имена полей
//										"П000020000304_5" - имя колонки таблицы "П000020000304", строка 5
//			* ЛистРаздела			- Число - Необязательный. Номер листа многостраничного раздела.
//			* ТипОшибки				- Строка - Необязательный. Тип ошибки, описанный в макете "ШаблоныСообщенийОбОшибках" отчета
//
//
Процедура СообщитьОбОшибкеЗаполнения(ДокументСсылка, ТаблицаСообщенийОбОшибках, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.СообщитьОбОшибкеЗаполнения(ДокументСсылка, ТаблицаСообщенийОбОшибках, );
```
</details>

## ВерноеЗаполнениеРазделаЛицензии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение раздела Лицензий деклараций сдаваемых в ФСРАР,
// при обнаружении ошибки - формируется сообщение об ошибке процедурой СообщитьОбОшибкеЗаполнения().
//
// Параметры:
//
//	 	ДокументСсылкаАлкоОтчет		- Документ.РегламентированныйОтчет.Ссылка - документ отчета.
//		СтатусПроверки				- Булево - Флаг наличия ошибок при проверке выгрузки отчета.
//		ТаблицаСтраницыЛицензии		- ТаблицаЗначений - таблица страниц раздела Лицензии декларации.
//		ТаблицаСообщенийОбОшибках	- Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		ТаблицаСообщенийДляСведения - Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//
//		СтруктураСведенийРазделаЛицензий- Структура - структура информации о разделе Лицензии.
//			* ЕстьЛицензииВРазделеЛицензии	- Булево - флаг наличия информации о лицензиях в разделе Лицензии.
//											В некоторых декларациях в разделе Лицензии информация о лицензиях убрана,
//											но сам раздел остался.
//			* ИмяПоляКодВидаДеятельности	- Строка - имя элемента формы, содержащего значение Вида деятельности.
//			* СписокКодовДеятельности		- Массив - массив возможных значений для кода деятельности.
//			* ДатаНачалаОтчета			- Дата - Необязательный. Дата начала регламентированного отчета ФСРАР.
//			* ДатаКонцаОтчета			- Дата - Необязательный. Дата окончания регламентированного отчета ФСРАР.
//			* НижняяГраницаДатыПоXSD	- Дата - Необязательный. Нижняя граница возможного значения даты, устанвленная в схеме
//										выгрузки отчета. Если не установлен - устанавливается в стандартное значение 01.01.1000
//			* ВерхняяГраницаДатыПоXSD	- Дата - Необязательный. Верхняя граница возможного значения даты, устанвленная в схеме
//										выгрузки отчета. Если не установлен - устанавливается в стандартное значение 31.12.2099
//
// Возвращаемое значение:
//		Булево - Истина, если нет ошибок проверки.
//
Функция ВерноеЗаполнениеРазделаЛицензии(ДокументСсылкаАлкоОтчет, СтатусПроверки, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВерноеЗаполнениеРазделаЛицензии(ДокументСсылкаАлкоОтчет, СтатусПроверки, );
```
</details>

## ЛицензируемаяДеятельностьАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЛицензируемаяДеятельностьАЛКО(ТаблицаСтраницыЛицензии, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ЛицензируемаяДеятельностьАЛКО(ТаблицаСтраницыЛицензии, );
```
</details>

## ЭтоТочноРоссийскийРезидент
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет является ли контрагент российским.
// При наличии реквизита СтранаРегистрации и его заполнении определяется по стране регистрации,
// в противном случае определяется исходя из
//
// Параметры:
//
//		Контрагент							- Справочник.Контрагенты.
//		ЕстьСтранаРегистрацииВКонфигурации 	- Булево или Неопределено. Необязательный. Определяет есть ли
//											в реквизитах элемента Справочник.Контрагенты реквизит СтранаРегистрации.
//		СтранаРоссия						- Справочник.СтраныМира. Необязательный. Предопределенный элемент
//											Справочник.СтраныМира.Россия.
//	 	ИНН 								- Строка. ИНН контрагента стран ЕАЭС.
//		КПП									- Строка. КПП российского контрагента.
//
// Возвращаемое значение:
//		Неопределено или Булево - Неопределено если принадлежность определить не удалось.
//
Функция ЭтоТочноРоссийскийРезидент(Контрагент, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ЭтоТочноРоссийскийРезидент(Контрагент, );
```
</details>

## ВернаяЛицензия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение полей Лицензий в строках таблиц или страницах (в т.ч. раздел Лицензии) деклараций сдаваемых в ФСРАР,
// при обнаружении ошибки - формируется сообщение об ошибке процедурой СообщитьОбОшибкеЗаполнения().
//
// Параметры:
//
//	 	ДокументСсылка				- Документ.РегламентированныйОтчет.Ссылка - документ отчета.
//		ТаблицаСообщенийОбОшибках	- Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		ТаблицаСообщенийДляСведения - Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		СтатусПроверки				- Булево - Флаг наличия ошибок при проверке выгрузки отчета.
//		СтруктураСведенийЛицензий	- Структура - структура информации о лицензии.
//			* ИмяРаздела				- Строка - имя раздела отчета.
//
//			===== Необходимо наличие или ключа СтрокаГде или ключей СтрВКакомРазделе, НомерСтрокиСтроковый =========
//			* СтрокаГде					- Строка - Необязательный. Строка начала сообщений об ошибках, указывающая где
//										имено ошибка. Обычно генерируется функцией СтрокаГдеСообщенийОбОшибках()
//			* СтрВКакомРазделе			- Строка - Необязательный. Строка вида "В разделе Лицензии"
//			* НомерСтрокиСтроковый		- Строка - Необязательный. Номерстроки таблицы.
//			* ИмяТаблицы				- Строка - Необязательный. Пользовательское наименование проверяемой таблицы.
//          ========================================================================================================
//
//			* НомерЛиста                - Число  - Необязательный, если проверяются не поля Таблицы.
//										Номер листа многостраничного раздела.
//			* РоссийскийРезидент 		- Булево - Необязательный. Флаг, если Истина - владелец лицензии российский резидент.
//										Владельцем в любом случае может быть только российский резидент, но при проверке ИНН-КПП
//										уже точно известна принадлежность, и если иностранный резидент - лицензию можно не проверять.
//			* НетПроблемИННКПП	 		- Булево - Необязательный. Флаг, если Истина - проверка ИНН-КПП прошла без ошибок.
//
//			* ИмяСерияЛицензии			- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей серию лицензии, или имя элемента формы, содержащего значение серии лицензии, например:
//										"П000020000304_5" - имя колонки таблицы "П000020000304", строка 5
//										"П000000000005" - элемент страницы.
//			* СерияЛицензии 			- Строка - строка серии.
//			* ИмяНомерЛицензии			- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей номер лицензии, или имя элемента формы, содержащего значение номера лицензии, например:
//										"П000020000304_5" - имя колонки таблицы "П000020000304", строка 5
//										"П000000000005" - элемент страницы.
//			* НомерЛицензии 			- Строка - строка номера лицензии.
//			* ИмяДатаВыдачиЛицензии		- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей дату выдачи лицензии, или имя элемента формы, содержащего значение даты выдачи лицензии, например:
//										"П000020000304_5" - имя колонки таблицы "П000020000304", строка 5
//										"П000000000005" - элемент страницы.
//			* ДатаВыдачиЛицензии 		- Дата - дата выдачи лицензии.
//			* ИмяДатаОкончанияЛицензии	- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей дату окончания лицензии, или имя элемента формы, содержащего значение даты окончания лицензии, например:
//										"П000020000304_5" - имя колонки таблицы "П000020000304", строка 5
//										"П000000000005" - элемент страницы.
//			* ДатаОкончанияЛицензии 	- Дата - дата окончания лицензии.
//			* ИмяКемВыданаЛицензия		- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей наименование органа выдачи лицензии, или имя элемента формы, например:
//										"П000020000305_6" - имя колонки таблицы "П000020000305", строка 6
//										"П000000000005".
//			* КемВыданаЛицензия			- Строка - строка наименования органа выдачи лицензии.
//
//			* ДатаНачалаОтчета			- Дата - Необязательный. Дата начала регламентированного отчета ФСРАР.
//			* ДатаКонцаОтчета			- Дата - Необязательный. Дата окончания регламентированного отчета ФСРАР.
//			* НижняяГраницаДатыПоXSD	- Дата - Необязательный. Нижняя граница возможного значения даты, устанвленная в схеме
//										выгрузки отчета. Если не установлен - устанавливается в стандартное значение 01.01.1000
//			* ВерхняяГраницаДатыПоXSD	- Дата - Необязательный. Верхняя граница возможного значения даты, устанвленная в схеме
//										выгрузки отчета. Если не установлен - устанавливается в стандартное значение 31.12.2099
//
//			* РодительскийПадежЧьяЛицензия	- Строка - строка содержащая обозначение владельца лицензии в родительском падеже,
//										например: "производителя/импортера" или "поставщика".
//			* КодОбязателен				- Булево - Необязательный. Флаг, если Истина - при заполнении должен быть указан код деятельности.
//										По умолчанию Ложь. Имеет смысл в основном при проверке раздела Лицензии деклараций.
//			* Код				 		- Строка - обязателен при условии КодОбязателен = Истина. Код деятельности по лицензии.
//			* ИмяКод					- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей наименование органа выдачи лицензии, или имя элемента формы, например:
//										"П000020000305_6" - имя колонки таблицы "П000020000305", строка 6
//										"П000000000005".
//			* СписокКодов				- Массив - обязателен при условии КодОбязателен = Истина.
//										Массив возможных значений для кода деятельности.
//
//		Заполнена						- Булево. В этом параметре передается обратно признак заполнения лицензии.
//
// Возвращаемое значение:
//		Булево						Истина, если нет ошибок.
//
Функция ВернаяЛицензия(ДокументСсылка, ТаблицаСообщенийОбОшибках, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВернаяЛицензия(ДокументСсылка, ТаблицаСообщенийОбОшибках, );
```
</details>

## ВернаяНакладная
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернаяНакладная(ДокументСсылка, ТаблицаСообщений, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВернаяНакладная(ДокументСсылка, ТаблицаСообщений, );
```
</details>

## ВерноеЗаполнениеОП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение Обособленных Подразделений на страницах отчетов сдаваемых в ФСРАР, при обнаружении
// ошибки - формируется сообщение об ошибке процедурой СообщитьОбОшибкеЗаполнения().
//
// Параметры:
//
//	 	ДокументСсылкаАлкоОтчет		- Документ.РегламентированныйОтчет.Ссылка - документ отчета.
//		ТаблицаСообщений			- Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		СтатусПроверки				- Булево - Флаг наличия ошибок при проверке выгрузки отчета.
//		СтруктураСведенийПроверки	- Структура - структура содержащая настройки проверки.
//			* ПараметрыВыгрузки			- Структура содержащая параметры выгрузки отчета.
//			* ИмяРаздела				- Строка - имя раздела отчета.
//			* СтрВКакомРазделе			- Строка - строка вида "В разделе Раздел 1"
//			* НомерЛиста                - Число  - номер листа многостраничного раздела.
//			* ЛистРаздела				- СписокЗначений - Содержит данные по листу раздела, получаемые из
//										реквизита формы таблицы Форма["ТаблицаСтраницы" + <ИмяРаздела>].
//			* КПП_НеОбязателен			- Булево - Необязательный. Флаг, если Истина - КПП может быть не заполнен.
//			* ПроверятьНаПустоту		- Булево - Необязательный. Флаг, если Истина - незаполненные данные по ОП
//										считаются ошибкой.
//		СведенияОбОП				- Необязательный. Передаваться в процедуру может любое значение,
//									но при возврате из процедуры в этом параметре будет содержаться структура,
//									поля которой совпадают со структурой, получаемой из функции ПолучитьПустуюСтруктуруСведенийОбОП().
// Возвращаемое значение:
//		Булево						Истина, если ошибки не найдены.
//
Функция ВерноеЗаполнениеОП(ДокументСсылкаАлкоОтчет, ТаблицаСообщений, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВерноеЗаполнениеОП(ДокументСсылкаАлкоОтчет, ТаблицаСообщений, );
```
</details>

## ВерноеЗаполнениеТитульный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение Титульного листа отчетов сдаваемых в ФСРАР, при обнаружении
// ошибки - формируется сообщение об ошибке процедурой СообщитьОбОшибкеЗаполнения().
//
// Параметры:
//
//	 	ДокументСсылкаАлкоОтчет		- Документ.РегламентированныйОтчет.Ссылка - документ отчета.
//		ТаблицаСообщений			- Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		СтатусПроверки				- Булево - Флаг наличия ошибок при проверке выгрузки отчета.
//		ПараметрыВыгрузки			- Структура - структура содержащая настройки проверки.
//									Возвращается функцией СформироватьСтруктуруПоказателейИСтруктуруПараметровАЛКО().
//		КПП56СимволыМогутБытьБуквами- Булево - Необязательный. Признак, могут ли 5 и 6 символы КПП быть не цифрами.
//
// Возвращаемое значение:
//		Булево						Истина, если ошибки не найдены.
//
Функция ВерноеЗаполнениеТитульный(ДокументСсылкаАлкоОтчет, ТаблицаСообщений, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВерноеЗаполнениеТитульный(ДокументСсылкаАлкоОтчет, ТаблицаСообщений, );
```
</details>

## ВерныйКод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение различных кодов в строках таблиц деклараций сдаваемых в ФСРАР,
// при обнаружении ошибки - формируется сообщение об ошибке процедурой СообщитьОбОшибкеЗаполнения().
//
// Параметры:
//
//	 	ДокументСсылка				- Документ.РегламентированныйОтчет.Ссылка - документ отчета.
//		ТаблицаСообщенийОбОшибках	- Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		ТаблицаСообщенийДляСведения - Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		СтатусПроверки				- Булево - Флаг наличия ошибок при проверке выгрузки отчета.
//		Код							- Строка - проверяемый код продукции.
//		СтруктураИнформацииВидаПродукции	- Структура - структура информации о виде продукции.
//			* ИмяРаздела				- Строка - имя раздела отчета.
//			* ИмяПоказателя				- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей код продукции, например:
//										"П000020000302_5" - имя колонки таблицы "П000020000302", строка 5.
//			* НомерЛиста                - Число  - Номер листа многостраничного раздела.
//			* СписокКодов				- Массив - Массив возможных значений для кода вида продукции.
//
//			===== Необходимо наличие или ключа СтрокаГде или ключей СтрВКакомРазделе, НомерСтрокиСтроковый =========
//			* СтрокаГде					- Строка - Необязательный. Строка начала сообщений об ошибках, указывающая где
//										имено ошибка. Обычно генерируется функцией СтрокаГдеСообщенийОбОшибках()
//			* СтрВКакомРазделе			- Строка - Необязательный. Строка вида "В разделе Лицензии"
//			* НомерСтрокиСтроковый		- Строка - Необязательный. Номерстроки таблицы.
//			* ИмяТаблицы				- Строка - Необязательный. Пользовательское наименование проверяемой таблицы.
//          ========================================================================================================
//
// Возвращаемое значение:
//		Булево						Истина, если ошибки не найдены.
//
Функция ВерныйКод(ДокументСсылка, ТаблицаСообщений, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВерныйКод(ДокументСсылка, ТаблицаСообщений, );
```
</details>

## ВерныйКодВидаПродукции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение кода вида продукции в строках таблиц деклараций сдаваемых в ФСРАР,
// при обнаружении ошибки - формируется сообщение об ошибке процедурой СообщитьОбОшибкеЗаполнения().
//
// Параметры:
//
//	 	ДокументСсылка				- Документ.РегламентированныйОтчет.Ссылка - документ отчета.
//		ТаблицаСообщенийОбОшибках	- Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		ТаблицаСообщенийДляСведения - Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		СтатусПроверки				- Булево - Флаг наличия ошибок при проверке выгрузки отчета.
//		Код							- Строка - проверяемый код продукции.
//		СтруктураИнформацииВидаПродукции	- Структура - структура информации о виде продукции.
//			* ИмяРаздела				- Строка - имя раздела отчета.
//			* ИмяПоказателя				- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей код продукции, например:
//										"П000020000302_5" - имя колонки таблицы "П000020000302", строка 5.
//			* НомерЛиста                - Число  - Номер листа многостраничного раздела.
//			* СписокКодов				- Массив - Массив возможных значений для кода вида продукции.
//
//			===== Необходимо наличие или ключа СтрокаГде или ключей СтрВКакомРазделе, НомерСтрокиСтроковый =========
//			* СтрокаГде					- Строка - Необязательный. Строка начала сообщений об ошибках, указывающая где
//										имено ошибка. Обычно генерируется функцией СтрокаГдеСообщенийОбОшибках()
//			* СтрВКакомРазделе			- Строка - Необязательный. Строка вида "В разделе Лицензии"
//			* НомерСтрокиСтроковый		- Строка - Необязательный. Номерстроки таблицы.
//			* ИмяТаблицы				- Строка - Необязательный. Пользовательское наименование проверяемой таблицы.
//          ========================================================================================================
//
// Возвращаемое значение:
//		Булево						Истина, если ошибки не найдены.
//
Функция ВерныйКодВидаПродукции(ДокументСсылка, ТаблицаСообщений, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВерныйКодВидаПродукции(ДокументСсылка, ТаблицаСообщений, );
```
</details>

## ОпределитьПринадлежностьЕАЭСиРФ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определеяет принадлежность контрагента к ЕАЭС и РФ.
//
// Параметры:
//  ИНН  				- Строка - ИНН или иной налоговый идентификатор контрагента.
//  КПП  				- Строка - КПП контрагента.
//  НаименованиеПолное  - Строка - Наименование контрагента.
//	СтранаРегистрации	- СправочникСсылка.СтраныМира - страна регистрации контрагента.
//						или Строка из 3 цифр - код страны.
//	РезидентРФ			- Булево. В этом параметре передается результат определения принадлежности к РФ.
//	РезидентЕАЭС		- Булево. В этом параметре передается результат определения принадлежности к ЕАЭС.
//	РежимОтладки		- Булево. Признак отладки.
//
Процедура ОпределитьПринадлежностьЕАЭСиРФ(Знач ИНН = "", Знач КПП = "", Знач НаименованиеПолное = "", СтранаРегистрации = "", Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОпределитьПринадлежностьЕАЭСиРФ(ИНН, КПП, НаименованиеПолное, СтранаРегистрации, );
```
</details>

## ВерныеНаименованиеИННКПП
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет поля Наименование, ИНН и КПП в строках таблиц или страницах (в т.ч. Титульный) деклараций сдаваемых в ФСРАР,
// при обнаружении ошибки - формируется сообщение об ошибке процедурой СообщитьОбОшибкеЗаполнения().
// Владельцем ИНН (идентификационного номера) может быть как российский, так
// и иностранный резидент.
//
// Параметры:
//
//	 	ДокументСсылка				- Документ.РегламентированныйОтчет.Ссылка - документ отчета.
//		ТаблицаСообщенийОбОшибках	- Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		ТаблицаСообщенийДляСведения - Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		СтатусПроверки				- Булево - Флаг наличия ошибок при проверке выгрузки отчета.
//		СтруктураСведенийИННКПП		- Структура - структура информации о ИНН-КПП.
//			* ИмяРаздела				- Строка - имя раздела отчета.
//
//			===== Необходимо наличие или ключа СтрокаГде или ключей СтрВКакомРазделе, НомерСтрокиСтроковый =========
//			* СтрокаГде					- Строка - Необязательный. Строка начала сообщений об ошибках, указывающая где
//										имено ошибка. Обычно генерируется функцией СтрокаГдеСообщенийОбОшибках()
//			* СтрВКакомРазделе			- Строка - Необязательный. Строка вида "В разделе Лицензии"
//			* НомерСтрокиСтроковый		- Строка - Необязательный. Номерстроки таблицы.
//			* ИмяТаблицы				- Строка - Необязательный. Пользовательское наименование проверяемой таблицы.
//          ========================================================================================================
//
//			* НомерЛиста                - Число  - Необязательный, если проверяются не поля Таблицы.
//										Номер листа многостраничного раздела.
//
//			* КонтрольОП                - Булево - Необязательный. Флаг, если Истина - идет проверка обособленного подразделения.
//			* ИмяПоказателяИНН			- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей ИНН, или имя элемента формы, содержащего значение ИНН, например:
//										"П000020000304_5" - имя колонки таблицы "П000020000304", строка 5
//										"ИНН1".
//			* ИмяПоказателяКПП			- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей КПП, или имя элемента формы, содержащего значение КПП, например:
//										"П000020000305_6" - имя колонки таблицы "П000020000305", строка 6
//										"КПП1".
//			* ИНН						- Строка - строка значения ИНН.
//			* КПП						- Строка - строка значения КПП.
//			* РодПадежЧейИННКПП			- Строка - строка содержащая обозначение владельца ИНН-КПП в родительском падеже,
//										например: "производителя/импортера" или "поставщика".
//			* ИмяПоказателяНаименования - Строка - имя колонки таблицы с указанием номера строки,
//										содержащей Наименование контрагента, чей ИНН-КПП проверяется,
//										или имя элемента формы, содержащего значение Наименование.
//			* Наименование 				- Строка - строка значения Наименования.
//			* МожетБытьПустойИНН		- Булево - Необязательный. Флаг, если Истина - ИНН может быть не заполнен.
//			* МожетБытьПустойКПП		- Булево - Необязательный. Флаг, если Истина - КПП может быть не заполнен.
//			* РоссийскийТолькоЮЛ		- Булево - Необязательный. Флаг, если Истина - если ИНН российский, то должен
//										принадлежать юридическому лицу.
//			* РоссийскийТолькоФЛ		- Булево - Необязательный. Флаг, если Истина - если ИНН российский, то должен
//										принадлежать физическому лицу.
//			* КПП56СимволыМогутБытьБуквами - Булево - Необязательный. Флаг, если Истина -  5 и 6 символы КПП могут быть
//										латинскими буквами.
//			* ИННLiteТип				- Булево - Необязательный. Флаг, если Истина - ИНН 10 значный и состоит из любых цифр,
//										допускаются 00 в начале ИНН.
//			* КППLiteТип				- Булево - Необязательный. Флаг, если Истина - КПП состоит из любых цифр,
//										допускаются 00 в начале КПП.
//
// Возвращаемое значение:
//		Булево						Истина, если ошибки не найдены.
//
Функция ВерныеНаименованиеИННКПП(ДокументСсылка, ТаблицаСообщенийОбОшибках, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВерныеНаименованиеИННКПП(ДокументСсылка, ТаблицаСообщенийОбОшибках, );
```
</details>

## ВернаяДата
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет поля типа Дата деклараций сдаваемых в ФСРАР,
// при обнаружении ошибки - формируется сообщение об ошибке процедурой СообщитьОбОшибкеЗаполнения().
//
// Параметры:
//
//	 	ДокументСсылкаАлкоОтчет		- Документ.РегламентированныйОтчет.Ссылка - документ отчета.
//		ТаблицаСообщенийОбОшибках	- Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		ТаблицаСообщенийДляСведения - Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		СтатусПроверки				- Булево - Флаг наличия ошибок при проверке выгрузки отчета.
//		ПроверяемаяДата				- Дата - проверяемое значение даты.
//		СтруктураСведенийДаты		- Структура - структура информации о проверяемой дате.
//			* ИмяРаздела				- Строка - имя раздела отчета.
//
//			===== Необходимо наличие или ключа СтрокаГде или ключей СтрВКакомРазделе, НомерСтрокиСтроковый =========
//			* СтрокаГде					- Строка - Необязательный. Строка начала сообщений об ошибках, указывающая где
//										имено ошибка. Обычно генерируется функцией СтрокаГдеСообщенийОбОшибках()
//			* СтрВКакомРазделе			- Строка - Необязательный. Строка вида "В разделе Лицензии"
//			* НомерСтрокиСтроковый		- Строка - Необязательный. Номерстроки таблицы.
//			* ИмяТаблицы				- Строка - Необязательный. Пользовательское наименование проверяемой таблицы.
//          ========================================================================================================
//
//			* НомерЛиста                - Число  - Необязательный, если проверяются не поля Таблицы.
//										Номер листа многостраничного раздела.
//			* Показатель				- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей проверяемое значение даты,
//										или имя элемента формы отчета, содержащего проверяемое значение даты.
//			* РодПадежДатаЧего			- Строка - строка содержащая обозначение владельца поля даты в родительском падеже,
//										например: "накладной" или "начала действия лицензии".
//			* ДатаНачалаОтчета			- Дата - Необязательный. Дата начала регламентированного отчета ФСРАР.
//			* ДатаКонцаОтчета			- Дата - Необязательный. Дата окончания регламентированного отчета ФСРАР.
//			* МинимальнаяДатаПредположительно - Дата - Необязательный. Минимально возможная дата для проверяемой даты, исходя
//										из соображений зравого смысла.
//										Если не указана, устанавливается исходя из значения параметра ТипДаты.
//			* МаксимальнаяДатаПредположительно - Дата - Необязательный. Максимально возможная дата для проверяемой даты, исходя
//										из соображений зравого смысла.
//										Если не указана, устанавливается исходя из значения параметра ТипДаты.
//			* ТипДаты					- Строка - Необязательный. Назначение проверяемого значения даты, может принимать значения:
//										"ДатаПодписи", "ДатаДокументаЛичности", "ДатаНакладной", "ДатаУведомления",
//										"ДатаНачалаДействияЛицензии", "ДатаКонцаДействияЛицензии", "Произвольный".
//										Если не установлен или не соответствует возможным значениям - присваивается значение "Произвольный".
//			* НижняяГраницаДатыПоXSD	- Дата - Необязательный. Нижняя граница возможного значения даты, устанвленная в схеме
//										выгрузки отчета. Если не установлен - устанавливается в стандартное значение 01.01.1000
//			* ВерхняяГраницаДатыПоXSD	- Дата - Необязательный. Верхняя граница возможного значения даты, устанвленная в схеме
//										выгрузки отчета. Если не установлен - устанавливается в стандартное значение 31.12.2099
//
//
// Возвращаемое значение:
//		Булево						Истина, если ошибки не найдены.
//
Функция ВернаяДата(ДокументСсылкаАлкоОтчет, ТаблицаСообщенийОбОшибках, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВернаяДата(ДокументСсылкаАлкоОтчет, ТаблицаСообщенийОбОшибках, );
```
</details>

## СтрокаГдеСообщенийОбОшибках
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует унифицированную для всех отчетов строку, которая определяет местонахождение ошибки в сообщении об ошибке.
//
// Параметры:
//
//		СтрВКакомРазделе 	- Строка - определяет раздел нахождения ошибки.
//							Например: "На Титульном листе", "В разделе Раздел II декларации".
//		НомерЛиста			- Число - Необязательный. Номер листа многостраничного раздела.
//							Обязателен для многостраничных разделов и не обязателен в иных случаях.
//		СтрНомерСтроки		- Строка - Необязательный. Строка, содержащая номер строки таблицы, в которой обнаружена ошибка.
//							Обязателен для многострочных разделов и не обязателен в иных случаях.
//		ИмяТаблицы			- Строка - Необязательный. Название таблицы, в которой обнаружена ошибка.
//							Используется для многострочных разделов, обычно в случаях,
//							когда на странице раздела имеется несколько таблиц.
//
// Возвращаемое значение:
//		Строка
//
Функция СтрокаГдеСообщенийОбОшибках(СтрВКакомРазделе, НомерЛиста = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СтрокаГдеСообщенийОбОшибках(СтрВКакомРазделе, НомерЛиста, );
```
</details>

## ОбновитьСтруктуруАдресаИзСтрокиJSONилиXMLСтруктурыАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбновитьСтруктуруАдресаИзСтрокиJSONилиXMLСтруктурыАдреса(АдресСтруктура, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ОбновитьСтруктуруАдресаИзСтрокиJSONилиXMLСтруктурыАдреса(АдресСтруктура, );
```
</details>

## ВерныйАдрес
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет поля адресной инофрмации деклараций сдаваемых в ФСРАР,
// при обнаружении ошибки - формируется сообщение об ошибке процедурой СообщитьОбОшибкеЗаполнения().
//
// Параметры:
//
//	 	ДокументСсылкаАлкоОтчет		- Документ.РегламентированныйОтчет.Ссылка - документ отчета.
//		ТаблицаСообщенийОбОшибках	- Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		ТаблицаСообщенийДляСведения - Таблица значений - изначально должна быть сформирована
//									функцией СоздатьТаблицуСообщенийОбОшибках().
//		СтатусПроверки				- Булево - Флаг наличия ошибок при проверке выгрузки отчета.
//		АдресСтруктура				- Структура - проверяемое значение структуры адресной информации.
//									Поля структуры соответствуют структуре, получаемой при вызове
//									функции ПолучитьПустуюСтруктуруАдреса().
//
//		ВспомогательнаяСтруктураДанных	- Структура - структура вспомогательной информации.
//			* ИмяРаздела				- Строка - имя раздела отчета.
//
//			===== Необходимо наличие или ключа СтрокаГде или ключей СтрВКакомРазделе, НомерСтрокиСтроковый =========
//			* СтрокаГде					- Строка - Необязательный. Строка начала сообщений об ошибках, указывающая где
//										имено ошибка. Обычно генерируется функцией СтрокаГдеСообщенийОбОшибках()
//			* СтрВКакомРазделе			- Строка - Необязательный. Строка вида "В разделе Лицензии"
//			* НомерСтрокиСтроковый		- Строка - Необязательный. Номерстроки таблицы.
//			* ИмяТаблицы				- Строка - Необязательный. Пользовательское наименование проверяемой таблицы.
//          ========================================================================================================
//
//			* НомерЛиста                - Число  - Необязательный, если проверяются не поля Таблицы.
//										Номер листа многостраничного раздела.
//			* Показатель				- Строка - имя колонки таблицы с указанием номера строки,
//										содержащей проверяемое значение даты,
//										или имя элемента формы отчета, содержащего проверяемое значение даты.
//			* РодПадежАдресЧего			- Строка - строка содержащая обозначение владельца поля адреса в родительском падеже,
//										например: "организации" или "получателя".
//
//			* ОписаниеСтруктурыАдресаИзОтчета	- Структура - Необязательный.
//										Поля структуры соответствуют структуре, получаемой при вызове
//										функции ПолучитьПустуюСтруктуруАдреса().
//										Может не содержать поля  АдресXML, КодСтраны
//										Страна, КодРегиона, Регион, ТипДома, ТипКорпуса, ТипКвартиры, ПредставлениеАдреса.
//										При наличии перечисленных полей - они будут удалены!
//										Значениями всех полей структуры является структура вида:
//											* ПредставлениеПоля - осмысленное название поля адреса.
//											* МинДлина - минимальная длина строки поля адреса, к которому относится структура.
//											* МаксДлина- максимальная длина строки поля адреса, к которому относится структура.
//											* ТолькоЦифры - Булево. Признак что в поле адреса должны быть только цифры.
//										В случае если ОписаниеСтруктурыАдресаИзОтчета не указана, используется структура по умолчанию.
//
//			* Обязательный				-  Булево - Необязательный. Признак, что проверяемый адрес обязателен к заполнению.
//										Значение по умолчанию Истина.
//			* ТолькоРоссия				- Булево - Необязательный. Признак, что проверяемый адрес должен быть российским.
//										Значение по умолчанию Ложь.
//			* ТолькоЕАЭС 				- Булево - Необязательный. Признак, что проверяемый адрес должен принадлежать
//										одной из стран участниц ЕАЭС.
//										Значение по умолчанию Ложь.
//			* ТолькоИностранныйКромеЕАЭС- Булево - Необязательный. Признак, что проверяемый адрес должен быть иностранным, за
//										за исключением стран участниц ЕАЭС.
//										Значение по умолчанию Ложь.
//			* ЛюбойИностранный			- Булево - Необязательный. Признак, что проверяемый адрес должен быть иностранным.
//										Значение по умолчанию Ложь.
//
// Возвращаемое значение:
//		Булево						Истина, если ошибки не найдены.
//
Функция ВерныйАдрес(ДокументСсылкаАлкоОтчет, ТаблицаСообщений, ТаблицаСообщенийДляСведения, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВерныйАдрес(ДокументСсылкаАлкоОтчет, ТаблицаСообщений, ТаблицаСообщенийДляСведения, );
```
</details>

## СтрокаДекларацииЗаполнена
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет наличие данных в строке декларации.
//
// Параметры:
//		СтрокаДекларации 	- Любой агрегатный тип или строка таблицы, со сведениями строки декларации.
//		ИдГруппы			- Строка - Идентификатор многострочной группы отчета.
//		КоличествоКолонокВРазделе - Число.
//
// Возвращаемое значение:
//		Булево						Истина, если имеются данные.
//
Функция СтрокаДекларацииЗаполнена(СтрокаДекларации, ИдГруппы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СтрокаДекларацииЗаполнена(СтрокаДекларации, ИдГруппы, );
```
</details>

## ПолучитьХешИдОрганизацииСтрокойПригоднойДляКлючаСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует уникальную для параметров организации строку, пригодную для использования
// в качестве ключа структуры.
//
// Параметры:
//
//	 	Наименование				- Строка - Необязательный. Наименование организации.
//		ИНН							- Строка - Необязательный. Строка ИНН организации.
//		КПП							- Строка - Необязательный. Строка КПП организации.
//		ПредставлениеАдреса			- Строка - Необязательный. Строка представления адреса организации.
//
// Возвращаемое значение:
//		Строка.
//
Функция ПолучитьХешИдОрганизацииСтрокойПригоднойДляКлючаСтруктуры(Наименование = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьХешИдОрганизацииСтрокойПригоднойДляКлючаСтруктуры(Наименование, );
```
</details>

## ПолучитьРезультатПроверкиАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет содержимое результата проверки выгрузки отчета, сохраненного во временном хранилище.
//
// Параметры:
//
//	 	АдресВоВременномХранилище	- Строка. Адрес во временном хранилище.
//
// Возвращаемое значение:
//		Число
// 				- 0 - нет ошибок
//				- 10 - только критические ошибки
//      		больше 10 - есть критические ошибки и  сообщения для сведения
//				меньше 10 - только сообщения для сведения
//      		- 100 - непредвиденная ошибка (в норме не должно возвращаться никогда).
//
Функция ПолучитьРезультатПроверкиАЛКО(АдресВоВременномХранилище) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьРезультатПроверкиАЛКО(АдресВоВременномХранилище) 
```
</details>

## УдалитьИзВременногоХранилищаАдресаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьИзВременногоХранилищаАдресаАЛКО(Форма, ОсновнойАдрес, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.УдалитьИзВременногоХранилищаАдресаАЛКО(Форма, ОсновнойАдрес, );
```
</details>

## ОбработатьУсловныеЭлементыАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьУсловныеЭлементыАЛКО(Знач ПараметрыВыгрузки, Узел, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОбработатьУсловныеЭлементыАЛКО(ПараметрыВыгрузки, Узел, );
```
</details>

## ПолучитьПодчиненныйЭлементАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПодчиненныйЭлементАЛКО(Узел, КодЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьПодчиненныйЭлементАЛКО(Узел, КодЭлемента) 
```
</details>

## СкопироватьУзелАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СкопироватьУзелАЛКО(Родитель, Узел) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СкопироватьУзелАЛКО(Родитель, Узел) 
```
</details>

## НовыйУзелИзПрототипаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НовыйУзелИзПрототипаАЛКО(ПрототипУзла) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.НовыйУзелИзПрототипаАЛКО(ПрототипУзла) 
```
</details>

## ИдентификаторОП_АЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИдентификаторОП_АЛКО(СведенияОП) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ИдентификаторОП_АЛКО(СведенияОП) 
```
</details>

## ВывестиПоказательВXML_АЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВывестиПоказательВXML_АЛКО(Узел, ЗначениеПоказателя) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВывестиПоказательВXML_АЛКО(Узел, ЗначениеПоказателя) 
```
</details>

## ОтсечьНезаполненныеНеобязательныеУзлыАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтсечьНезаполненныеНеобязательныеУзлыАЛКО(Узел) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОтсечьНезаполненныеНеобязательныеУзлыАЛКО(Узел) 
```
</details>

## УстановитьЗначениеЭлементаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьЗначениеЭлементаАЛКО(УзелРодитель, ИмяЭлемента, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.УстановитьЗначениеЭлементаАЛКО(УзелРодитель, ИмяЭлемента, );
```
</details>

## ПроверитьДанныеАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьДанныеАЛКО(Узел, ДокументСсылкаАлкоОтчет, ТаблицаСообщений, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПроверитьДанныеАЛКО(Узел, ДокументСсылкаАлкоОтчет, ТаблицаСообщений, );
```
</details>

## ПолучитьХешИдДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает общий хеш SHA256 переданных в списке данных.
//
// Параметры:
//
//		Данные - Список Значений.
//
// Возвращаемое значение:
//		Хеш SHA256.
//
Функция ПолучитьХешИдДанных(Данные, Разделитель = "_") Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьХешИдДанных(Данные, Разделитель);
```
</details>

## ПолучитьДопустимуюСтроку
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДопустимуюСтроку(Стр) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьДопустимуюСтроку(Стр) 
```
</details>

## ПолучитьИдДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИдДанных(Данные, Разделитель = "_") Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьИдДанных(Данные, Разделитель);
```
</details>

## ПолучитьИдОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИдОрганизации(Наименование = Неопределено, ИНН = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьИдОрганизации(Наименование, ИНН, );
```
</details>

## ПолучитьИдЛицензии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИдЛицензии(ХешИдПоставщика = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьИдЛицензии(ХешИдПоставщика, );
```
</details>

## ПолучитьХешИдЛицензии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьХешИдЛицензии(ХешИдПоставщика = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьХешИдЛицензии(ХешИдПоставщика, );
```
</details>

## ПолучитьХешИдОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьХешИдОрганизации(Наименование = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьХешИдОрганизации(Наименование, );
```
</details>

## ПолучитьВсеИдПоставщика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру, содержащую уникальные для поставщика строки, идентифицирующие
// поставщика и лицензию поставщика.
//
// Параметры:
//
//		СтруктураСведений			- Структура
//	 		* Наименование					- Строка - Необязательный. Наименование организации поставщика.
//			* ИНН							- Строка - Необязательный. Строка ИНН организации поставщика.
//			* КПП							- Строка - Необязательный. Строка КПП организации поставщика.
//			* ПредставлениеАдреса			- Строка - Необязательный. Строка представления адреса организации поставщика.
//			* Номер							- Строка - Необязательный. Номер лицензии поставщика.
//			* Серия							- Строка - Необязательный. Серия лицензии поставщика.
//			* ДатаВыдачи					- Дата   - Необязательный. Дата выдачи (начала действия) лицензии поставщика.
//			* ДатаВыдачи					- Дата   - Необязательный. Дата окончания лицензии поставщика.
//			* КемВыдана 					- Строка - Необязательный. Наименование органа, выдавшего лицензию.
//
// Возвращаемое значение:
//		Структура.
//			* ХешИдПоставщика	- Строка - Хеш SHA256 сведений поставщика.
//			* ХешИдЛицензии		- Строка - Хеш SHA256 сведений лицензии поставщика.
//
Функция ПолучитьВсеИдПоставщика(СтруктураСведений) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьВсеИдПоставщика(СтруктураСведений) 
```
</details>

## ПолучитьВсеИдПроизводителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру, содержащую уникальные для производителя и пары производитель-код продукции
// строки, идентифицирующие производителя и пару производитель-код продукции.
//
// Параметры:
//
//			КодПродукции                - Строка - Необязательный. Код продукции.
//	 		Наименование				- Строка - Необязательный. Наименование организации производителя.
//			ИНН							- Строка - Необязательный. Строка ИНН организации производителя.
//			КПП							- Строка - Необязательный. Строка КПП организации производителя.
//			ПредставлениеАдреса			- Строка - Необязательный. Строка представления адреса организации производителя.
//
// Возвращаемое значение:
//		Структура.
//			* ХешИдПроизводителя	- Строка - Хеш SHA256 сведений производителя.
//			* ХешИдКодПродПроизв	- Строка - Хеш SHA256 сведений пары производитель - код продукции.
//
Функция ПолучитьВсеИдПроизводителя(КодПродукции = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьВсеИдПроизводителя(КодПродукции, );
```
</details>

## ХешИдКодПродПроцСпирта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ХешИдКодПродПроцСпирта(КодПродукции = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ХешИдКодПродПроцСпирта(КодПродукции, );
```
</details>

## ХешИдТранспортногоСредства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ХешИдТранспортногоСредства(ТипТС = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ХешИдТранспортногоСредства(ТипТС, );
```
</details>

## ОбработкаТаблицыПередЗаписьюВРегистр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Дополняет таблицу значений недостающими колонками, которые соответствуют
// стандартным реквизитам, измерениям, ресурсам и реквизитам регистра.
//
// Параметры:
//
//	 	ИмяРегистра					- Строка - имя регистра сведений.
//		ТаблЗнач					- Таблица значений.
//
Процедура ОбработкаТаблицыПередЗаписьюВРегистр(ИмяРегистра, ТаблЗнач) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОбработкаТаблицыПередЗаписьюВРегистр(ИмяРегистра, ТаблЗнач) 
```
</details>

## ЗагрузитьПодготовленныеДанныеАвтоЗаполненияАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вносит изменения в реквизиты формы отчета после заполнения регистров сведений данными на основании данных ИБ.
//
// Параметры:
//
//	 	Форма					- Управляемая форма - Форма заполняемого отчета ФСРАР.
//
Процедура ЗагрузитьПодготовленныеДанныеАвтоЗаполненияАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ЗагрузитьПодготовленныеДанныеАвтоЗаполненияАЛКО(Форма) 
```
</details>

## ЗаполнитьТитульныйАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит титульный лист отчета ФСРАР.
//
// Параметры:
//
//	 	Форма				- Управляемая форма - Форма отчета ФСРАР.
//
Процедура ЗаполнитьТитульныйАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ЗаполнитьТитульныйАЛКО(Форма) 
```
</details>

## ПолучитьЗаявлениеОКорректировкеПоЖурналу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗаявлениеОКорректировкеПоЖурналу(ДокументСсылкаАлкоОтчет) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьЗаявлениеОКорректировкеПоЖурналу(ДокументСсылкаАлкоОтчет) 
```
</details>

## ПоказатьСтраницуМногострочногоРазделаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит в форме отчета ФСРАР нужную страницу многостраничного многострочного раздела.
//
// Параметры:
//
//	 	Форма				- Управляемая форма - Форма отчета ФСРАР.
//		Шаг					- Число - смысл зависит от параметра ПоказатьПоИндексу,
//							если ПоказатьПоИндексу Истина, то Шаг - это индекс страницы, которую необходимо вывести.
//							Если ПоказатьПоИндексу Ложь, то Шаг - это разница между индексом текущей страницы, и той,
//							которую необходимо вывести на форму.
//		Раздел				- Строка - имя многострочного раздела отчета, страницу которого необходимо вывести.
//		ПоказатьПоИндексу	- Булево - Необязательный. Флаг, поясняющий смысл параметра Шаг.
//
Процедура ПоказатьСтраницуМногострочногоРазделаАЛКО(Форма, Шаг, Раздел, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПоказатьСтраницуМногострочногоРазделаАЛКО(Форма, Шаг, Раздел, );
```
</details>

## ПоказатьСтраницуНеМногостраничногоРазделаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит в форме отчета ФСРАР нужную страницу НЕ многостраничного раздела.
//
// Параметры:
//
//	 	Форма				- Управляемая форма - Форма отчета ФСРАР.
//		Раздел				- Строка - имя раздела отчета, страницу которого необходимо вывести.
//
Процедура ПоказатьСтраницуНеМногостраничногоРазделаАЛКО(Форма, Раздел) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПоказатьСтраницуНеМногостраничногоРазделаАЛКО(Форма, Раздел) 
```
</details>

## ВывестиИтогиТаблицыФормыРазделаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выводит в форме отчета ФСРАР итоги по данным в подвале таблицы формы, ранее сформированной
// функцией ВывестиТаблицуФормыРазделаАЛКО().
//
// Параметры:
//
//	 	Форма				- Управляемая форма - Форма отчета ФСРАР.
//		ИдГруппы			- Строка - идентификатор многострочной группы.
//		СтруктураИтогов		- Структура - Необязательный. Структура, ключи которой соответствуют именам
//							полей таблицы формы, по которым считается Итог, значения - значения Итога.
//
Процедура ВывестиИтогиТаблицыФормыРазделаАЛКО(Форма, ИдГруппы, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВывестиИтогиТаблицыФормыРазделаАЛКО(Форма, ИдГруппы, );
```
</details>

## УправлениеМенюТаблицыФормыАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Модифицирует меню таблицы формы многострочного раздела.
//
// Параметры:
//
//	 	Форма				- Управляемая форма - Форма отчета ФСРАР.
//		Раздел				- Строка - имя многострочного раздела отчета, страница которого выводится.
//
Процедура УправлениеМенюТаблицыФормыАЛКО(Форма, Раздел) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.УправлениеМенюТаблицыФормыАЛКО(Форма, Раздел) 
```
</details>

## УстановитьВидимостьРазделовАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает видимость групп страниц разделов, заголовок ОП
// и положение переключателя ФлагГоловногоОППереключатель.
//
// Параметры:
//
//	 	Форма				- Управляемая форма - Форма отчета ФСРАР.
//		НаименованиеРаздела	- Строка - имя многострочного раздела отчета, страница которого выводится.
//		ИндексСтраницы		- Число - индекс страницы, которая выводится.
//		ЗаголовокОП_ИП		- Строка - Необязательный. Заголовок ОП для ИП.
//		ЗаголовокОП_ЮЛ		- Строка - Необязательный. Заголовок ОП для ЮрЛица.
//
Процедура УстановитьВидимостьРазделовАЛКО(Форма, НаименованиеРаздела, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.УстановитьВидимостьРазделовАЛКО(Форма, НаименованиеРаздела, );
```
</details>

## ОбработкаПолейСтраницыЛицензийАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает доступность и цвет фона полей раздела Лицензии.
//
// Параметры:
//
//	 	Форма							- Управляемая форма - Форма отчета ФСРАР.
//		ЭтоЛицензируемаяДеятельность	- Булево - Флаг, Если Истина - необходимо наличие лицензии.
//
Процедура ОбработкаПолейСтраницыЛицензийАЛКО(Форма, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОбработкаПолейСтраницыЛицензийАЛКО(Форма, );
```
</details>

## УстановитьДействиеТаблицыРазделыОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает обработчик действия для таблицы РазделыОтчета формы отчета ФСРАР.
//
// Параметры:
//
//	 	Форма					- Управляемая форма - Форма отчета ФСРАР.
//		Действие				- Строка - определяет Действие, обработчик которого назначается.
//		ИмяПроцедурыДействия    - Строка - имя процедуры-обработчика действия.
//
Процедура УстановитьДействиеТаблицыРазделыОтчетаАЛКО(Форма, Действие, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.УстановитьДействиеТаблицыРазделыОтчетаАЛКО(Форма, Действие, );
```
</details>

## ИнициализацияМногостраничныхРазделовАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Первоначальная инициализация многостраничных разделов отчета ФСРАР.
//
// Параметры:
//
//	 	Форма					- Управляемая форма - Форма отчета ФСРАР.
//
Процедура ИнициализацияМногостраничныхРазделовАЛКО(Форма, ЭтоОчистка = Ложь) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ИнициализацияМногостраничныхРазделовАЛКО(Форма, ЭтоОчистка);
```
</details>

## ОкончаниеИнициализацииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Окончание инициализации отчета ФСРАР перед открытием.
//
// Параметры:
//
//	 	Форма					- Управляемая форма - Форма отчета ФСРАР.
//
Процедура ОкончаниеИнициализацииАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОкончаниеИнициализацииАЛКО(Форма) 
```
</details>

## СчитатьНастройкиИзМакетаСоставПоказателейАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Считывает настройки из макета СоставПоказателей в реквизиты формы мТаблицаНастроекТабличныхПолей,
// мТаблицаСоставПоказателей и Форма["ТаблицаВариантыЗаполнения" + <ИмяСтраницы>]
//
// Параметры:
//
//	 	Форма				- Управляемая форма - Форма отчета ФСРАР.
//		ОбъектЭтогоОтч		- ОтчетОбъект.<Имяотчета> или Неопределено. Необязательный.
//							Если не определен, возвращается опеределенное значение.
//
Процедура СчитатьНастройкиИзМакетаСоставПоказателейАЛКО(Форма, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.СчитатьНастройкиИзМакетаСоставПоказателейАЛКО(Форма, );
```
</details>

## СчитатьКоллекциюСписковВыбораАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Считывает списки выбора из макета Списки и возвращает в виде таблицы значений.
//
// Параметры:
// 		НаДату				- Дата. Необязательный. Дата окончания отчета.
// 		ИмяФормы			- Строка. Имя формы отчета.
//		ОбъектЭтогоОтч		- ОтчетОбъект.<Имяотчета> или Неопределено. Необязательный.
//							Если не определен, возвращается опеределенное значение.
//		ИмяМакета			- Строка. Необязателен. Имя макета, как он определен в Конфигураторе.
//							Если не определен, возвращается опеределенное значение.
// Должны быть определены либо НаДату, либо ИмяМакета.
//
// Возвращаемое значение:
// 		ТаблицаЗначений, колонки
//			*Код
//			*Название
//			Ширина колонок соответствует ширине в макете.
//
Функция СчитатьКоллекциюСписковВыбораАЛКО(НаДату = Неопределено, ИмяФормы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СчитатьКоллекциюСписковВыбораАЛКО(НаДату, ИмяФормы, );
```
</details>

## ТЗКодовИзМакетаСписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив, состоящий из кодов, перечисленных в нужной области макета Списки отчета ФСРАР.
// При этом пустые коды исключаются.
//
// Параметры:
//		ИмяОбластиКодовМакета - Строка. Имя области макета, в которой содержаться нужные коды.
// 		НаДату				- Дата. Дата окончания отчета.
// 		ИмяФормы			- Строка. Имя формы отчета.
//		ОбъектЭтогоОтч		- ОтчетОбъект.<Имяотчета> или Неопределено. Необязательный.
//							Если не определен, возвращается опеределенное значение.
//		ИмяМакета			- Строка. Необязателен. Имя макета, как он определен в Конфигураторе.
//							Если не определен, возвращается опеределенное значение.
//		КоллекцияСписковВыбора - ТаблицаЗначений. Необязательный. Возвращается определенное значение.
//
// Должен быть определен хотя бы один из параметров НаДату, ИмяМакета, КоллекцияСписковВыбора.
//
// Возвращаемое значение:
// 		Массив.
//
Функция ТЗКодовИзМакетаСписки(ИмяОбластиКодовМакета, НаДату = Неопределено, ИмяФормы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ТЗКодовИзМакетаСписки(ИмяОбластиКодовМакета, НаДату, ИмяФормы, );
```
</details>

## МассивКодовИзМакетаСписки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует массив, состоящий из кодов, перечисленных в нужной области макета Списки отчета ФСРАР.
// При этом пустые коды исключаются.
//
// Параметры:
//		ИмяОбластиКодовМакета - Строка. Имя области макета, в которой содержаться нужные коды.
// 		НаДату				- Дата. Дата окончания отчета.
// 		ИмяФормы			- Строка. Имя формы отчета.
//		ОбъектЭтогоОтч		- ОтчетОбъект.<Имяотчета> или Неопределено. Необязательный.
//							Если не определен, возвращается опеределенное значение.
//		ИмяМакета			- Строка. Имя макета, как он определен в Конфигураторе.
//		КоллекцияСписковВыбора - ТаблицаЗначений. Необязательный. Возвращается определенное значение.
//
// Должен быть определен хотя бы один из параметров НаДату, ИмяМакета, КоллекцияСписковВыбора.
//
// Возвращаемое значение:
// 		Массив.
//
Функция МассивКодовИзМакетаСписки(ИмяОбластиКодовМакета, НаДату = Неопределено, ИмяФормы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.МассивКодовИзМакетаСписки(ИмяОбластиКодовМакета, НаДату, ИмяФормы, );
```
</details>

## ПриСозданииНаСервереАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриСозданииНаСервереАЛКО(Форма, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПриСозданииНаСервереАЛКО(Форма, );
```
</details>

## ПересчитатьТекущиеИтогиТаблицыФормыАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пересчитывает итоги таблицы формы отчета ФСРАР, и выводит подвал таблицы при необходимости.
//
// Параметры:
//
//	 	Форма							- Управляемая форма - Форма отчета ФСРАР.
//		ИнформацияДляПересчетаИтогов    - Структура.
//			*ИмяРегистра				- Строка - имя регистра сведений.
//			*ИдГруппы					- Строка - идентификатор многострочной группы.
//										Должно быть определено либо значение ИмяРегистра либо ИдГруппы.
//			*ИндексСтраницы				- Число - индекс страницы отчета (номер страницы - 1).
//			*НачальноеЗначение			- Структура или массив - значения строки таблицы до изменения.
//			*КонечноеЗначение			- Структура или массив - значения строки таблицы после изменения.
//
Процедура ПересчитатьТекущиеИтогиТаблицыФормыАЛКО(Форма, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПересчитатьТекущиеИтогиТаблицыФормыАЛКО(Форма, );
```
</details>

## АктивацияДеактивацияАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает или снимает "пометку удаления" на строку таблицы формы отчета ФСРАР,
// в зависимости от текущего состояния на обратное.
//
// Параметры:
//
//	 	Форма				- Управляемая форма - Форма отчета ФСРАР.
//		ТекущиеДанные       - ДанныеФормыСтруктура - текущие данные таблицы формы.
//		Раздел				- Строка - имя многострочного раздела отчета, страница которого выводится.
//		КоличествоСтрок		- Число - количество строк в таблице формы на странице.
//
Процедура АктивацияДеактивацияАЛКО(Форма, ТекущиеДанные, Раздел, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.АктивацияДеактивацияАЛКО(Форма, ТекущиеДанные, Раздел, );
```
</details>

## ОчиститьНаСервереАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Серверная часть очистки всех разделов формы отчета ФСРАР.
// При этом физической очистки регистров сведений не происходит - просто очищаются сервисные данные
// в реквизитах формы, удаляются все страницы с добавлением информации о удаленных страницах
// в СервисРегистров<ИдГруппы>Удаленные и добавляется по одной новой странице.
// Поскольку МаксИндексСтраницы отчета при этом не очищается, добавленные страницы имеют ИндексСтраницыРегистра
// всегда больше, чем все существующие - и в отчете табличные данные "очищаются".
// Для физического удаления информации из регистров сведений отчета необходимо использовать
// ОчиститьРегистрыОтМусора из меню Сервис отчета.
//
// Параметры:
//
//	 	Форма				- Управляемая форма - Форма отчета ФСРАР.
//
Процедура ОчиститьНаСервереАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОчиститьНаСервереАЛКО(Форма) 
```
</details>

## ОчисткаРегламентированногоОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Серверная часть очистки текущей страницы раздела формы отчета ФСРАР.
// При этом физической очистки регистров сведений не происходит - просто очищаются сервисные данные
// в реквизитах формы, очищаются реквизиты страницы с добавлением информации о удаленных страницах
// в СервисРегистров<ИдГруппы>Удаленные и назначается новый ИндексСтраницыРегистра.
// Для физического удаления информации из регистров сведений отчета необходимо использовать
// ОчиститьРегистрыОтМусора из меню Сервис отчета.
//
// Параметры:
//
//	 	Форма											- Управляемая форма - Форма отчета ФСРАР.
//		Раздел                                     		- Строка - имя многострочного раздела отчета,
//														страница которого выводится.
//		ЗапускатьОтдельнуюОбработкуПослеОчисткиЛиста	- Наследуемый из
//									РегламентированнаяОтчетностьКлиент.МеханизмыОчисткиРегламентированныхОтчетов()
//									параметр.
//		РежимОчистки									- Наследуемый из
//									РегламентированнаяОтчетностьКлиент.МеханизмыОчисткиРегламентированныхОтчетов()
//									параметр.
//
Процедура ОчисткаРегламентированногоОтчетаАЛКО(Форма, Раздел, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОчисткаРегламентированногоОтчетаАЛКО(Форма, Раздел, );
```
</details>

## ОчиститьТитульный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьТитульный(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОчиститьТитульный(Форма));
```
</details>

## УдалитьСтраницуОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Серверная часть механизма удаления текущей страницы многостраничного раздела формы отчета ФСРАР.
// При этом физической очистки регистров сведений не происходит - просто очищаются сервисные данные
// в реквизитах формы, очищаются реквизиты страницы с добавлением информации о удаленных страницах
// в СервисРегистров<ИдГруппы>Удаленные и назначается новый ИндексСтраницыРегистра.
// Для физического удаления информации из регистров сведений отчета необходимо использовать
// ОчиститьРегистрыОтМусора из меню Сервис отчета.
//
// Параметры:
//
//	 	Форма			- Управляемая форма - Форма отчета ФСРАР.
//		Раздел			- Строка - Необязательный. Имя многострочного раздела отчета,
//						страница которого выводится.
//
Процедура УдалитьСтраницуОтчетаАЛКО(Форма, Раздел = Неопределено, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.УдалитьСтраницуОтчетаАЛКО(Форма, Раздел, );
```
</details>

## ВставитьСтраницуОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Серверная часть механизма добавления текущей страницы многостраничного раздела формы отчета ФСРАР.
//
// Параметры:
//
//	 	Форма			- Управляемая форма - Форма отчета ФСРАР.
//		Раздел			- Строка - Необязательный. Имя многострочного раздела отчета,
//						страница которого выводится.
//
Процедура ВставитьСтраницуОтчетаАЛКО(Форма, Раздел = Неопределено) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВставитьСтраницуОтчетаАЛКО(Форма, Раздел);
```
</details>

## ПередСохранениемАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет возможность сохранения формы отчета ФСРАР без дополнительных вопросов или необходимость дополнительных вопросов.
//
// Параметры:
//
//	 	Форма					- Управляемая форма - Форма отчета ФСРАР.
//		СтруктураПараметров		- Структура.
//			*КодИФНС					- Строка. Код ИФНС.
//			*КПП						- Строка. Код КПП.
//			*ПодобныйОтчетСуществует 	- Булево. Возвращается признак наличия подобного отчета.
//			*Вариант					- Число.
//			*ОткрытьФормуВопросаПриИзмененииВидаДокументаНомераКорректировки - Булево.
//										Возвращается признак необходимости задать вопрос при изменении
//										номера корректировки отчета.
//			*МожноСохранять				- Булево. Возвращается признак возможности сохранения без вопросов.
//			*Автосохранение				- Булево. Необязательный. Признак автосохранения отчета.
//			*НаимТекРаздела				- Строка. Текущий активный раздел отчета.
//
Процедура ПередСохранениемАЛКО(Форма, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПередСохранениемАЛКО(Форма, СтруктураПараметров) 
```
</details>

## СохранитьДанныеОтчетаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сохраняет форму отчета ФСРАР, за исключением регистров сведений.
// Как таковые регистры сведений не сохраняются - после отработки СохранитьДанныеОтчетаАЛКО()
// вызывается длительная операция СохранитьРегистрыСведений() в модуле формы отчета,
// которая очищает Журнал от записей редактирования отчета.
//
//
// Параметры:
//
//	 	Форма					- Управляемая форма - Форма отчета ФСРАР.
//		СтруктураПараметров		- Структура.
//			*КодИФНС					- Строка. Код ИФНС.
//			*КПП						- Строка. Код КПП.
//			*Вариант					- Число.
//			*ВидДокументаНомерКорректировкиИзменен - Булево.
//										Признак  изменения номера корректировки отчета.
//			*Автосохранение				- Булево. Необязательный. Признак автосохранения отчета.
//			*НаимТекРаздела				- Строка. Текущий активный раздел отчета.
//
Функция СохранитьДанныеОтчетаАЛКО(Форма, СтруктураПараметров) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СохранитьДанныеОтчетаАЛКО(Форма, СтруктураПараметров) 
```
</details>

## ОтменаКопированияДанныхПриЗаписиСНовымНомеромКорректировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтменаКопированияДанныхПриЗаписиСНовымНомеромКорректировки(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОтменаКопированияДанныхПриЗаписиСНовымНомеромКорректировки(Форма) 
```
</details>

## ПродолжениеВосстановленияДанныхАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Данная процедура после восстановления регистров сведений определяет необходимость загрузки основных данных отчета,
// и загружает основные данные либо из результатов восстановления данных регистров сведений, либо из данных отчета.
// Позже эти данные используются при восстановлении всех данных отчета в процедуре
// ВосстановитьДанныеОтчетаАЛКО(), вызываемой из этой процедуры.
//
// Параметры:
//
//	 	Форма						- Управляемая форма - Форма отчета ФСРАР.
//		АдресВоВременномХранилище	- Строка - Адрес во временном хранилище, по которому лежит результат
//									восстановления данных регистров сведений.
//
Процедура ПродолжениеВосстановленияДанныхАЛКО(Форма, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПродолжениеВосстановленияДанныхАЛКО(Форма, );
```
</details>

## ОбработкаПослеВосстановленияАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пост обработка на сервере после восстановления данных отчета ФСРАР.
// Проверяет при копировании отчетов, не отличаются ли виды деятельности по лицензиям
// для отчетов за разные периоды и блокируются данные для редактирования во всех случаях.
//
// Параметры:
//
//	 	Форма						- Управляемая форма - Форма отчета ФСРАР.
//
Процедура ОбработкаПослеВосстановленияАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОбработкаПослеВосстановленияАЛКО(Форма) 
```
</details>

## ВосстановитьДанныеБезОткрытияФормыАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Восстанавливает все необходимые данные отчета ФСРАР в режиме работы формы отчета без открытия на Клиенте.
//
// Параметры:
//
//	 	Форма						- Управляемая форма - Форма отчета ФСРАР.
//
Процедура ВосстановитьДанныеБезОткрытияФормыАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВосстановитьДанныеБезОткрытияФормыАЛКО(Форма) 
```
</details>

## ОтменитьФоновоеЗадание
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отменяет выполнение фонового задания.
// Если задание уже выполнено, возвращает Ложь,
// в противном случае отменяет задание и возвращает Истину.
//
// Параметры:
//		ИдентификаторЗадания 	- УникальныйИдентификатор - идентификатор фонового задания.
// Возвращаемое значение:
// 		Булево - Истина, если задание успешно отменено.
//
Функция ОтменитьФоновоеЗадание(Знач ИдентификаторЗадания) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ОтменитьФоновоеЗадание(ИдентификаторЗадания) 
```
</details>

## ВыполнитьДлительнуюОперациюАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выполняет любую длительную операцию отчета ФСРАР, предварительно собрав для нее необходимые для выполнения
// данные.
//
// Параметры:
//
//	 	Форма						- Управляемая форма - Форма отчета ФСРАР.
//		ВидДлОперации				- Перечисления.ВидыДлительныхОперацийРегламентированныхОтчетов.
//		ВидПечати 					- Строка - Необязательный. Задает вид печати отчета при длительных
//									операцях печати.
// Возвращаемое значение:
//		Булево.						- Истина, если длительная операция выполнена.
//
Функция ВыполнитьДлительнуюОперациюАЛКО(Форма, ВидДлОперации, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ВыполнитьДлительнуюОперациюАЛКО(Форма, ВидДлОперации, );
```
</details>

## ПроверитьВыполнениеЗадания
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет завершение длительной операции по идентификатору.
//
// Параметры:
//		ИдентификаторЗадания 	- УникальныйИдентификатор - идентификатор фонового задания.
//		СообщениеОбОшибке	  	- Строка - возвращает сообщение об ошибке.
//
// Возвращаемое значение:
//		Булево - Истина, если длительная операция завершена, в том числе с ошибками.
//
Функция ПроверитьВыполнениеЗадания(ИдентификаторЗадания, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПроверитьВыполнениеЗадания(ИдентификаторЗадания, );
```
</details>

## ЗаполнитьОПРеквизитамиОрганизацииАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет обособленное подразделение реквизитами организации - декларанта, т.е реквизитами головного офиса.
//
// Параметры:
//
//	 	Форма						- Управляемая форма - Форма отчета ФСРАР.
//		Раздел                      - Строка - имя многострочного раздела отчета,
//									ОП которого нужно заполнить.
//		ИндексСтраницы				- Число - индекс страницы раздела, которую нужно заполнить.
//
Процедура ЗаполнитьОПРеквизитамиОрганизацииАЛКО(Форма, Раздел, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ЗаполнитьОПРеквизитамиОрганизацииАЛКО(Форма, Раздел, );
```
</details>

## ВводРеквизитовОПЗавершениеАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вносит результаты ввода формы редактирования реквизитов обособленого подразделения в данные отчета ФСРАР.
// Форма ввода ОбщаяФорма.АЛКОВводРеквизитовОП.
//
// Параметры:
//
//	 	Форма						- Управляемая форма - Форма отчета ФСРАР.
//		РезультатВвода              - Структура - совпадает со структурой, возвращаемой
//									функцией ПолучитьПустуюСтруктуруСведенийОбОП().
//		ДополнительныеПараметры		- Структура.
//			*ИмяЭлементаСтруктуры	- Строка - имя Ключа сведений об ОП в дополнительных данных.
//			*СведенияОбОП			- Структура - совпадает со структурой, возвращаемой
//									функцией ПолучитьПустуюСтруктуруСведенийОбОП(), заполнена
//									данными до редактирования.
//
Процедура ВводРеквизитовОПЗавершениеАЛКО(Форма, РезультатВвода, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВводРеквизитовОПЗавершениеАЛКО(Форма, РезультатВвода, );
```
</details>

## ВосстановитьУдаленныеСтраницыАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВосстановитьУдаленныеСтраницыАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВосстановитьУдаленныеСтраницыАЛКО(Форма) 
```
</details>

## ПослеВыполненияЗадания_ПечатьАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пост обработка на сервере после выполнения длительной операции печати отчета ФСРАР.
// Проверяет успешность операции печати и проставляет номера листов в готовых табличных документах печати.
//
// Параметры:
//
//	 	Форма						- Управляемая форма - Форма отчета ФСРАР.
//		ВидПечати 					- Строка. Задает вид печати отчета при длительных
//									операцях печати.
// Возвращаемое значение:
//		Булево.						- Истина, если длительная печать успешна.
//
Функция ПослеВыполненияЗадания_ПечатьАЛКО(Форма, ВидПечати) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПослеВыполненияЗадания_ПечатьАЛКО(Форма, ВидПечати) 
```
</details>

## ПослеВыполненияЗадания_ОчисткаОтМусораАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Пост обработка на сервере после выполнения длительной операции очистки от мусора регистров сведений отчета ФСРАР.
//
// Параметры:
//
//	 	Форма						- Управляемая форма - Форма отчета ФСРАР.
//		ВидПечати 					- Строка. Задает вид печати отчета при длительных
//									операцях печати.
//
Процедура ПослеВыполненияЗадания_ОчисткаОтМусораАЛКО(Форма) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПослеВыполненияЗадания_ОчисткаОтМусораАЛКО(Форма) 
```
</details>

## ОбновитьНаСервереАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обновляет Титульный лист отчета ФСРАР в соответствии с установленной в отчете датой подписи.
//
// Параметры:
//
//	 	Форма							- Управляемая форма - Форма отчета ФСРАР.
//		ВПрограммеИзмененаДатаПодписи	- Булево - Необязательный. Флаг изменения даты подписи.
//										Параметр оставлен для совместимости с общими механизмами
//										регламентированной отчетности, информация обновляется всегда
//										на установленную в отчете дату подписи.
//
Процедура ОбновитьНаСервереАЛКО(Форма, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОбновитьНаСервереАЛКО(Форма, );
```
</details>

## ЭтоПервоеРедактированиеЗаписиРегистра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет, было ли уже редактирование записи регистра в сеансе работы с отчетом.
//
// Параметры:
//
//			ДокументСсылкаАлкоОтчет		- Документ.РегламентированныйОтчет.Ссылка - документ отчета
//										(измерение Документ регистра сведений СведенияРеглОтчетАлкоЖурнал).
//	 		ИмяРегистра					- Строка - имя регистра сведений, запись которого проверяется
//										(измерение ИмяРегистра регистра сведений СведенияРеглОтчетАлкоЖурнал).
//			ИндексСтраницыРегистра		- Число - индекс страницы регистра (измерение ИндексСтраницыРегистра).
//			ИндексСтроки				- Число - индекс строки (измерение ИндексСтроки).
//
// Возвращаемое значение:
//		Булево.							- Истина, если редактирования еще не было.
//
Функция ЭтоПервоеРедактированиеЗаписиРегистра(ДокументСсылкаАлкоОтчет, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ЭтоПервоеРедактированиеЗаписиРегистра(ДокументСсылкаАлкоОтчет, );
```
</details>

## СуществуетЗапись
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак наличия записи в регистре с текущими измерениями, установленными в Записи.
//
// Параметры
//
//		Запись 			- Запись регистра сведений, записанная или не записанная в регистр.
//		ИмяРегистра 	- Строка. Имя регистра сведений.
//
// Результат
//		Булево. Истина если запись с измерениями, переданными в Запись, уже существует в регистре сведений.
//
Функция СуществуетЗапись(Запись, ИмяРегистра, СтруктураИзмерений = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СуществуетЗапись(Запись, ИмяРегистра, СтруктураИзмерений);
```
</details>

## КоличествоСтрокСтраницыОтчетаПоРегистру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция КоличествоСтрокСтраницыОтчетаПоРегистру(ИДДокИндСтраницы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.КоличествоСтрокСтраницыОтчетаПоРегистру(ИДДокИндСтраницы, );
```
</details>

## ПолучитьВнутреннееПредставлениеСтруктурыДанныхЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует строку, представляющую структуру данных определенной записи регистра сведений
// в виде внутреннего представления.
//
// Параметры:
//
//			Запись						- запись регистра сведений.
//	 		ИмяРегистра					- Строка - имя регистра сведений.
//			СтруктураДанныхЗаписи		- Необязательный. В этом параметре возвращается структура записи
//										регистра сведений, ключи структуры - имена измерений, ресурсов и реквизитов
//										регистра сведений, значения - значения записи по этим измерениям, ресурсам
//										и реквизитам.
//
// Возвращаемое значение:
//		Строка.							- внутреннее представление структуры СтруктураДанныхЗаписи.
//
Функция ПолучитьВнутреннееПредставлениеСтруктурыДанныхЗаписи(Запись, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьВнутреннееПредставлениеСтруктурыДанныхЗаписи(Запись, );
```
</details>

## ПолучитьСтруктуруДанныхЗаписиРегистраСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру данных регистра сведений, с ключами, соответствующими стандартным реквизитам,
// измерениям, ресурсам и реквизитам регистра, значения пустые.
//
// Параметры:
//
//	 		ИмяРегистра					- Строка - имя регистра сведений.
//			СписокСоставаРегистра		- СписокЗначений - Список, содержащий состав сведений -
//										"СтандартныеРеквизиты"
//										"Измерения"
//										"Ресурсы"
//										"Реквизиты"
//										В случае передачи этого параметра, в структуру попадают только данные,
//										перечисленные в составе сведений.
//
// Возвращаемое значение:
//			Структура					Ключи структуры - имена измерений, ресурсов и реквизитов
//										регистра сведений, значения - Неопределено или пустые значения для чисел и строк.
//
Функция ПолучитьСтруктуруДанныхЗаписиРегистраСведений(ИмяРегистра, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьСтруктуруДанныхЗаписиРегистраСведений(ИмяРегистра, );
```
</details>

## ПолучитьСтруктуруСинонимовЗаписиРегистраСведений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру синонимов регистра сведений, с ключами, соответствующими стандартным реквизитам,
// измерениям, ресурсам и реквизитам регистра, значения пустые.
//
// Параметры:
//
//	 		ИмяРегистра					- Строка - имя регистра сведений.
//			СписокСоставаРегистра		- СписокЗначений - Список, содержащий состав сведений -
//										"СтандартныеРеквизиты"
//										"Измерения"
//										"Ресурсы"
//										"Реквизиты"
//										В случае передачи этого параметра, в структуру попадают только данные,
//										перечисленные в составе сведений.
//
// Возвращаемое значение:
//			Структура					Ключи структуры - имена измерений, ресурсов и реквизитов
//										регистра сведений, значения - Синонимы измерений, ресурсов и т.д.
//
Функция ПолучитьСтруктуруСинонимовЗаписиРегистраСведений(ИмяРегистра, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьСтруктуруСинонимовЗаписиРегистраСведений(ИмяРегистра, );
```
</details>

## ЗаписьИзменилась
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует структуру модифицированности записи регистра сведений по сравнению с первоначальными
// значениями измерений, ресурсов и реквизитов, возвращая общий признак модифицированности записи.
//
// Параметры:
//
//	 		Запись								- Запись регистра сведений
//			НачальноеЗначениеСтруктураДанных	- Структура - Структура первоначальных значений записи до
//												начала изменений.
//			ДоПервого							- Булево - Истина, если проверять надо до нахождения первого
//												отличия от первоначальных значений.
//			СтруктураМодифицированности			- в этом параметре возвращается структура, ключи которой
//												совпадают с именами измерений, ресурсов и реквизитов регистра,
//												а значения имеют тип Булево и соответствуют модифицированности
//												записи по ключу. Имеет смысл только если ДоПервого = Ложь.
//
// Возвращаемое значение:
//			Булево					Истина, если запись модифицированна.
//
Функция ЗаписьИзменилась(Запись, НачальноеЗначениеСтруктураДанных, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ЗаписьИзменилась(Запись, НачальноеЗначениеСтруктураДанных, );
```
</details>

## ДобавитьВРегистрЖурнала
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит запись в регистр сведений СведенияРеглОтчетАлкоЖурнал.
//
// Параметры:
//
//			ДокументСсылкаАлкоОтчет		- Документ.РегламентированныйОтчет.Ссылка - документ отчета
//										(измерение Документ регистра сведений СведенияРеглОтчетАлкоЖурнал).
//	 		ИмяРегистра					- Строка - имя регистра сведений, к которому имеет отношение запись Журнала.
//										(измерение ИмяРегистра регистра сведений СведенияРеглОтчетАлкоЖурнал).
//			ИндексСтраницыРегистра		- Число - индекс страницы регистра (измерение ИндексСтраницыРегистра).
//			ИндексСтроки				- Число - индекс строки (измерение ИндексСтроки).
//			Действие					- Число или Строка -
//										Если Число - должно соответствовать одному из значений, возвращаемых
//										ПолучитьСоответствиеДействийЖуранала(Ложь)
//
// 										10 - удаление страницы
// 										11 - добавление страницы
// 										15 - сервис (внесение сервисных данных по ресурсам)
// 										16 - автозаполнение.
//
// 										3 - при добавлении строки,
// 										4 - при редактировании (изменении).
//
//										Если Строка - должно соответствовать одному из значений, возвращаемых
//										ПолучитьСоответствиеДействийЖуранала(Истина)
//
//										"УдалениеСтраницы"
//										"ДобавлениеСтраницы"
//										"Сервис"
//										"Автозаполнение"
//
//										"ДобавлениеСтроки"
//										"Редактирование"
//
//			Ресурсы						- Структура - Необязательный. Возможные свойства:
//				* МаксИндексСтраницы	- Число - максимальный когда либо использованный индекс регистра в отчете.
//				* НачальноеЗначение		- Строка - содержит структуру начальных значений записи
//										во внутреннем представлении .
//				* КоличествоСтрок 		- Число - количество строк (включая помеченные на удаление)
//										на странице по регистру.
//
//			Переданные в Ресурсах значения записываются каждое по отдельности.
//			Если передаются Ресурсы, для значений МаксИндексСтраницы и КоличествоСтрок при записи принудительно
//			выставляется индекс строки 0.
//
// Возвращаемое значение:
//			Булево					Истина, если запись добавлена в журнал.
//
Функция ДобавитьВРегистрЖурнала(ДокументСсылкаАлкоОтчет, ИмяРегистра, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ДобавитьВРегистрЖурнала(ДокументСсылкаАлкоОтчет, ИмяРегистра, );
```
</details>

## ДобавитьТаблицуЗначенийВРегистрСведенийАлко
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Производит запись в регистр сведений данных из таблицы значений, с привязкой к конкретному отчету.
// При этом данные дописываются, начиная с номера строки, переданного как номер последней записанной
// строки.
//
// Параметры:
//
//			ДокументСсылкаАлкоОтчет		- Документ.РегламентированныйОтчет.Ссылка - документ отчета
//										(измерение Документ регистра сведений).
//			ИмяФормыОбъекта				- Строка - имя формы отчета.
//	 		ИмяРегистраСведений			- Строка - имя регистра сведений, в который производится запись данных.
//
//			ИндексСтраницы				- Число - индекс страницы регистра (измерение ИндексСтраницы).
//			ТЗ							- ТаблицаЗначений - таблица значений, данные которой заносятся в регистр.
//			КоличествоТекСтрок			- Число - последний использованный индекс строки для данной страницы регистра.
//
//
Процедура ДобавитьТаблицуЗначенийВРегистрСведенийАлко(ДокументСсылкаАлкоОтчет, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ДобавитьТаблицуЗначенийВРегистрСведенийАлко(ДокументСсылкаАлкоОтчет, );
```
</details>

## ПолучитьРегистрСведенийАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет регистр сведений по идентификатору многострочной группы и возвращает его.
//
// Параметры:
//
//	 		ИдГруппы						- Строка.  Идентификатор многострочной группы отчета.
//			СтруктураРеквизитовФормы		- Структура - стандартный реквизит формы регламентированной отчетности.
//
// Возвращаемое значение:
//			РегистрыСведений.<Имя регистра> или Неопределено.
//
Функция ПолучитьРегистрСведенийАЛКО(ИдГруппы, СтруктураРеквизитовФормы) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьРегистрСведенийАЛКО(ИдГруппы, СтруктураРеквизитовФормы) 
```
</details>

## ПереходНаСтрокуТаблицыФормыАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Активизирует нужную строку нужной многострочной группы текущей страницы отчета ФСРАР.
// Предполагается что переход на нужную страницу многострочного раздела уже произведен.
//
// Параметры:
//
//	 	Форма						- Управляемая форма - Форма отчета ФСРАР.
//	 	ИдГруппы					- Строка - Идентификатор многострочной группы отчета.
//		НомерСтроки					- Число - Номер активизируемой строки.
//		ИмяПоля						- Строка - Необязательный. Имя поля таблицы, столбец которой нужно сделать активным.
//
// Возвращаемое значение:
//		Булево					Истина, если переход на строку прошел без ошибок.
//
Функция ПереходНаСтрокуТаблицыФормыАЛКО(Форма, ИдГруппы, НомерСтроки, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПереходНаСтрокуТаблицыФормыАЛКО(Форма, ИдГруппы, НомерСтроки, );
```
</details>

## ЗаполнитьПоСтраницеРазделаАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Выгружает в таблицу значений данные регистра сведений, в котором храняться строки табличных разделов алкоотчетов.
//
// Параметры:
//
//	 	ИдГруппы					- Строка - Идентификатор многострочной группы отчета.
//      ИндексСтраницы				- Число - Индекс страницы отчета в реквизите формы отчета таблице значений
//									ТаблицаСтраницы<ИмяРаздела>.
//		СтруктураРеквизитовФормы	- Структура - стандартный реквизит формы регламентированной отчетности.
//		СтруктураСервисРегистров	- Структура. Необязательный. Результат работы функции
//									ПолучитьСтруктуруСервисРегистровАЛКО().
//		ИДДокИндСтраницы			- Строка. Необязательный. Значение измерения ИДДокИндСтраницы регистра.
//
//      Должен быть определен либо параметр СтруктураСервисРегистров, либо ИДДокИндСтраницы.
//
//		ДляПечати					- Булево - флаг контекста использования функции.
//		СтруктураНастроекНеДляПечати - Структура. Необязательный. Содержит информацию для отбора из регистров.
//			* КоличествоПервых 		- Число. Необязательный. - Количество первых записей в запросе,
//									указываемые в языке запросов инструкцией "ВЫБРАТЬ ПЕРВЫЕ.."
//			* ТекущийИндексСтроки	- Число. Необязательный. - Значение измерения ИндексСтроки, если установлено,
//									отбираются записи с большим индексом, чем ТекущийИндексСтроки.
//
// Возвращаемое значение:
//		ТаблицаЗначений.
//
Функция ЗаполнитьПоСтраницеРазделаАЛКО(ИдГруппы, ИндексСтраницы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ЗаполнитьПоСтраницеРазделаАЛКО(ИдГруппы, ИндексСтраницы, );
```
</details>

## ОтобратьСтрокиПоГрафам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОтобратьСтрокиПоГрафам(ИДДокИндСтраницы, ИмяРегистра, ИдГруппы, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ОтобратьСтрокиПоГрафам(ИДДокИндСтраницы, ИмяРегистра, ИдГруппы, );
```
</details>

## НайтиСданныйАлкоОтчетОпределенногоИсточникаПоОбразцу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НайтиСданныйАлкоОтчетОпределенногоИсточникаПоОбразцу(ОбразецДокументСсылкаАлкоОтчет, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.НайтиСданныйАлкоОтчетОпределенногоИсточникаПоОбразцу(ОбразецДокументСсылкаАлкоОтчет, );
```
</details>

## ПолучитьСтруктуруСведенийГрафПоОПФармацевтическихДеклараций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруСведенийГрафПоОПФармацевтическихДеклараций(ДокументСсылкаАлкоОтчета, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.ПолучитьСтруктуруСведенийГрафПоОПФармацевтическихДеклараций(ДокументСсылкаАлкоОтчета, );
```
</details>

## ПроверитьКонтрольныеСоотношенияФармацевтическихДеклараций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьКонтрольныеСоотношенияФармацевтическихДеклараций(ДокументСсылкаАлкоОтчет, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПроверитьКонтрольныеСоотношенияФармацевтическихДеклараций(ДокументСсылкаАлкоОтчет, );
```
</details>

## ВывестиНаПечатьТитульный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная печать Титульного листа алкоотчетов.
// Результат печати помещается в СтруктураРеквизитовФормы.мПечатныеФормы.
//
// Параметры:
//
//	 	СтруктураПараметровСтраницы	- Структура.
//			* НаименованиеЛиста 		- Строка. Представление печатаемого листа.
//			* ИмяФормыОбъекта			- Строка. Имя формы объекта печатаемого отчета.
//			* ВерсияМакетаПечати		- Строка. Необязательный. Версия печати обычно строка даты формы, если есть.
//			* СтруктураДанныхТитульный  - Структура. Реквизит СтруктураДанныхТитульный формы печатаемого отчета.
//			* НастройкиСтраницы			- Структура. Необязательный. Содержит настройки печатных полей страницы.
// 										Если не передана, заполняется настройками по умолчанию.
//				** ОтображатьЗаголовки 		- Булево. Всегда Ложь на практике.
//				** ОтображатьСетку			- Булево. Всегда Ложь на практике.
//				** ЧерноБелыйПросмотр		- Булево. Всегда Истина на практике.
//				** ЧерноБелаяПечать			- Булево. Всегда Истина на практике.
//				** Автомасштаб				- Булево.
//				** ОриентацияСтраницы		- Системное перечисление ОриентацияСтраницы.
//											Всегда ОриентацияСтраницы.Портрет на практике.
//				** ПолеСверху				- Число.
//				** ПолеСнизу				- Число.
//				** ПолеСлева				- Число.
//				** ПолеСправа				- Число.
//
//		СтруктураРеквизитовФормы	- Структура. Реквизит СтруктураРеквизитовФормы формы печатаемого отчета.
//									Состав структуры в целом соответствует результату работы
//									СформироватьСтруктуруРеквизитовФормыАЛКО().
//		ОбъектОтчета				- Объект отчета, Титульный лист которого печатается.
//									или Неопределено.
//
Процедура ВывестиНаПечатьТитульный(СтруктураПараметровСтраницы, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВывестиНаПечатьТитульный(СтруктураПараметровСтраницы, );
```
</details>

## ВывестиНаПечатьРазделЛицензии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная печать раздела Лицензии алкоотчетов.
//
// Параметры:
//
//	 	СтруктураПараметровСтраницы	- Структура.
//			* НаименованиеЛиста 		- Строка. Представление печатаемого листа.
//			* ИмяФормыОбъекта			- Строка. Имя формы объекта печатаемого отчета.
//			* ВерсияМакетаПечати		- Строка. Необязательный. Версия печати обычно строка даты формы, если есть.
//			* СтруктураДанныхТитульный  - Структура. Реквизит СтруктураДанныхТитульный формы печатаемого отчета.
//			* СтруктураСервисРегистров	- Структура.
//				Ключ 		- Строка. Имя регистра сведений содержащих данные разделов отчета.
//				Значение  	- ТаблицаЗначений. Реквизит СервисРегистров формы отчета по табличной группе,
//										которой соответствует регистр сведений, указанный в ключе.
//
//			* ТаблицаСтраницыЛицензии	- ТаблицаЗначений. Реквизит ТаблицаСтраницыЛицензии формы печатаемого отчета.
//			* НастройкиСтраницы			- Структура. Необязательный. Содержит настройки печатных полей страницы.
// 										Если не передана, заполняется настройками по умолчанию.
//				** ОтображатьЗаголовки 		- Булево. Всегда Ложь на практике.
//				** ОтображатьСетку			- Булево. Всегда Ложь на практике.
//				** ЧерноБелыйПросмотр		- Булево. Всегда Истина на практике.
//				** ЧерноБелаяПечать			- Булево. Всегда Истина на практике.
//				** Автомасштаб				- Булево.
//				** ОриентацияСтраницы		- Системное перечисление ОриентацияСтраницы.
//											Всегда ОриентацияСтраницы.Портрет на практике.
//				** ПолеСверху				- Число.
//				** ПолеСнизу				- Число.
//				** ПолеСлева				- Число.
//				** ПолеСправа				- Число.
//
//			* НужноОбработатьСтрок				- Число. Общее количество строк отчета, которые надо напечатать.
//			* ПроцентБезКонвертацииАрхивации	- Число. Процент, соответсвующий моменту завершения формирования
//												печатных листов, от общей продолжительности печати, которая включает
//												конвертацию в выбранный формат представления, архивацию результата.
//												Если отчет печатается без получения архива в нужном представлении - 100%.
//												Иначе - зависит от выбранного формата представления файлов в ZIP архиве:
//													PDF - 14%, HTML - 20%, XLSX - 55%, MXL - 95%.
//
//		СтруктураРеквизитовФормы	- Структура. Реквизит СтруктураРеквизитовФормы формы печатаемого отчета.
//									Состав структуры в целом соответствует результату работы
//									СформироватьСтруктуруРеквизитовФормыАЛКО().
//		ОбработаноСтрок				- Число. Количество обработанных (напечатанных) строк печатаемого отчета.
//		ОбъектОтчета				- Объект отчета, Титульный лист которого печатается.
//									или Неопределено.
//
Процедура ВывестиНаПечатьРазделЛицензии(СтруктураПараметровСтраницы, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВывестиНаПечатьРазделЛицензии(СтруктураПараметровСтраницы, );
```
</details>

## ВывестиНаПечатьРазделДекларации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Универсальная печать раздела алкоотчетов.
//
// Параметры:
//
//	 	СтруктураПараметровСтраницы	- Структура.
//
//			* НаименованиеЛиста 		- Строка. Представление печатаемого листа.
//			* ИмяРаздела				- Строка. Имя раздела, выводимого на печать.
//			* ИмяФормыОбъекта			- Строка. Имя формы объекта печатаемого отчета.
//			* ВерсияМакетаПечати		- Строка. Необязательный. Версия печати обычно строка даты формы, если есть.
//			* СтруктураДанныхТитульный  - Структура. Реквизит СтруктураДанныхТитульный формы печатаемого отчета.
//			* СтруктураСервисРегистров	- Структура.
//				Ключ 		- Строка. Имя регистра сведений содержащих данные разделов отчета.
//				Значение  	- ТаблицаЗначений. Реквизит СервисРегистров формы отчета по табличной группе,
//										которой соответствует регистр сведений, указанный в ключе.
//
//			* ДополнительныеДанные		- Структура. Реквизит ДополнительныеДанные формы печатаемого отчета.
//			* ТаблицаСтраницыРаздела	- ТаблицаЗначений. Реквизит ТаблицаСтраницы<ИмяРаздела> формы печатаемого отчета.
//			* НастройкиСтраницы			- Структура. Необязательный. Содержит настройки печатных полей страницы.
// 										Если не передана, заполняется настройками по умолчанию.
//				** ОтображатьЗаголовки 		- Булево. Всегда Ложь на практике.
//				** ОтображатьСетку			- Булево. Всегда Ложь на практике.
//				** ЧерноБелыйПросмотр		- Булево. Всегда Истина на практике.
//				** ЧерноБелаяПечать			- Булево. Всегда Истина на практике.
//				** Автомасштаб				- Булево.
//				** ОриентацияСтраницы		- Системное перечисление ОриентацияСтраницы.
//											Чаще всего ОриентацияСтраницы.Ландшафт на практике.
//				** ПолеСверху				- Число.
//				** ПолеСнизу				- Число.
//				** ПолеСлева				- Число.
//				** ПолеСправа				- Число.
//
//			* СтруктураВысот			- Структура. Значения в стандартных строках
//										(сколько помещается строк с галочкой АвтовысотаСтроки = Истина).
//				** ВысотаСтраницыВСтроках			- Высота печатной страницы в стандартных строках при текущей
//													орьентации страницы и настройке автомасштаба
//													(сколько помещается строк, устанавливается эмпирически).
//				** Высота_НомерСтраницыВСтроках		- Высота области НомерСтраницы.
//				** Высота_ЗаголовокЛистаВСтроках	- Высота заголовка листа.
//				** Высота_ПустаяСтрокаВСтроках		- Высота пустой строки - всегда 1 на практике.
//				** Высота_ЗаголовокТаблицыВСтроках	- Высота заголовка таблицы.
//				** Высота_СтрокаОПВСтроках			- Высота строки с реквизитами организации или обособленного
//													подразделения (ОП). На практике обычно 2.
//				** Высота_ПодвалВСтроках			- Высота подвала печатной формы (примечания, подписи).
//
//			* СписокПереносимыхПолей	- СписокЗначений. Значения которого - количество стандартных символов,
//										помещающихся в в одну строчку по длине поля ,при шрифте и величине шрифта,
//										установленных для поля в макете в области "СтрокаТаблицы" или аналогичном.
// 										В представлении элементов списка хранится имена ИмяПоляПереносимойСтроки,
//										т.е поля, в котором слова могут переносится на следующую строку,
//										если не хватает длины, или номера колонок, т.е
//										в представлении можно указывать либо полное имя поля регистра сведений вида
//										ИдГруппы + НомерКолонки, либо просто НомерКолонки.
// 										Строка "СтрокаТаблицы" или аналогичная должна иметь настройку
//										АвтовысотаСтроки = Истина, ячейка с именем ИмяПоляПереносимойСтроки должно
//										иметь свойство Размещение равным "Переносить".
//										Используется в процедуре ВывестиНаПечатьСтроки().
//
//			* НастройкиАлгоритмаПечати	- Структура.
//
//				** ИмяОбластиНомерСтраницы 		- Строка. Обычно "НомерСтраницы".
//				** ИмяОбластиЗаголовокЛиста 	- Строка. Обычно "ЗаголовокЛиста".
//				** ИмяОбластиЗаголовокТаблицы 	- Строка. Обычно "ЗаголовокТаблицы".
//				** ИмяОбластиПустаяСтрока 		- Строка. Обычно "ПустаяСтрока".
//				** ИмяОбластиСтрокаОП 			- Строка. Обычно "СтрокаОП", "РеквизитыОрганизации".
//				** ИмяОбластиЗаголовокРеквизитовОП - Строка.Обычно "ЗаголовокРеквизитов".
//				** ЗаголовокРеквизитовОП 		- Строка. Обычно
//											"Сведения по обособленному подразделению (с указанием ИНН, КПП и адреса)".
//				** ИмяОбластиРеквизитовОП		- Строка. Обычно "Реквизиты" или "ОП".
//				** ИмяОбластиПодвал				- Строка. Обычно "Подвал".
//              ** ИмяОбластиОргДиректор		- Строка.
//				** ИмяОбластиОргБухгалтер		- Строка.
//				** ВыводитьСводнуюТаблицуПоОрганизацииВЦелом - Булево.
//				** ВыводитьВозвратыЗаДекларацией - Булево. Необязательно. При отсутствии значение по умолчанию Ложь.
//
//				** НастройкиАлгоритмаПечатиВозвраты - Структура.
//					*** ИмяРазделаВозвраты			- Строка. Обычно "Возвраты".
//					*** ТаблицаСтраницыВозвраты		- ТаблицаЗначений.
//													Реквизит ТаблицаСтраницы<ИмяРазделаВозвраты> формы печатаемого отчета.
//					*** ИмяОбластиСтрокаОПВозвраты	- Строка. Обычно "СтрокаОП", "РеквизитыОрганизации".
//					*** ИмяОбластиЗаголовокРеквизитовОПВозвраты - Строка. Обычно "ЗаголовокРеквизитов".
//					*** ЗаголовокРеквизитовОПВозвраты 	- Строка.
//									Обычно "Возвраты по обособленному подразделению (с указанием ИНН, КПП и адреса)".
//					*** ИмяОбластиРеквизитовОПВозвраты 	- Строка. Обычно "Реквизиты" или "ОП".
//
//				** НастройкиАлгоритмаПечатиОрганизация 	- Структура.
//					*** ИмяОбластиСтрокаОрг 		- Строка. Обычно "СтрокаОрганизации" или "СтрокаОП".
//					*** ЗаголовокРеквизитовОрг	- Строка. Обычно пустая строка
//									(если отдельная строка под организацию) или "Сведения по организации".
//					*** ИмяОбластиЗаголовокРеквизитовОрг	- Строка. Обычно пустая строка
//									(если отдельная строка под организацию) или "ЗаголовокРеквизитов".
//					*** ИмяОбластиРеквизитовОрг		- Строка. Обычно "Реквизиты" или "ОП".
//					*** КолонкиГруппировокОрг		- Строка. Имена колонок через запятую.
//					*** КолонкиСуммированияОрг		- Строка. Имена колонок через запятую.
//					*** КолонкиНеВыводитьОрг		- Строка. Имена колонок через запятую.
//
//					*** ИмяОбластиСтрокаОргВозвраты 		- Строка. Обычно совпадает с ИмяОбластиСтрокаОрг,
//														если не сделано в макете отдельной строкой.
//					*** ИмяОбластиЗаголовокРеквизитовОргВозвраты	- Строка. Обычно совпадает с ИмяОбластиЗаголовокРеквизитовОрг.
//					*** ЗаголовокРеквизитовОргВозвраты 	- Строка. Обычно "Возвраты по организации"
//														или пустая строка, если сделано в макете отдельной строкой.
//					*** ИмяОбластиРеквизитовОргВозвраты		- Строка. Обычно совпадает с ИмяОбластиРеквизитовОрг.
//
//			* НастройкиАлгоритмаПечатиСтрок - Структура.
//				** ИдГруппыОбластиСтрокаМакета - Строка. ИдГруппы области "Строка" макета - обычно "П0000100003".
//				** ИмяОбластиНомера - Строка. ИмяОбластиНомера области "Строка" макета - обычно "П000010000300".
//				** ИмяОбластиСтрокаТаблицы - Строка. Обычно "СтрокаТаблицы" или "Строка".
//				** СписокСтруктурИнформацииИтогов - СписокЗначений.
// 							Значениями элементов списка СписокСтруктурИнформацииИтогов являются структуры,
//							каждая имеет свойства:
// 								*** ИдГруппыОбластейМакетаИтоги - например "П0000100004". Обычно одинаково для всех итогов.
// 								*** ИмяОбластиСтрокаИтогов - например "СтрокаИтого". Обычно одинаково для всех итогов.
// 								*** ТекстПояснения - например "Итого по коду, производителю",
// 										может содержать %#ИмяКолонки#% из КолонкиГруппировок,
//										например "Итого по производителю/импортеру %#03#% и коду %#02#%",
//										в этом случае вместо %#03#% подставляется соответствующее значение
//										поля из СтрокаДанных[ИдГруппыТаблицы + "03"], например
//										СтрокаДанных.П000010000303.
// 								*** ИмяОбластиРазмещенияПояснения - например "ОписаниеИтого". Обычно одинаково для всех итогов.
// 								*** КолонкиГруппировок - текст колонок группировок при сворачивании таблицы
//										для получения итога.
// 								*** КолонкиСуммирования - текст колонок суммирования при сворачивании таблицы
//										для получения итога.
// 							Представления элементов списка СписокСтруктурИнформацииИтогов - числа, порядок которых
//							определяет порядок вывода разных групп итогов.
//
//			* НужноОбработатьСтрок				- Число. Общее количество строк отчета, которые надо напечатать.
//			* ПроцентБезКонвертацииАрхивации	- Число. Процент, соответсвующий моменту завершения формирования
//												печатных листов, от общей продолжительности печати, которая включает
//												конвертацию в выбранный формат представления, архивацию результата.
//												Если отчет печатается без получения архива в нужном представлении - 100%.
//												Иначе - зависит от выбранного формата представления файлов в ZIP архиве:
//													PDF - 14%, HTML - 20%, XLSX - 55%, MXL - 95%.
//
//		СтруктураРеквизитовФормы	- Структура. Реквизит СтруктураРеквизитовФормы формы печатаемого отчета.
//									Состав структуры в целом соответствует результату работы
//									СформироватьСтруктуруРеквизитовФормыАЛКО().
//		ОбработаноСтрок				- Число. Количество обработанных (напечатанных) строк печатаемого отчета.
//		ОбъектОтчета				- Объект отчета, Титульный лист которого печатается.
//									или Неопределено.
//
Процедура ВывестиНаПечатьРазделДекларации(СтруктураПараметровСтраницы, Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ВывестиНаПечатьРазделДекларации(СтруктураПараметровСтраницы, );
```
</details>

## ПроставлениеНомеровЛистов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Устанавливает номера листов.
//
Процедура ПроставлениеНомеровЛистов(Объект, ПризнакНумеруемыхФорм, СписокПечатаемыхЛистов) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПроставлениеНомеровЛистов(Объект, ПризнакНумеруемыхФорм, СписокПечатаемыхЛистов) 
```
</details>

## СтруктураАдресаВыгрузкиИзСтруктурыАдреса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обработка значений свойств адресной структуры, общих для структуры адресной информации БСП и стандартной выгрузки.
// Это поля
// 		* КодСтраны
//		* Индекс
//		* КодРегион
//		* Район
//		* Город
//		* НаселенныйПункт
//		* Улица
//
// Свойства структуры выгрузки, уже обработанные в ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXMLИлиJSON()
//		* Дом
//		* Корпус - вся инфа из массива Корпуса в виде строки, может быть разделена запятой или нет.
//		* Литера - из массива Корпус, если есть.
//		* Квартира
//
// Параметры:
// 		СтруктураАдреса	- См. возвращаемое значение ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXMLИлиJSON()
// Возвращаемое значение:
// 		Структура - См. возвращаемое значение ПолучитьСтруктуруАдресаИзСтандартногоПредставленияИлиXMLИлиJSON()
Функция СтруктураАдресаВыгрузкиИзСтруктурыАдреса(СтруктураАдреса) Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.СтруктураАдресаВыгрузкиИзСтруктурыАдреса(СтруктураАдреса) 
```
</details>

## ИсправитьКодРегиона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИсправитьКодРегиона(СтруктураАдреса) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ИсправитьКодРегиона(СтруктураАдреса) 
```
</details>

## АдресИзВыгрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция АдресИзВыгрузки(УзелАдреса, СтруктураАдреса = Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = РегламентированнаяОтчетностьАЛКО.АдресИзВыгрузки(УзелАдреса, СтруктураАдреса, );
```
</details>

## ПостОбработкаПриЗагрузкеИзФайлаВыгрузкиАЛКО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПостОбработкаПриЗагрузкеИзФайлаВыгрузкиАЛКО(ПараметрыЗагрузки, ПараметрыПроцедуры) Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ПостОбработкаПриЗагрузкеИзФайлаВыгрузкиАЛКО(ПараметрыЗагрузки, ПараметрыПроцедуры) 
```
</details>

## ОтладкаЗагрузки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Отладка алгоритмов из макетов "НастройкиЗагрузкиXML" - и любых алгоритмов выполняемых инструкцией
// "Выполнить АлгоритмИзМакета" или "Выполнить АлгоритмИзФайла" или "Выполнить АлгоритмИзТекста".
// Позволяет получить доступ к тестируемому значению внутри текста кода.
// При отладке нужно вставить вызов этой процедуры в нужное место алгоритма,
// и установить точку останова внутри процедуры.
//
// Пареметры:
// 	ТестируемоеЗначение - Произвольное значение
//	МеткаИзКода - Строка. Передаваемая из кода метка, определяющая место вызова.
Процедура ОтладкаЗагрузки(ТестируемоеЗначение, МеткаИзКода = "") Экспорт
```

Пример вызова
```bsl
РегламентированнаяОтчетностьАЛКО.ОтладкаЗагрузки(ТестируемоеЗначение, МеткаИзКода);
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
