---
title: Управление отчетами УХ
slug: erp-uh/управление-отчетами-ух
---


## ПроверитьНаличиеАналитикиОрганизацииВГруппеРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl
// Функция проверяет наличие в указанной группе раскрытия аналитики
// по организациям.
Функция ПроверитьНаличиеАналитикиОрганизацииВГруппеРаскрытия(ГруппаРаскрытия) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьНаличиеАналитикиОрганизацииВГруппеРаскрытия(ГруппаРаскрытия) 
```
</details>

## НаименованиеПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает наименование объекта по его коду.
// Пример: "ОсновныеСредства" => "Основные средства".
//
Функция НаименованиеПоКоду(Знач Код) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.НаименованиеПоКоду(Код) 
```
</details>

## СтрокаМожетИспользоватьсяВКачествеКода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак того, что переданная в качестве параметра строка
// может быть использована в качестве кода объекта.
//
Функция СтрокаМожетИспользоватьсяВКачествеКода(Знач Стр) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СтрокаМожетИспользоватьсяВКачествеКода(Стр) 
```
</details>

## ПровестиАнализФайлаExcel
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция анализирует параметры файла Excel и возвращает структуру анализа
Функция ПровестиАнализФайлаExcel(ИмяФайла) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПровестиАнализФайлаExcel(ИмяФайла) 
```
</details>

## ПолучитьИмяФайлаПоВидуОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяФайлаПоВидуОтчета(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьИмяФайлаПоВидуОтчета(ВидОтчета) 
```
</details>

## ПолучитьОписаниеТиповПоТипуЗначения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает объект типа ОписаниеТипов, соответствующий указанному значению
// типа ПеречислениеСсылка.ТипыЗначенийПоказателейОтчетов.
//
Функция ПолучитьОписаниеТиповПоТипуЗначения(ТипЗначения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьОписаниеТиповПоТипуЗначения(ТипЗначения) 
```
</details>

## ПолучитьСписокИменГруппРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список значений с кодами групп раскрытия, определенных
// для указанного вида отчета.
//
Функция ПолучитьСписокИменГруппРаскрытия(ВидОтчета,ВыводитьСтроки=Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСписокИменГруппРаскрытия(ВидОтчета, ВыводитьСтроки);
```
</details>

## ПолучитьДанныеПараметрическойНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеПараметрическойНастройки(ПравилоОбработки,ТолькоПроверка=Ложь,ТолькоПравилаПересчета=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеПараметрическойНастройки(ПравилоОбработки, ТолькоПроверка, ТолькоПравилаПересчета);
```
</details>

## СформироватьДанныеРегистраПараметрическихНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьДанныеРегистраПараметрическихНастроек(ПравилоОбработки,СравниватьТаблицыПараметров=Истина,СтруктураПараметрики=Неопределено,ТолькоПравилаПересчета=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.СформироватьДанныеРегистраПараметрическихНастроек(ПравилоОбработки, СравниватьТаблицыПараметров, СтруктураПараметрики, ТолькоПравилаПересчета);
```
</details>

## ПолучитьТаблицуЗависимыхПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуЗависимыхПоказателей(ПотребительРасчета,НазначениеРасчетов=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуЗависимыхПоказателей(ПотребительРасчета, НазначениеРасчетов);
```
</details>

## ПолучитьУточнениеСпособаОпределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьУточнениеСпособаОпределения(ПолеБД,ИмяПараметра,ТаблицаУточнений) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьУточнениеСпособаОпределения(ПолеБД, ИмяПараметра, ТаблицаУточнений) 
```
</details>

## СформироватьТекстОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьТекстОтбора(ДеревоПараметровОтбора,ПостфиксДтКт="",ОсновнаяТаблицаРегистра=Ложь,ТолькоРегистратор=Ложь,мТаблицаПоказателейБД=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СформироватьТекстОтбора(ДеревоПараметровОтбора, ПостфиксДтКт, ОсновнаяТаблицаРегистра, ТолькоРегистратор, мТаблицаПоказателейБД);
```
</details>

## ОпределитьТекстотбораПоАналитике
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьТекстотбораПоАналитике(СтрокаПараметр,мТаблицаПоказателейБД) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ОпределитьТекстотбораПоАналитике(СтрокаПараметр, мТаблицаПоказателейБД));
```
</details>

## ПреобразоватьПолеБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПреобразоватьПолеБД(СтрокаПараметр,мТаблицаПоказателейБД) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПреобразоватьПолеБД(СтрокаПараметр, мТаблицаПоказателейБД) 
```
</details>

## ПолучитьТекстГруппыУсловий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстГруппыУсловий(КоллекцияСтрок,СпособВычисленияПараметра,НомерПараметра,ПостфиксДтКт,ТолькоРегистратор,мТаблицаПоказателейБД) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТекстГруппыУсловий(КоллекцияСтрок, СпособВычисленияПараметра, НомерПараметра, ПостфиксДтКт, ТолькоРегистратор, мТаблицаПоказателейБД));
```
</details>

## ПолучитьКонструкциюОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКонструкциюОтбора(СтрокаПараметр,мТаблицаПоказателейБД) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьКонструкциюОтбора(СтрокаПараметр, мТаблицаПоказателейБД) 
```
</details>

## ПолучитьПредставлениеГруппыУсловий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредставлениеГруппыУсловий(КоллекцияСтрок,СпособВычисленияПараметра,НомерПараметра) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПредставлениеГруппыУсловий(КоллекцияСтрок, СпособВычисленияПараметра, НомерПараметра));
```
</details>

## ПолучитьПредставлениеОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредставлениеОтбора(СтрокаПараметр) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПредставлениеОтбора(СтрокаПараметр) 
```
</details>

## ПолучитьТекстОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстОтбора(ДанныеОтбора) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТекстОтбора(ДанныеОтбора) 
```
</details>

## СформироватьПредставлениеОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////////////////////////////
// Формирование представления отбора

Функция СформироватьПредставлениеОтбора(ДеревоПараметровОтбора) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СформироватьПредставлениеОтбора(ДеревоПараметровОтбора) 
```
</details>

## СформироватьПредставлениеСопоставления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьПредставлениеСопоставления(ТаблицаСоответствияБД,Префикс="С") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СформироватьПредставлениеСопоставления(ТаблицаСоответствияБД, Префикс);
```
</details>

## ОчиститьЗаписиРегистраПараметрическихНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьЗаписиРегистраПараметрическихНастроек(ПравилоОбработки) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОчиститьЗаписиРегистраПараметрическихНастроек(ПравилоОбработки) 
```
</details>

## ПолучитьФормулыРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьФормулыРасчета(НазначениеРасчетов,ПотребительРасчета=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьФормулыРасчета(НазначениеРасчетов, ПотребительРасчета);
```
</details>

## ОчиститьФормулыРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьФормулыРасчета(НазначениеРасчетов=Неопределено,ПотребительРасчета=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОчиститьФормулыРасчета(НазначениеРасчетов, ПотребительРасчета);
```
</details>

## ЗаписатьПроцедуруРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПроцедуруРасчета(СтруктураДанных,ПроверятьИспользованиеОперандов=Истина,ФормироватьДанныеРасчетовПоказателя=Истина) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаписатьПроцедуруРасчета(СтруктураДанных, ПроверятьИспользованиеОперандов, ФормироватьДанныеРасчетовПоказателя);
```
</details>

## ПолучитьДанныеРасчетовПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеРасчетовПоказателя(ПравилоОбработки,ПотребительРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеРасчетовПоказателя(ПравилоОбработки, ПотребительРасчета) 
```
</details>

## ОбновитьСвойстваПроцедурыРасчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСвойстваПроцедурыРасчетов(НазначениеРасчетов,ПотребительРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьСвойстваПроцедурыРасчетов(НазначениеРасчетов, ПотребительРасчета) 
```
</details>

## ОбновитьДанныеРасчетовПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьДанныеРасчетовПоказателя(НазначениеРасчетов,ПотребительРасчета,ФормироватьДанныеРасчетов=Истина) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьДанныеРасчетовПоказателя(НазначениеРасчетов, ПотребительРасчета, ФормироватьДанныеРасчетов);
```
</details>

## ПолучитьСписокКодовОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокКодовОперандов(ТекстФормула) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСписокКодовОперандов(ТекстФормула) 
```
</details>

## ОтметитьИспользованиеОперандовСводно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтметитьИспользованиеОперандовСводно(НазначениеРасчетов) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОтметитьИспользованиеОперандовСводно(НазначениеРасчетов) 
```
</details>

## ОтметитьИспользованиеОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтметитьИспользованиеОперандов(НазначениеРасчетов,ПотребительРасчета,СписокКодов,СпособИспользования,ТекстПроцедуры="") Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОтметитьИспользованиеОперандов(НазначениеРасчетов, ПотребительРасчета, СписокКодов, СпособИспользования, ТекстПроцедуры);
```
</details>

## ИнвертироватьПоляДтКт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИнвертироватьПоляДтКт(ПолеБД) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИнвертироватьПоляДтКт(ПолеБД) 
```
</details>

## ОбновитьАналогичныеИсточникиДляСчетаБУ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьАналогичныеИсточникиДляСчетаБУ(ИсточникДанных) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьАналогичныеИсточникиДляСчетаБУ(ИсточникДанных) 
```
</details>

## ОбновитьНастройкиДляСтороныПроводки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбновитьНастройкиДляСтороныПроводки(ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ОбновитьНастройкиДляСтороныПроводки(ИсточникДанных) 
```
</details>

## ПолучитьКодыПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКодыПоказателей(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьКодыПоказателей(ВидОтчета) 
```
</details>

## ПолучитьПризнакАктивностиДвижений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает признак активности, который должен быть установлен у всех движений объекта
// по регистру сведений ЗначенияПоказателейОтчетов.
//
Функция ПолучитьПризнакАктивностиДвижений(Объект) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПризнакАктивностиДвижений(Объект) 
```
</details>

## ПолучитьВыборкуВерсий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьВыборкуВерсий(ЭкземплярОтчета, АктивностьДвижений = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьВыборкуВерсий(ЭкземплярОтчета, АктивностьДвижений);
```
</details>

## ИзменитьАктивностьСуществующимЗаписям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьАктивностьСуществующимЗаписям(ЭкземплярОтчета, АктивностьДвижений) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ИзменитьАктивностьСуществующимЗаписям(ЭкземплярОтчета, АктивностьДвижений) 
```
</details>

## ПолучитьМакетОсновнойЧасти
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Сканирует области исходного табличного документа и удаляет те горизонтальные области,
// которые связаны с раскрытиями.
//
Процедура ПолучитьМакетОсновнойЧасти(Макет, ВидОтчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьМакетОсновнойЧасти(Макет, ВидОтчета) 
```
</details>

## ПолучитьДатуСоСмещением
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ДЛЯ ОБРАБОТКИ ПРОЦЕДУР ЗАПОЛНЕНИЯ И ВЫЧИСЛЕНИЯ
// ПОКАЗАТЕЛЕЙ ОТЧЕТОВ

// Функция возвращает дату со смещением (периодичность и кол-во периодов) от переданной.
//
Функция ПолучитьДатуСоСмещением(Дата, Периодичность, ЧислоПериодов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДатуСоСмещением(Дата, Периодичность, ЧислоПериодов) 
```
</details>

## ПолучитьСледующийПериод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСледующийПериод(ИсходныйПериод,Направление) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСледующийПериод(ИсходныйПериод, Направление) 
```
</details>

## ПолучитьСмещениеПоИнтервалуПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСмещениеПоИнтервалуПериодов(ПериодНачало,ПериодОкончание) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСмещениеПоИнтервалуПериодов(ПериодНачало, ПериодОкончание) 
```
</details>

## СформироватьТекстЗапросаПоПериодам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает текст фрагмента запроса с выборками по стандартным периодам
//
// Параметры
//	Периодичность(строка)	– периодичность выборки данных запроса
//  Период(строка)			- имя измерения, в котором хранится период данных
//
// Возвращаемое значение:
//   ТекстЗапросаПоПериодам   – текст фрагмента запроса
//
Функция СформироватьТекстЗапросаПоПериодам(Периодичность,Период) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СформироватьТекстЗапросаПоПериодам(Периодичность, Период) 
```
</details>

## ПолучитьАбсолютнуюАдресациюСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьАбсолютнуюАдресациюСтрок(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьАбсолютнуюАдресациюСтрок(ВидОтчета) 
```
</details>

## СформироватьТаблицуСНепрерывнымИнтервалом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьТаблицуСНепрерывнымИнтервалом(Знач ТаблицаЗначений, Базис, ГлубинаАнализа, КолонкаХ, КолонкаУ, ПозицияБазиса) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СформироватьТаблицуСНепрерывнымИнтервалом(ТаблицаЗначений, Базис, ГлубинаАнализа, КолонкаХ, КолонкаУ, ПозицияБазиса));
```
</details>

## РасчетТренда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция рассчитывает тренд на основании переданной таблицы значений.
//
// Параметры:
//   КолонкаХ       - строка, наименование колонки для данных по оси Х.
//   КолонкаУ       - строка, наименование колонки для данных по оси У.
//   Базис          - Структура:
//                    ДатаНачала, дата - базовая дата отчета.
//					  Период    , ТипЕдиницыИнтервалаВремениАнализаДанных - Используемый период для расчета.
//                    КоличествоПериодов, Число - количество периодов между соседними значениями дат по оси Х.
//   ГлубинаАнализа - смещение по оси Х, в пределах которого рассчитывается тренд.
//   Смещение       - смещение по оси Х, в пределах которого рассчитываются экстраполируемые значения.
//   ДополнятьТаблицу - булево, Истина - в таблицу значений добавляются экстраполированные значения.
// Возвращаемое значение:
//
//   Структура     - Значение      - Число,  экстраполированное значение для смещения по оси Х, или неопределено, при ошибке в расчете.
//                   Адекватность  - Число,  значение коэффициента отклонения.
//                   СпособРасчета - Строка, содержит наименование метода расчета.
//
Функция РасчетТренда(ТаблицаЗначений, КолонкаХ, КолонкаУ, КолонкаПризнак = Неопределено, Базис, ГлубинаАнализа, Смещение, ДополнятьТаблицу = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.РасчетТренда(ТаблицаЗначений, КолонкаХ, КолонкаУ, КолонкаПризнак, Базис, ГлубинаАнализа, Смещение, ДополнятьТаблицу);
```
</details>

## РазобратьПроизвольныйКод
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает список кодов показателей, использованных в произвольном тексте модуля
//
Функция РазобратьПроизвольныйКод(ТекстПроцедуры,КодПоказателя,ЕстьАбсолютныеЗначения=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.РазобратьПроизвольныйКод(ТекстПроцедуры, КодПоказателя, ЕстьАбсолютныеЗначения);
```
</details>

## ПроверитьФормулуПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьФормулуПоказателя(СтруктураДанных,ПроверятьОперанды=Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьФормулуПоказателя(СтруктураДанных, ПроверятьОперанды);
```
</details>

## СформироватьСписокРекурсивноИспользуемыхПоказатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует цепочку формул расчета показателей, приводящую к зацикливанию расчета
//
Процедура СформироватьСписокРекурсивноИспользуемыхПоказатель(ИсходныйПоказатель,СтрИспользуемыйПоказатель,ЭтапыЦикла,ДлинаКода,ПравилоОбработки,ЗапросПоказатели=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.СформироватьСписокРекурсивноИспользуемыхПоказатель(ИсходныйПоказатель, СтрИспользуемыйПоказатель, ЭтапыЦикла, ДлинаКода, ПравилоОбработки, ЗапросПоказатели);
```
</details>

## ПроверитьОперандыФормулыПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьОперандыФормулыПоказателя(Показатель,СокрКод,СписокИспользуемых,ПравилоОбработки,ЗапросПоказатели) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьОперандыФормулыПоказателя(Показатель, СокрКод, СписокИспользуемых, ПравилоОбработки, ЗапросПоказатели));
```
</details>

## РазобратьОперанды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает список кодов операндов, использованных в формуле расчета показателя
// и формирует строку для проверки на синтаксическую правильность формулы.
//
// Параметры
//  ТекстФормула   - Строка, текст формулы процедуры расчета.
//  ТекстДляПроверки - Строка, переменная в которую помещается строка для проверки.
// Возвращаемое значение
//  СписокЗначений - список операндов, найденных в формуле.
//
Функция РазобратьОперанды(ТекстФормула, ТекстДляПроверки = Неопределено,ЕстьАбсолютныеЗначения=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.РазобратьОперанды(ТекстФормула, ТекстДляПроверки, ЕстьАбсолютныеЗначения);
```
</details>

## ИспользуетсяВДополнении
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользуетсяВДополнении(Показатель,ИсточникДанных) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИспользуетсяВДополнении(Показатель, ИсточникДанных));
```
</details>

## ПолучитьОперанд
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОперанд(КодОперанда,ПотребительРасчета,НазначениеРасчетов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьОперанд(КодОперанда, ПотребительРасчета, НазначениеРасчетов) 
```
</details>

## ОтметитьКакНеиспользуемый
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОтметитьКакНеиспользуемый(ИсточникДанных) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОтметитьКакНеиспользуемый(ИсточникДанных) 
```
</details>

## ПолучитьДанныеРасчетаПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеРасчетаПоказателя(Показатель,ЗапросПоказатели,ТекстФормула) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеРасчетаПоказателя(Показатель, ЗапросПоказатели, ТекстФормула) 
```
</details>

## СформироватьСписокРекурсивноИспользуемых
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует цепочку формул расчета показателей, приводящую к зацикливанию расчета
//
Процедура СформироватьСписокРекурсивноИспользуемых(ИсходныйПоказатель,СтрИспользуемыйПоказатель,ТабПоказателиПроверка,ЭтапыЦикла) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.СформироватьСписокРекурсивноИспользуемых(ИсходныйПоказатель, СтрИспользуемыйПоказатель, ТабПоказателиПроверка, ЭтапыЦикла));
```
</details>

## ПроверитьОперандыФормулРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьОперандыФормулРасчета(ТабПоказатели,ТабПоказателиПроверка,ТабКонечные) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьОперандыФормулРасчета(ТабПоказатели, ТабПоказателиПроверка, ТабКонечные) 
```
</details>

## ПолучитьПорядокВычисленияПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПорядокВычисленияПоказателей(ПравилоОбработки,ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПорядокВычисленияПоказателей(ПравилоОбработки, ВидОтчета) 
```
</details>

## СформироватьДеревоРекурсивноЗависимых
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СформироватьДеревоРекурсивноЗависимых(СтрокаДерева,СписокИспользуемых,мПоказателиДляОбработки,СтруктураОбработанных); Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.СформироватьДеревоРекурсивноЗависимых(СтрокаДерева, СписокИспользуемых, мПоказателиДляОбработки, СтруктураОбработанных););
```
</details>

## ПолучитьДеревоПересчетаПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДеревоПересчетаПоказателей(мПоказателиДляОбработки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДеревоПересчетаПоказателей(мПоказателиДляОбработки) 
```
</details>

## ПолучитьСписокРодителей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьСписокРодителей(Строка,ТабКодовПоказателейТек); Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьСписокРодителей(Строка, ТабКодовПоказателейТек););
```
</details>

## ПолучитьПорядокКорректировкиПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьПорядокКорректировкиПоказателей(ТабКорректировок,ВидОтчета,ПравилоОбработки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПорядокКорректировкиПоказателей(ТабКорректировок, ВидОтчета, ПравилоОбработки) 
```
</details>

## ПолучитьМассивСлужебныхСимволов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивСлужебныхСимволов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьМассивСлужебныхСимволов());
```
</details>

## ПодготовитьСтрокуОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьСтрокуОтбора(СтрокаОтбора,СпособПолучения,ВерсияПлатформы) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПодготовитьСтрокуОтбора(СтрокаОтбора, СпособПолучения, ВерсияПлатформы) 
```
</details>

## ПодготовитьСтрокуОтбораВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьСтрокуОтбораВИБ(СтрокаОтбора,ВерсияПлатформы) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПодготовитьСтрокуОтбораВИБ(СтрокаОтбора, ВерсияПлатформы) 
```
</details>

## ЗаполнитьСтрокуТаблицыОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтрокуТаблицыОперандов(Строка,Операнд) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаполнитьСтрокуТаблицыОперандов(Строка, Операнд));
```
</details>

## ИнициализироватьТаблицуМТабПоказателиЗапросы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую таблицу МТабПоказателиЗапросы.
Функция ИнициализироватьТаблицуМТабПоказателиЗапросы() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИнициализироватьТаблицуМТабПоказателиЗапросы());
```
</details>

## ИнициализироватьТаблицуШаблонТаблицыПараметров
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую таблицу ШаблонТаблицыПараметров.
Функция ИнициализироватьТаблицуШаблонТаблицыПараметров() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИнициализироватьТаблицуШаблонТаблицыПараметров() 
```
</details>

## ИнициализироватьТаблицуДанныеОперандовДляРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую таблицу ДанныеОперандовДляРасчета.
Функция ИнициализироватьТаблицуДанныеОперандовДляРасчета() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИнициализироватьТаблицуДанныеОперандовДляРасчета());
```
</details>

## ИнициализироватьТаблицуШаблонТаблицыКолонок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает пустую таблицу ШаблонТаблицыКолонок.
Функция ИнициализироватьТаблицуШаблонТаблицыКолонок() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИнициализироватьТаблицуШаблонТаблицыКолонок());
```
</details>

## ЗаполнитьТабПараметрыПоОперанду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет таблицу параметров ТабПараметры по данным операнда ОперандВход.
Процедура ЗаполнитьТабПараметрыПоОперанду(ОперандВход, ТабПараметры) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаполнитьТабПараметрыПоОперанду(ОперандВход, ТабПараметры) 
```
</details>

## ПреобразоватьДанныеОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПреобразоватьДанныеОтбора(ТекстОтбора,ТаблицаПараметровОтбораБД,УточненияСпособовОпределения,Постфикс) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПреобразоватьДанныеОтбора(ТекстОтбора, ТаблицаПараметровОтбораБД, УточненияСпособовОпределения, Постфикс) 
```
</details>

## ПодготовитьОперандыДляПолученияДанных
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьОперандыДляПолученияДанных(мОперанды, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПодготовитьОперандыДляПолученияДанных(мОперанды, );
```
</details>

## ПолучитьДанныеОперандовДляРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеОперандовДляРасчета(СравниватьТаблицыПараметров=Истина, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеОперандовДляРасчета(СравниватьТаблицыПараметров, );
```
</details>

## ПолучитьТаблицуОперандаПоОбъекту
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуОперандаПоОбъекту(ИсточникОбъект) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуОперандаПоОбъекту(ИсточникОбъект) 
```
</details>

## ПолучитьТаблицуОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуОперандов(НазначениеРасчетов=Неопределено, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуОперандов(НазначениеРасчетов, );
```
</details>

## ОбработатьТекстУпрощеннойФормулы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОбработатьТекстУпрощеннойФормулы(СтруктураДанных, ПроверятьОперанды=Истина, ПроверятьФормулы=Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ОбработатьТекстУпрощеннойФормулы(СтруктураДанных, ПроверятьОперанды, ПроверятьФормулы);
```
</details>

## ОбновитьТипыЗначенийОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьТипыЗначенийОперандов(ПоказательОтчета=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьТипыЗначенийОперандов(ПоказательОтчета);
```
</details>

## ВычислитьПараметрПоФункции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


//////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ПОЛУЧЕНИЯ ДАННЫХ ПО НАСТРОЙКАМ ИСТОЧНИКОВ

Функция ВычислитьПараметрПоФункции(КонтекстОтчета,СтрокаПараметр, ИспользуемаяИБ=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВычислитьПараметрПоФункции(КонтекстОтчета, СтрокаПараметр, ИспользуемаяИБ);
```
</details>

## ПолучитьЗначениеИзХранилища
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьЗначениеИзХранилища(Значение) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьЗначениеИзХранилища(Значение) 
```
</details>

## ПолучитьПараметрыНастройкиОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыНастройкиОтбора(НастройкаСоответствия) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПараметрыНастройкиОтбора(НастройкаСоответствия));
```
</details>

## ПолучитьСвойстваПараметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Вычисляет значение параметра операнда в зависимости от способа его вычисления
//
Функция ПолучитьСвойстваПараметра(КонтекстОтчета,СтрокаПараметр) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСвойстваПараметра(КонтекстОтчета, СтрокаПараметр) 
```
</details>

## ПолучитьЗначениеПериметраПоОтбору
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначениеПериметраПоОтбору(СпособВычисленияПараметра, УточнениеСпособаОпределения, ТекКонтекстОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьЗначениеПериметраПоОтбору(СпособВычисленияПараметра, УточнениеСпособаОпределения, ТекКонтекстОтчета) 
```
</details>

## ПолучитьДанныеОтбораДляРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Вычисляет значение параметра операнда в зависимости от способа его вычисления
//
Функция ПолучитьДанныеОтбораДляРасшифровки(КонтекстОтчета,СтрокаПараметр) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеОтбораДляРасшифровки(КонтекстОтчета, СтрокаПараметр) 
```
</details>

## ЕстьСинхронизацияПоРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ЕстьСинхронизацияПоРеквизитам(ПравилаИспользованияПолей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЕстьСинхронизацияПоРеквизитам(ПравилаИспользованияПолей) 
```
</details>

## ADO_ПолучитьПоляДляКонвертацииВТекст
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ADO_ПолучитьПоляДляКонвертацииВТекст(ПравилоОбработки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ADO_ПолучитьПоляДляКонвертацииВТекст(ПравилоОбработки) 
```
</details>

## ПолучитьТаблицуПоИсточникуВнутрПоказатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// ПОЛУЧЕНИЕ ДАННЫХ ТЕКУЩЕЙ ИНФОРМАЦИОННОЙ БАЗЫ

// Формирует построитель запроса к регистру "Значения показателей" для операнда, ссылающегося на показатель другого отчета
//
//
Функция ПолучитьТаблицуПоИсточникуВнутрПоказатель(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуПоИсточникуВнутрПоказатель(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПолучитьТаблицуПоИсточникуВнутрПостроитель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует построитель запроса к регистру "Значения показателей" для операнда, ссылающегося на показатель другого отчета
//
//
Функция ПолучитьТаблицуПоИсточникуВнутрПостроитель(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуПоИсточникуВнутрПостроитель(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПолучитьТаблицуПоИсточникуВнутрГруппаРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует построитель запроса к регистру "Значения показателей" для операнда, ссылающегося на показатель другого отчета
//
//
Функция ПолучитьТаблицуПоИсточникуВнутрГруппаРаскрытия(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуПоИсточникуВнутрГруппаРаскрытия(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПолучитьУникальноеПоле
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьУникальноеПоле(ИсходныйПуть,МассивДобавленныхПутей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьУникальноеПоле(ИсходныйПуть, МассивДобавленныхПутей) 
```
</details>

## ПолучитьТаблицуПоИсточникуВнутрРегистрНакопления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуПоИсточникуВнутрРегистрНакопления(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуПоИсточникуВнутрРегистрНакопления(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПолучитьТаблицуДанныхОбъектаТек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДанныхОбъектаТек(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуДанныхОбъектаТек(КонтекстОтчета, СтрЗапрос));
```
</details>

## ПолучитьТаблицуПоИсточникуВнутрПроизвольный
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуПоИсточникуВнутрПроизвольный(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуПоИсточникуВнутрПроизвольный(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ПроверитьНаличиеОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьНаличиеОтбора(Построитель,ПутьКДанным) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьНаличиеОтбора(Построитель, ПутьКДанным) 
```
</details>

## ПолучитьТаблицуПоИсточникуВнутрПараметрический
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует построитель запроса к регистру "Значения показателей" для операнда, ссылающегося на показатель другого отчета
//
//
Функция ПолучитьТаблицуПоИсточникуВнутрПараметрический(КонтекстОтчета,СтрЗапрос,ПостроительЗапросаВнутр=Неопределено,ДополнительныеПоля=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуПоИсточникуВнутрПараметрический(КонтекстОтчета, СтрЗапрос, ПостроительЗапросаВнутр, ДополнительныеПоля);
```
</details>

## ПолучитьТаблицуДанныхПоФункции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуДанныхПоФункции(КонтекстОтчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуДанныхПоФункции(КонтекстОтчета, СтрЗапрос) 
```
</details>

## ИспользуетсяПриОтборе
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////////////////////////////////
// ПОЛУЧЕНИЕ ДАННЫХ ИЗ БАЗ НА ПЛАТФОРМЕ 1С:ПРЕДПРИЯТИЕ 8


Функция ИспользуетсяПриОтборе(СпособВычисленияПараметра) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИспользуетсяПриОтборе(СпособВычисленияПараметра) 
```
</details>

## ПолучитьДанныеСвязанныхТаблиц
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////////////////////////////////
// ПОЛУЧЕНИЕ ДАННЫХ ИЗ БАЗ ЧЕРЕЗ ADO.
//


Функция ПолучитьДанныеСвязанныхТаблиц(ТекстСвязи) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеСвязанныхТаблиц(ТекстСвязи) 
```
</details>

## ПолучитьИмяСвязаннойТаблицы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИмяСвязаннойТаблицы(ТекстСвязи="",ДанныеСвязи=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьИмяСвязаннойТаблицы(ТекстСвязи, ДанныеСвязи);
```
</details>

## ПолучитьДанныеОперандаДляРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАСШИФРОВКИ ДАННЫХ ОТЧЕТОВ

Функция ПолучитьДанныеОперандаДляРасшифровки(СтрОперанд,ТолькоСсылка,ДополнительныйОтбор=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеОперандаДляРасшифровки(СтрОперанд, ТолькоСсылка, ДополнительныйОтбор);
```
</details>

## РасшифроватьДанныеОперанда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//////////////////////////////////////////////////////////////////////////////////////////////////////
// Предназначена для расшифровки данных, полученных с помощью источников данных для расчетов
//
// Параметры:
//	СтрОперанд: ссылка на элемент справочника "ИсточникиДанныхДляРасчетов" или строка таблицы мТабПоказателиЗапросы
//  КонтекстОтчета: структура, содержащая данные исходные параметры для расшифровки:
//		Организация,
//		ПериодОтчета,
//		Сценарий,
//		ОсновнаяВалюта,
//		Ссылка (ссылка на экземпляр отчета, если расшифровываются его данные),
//		АнализЧувствительности,
//		ЧтениеНеактуальныхЗаписей,
//		УправляемыйРежим,
//      ИспользуемаяИБ,
//      Аналитики 1-5 на уровне отчета.
//	Дополнительный отбор: структура, ключом которой является поле, значениями - значения отборов
//	ОтчетОбъект: документ вида "НастраиваемыйОтчет", данные которого расшифровываются.
//
Функция РасшифроватьДанныеОперанда(СтрОперанд, ЗНАЧ КонтекстОтчета=Неопределено,ЗНАЧ ДополнительныйОтбор = Неопределено, ЗНАЧ ОтчетОбъект=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.РасшифроватьДанныеОперанда(СтрОперанд, ЗНАЧ КонтекстОтчета, ЗНАЧ ДополнительныйОтбор, ЗНАЧ ОтчетОбъект);
```
</details>

## ПолучитьПараметрыРасчетаПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыРасчетаПоказателя(ОбъектРасчета,Показатель) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПараметрыРасчетаПоказателя(ОбъектРасчета, Показатель) 
```
</details>

## ПолучитьПараметрыОтчетаПоРегиструБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура отображает расшифровку операнда внешней информационной базы.
//
Функция ПолучитьПараметрыОтчетаПоРегиструБД(ОперандСсылка, КонтекстОтчета, ДополнительныйОтбор = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПараметрыОтчетаПоРегиструБД(ОперандСсылка, КонтекстОтчета, ДополнительныйОтбор);
```
</details>

## ПолучитьПараметрыОтчетаПроизвольногоЗапросаВИБ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



Функция ПолучитьПараметрыОтчетаПроизвольногоЗапросаВИБ(СтрЗапрос,КонтекстОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПараметрыОтчетаПроизвольногоЗапросаВИБ(СтрЗапрос, КонтекстОтчета) 
```
</details>

## ПолучитьПараметрыОтчетаПроизвольногоЗапросаТек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПараметрыОтчетаПроизвольногоЗапросаТек(СтрЗапрос,КонтекстОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПараметрыОтчетаПроизвольногоЗапросаТек(СтрЗапрос, КонтекстОтчета) 
```
</details>

## ПолучитьТаблицуДанныхПоИсточнику
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// ПОЛУЧЕНИЕ ДАННЫХ ИЗ БАЗ НА ПЛАТФОРМЕ 1С:ПРЕДПРИЯТИЕ 7.7


/////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ПОЛУЧЕНИЯ ТАБЛИЦЫ ИСТОЧНИКА ДАННЫХ

Функция ПолучитьТаблицуДанныхПоИсточнику(КонтекстОтчета,ИсточникДанных,ТолькоПроверка=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуДанныхПоИсточнику(КонтекстОтчета, ИсточникДанных, ТолькоПроверка);
```
</details>

## ПреобразоватьТаблицуПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПреобразоватьТаблицуПоказателя(ТаблицаЗначений, ИсточникДанныхОтчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПреобразоватьТаблицуПоказателя(ТаблицаЗначений, ИсточникДанныхОтчета) 
```
</details>

## ПолучитьПланСчетовОрганизации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ СИНХРОНИЗАЦИИ ПОЛУЧЕННЫХ ИЗВНЕ ДАННЫХ С АНАЛИТИКОЙ ТЕКУЩЕЙ ИНФОРМАЦИОННОЙ БАЗЫ


Функция ПолучитьПланСчетовОрганизации(Организация,Сценарий,ПериодОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПланСчетовОрганизации(Организация, Сценарий, ПериодОтчета) 
```
</details>

## ПолучитьДанныеДляПроведения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеДляПроведения(Организация) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеДляПроведения(Организация) 
```
</details>

## ПолучитьПараметрыЗапросаПоОперанду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьПараметрыЗапросаПоОперанду(ДанныеЗапроса) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьПараметрыЗапросаПоОперанду(ДанныеЗапроса));
```
</details>

## ПодготовитьСтруктуруОтбора
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает структуру отбора для операнда. Структура для расшифровки операнда
//
Функция ПодготовитьСтруктуруОтбора(СтрОперанд, СтруктураОтбора) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПодготовитьСтруктуруОтбора(СтрОперанд, СтруктураОтбора) 
```
</details>

## ПодготовитьТекстЗапросаКРегистрам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает текст запроса и необходимые параметры для эмуляции запроса к регистру "ЗначенияПоказателейОтчетов"
// предыдущих редакций
// Параметры:
// 		ВидОтчета - вид отчета, данные которого отбираются
//		ПоказателиДляОтбора  - список значений, массив, таблица значений. В последнем случае должна содержать
//				колонки "Показатель","ТипЗначения","ЧислоАналитикГруппыРаскрытия" (упорядочить по возрастанию).
//		СписокВерсий - список версий для отбора данных
//      ВыводитьСинтетику - признак вывода итоговых значений показателей
//      ВыводитьАналитику - признак вывода значений аналитических раскрытий
//		ОтборПоказателей - соответствие, содержащая дополнительные отборы по используемым показателям
//      	Ключом является текст условия "ПоказателиОтчетов.....", значением - структура параметров
//      МаксКоличествоАналитик - принудительно устанавливаемое число полей "Аналитика1"..."Аналитика5"
//          в результирующем запросе.
//      Дополнительные поля - соответствие, ключом которого служит поле таблицы значений показателей (возможно, с разыменованием,
//			а значением - псевдоним этого поля.
//
// Возвращаемое значение:
//		Структура, содержащая:
//			ТекстЗапроса (текст)
//			ПараметрыЗапроса (структура)
//
Функция ПодготовитьТекстЗапросаКРегистрам(ДанныеЗапроса) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПодготовитьТекстЗапросаКРегистрам(ДанныеЗапроса) 
```
</details>

## ПолучитьТаблицуАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуАналитик(ВидОтчета,ОтборПоказателей,ТолькоЧисловые) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуАналитик(ВидОтчета, ОтборПоказателей, ТолькоЧисловые) 
```
</details>

## ВернутьТабНомеровАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТабНомеровАналитик(мПоказатели) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьТабНомеровАналитик(мПоказатели) 
```
</details>

## ВернутьИмяТаблицыСинтетики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьИмяТаблицыСинтетики(ПараметрТаблицы,ЧисловойПоказатель=Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьИмяТаблицыСинтетики(ПараметрТаблицы, ЧисловойПоказатель);
```
</details>

## ПеренестиЗаписиПриИзмененииАналитикГруппыРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ РАБОТЫ С ЗАПИСЯМИ РЕГИСТРОВ ЗНАЧЕНИЙ ПОКАЗАТЕЛЕЙ ОТЧЕТОВ
//
// Переносятся только числовые показатели, т.к. нечисловые хранятся в одном регистре независимо от количества
// аналитик раскрытия.


Процедура ПеренестиЗаписиПриИзмененииАналитикГруппыРаскрытия(Ссылка,Объект,Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПеренестиЗаписиПриИзмененииАналитикГруппыРаскрытия(Ссылка, Объект, Отказ) 
```
</details>

## ОчиститьЗначенияПоказателейОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьЗначенияПоказателейОтчетов(ДокументСсылка,Отказ=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОчиститьЗначенияПоказателейОтчетов(ДокументСсылка, Отказ);
```
</details>

## ПеренестиДанныеИзТаблицыРаскрытияВИсходнуюТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ - МЕХАНИЗМЫ РЕДАКТИРОВАНИЯ ТАБЛИЦ РАСКРЫТИЙ.
//

Процедура ПеренестиДанныеИзТаблицыРаскрытияВИсходнуюТаблицу(ИсходнаяТаблицаРаскрытия, ТаблицаРаскрытия, МассивIDУдаленныхСтрок) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПеренестиДанныеИзТаблицыРаскрытияВИсходнуюТаблицу(ИсходнаяТаблицаРаскрытия, ТаблицаРаскрытия, МассивIDУдаленныхСтрок) 
```
</details>

## ПодготовитьТаблицуРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьТаблицуРаскрытия(ИсходнаяТаблицаРаскрытия, ТаблицаРаскрытия, СтруктураРаскрытия, МассивIDУдаленныхСтрок, Индекс) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПодготовитьТаблицуРаскрытия(ИсходнаяТаблицаРаскрытия, ТаблицаРаскрытия, СтруктураРаскрытия, МассивIDУдаленныхСтрок, Индекс) 
```
</details>

## ВернутьИндекс
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьИндекс(Индекс) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьИндекс(Индекс) 
```
</details>

## ГруппаРаскрытияПоКоду
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ ВЫГРУЗКИ ДОКУМЕНТОВ НА ДИСК

// Возвращает СправочникСсылка.ГруппыРаскрытия по коду группы.
//
Функция ГруппаРаскрытияПоКоду(Секция, ГруппыРаскрытия) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ГруппаРаскрытияПоКоду(Секция, ГруппыРаскрытия) 
```
</details>

## ДобавитьПризнакНачалаСтраницы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в начало макета признак начала новой страницы.
//
Функция ДобавитьПризнакНачалаСтраницы(Макет, ПризнакДобавленияНачалаСтраницы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ДобавитьПризнакНачалаСтраницы(Макет, ПризнакДобавленияНачалаСтраницы) 
```
</details>

## Сформировать_мПоказателиРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует общую таблицу раскрытий отчета по таблицам раскрытий для каждой группы раскрытия
// в отдельности.
//
Функция Сформировать_мПоказателиРаскрытия(СоответствиеТаблицГрупп,Отчет) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.Сформировать_мПоказателиРаскрытия(СоответствиеТаблицГрупп, Отчет) 
```
</details>

## УправлениеВидимостьюПустыхСтрок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Скрывает в макете строки, содержащие области со значеними,
// если такие области не содержат значений в пределах строки.
//
Процедура УправлениеВидимостьюПустыхСтрок(Макет = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.УправлениеВидимостьюПустыхСтрок(Макет);
```
</details>

## УправлениеВидимостьюПустыхКолонок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Скрывает в макете колонки, содержащие области со значеними,
// если такие области не содержат значений в пределах колонки.
//
Процедура УправлениеВидимостьюПустыхКолонок(Макет = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.УправлениеВидимостьюПустыхКолонок(Макет);
```
</details>

## УправлениеВидимостьюПустыхИзмерений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Последовательно вызывает сначала процедуру управления видимостью
// строк, содержащих только области с незаполненными значениями,
// а затем процедуру управления видимостью колонок.
//
Процедура УправлениеВидимостьюПустыхИзмерений(Макет = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.УправлениеВидимостьюПустыхИзмерений(Макет);
```
</details>

## ПолучитьЭкземплярОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция возвращает табличное представление документа настраиваемый отчет.
//
Функция ПолучитьЭкземплярОтчета(СсылкаНаОтчет, ВыводитьРаскрытие = Истина, ВыводитьОсновнуюЧасть = Истина, ТихийРежим = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьЭкземплярОтчета(СсылкаНаОтчет, ВыводитьРаскрытие, ВыводитьОсновнуюЧасть, ТихийРежим);
```
</details>

## ПолучитьТаблицуСоответствияРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ФУНКЦИИ ДЛЯ РАБОТЫ С ВНЕШНЕЙ ИНФОРМАЦИОННОЙ БАЗОЙ 1С ПРЕДПРИЯТИЕ 7.7
//



////////////////////////////////////////////////////////////////////////////////

Функция ПолучитьТаблицуСоответствияРеквизитов(ТипБД,СправочникКонсолидации,СправочникБД) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуСоответствияРеквизитов(ТипБД, СправочникКонсолидации, СправочникБД) 
```
</details>

## ПолучитьНастройкуСоответствияРеквизитов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНастройкуСоответствияРеквизитов(ТипБД,СправочникКонсолидации,СправочникБД,ТипМетаДанных,ПервыйЭлемент=Истина,СоздаватьОбъект=Ложь,ТипОбъектаКонсолидации="") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьНастройкуСоответствияРеквизитов(ТипБД, СправочникКонсолидации, СправочникБД, ТипМетаДанных, ПервыйЭлемент, СоздаватьОбъект, ТипОбъектаКонсолидации);
```
</details>

## ПолучитьТаблицуРеквизитовКонсолидации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуРеквизитовКонсолидации(МетаданныеОбъект) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуРеквизитовКонсолидации(МетаданныеОбъект) 
```
</details>

## ПолучитьОписаниеТиповДляПримитивныхТиповCOM
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеТиповДляПримитивныхТиповCOM(База) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьОписаниеТиповДляПримитивныхТиповCOM(База) 
```
</details>

## ПолучитьСчетаВИерархии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу кодов счетов, иерархически подчиненных переданным в списке основным счетам
//
Функция ПолучитьСчетаВИерархии(ПланСчетов,Счет,СписокСчетов,ВнутренниеДанные=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСчетаВИерархии(ПланСчетов, Счет, СписокСчетов, ВнутренниеДанные);
```
</details>

## ПолучитьПериодПоДате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПериодПоДате(Дата, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПериодПоДате(Дата, Периодичность) 
```
</details>

## ОпределитьБлижайшийПериодПоДате
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьБлижайшийПериодПоДате(Дата, Периодичность) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ОпределитьБлижайшийПериодПоДате(Дата, Периодичность) 
```
</details>

## ПолучитьДатуСоСмещениемДляДекады
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДатуСоСмещениемДляДекады(Знач РасчетнаяДата, Знач Смещение) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДатуСоСмещениемДляДекады(РасчетнаяДата, Смещение) 
```
</details>

## ПолучитьДатуСоСмещениемДляНедели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДатуСоСмещениемДляНедели(Знач РасчетнаяДата, Знач Смещение) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДатуСоСмещениемДляНедели(РасчетнаяДата, Смещение) 
```
</details>

## ПолучитьДатуИзПараметра
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДатуИзПараметра(ЗначениеПараметра, ТипРасчета, Сдвиг) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДатуИзПараметра(ЗначениеПараметра, ТипРасчета, Сдвиг) 
```
</details>

## ПолучитьЗначениеРеквизитаИзОбъектаСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначениеРеквизитаИзОбъектаСправочника(ЗначениеПараметра, Реквизит) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьЗначениеРеквизитаИзОбъектаСправочника(ЗначениеПараметра, Реквизит) 
```
</details>

## ПолучитьОписаниеПримитивногоТипаИзБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеПримитивногоТипаИзБД(База, ОписаниеТиповБД) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьОписаниеПримитивногоТипаИзБД(База, ОписаниеТиповБД) 
```
</details>

## ЧислоАналитикВидаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЧислоАналитикВидаОтчета(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЧислоАналитикВидаОтчета(ВидОтчета) 
```
</details>

## СформироватьСтруктуруПараметровШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ДЛЯ НУЖД WEB-ИНТЕРФЕЙСА

Функция СформироватьСтруктуруПараметровШаблона(Шаблон) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СформироватьСтруктуруПараметровШаблона(Шаблон) 
```
</details>

## ПолучитьXMLСтруктуруМакетаШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьXMLСтруктуруМакетаШаблона(Шаблон) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьXMLСтруктуруМакетаШаблона(Шаблон) 
```
</details>

## ОбъединитьЯчейки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбъединитьЯчейки(Ячейка, ПоглощаемыеЯчейки, ИндексНачало, ИндексКонец) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбъединитьЯчейки(Ячейка, ПоглощаемыеЯчейки, ИндексНачало, ИндексКонец));
```
</details>

## ОбъединитьЯчейкиВлевоИВправо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбъединитьЯчейкиВлевоИВправо(ЛеваяЯчейка, ПраваяЯчейка, ПоглощаемыеЯчейки) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбъединитьЯчейкиВлевоИВправо(ЛеваяЯчейка, ПраваяЯчейка, ПоглощаемыеЯчейки));
```
</details>

## МожноОбъединитьЯчейки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МожноОбъединитьЯчейки(Ячейка, ПоглощаемаяЯчейка, СвойствоГраницыЯчейки, СвойствоГраницыПоглощаемойЯчейки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.МожноОбъединитьЯчейки(Ячейка, ПоглощаемаяЯчейка, СвойствоГраницыЯчейки, СвойствоГраницыПоглощаемойЯчейки));
```
</details>

## ПолучитьПредставлениеГоризонтальногоПоложения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПредставлениеГоризонтальногоПоложения(ЗначениеГоризонтальногоПоложения) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПредставлениеГоризонтальногоПоложения(ЗначениеГоризонтальногоПоложения));
```
</details>

## ЗаписатьXMLШрифт
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписатьXMLШрифт(ХМЛ, Имя, Шрифт) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЗаписатьXMLШрифт(ХМЛ, Имя, Шрифт));
```
</details>

## ЗаписатьXMLГраницы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЗаписатьXMLГраницы(ХМЛ, Имя, Граница) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЗаписатьXMLГраницы(ХМЛ, Имя, Граница));
```
</details>

## СравнитьСвойства
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СравнитьСвойства(Структура1, Структура2, Свойство) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СравнитьСвойства(Структура1, Структура2, Свойство));
```
</details>

## ОпределитьВалютыОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// УНИВЕРСАЛЬНЫЕ МЕХАНИЗМЫ ПОСТРОЕНИЯ ОТЧЕТОВ////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ДЛЯ НУЖД WEB-ИНТЕРФЕЙСА


////////////////////////////////////////////////////////////////////////////////
// ФУНКЦИИ РАБОТЫ С РЕГИСТРОМ СВЕДЕНИЙ "НАСТРОЙКА ОБРАБОТКИ ОТЧЕТОВ".
//

// Функция определяет основную и дополнительные (если есть) валюты для экземпляра отчета.
Функция ОпределитьВалютыОтчета(ВерсияОрганизационнойСтруктуры, ВидОтчета, Организация) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ОпределитьВалютыОтчета(ВерсияОрганизационнойСтруктуры, ВидОтчета, Организация) 
```
</details>

## НайтиПараметрОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция определяет значение элемента настройки отчета по переданным ей параметрам
// Параметры:
//  ЭлементНастройкиОтчета - Перечисление, элемент настройки отчета, который необходимо получить.
//  ВидОтчета      - СправочникСсылка.ВидыОтчета - вид отчета, для которого нужно получить значение элемента.
//  Сценарий       - СправочникСсылка.Сценарий   - сценарий, для которого нужно получить значение элемента.
//  Организация    - СправочникСсылка.Организация - организационная единица, для которого нужно получить значение элемента.
//  ПериодОтчета   - СправочникСсылка.Периоды - период отчета, для которого нужно получить значение элемента.
//
// Функция определяет значение элемента настройки отчета по переданным ей параметрам
// Параметры:
//  ЭлементНастройкиОтчета - Перечисление, элемент настройки отчета, который необходимо получить.
//  ВидОтчета      - СправочникСсылка.ВидыОтчета - вид отчета, для которого нужно получить значение элемента.
//  Сценарий       - СправочникСсылка.Сценарий   - сценарий, для которого нужно получить значение элемента.
//  Организация    - СправочникСсылка.Организация - организационная единица, для которого нужно получить значение элемента.
//  ПериодОтчета   - СправочникСсылка.Периоды - период отчета, для которого нужно получить значение элемента.
//
Функция НайтиПараметрОтчета(ЭлементНастройкиОтчета, ВидОтчета = Неопределено, Сценарий = Неопределено, Организация = Неопределено, ПериодОтчета = Неопределено, ВерсияОрганизационнойСтруктуры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.НайтиПараметрОтчета(ЭлементНастройкиОтчета, ВидОтчета, Сценарий, Организация, ПериодОтчета, ВерсияОрганизационнойСтруктуры);
```
</details>

## ПолучитьСоответствияПараметровОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция заполняет структуру параметров отчета для указанных измерений.
//
Функция ПолучитьСоответствияПараметровОтчета(ВидОтчета, Сценарий = Неопределено, Организация = Неопределено, ПериодОтчета = Неопределено, ВерсияОрганизационнойСтруктуры = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСоответствияПараметровОтчета(ВидОтчета, Сценарий, Организация, ПериодОтчета, ВерсияОрганизационнойСтруктуры);
```
</details>

## УстановитьЭлементПоУмолчаниюДляВидаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Функция устанавливает элемент по умолчанию для вида отчета.
Функция УстановитьЭлементПоУмолчаниюДляВидаОтчета(ЗначениеЭлементаНастройкиОтчета, ВидОтчета, ЭлементНастройкиОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.УстановитьЭлементПоУмолчаниюДляВидаОтчета(ЗначениеЭлементаНастройкиОтчета, ВидОтчета, ЭлементНастройкиОтчета) 
```
</details>

## ПолучитьПравилоОбработкиПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПравилоОбработкиПоУмолчанию(ВидОтчета, Сценарий, Организация, ПериодОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПравилоОбработкиПоУмолчанию(ВидОтчета, Сценарий, Организация, ПериодОтчета) 
```
</details>

## ВернутьСписокБланковОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



Функция ВернутьСписокБланковОтчетов(БланкОтчета, ВидОтчета, Организация = Неопределено, ПериодОтчета = Неопределено, Сценарий = Неопределено, РежимСводнойТаблицы = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьСписокБланковОтчетов(БланкОтчета, ВидОтчета, Организация, ПериодОтчета, Сценарий, РежимСводнойТаблицы);
```
</details>

## ВернутьСписокПравилОбработкиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьСписокПравилОбработкиОтчетов(БланкОтчета, ВидОтчета, Организация = Неопределено, ПериодОтчета = Неопределено, Сценарий = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьСписокПравилОбработкиОтчетов(БланкОтчета, ВидОтчета, Организация, ПериодОтчета, Сценарий);
```
</details>

## ПолучитьСписокПериодовСценариев
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокПериодовСценариев(ОтборСценарий=Неопределено,ОтборПериодСценария=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСписокПериодовСценариев(ОтборСценарий, ОтборПериодСценария);
```
</details>

## ПолучитьНастройкиКолонтитулов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С КОЛОНТИТУЛАМИ

// Чтение настроек колонтитулов из константы. Если константа не заполнена, то формируются пустые настройки.
//
// Параметры
//  Нет
//
// Возвращаемое значение:
//   Структура   – Настройки колонтитулов
//
Функция ПолучитьНастройкиКолонтитулов() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьНастройкиКолонтитулов());
```
</details>

## ЗаписатьНастройкиКолонтитулов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запись настроек колонтитулов в константу
//
// Параметры
//  Настройка  – Структура – Настройка колонтитулов
//
Процедура ЗаписатьНастройкиКолонтитулов(Настройка) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаписатьНастройкиКолонтитулов(Настройка));
```
</details>

## ЗаполнитьТекстКолонтитула
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проставление в тексте вместо шаблонов, значений
//
// Параметры
//  Текст           – Строка – Исходный текст шаблона
//  НазваниеОтчета  – Строка – Название отчета
//  Пользователь    – Строка – Имя пользователя
//
// Возвращаемое значение:
//   Строка   – результурующий текст для колонтитула
//
Функция ЗаполнитьТекстКолонтитула(Текст, НазваниеОтчета, Пользователь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЗаполнитьТекстКолонтитула(Текст, НазваниеОтчета, Пользователь));
```
</details>

## УстановитьКолонтитулыПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Установка колонтитулов для отчета
//
// Параметры
//  ТабличныйДокумент  – ТабличныйДокумент – Отчет, у которого необходимо установить колонтитулы
//  НазваниеОтчета     – Строка            – Название отчета для вывода в колонтитул
//  Пользователь       – Строка            – Имя пользователя для вывода в колонтитул
//
Процедура УстановитьКолонтитулыПоУмолчанию(ТабличныйДокумент, НазваниеОтчета, Пользователь) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.УстановитьКолонтитулыПоУмолчанию(ТабличныйДокумент, НазваниеОтчета, Пользователь) 
```
</details>

## ПолучитьОтветственногоЗаТипОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОтветственногоЗаТипОбъекта(ЭлементСсылка,Знач Организация=Неопределено,Знач ШаблонДокументаБД=Неопределено,ТипОтветственного=Неопределено, ВернутьМассив = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьОтветственногоЗаТипОбъекта(ЭлементСсылка, Организация, ШаблонДокументаБД, ТипОтветственного, ВернутьМассив);
```
</details>

## ПолучитьТекущегоИсполнителяИПроверяющегоПоРеквизитамОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекущегоИсполнителяИПроверяющегоПоРеквизитамОтчета(ВидОтчета, Организация, ПериодОтчета, Сценарий) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТекущегоИсполнителяИПроверяющегоПоРеквизитамОтчета(ВидОтчета, Организация, ПериодОтчета, Сценарий) 
```
</details>

## ПолучитьТекущегоИсполнителяИПроверяющего
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекущегоИсполнителяИПроверяющего(ЭкземплярОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТекущегоИсполнителяИПроверяющего(ЭкземплярОтчета) 
```
</details>

## ВернутьТаблицуИсполнителейДляОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьТаблицуИсполнителейДляОтчетов(ДокументСписокОтбор) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьТаблицуИсполнителейДляОтчетов(ДокументСписокОтбор) 
```
</details>

## ВернутьТекущееОписаниеВерсииДляЭкземпляраОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С ВЕРСИЯМИ ЗНАЧЕНИЙ ПОКАЗАТЕЛЕЙ.
//

Функция ВернутьТекущееОписаниеВерсииДляЭкземпляраОтчета(ЭкземплярОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьТекущееОписаниеВерсииДляЭкземпляраОтчета(ЭкземплярОтчета) 
```
</details>

## ВернутьТекстНаименования
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ РАБОТЫ С УНИВЕРСАЛЬНОЙ ФОРМОЙ ВЫБОРА БЛАНКА ОТЧЕТА.
//

Функция ВернутьТекстНаименования(ДанныеОбъекта,СтруктураЯзыков) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьТекстНаименования(ДанныеОбъекта, СтруктураЯзыков));
```
</details>

## ОбновитьТекстСтрокКолонок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьТекстСтрокКолонок(ВидОтчета,ТаблДок,СтруктураЯзыков) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьТекстСтрокКолонок(ВидОтчета, ТаблДок, СтруктураЯзыков) 
```
</details>

## ВернутьТаблицуБланковОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ВернутьТаблицуБланковОтчетов(ТекущийВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьТаблицуБланковОтчетов(ТекущийВидОтчета));
```
</details>

## ОбработкаПоказателейДобавитьВВыбранныеПоля
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура добавляет показатель в выбранные поля. Вызывается перед выполнением запроса.
//
// Параметры:
//	ИмяПоляПостроителя - строка, идентификатор поля построителя
//	ПостроительОтчета  - Построитель отчета
//
Процедура ОбработкаПоказателейДобавитьВВыбранныеПоля(ИмяПоляПостроителя, ПостроительОтчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбработкаПоказателейДобавитьВВыбранныеПоля(ИмяПоляПостроителя, ПостроительОтчета) 
```
</details>

## ЗаполнитьПредставленияПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ ОТЧЕТОВ НА ПОСТРОИТЕЛЕ ОТЧЕТОВ

// Процедура заполняет представления элементов всех коллекций построителя отчета на
//  основании соответствия имен и представдлений переданных в параметре
//
// Параметры
//  СтруктураСоответствияИмен - Структура, ключ - имя поля, значение - представление поля
//  ПостроительОтчета         - ПостроительОтчета
//
//  Возвращаемое значение
//   НЕТ
//
Процедура ЗаполнитьПредставленияПолей(СтруктураСоответствияИмен, ПостроительОтчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаполнитьПредставленияПолей(СтруктураСоответствияИмен, ПостроительОтчета) 
```
</details>

## ОчиститьДополнительныеПоляПостроителя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Удаляет автоматически добавляемые Построителем при инициализации дополнительные поля с измерениями
//
// Параметры:
//	нет
//
Процедура ОчиститьДополнительныеПоляПостроителя(ПостроительОтчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОчиститьДополнительныеПоляПостроителя(ПостроительОтчета) 
```
</details>

## ЗаполнитьОтбор
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Заполняет отборы ПостроителяОтчета
//
// Параметры:
//	МассивОтбора - Массив, содержащий идентификаторы отборов
Процедура ЗаполнитьОтбор(МассивОтбора, ПостроительОтчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаполнитьОтбор(МассивОтбора, ПостроительОтчета) 
```
</details>

## ЗадатьПараметрыОтбораПоКатегориям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Добавляет в параметры построителя отчета использованные в отборах категории
//
// Параметры:
//	ПостроительОтчета              - Построитель, отбор которого обрабатывается, и в Параметры
//                                    которого добавляются категории
//	СтруктураДляОтбораПоКатегориям - структура, связывающая пути к данным Отборов Построителя и
//                                    идентицфикаторы параметров
//
// Возвращаемое значение:
//	Истина, если добавление параметров произошло успешно
//	Ложь, если есть повторный отбор по одной и той же категории.
//
// Вообще-то, повторный отбор по одной и той же категории невозможен не всегда -
//  можно отобрать два раза с видом сравнения "не равно". Контроль возвращаемого
//  этой функцией значения отключить можно, но нужно после этого понимать,
//  что два отбора по одной категории с видом сравнения "Равно" приведут к тому,
//  что отчет окажется пустым.
//
Функция ЗадатьПараметрыОтбораПоКатегориям(ПостроительОтчета, СтруктураДляОтбораПоКатегориям) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЗадатьПараметрыОтбораПоКатегориям(ПостроительОтчета, СтруктураДляОтбораПоКатегориям) 
```
</details>

## СформироватьЗаголовокОсновнойФормы
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует текст-заголовок формы отчета
Функция СформироватьЗаголовокОсновнойФормы(ДатаНач, ДатаКон, НазваниеОтчета, РежимВводаПериода) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СформироватьЗаголовокОсновнойФормы(ДатаНач, ДатаКон, НазваниеОтчета, РежимВводаПериода) 
```
</details>

## ОбработкаПоказателейУдалитьИзДоступныхПолей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура делает показатель недоступным для выбора как поле, удаляет из выбранных полей
// Вызывается после формирования отчета.
//
// Параметры:
//	ИмяПоляПостроителя - строка, идентификатор поля построителя
//	ПостроительОтчета  - Построитель отчета
//
Процедура ОбработкаПоказателейУдалитьИзДоступныхПолей(ИмяПоляПостроителя, ПостроительОтчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбработкаПоказателейУдалитьИзДоступныхПолей(ИмяПоляПостроителя, ПостроительОтчета) 
```
</details>

## ПроверитьПорядокПостроителяОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура обрабатывает Порядок Построителя отчета и удаляет из него те элементы порядка,
// которые не связаны с выбранными полями или измерениями.
// Это делается для несоздания ложного впечатления о том, что что-то как-то отсортировали
// в одних случаях, и для избежания ошибки времени выполнения при выполнении запроса
// в других случаях
//
// Параметры:
//	ПостроительОтчета - ПостроительОтчета, Порядок которого надо обработать
//
Процедура ПроверитьПорядокПостроителяОтчета(ПостроительОтчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПроверитьПорядокПостроителяОтчета(ПостроительОтчета) 
```
</details>

## ПолучитьСписокРегистровНакопления
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует список регистров остатков
//
// Параметры:
//	Нет.
//
// Возвращаемое значение:
//	список значений, содержащийимена всех регистров остатков
//
Функция ПолучитьСписокРегистровНакопления() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСписокРегистровНакопления() 
```
</details>

## ПолучитьТаблицуВалютДляВерсииОрганизационнойСтруктуры
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуВалютДляВерсииОрганизационнойСтруктуры(ВерсияОрганизационнойСтруктуры) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуВалютДляВерсииОрганизационнойСтруктуры(ВерсияОрганизационнойСтруктуры) 
```
</details>

## ИнициализироватьЗапрос
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИнициализироватьЗапрос(ВерсияРегламентовПодготовкиОтчетности, УникальныйИдентификатор = Неопределено, Адрес = Неопределено,СтрокаДопОтбора=Неопределено,ОтборОбъект=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИнициализироватьЗапрос(ВерсияРегламентовПодготовкиОтчетности, УникальныйИдентификатор, Адрес, СтрокаДопОтбора, ОтборОбъект);
```
</details>

## ВосстановитьВременныеТаблицыЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ВосстановитьВременныеТаблицыЗапроса(Запрос, Адрес) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ВосстановитьВременныеТаблицыЗапроса(Запрос, Адрес) 
```
</details>

## УдалитьВременныеТаблицыИзЗапроса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УдалитьВременныеТаблицыИзЗапроса(Запрос) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.УдалитьВременныеТаблицыИзЗапроса(Запрос) 
```
</details>

## ПолучитьДеревоОрганизаций
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДеревоОрганизаций(мЗапрос, ЭтапПроцесса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДеревоОрганизаций(мЗапрос, ЭтапПроцесса);
```
</details>

## ДополнитьДеревоРезультатамиВыборки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьДеревоРезультатамиВыборки(СтрокаДереваПриемника, СтрокаДереваИсточника) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДополнитьДеревоРезультатамиВыборки(СтрокаДереваПриемника, СтрокаДереваИсточника));
```
</details>

## ПолучитьДеревоВидовОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДеревоВидовОтчетов(мЗапрос, ЭтапПроцесса = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДеревоВидовОтчетов(мЗапрос, ЭтапПроцесса);
```
</details>

## ПолучитьТаблицуПолномочий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьТаблицуПолномочий(ПериодОтчета, Сценарий, ВерсияОрганизационнойСтруктуры, Запрос, ЭтапПроцесса = Неопределено, Организация = Неопределено, ПрофильОрганизаций = Неопределено, ВидОтчета = Неопределено, ВидОтчетаЭтапПроцесса = Неопределено, ЕстьОшибки = Неопределено, МассивОрганизаций = Неопределено, МассивВидовОтчетов = Неопределено, Отбор =  Неопределено,Режим = "Настройка") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуПолномочий(ПериодОтчета, Сценарий, ВерсияОрганизационнойСтруктуры, Запрос, ЭтапПроцесса, Организация, ПрофильОрганизаций, ВидОтчета, ВидОтчетаЭтапПроцесса, ЕстьОшибки, МассивОрганизаций, МассивВидовОтчетов, Отбор, Режим);
```
</details>

## ПересчитатьВалютныеПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

///////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ ПОЛУЧЕНИЯ КОНТЕКСТА И ЗАПИСИ ЗНАЧЕНИЙ ПОКАЗАТЕЛЕЙ ОТЧЕТОВ

Процедура ПересчитатьВалютныеПоказатели(Сценарий,ТаблицаИзмененныхКурсов) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПересчитатьВалютныеПоказатели(Сценарий, ТаблицаИзмененныхКурсов) 
```
</details>

## ПолучитьНовуюВерсию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьНовуюВерсию(Результат,СоответствиеОписаний,СоответствиеВерсий,ДанныеВерсии) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьНовуюВерсию(Результат, СоответствиеОписаний, СоответствиеВерсий, ДанныеВерсии));
```
</details>

## СформироватьКомментарийПриПересчетеКурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция СформироватьКомментарийПриПересчетеКурса(Результат) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СформироватьКомментарийПриПересчетеКурса(Результат));
```
</details>

## ПересчитатьПоказателиВДополнительныхВалютах
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ПересчитатьПоказателиВДополнительныхВалютах(Сценарий,ТаблицаИзмененныхКурсов,МассивПересчитанных) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПересчитатьПоказателиВДополнительныхВалютах(Сценарий, ТаблицаИзмененныхКурсов, МассивПересчитанных) 
```
</details>

## ИзменитьЗаписиРегистраВДополнительнойВалюте
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИзменитьЗаписиРегистраВДополнительнойВалюте(ИмяРегистра,Результат) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ИзменитьЗаписиРегистраВДополнительнойВалюте(ИмяРегистра, Результат));
```
</details>

## ВернутьАналитикуВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВернутьАналитикуВГО(ОбъектРасчета,КэшГруппРаскрытия, ГруппаРаскрытия) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьАналитикуВГО(ОбъектРасчета, КэшГруппРаскрытия, ГруппаРаскрытия));
```
</details>

## ДобавитьЗаписьВРегистр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписьВРегистр(ОбъектРасчета,мСоответствиеНаборовЗаписей,ИмяРабочейТаблицы,СтрокаЗаписи,СтрокаПоказатель=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДобавитьЗаписьВРегистр(ОбъектРасчета, мСоответствиеНаборовЗаписей, ИмяРабочейТаблицы, СтрокаЗаписи, СтрокаПоказатель);
```
</details>

## ЗаписатьНечисловыеПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьНечисловыеПоказатели(ОбъектРасчета,мСоответствиеНаборовЗаписей,Версия, МассивНовыхВалют, Пок, СоответствиеВерсийИВалют) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаписатьНечисловыеПоказатели(ОбъектРасчета, мСоответствиеНаборовЗаписей, Версия, МассивНовыхВалют, Пок, СоответствиеВерсийИВалют) 
```
</details>

## ПолучитьОписаниеВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьОписаниеВерсии(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьОписаниеВерсии(ОбъектРасчета) 
```
</details>

## ЭтоДокументКорректировки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ЭтоДокументКорректировки(Регистратор) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЭтоДокументКорректировки(Регистратор) 
```
</details>

## ПолучитьРабочуюВерсию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРабочуюВерсию(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьРабочуюВерсию(ОбъектРасчета) 
```
</details>

## ПолучитьТаблицуИзмененныхРаскрытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуИзмененныхРаскрытий(ОбъектРасчета,МассивИзмененныхПоказателей) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуИзмененныхРаскрытий(ОбъектРасчета, МассивИзмененныхПоказателей) 
```
</details>

## ПроверитьВозможностьЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьВозможностьЗаписи(ОбъектРасчета,ТаблицаИзмененныхПоказателей,Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПроверитьВозможностьЗаписи(ОбъектРасчета, ТаблицаИзмененныхПоказателей, Отказ) 
```
</details>

## ЗаписатьПоказателиОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьПоказателиОтчетов(ОбъектРасчета,Отказ,ПроверятьВозможностьЗаписи=Истина) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаписатьПоказателиОтчетов(ОбъектРасчета, Отказ, ПроверятьВозможностьЗаписи);
```
</details>

## ИнициализацияПараметровДопВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализацияПараметровДопВалют(ОбъектРасчета, Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ИнициализацияПараметровДопВалют(ОбъектРасчета, );
```
</details>

## ДобавитьЗаписиРаскрытийДопВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписиРаскрытийДопВалют(ОбъектРасчета,мСоответствиеНаборовЗаписей,СоответствиеВерсийИВалют, МассивНовыхВалют, СтрокаЗаписи, Значение, Изменение, ЧисловойПоказатель) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДобавитьЗаписиРаскрытийДопВалют(ОбъектРасчета, мСоответствиеНаборовЗаписей, СоответствиеВерсийИВалют, МассивНовыхВалют, СтрокаЗаписи, Значение, Изменение, ЧисловойПоказатель));
```
</details>

## ДобавитьЗаписиКурсовыеРазницыДопВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписиКурсовыеРазницыДопВалют(ОбъектРасчета, мСоответствиеНаборовЗаписей, СоответствиеВерсийИВалют, ИмяТаблицыСинтетики, АктивностьДвижений, КурсовыеРазницы, КурсовыеРазницыТР) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДобавитьЗаписиКурсовыеРазницыДопВалют(ОбъектРасчета, мСоответствиеНаборовЗаписей, СоответствиеВерсийИВалют, ИмяТаблицыСинтетики, АктивностьДвижений, КурсовыеРазницы, КурсовыеРазницыТР));
```
</details>

## ДобавитьЗаписиПоказателейДопВалют
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьЗаписиПоказателейДопВалют(ОбъектРасчета,мСоответствиеНаборовЗаписей, Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДобавитьЗаписиПоказателейДопВалют(ОбъектРасчета, мСоответствиеНаборовЗаписей, );
```
</details>

## ЗаполнитьАналитикиПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьАналитикиПоУмолчанию(ОбъектРасчета,ТаблицаАналитики) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаполнитьАналитикиПоУмолчанию(ОбъектРасчета, ТаблицаАналитики) 
```
</details>

## ЗаполнитьСтрокуДереваОтчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ЗаполнитьСтрокуДереваОтчетов(ОбъектРасчета,ДеревоОтчетов, ТаблицаПоказателей, СоставПериметра, КэшГруппРаскрытия, СтрокаПоказателя,ЧислоАналитикГруппыРаскрытия) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаполнитьСтрокуДереваОтчетов(ОбъектРасчета, ДеревоОтчетов, ТаблицаПоказателей, СоставПериметра, КэшГруппРаскрытия, СтрокаПоказателя, ЧислоАналитикГруппыРаскрытия));
```
</details>

## ПолучитьКонтрагентаВГО
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКонтрагентаВГО(ВидАналитикиВГО, Организация) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьКонтрагентаВГО(ВидАналитикиВГО, Организация));
```
</details>

## ЗаполнитьСтруктуруАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьСтруктуруАналитик(ОбъектРасчета,Структура, СтрокаЗаписи, ИтоговоеЗначение) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаполнитьСтруктуруАналитик(ОбъектРасчета, Структура, СтрокаЗаписи, ИтоговоеЗначение) 
```
</details>

## МультипериодныйОбъектРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция МультипериодныйОбъектРасчета(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.МультипериодныйОбъектРасчета(ОбъектРасчета) 
```
</details>

## ЗаполнитьТаблицуПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ЗаполнитьТаблицуПоказателей(ОбъектРасчета, СписокВерсий = Неопределено, ВалютаЗаполнения = Неопределено,ПоказательОтчета=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЗаполнитьТаблицуПоказателей(ОбъектРасчета, СписокВерсий, ВалютаЗаполнения, ПоказательОтчета);
```
</details>

## ЗаполнитьТаблицуРаскрытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ЗаполнитьТаблицуРаскрытий(ОбъектРасчета,ГруппаРаскрытия = Неопределено, СписокВерсий = Неопределено,ВалютаЗаполнения = Неопределено,ПараметрыОтбораПоказателей=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЗаполнитьТаблицуРаскрытий(ОбъектРасчета, ГруппаРаскрытия, СписокВерсий, ВалютаЗаполнения, ПараметрыОтбораПоказателей);
```
</details>

## ПолучитьПустуюТаблицуРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПустуюТаблицуРаскрытия(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПустуюТаблицуРаскрытия(ОбъектРасчета) 
```
</details>

## ИнициализироватьВнутригрупповыеОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьВнутригрупповыеОперации(ОбъектРасчета,ТаблицаСоответствий, ДеревоОтчетов, ТекСоставПериметра, КэшГруппРаскрытия) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ИнициализироватьВнутригрупповыеОперации(ОбъектРасчета, ТаблицаСоответствий, ДеревоОтчетов, ТекСоставПериметра, КэшГруппРаскрытия));
```
</details>

## ИнициализироватьЛоги
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьЛоги(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ИнициализироватьЛоги(ОбъектРасчета) 
```
</details>

## ИнициализироватьСоответствияДляПоиска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьСоответствияДляПоиска(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ИнициализироватьСоответствияДляПоиска(ОбъектРасчета) 
```
</details>

## ИнициализироватьТаблицуЗначенийОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ИнициализироватьТаблицуЗначенийОперандов(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ИнициализироватьТаблицуЗначенийОперандов(ОбъектРасчета));
```
</details>

## НачатьНовуюОперацию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НачатьНовуюОперацию(НомерТекущейОперации,ЛогИзмененийПоказателей,ЛогИзмененийРаскрытийПоказателей) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.НачатьНовуюОперацию(НомерТекущейОперации, ЛогИзмененийПоказателей, ЛогИзмененийРаскрытийПоказателей) 
```
</details>

## ОпределитьПериодРасчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ОпределитьПериодРасчета(ОбъектРасчета,МассивПоказателей=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОпределитьПериодРасчета(ОбъектРасчета, МассивПоказателей);
```
</details>

## ОчиститьЛогДоТекущейОперации
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьЛогДоТекущейОперации(Лог, НомерОперации) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОчиститьЛогДоТекущейОперации(Лог, НомерОперации) 
```
</details>

## ПолучитьМассивПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивПериодов(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьМассивПериодов(ОбъектРасчета) 
```
</details>

## ДобавитьОтборПериоды
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура ДобавитьОтборПериоды(Запрос,Источник,ПолеИсточника,ПериодОтчета,ПериодОкончания,МассивПериодов,НеВключатьЧерновые=Истина) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДобавитьОтборПериоды(Запрос, Источник, ПолеИсточника, ПериодОтчета, ПериодОкончания, МассивПериодов, НеВключатьЧерновые);
```
</details>

## ПолучитьСписокВерсий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСписокВерсий(ОбъектРасчета,ВключатьПомеченныеНаУдаление=Ложь,ТолькоОсновнаяВалюта=Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСписокВерсий(ОбъектРасчета, ВключатьПомеченныеНаУдаление, ТолькоОсновнаяВалюта);
```
</details>

## ЗаполнитьРегистраторВерсии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьРегистраторВерсии(ВерсияСсылка) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаполнитьРегистраторВерсии(ВерсияСсылка) 
```
</details>

## ПроверитьНаличиеВидовКурсов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьНаличиеВидовКурсов(ВидОтчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьНаличиеВидовКурсов(ВидОтчета) 
```
</details>

## СнятьИндексыСЛогаРаскрытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура СнятьИндексыСЛогаРаскрытий(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.СнятьИндексыСЛогаРаскрытий(ОбъектРасчета) 
```
</details>

## ПолучитьВерсию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьВерсию(ОбъектРасчета,Отказ, Валюта, ОписаниеВерсии, АктивностьДвижений,ОсновнаяВерсия=Ложь,ЗаписьВДополнительнойВалюте=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьВерсию(ОбъектРасчета, Отказ, Валюта, ОписаниеВерсии, АктивностьДвижений, ОсновнаяВерсия, ЗаписьВДополнительнойВалюте);
```
</details>

## ПроверитьВозможностьЗаписиПоКлючевымРеквизитам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьЗаписиПоКлючевымРеквизитам(ОбъектРасчета, Знач ТекстОшибки="") Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьВозможностьЗаписиПоКлючевымРеквизитам(ОбъектРасчета, ТекстОшибки);
```
</details>

## УстановитьИндексыНаЛогРаскрытий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьИндексыНаЛогРаскрытий(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.УстановитьИндексыНаЛогРаскрытий(ОбъектРасчета) 
```
</details>

## ПолучитьДатуИзКэша
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Определяет дату курса для переданного показателя.
//
Функция ПолучитьДатуИзКэша(ОбъектРасчета,Показатель) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДатуИзКэша(ОбъектРасчета, Показатель) 
```
</details>

## ПолучитьИндексСостояния
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИндексСостояния(СостояниеПоказателя) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьИндексСостояния(СостояниеПоказателя) 
```
</details>

## ПолучитьСостояниеПоказателяПоИндексу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСостояниеПоказателяПоИндексу(ИндексСостояния) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСостояниеПоказателяПоИндексу(ИндексСостояния) 
```
</details>

## ПолучитьИтогиПоПоказателямСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьИтогиПоПоказателямСостояние(ОбъектРасчета,МассивПоказателей) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьИтогиПоПоказателямСостояние(ОбъектРасчета, МассивПоказателей) 
```
</details>

## ЭтоПроизвольныйОтчет
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


////////////////////////////////////////////////////////////////////////////////
// РАБОТА С СОХРАНЕННЫМИ НАСТРОЙКАМИ.
//

Функция ЭтоПроизвольныйОтчет(ОтчетОбъект = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЭтоПроизвольныйОтчет(ОтчетОбъект);
```
</details>

## ПолучитьИдентификаторОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьИдентификаторОбъекта(ОтчетОбъект) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьИдентификаторОбъекта(ОтчетОбъект) 
```
</details>

## СкопироватьПодчиненныеОбъекты
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////////////////////////
// ПРОЦЕДУРЫ И ФУНКЦИИ, ОБЩИЕ ДЛЯ ВИДОВ ОТЧЕТОВ И ТРАНСФОРМАЦИОННЫХ КОРРЕКТИРОВОК

Процедура СкопироватьПодчиненныеОбъекты(Ссылка,ЗначениеКопирования,ПараметрыКопирования,Отказ) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.СкопироватьПодчиненныеОбъекты(Ссылка, ЗначениеКопирования, ПараметрыКопирования, Отказ) 
```
</details>

## ПроверитьНаличиеЭлементовНастройки32
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьНаличиеЭлементовНастройки32(Ссылка,СтруктураЭлементов,Отказ=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПроверитьНаличиеЭлементовНастройки32(Ссылка, СтруктураЭлементов, Отказ);
```
</details>

## ПроверитьНаличиеЭлементовНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьНаличиеЭлементовНастройки(Ссылка,СтруктураЭлементов,Отказ=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПроверитьНаличиеЭлементовНастройки(Ссылка, СтруктураЭлементов, Отказ);
```
</details>

## ПроверитьНаличиеЭлементовНастройки31
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьНаличиеЭлементовНастройки31(Ссылка,СтруктураЭлементов,Отказ=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПроверитьНаличиеЭлементовНастройки31(Ссылка, СтруктураЭлементов, Отказ);
```
</details>

## ПолучитьЗапросыДляВычисленияПоПоказателям
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

Функция ПолучитьЗапросыДляВычисленияПоПоказателям(ОбъектРасчета); Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьЗапросыДляВычисленияПоПоказателям(ОбъектРасчета););
```
</details>

## ИнициализироватьТаблицуВыявленныхОшибок
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую таблицу значений для ТаблицаВыявленныхОшибок.
Функция ИнициализироватьТаблицуВыявленныхОшибок() Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИнициализироватьТаблицуВыявленныхОшибок());
```
</details>

## ИнициализироватьРабочуюТаблицу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Формирует пустую таблицу значений РабочаяТаблица по колонкам КоллекцияКолонокВход.
Функция ИнициализироватьРабочуюТаблицу(КоллекцияКолонокВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИнициализироватьРабочуюТаблицу(КоллекцияКолонокВход));
```
</details>

## ПроверитьСбросииАктуальностьПараметрики
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПроверитьСбросииАктуальностьПараметрики(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПроверитьСбросииАктуальностьПараметрики(ОбъектРасчета) 
```
</details>

## ОбработатьПоПараметрическойНастройке
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура отрабатывает при вызове методов заполнения или вычисления показателей отчета
//
Процедура ОбработатьПоПараметрическойНастройке(ОбъектРасчета,РежимОбработки,МассивКодовПоказателей=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбработатьПоПараметрическойНастройке(ОбъектРасчета, РежимОбработки, МассивКодовПоказателей);
```
</details>

## РассчитатьЗначениеПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Процедура РассчитатьЗначениеПоказателя(ОбъектРасчета,РежимОбработки,ПоказательОбработки,РабочаяТаблица) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.РассчитатьЗначениеПоказателя(ОбъектРасчета, РежимОбработки, ПоказательОбработки, РабочаяТаблица) 
```
</details>

## ОчиститьРаскрытие
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОчиститьРаскрытие(ОбъектРасчета,Показатель) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОчиститьРаскрытие(ОбъектРасчета, Показатель) 
```
</details>

## ПодготовитьДанныеПараметрическойНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьДанныеПараметрическойНастройки(ОбъектРасчета,Показатель = Неопределено,ТолькоПравилаПересчета=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПодготовитьДанныеПараметрическойНастройки(ОбъектРасчета, Показатель, ТолькоПравилаПересчета);
```
</details>

## ПодготовитьТаблицуЗначенийОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl



// Заполняет таблицу значений операндов формул заполнения показателей
//
Процедура ПодготовитьТаблицуЗначенийОперандов(ОбъектРасчета,мТабПоказателиЗапросы,ОчищатьТаблицу=Истина) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПодготовитьТаблицуЗначенийОперандов(ОбъектРасчета, мТабПоказателиЗапросы, ОчищатьТаблицу);
```
</details>

## ВернутьТаблицуОперандовДляПроверки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает таблицу операндов для заполнения таблицы их значений пооперандно
//
Функция ВернутьТаблицуОперандовДляПроверки(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВернутьТаблицуОперандовДляПроверки(ОбъектРасчета));
```
</details>

## ПроверитьЗаполнениеТаблицыОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Процедура запускается при возникновении исключения в момент заполнения отчета по операндам
// и имитирует операцию заполнения таблицы значений операндов для каждого операнда отдельно
//
Процедура ПроверитьЗаполнениеТаблицыОперандов(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПроверитьЗаполнениеТаблицыОперандов(ОбъектРасчета) 
```
</details>

## ОбновитьСтруктуруПоказателей
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСтруктуруПоказателей(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьСтруктуруПоказателей(ОбъектРасчета) 
```
</details>

## ПолучитьКопиюРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьКопиюРаскрытия(ОбъектРасчета,ВосстанавливатьИндекс=Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьКопиюРаскрытия(ОбъектРасчета, ВосстанавливатьИндекс);
```
</details>

## УстановитьИндексыПоказателиРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьИндексыПоказателиРаскрытия(ОбъектРасчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.УстановитьИндексыПоказателиРаскрытия(ОбъектРасчета) 
```
</details>

## ВычислитьМодульПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Запускает модуль расчета показателя на исполнение.
// Возвращает Истина, если модуль исполнился без ошибок и Ложь в противном случае.
//
Функция ВычислитьМодульПоказателя(ОбъектРасчета,ТекПоказатель) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВычислитьМодульПоказателя(ОбъектРасчета, ТекПоказатель) 
```
</details>

## ПолучитьТекущиеЗначенияОперандов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьТекущиеЗначенияОперандов(ОбъектРасчета,Показатель) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьТекущиеЗначенияОперандов(ОбъектРасчета, Показатель) 
```
</details>

## ДобавитьКолонкуДляОперанда
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьКолонкуДляОперанда(РабочаяТаблица,ИмяКолонки,ТипЗначения) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДобавитьКолонкуДляОперанда(РабочаяТаблица, ИмяКолонки, ТипЗначения));
```
</details>

## ПолучитьДанныеДляРасчетаСквознаяАналитика
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьДанныеДляРасчетаСквознаяАналитика(ОбъектРасчета,ПоказательОбработки,РабочаяТаблица,СтрПоказательИтог,СпособОбработки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеДляРасчетаСквознаяАналитика(ОбъектРасчета, ПоказательОбработки, РабочаяТаблица, СтрПоказательИтог, СпособОбработки));
```
</details>

## ПолучитьРабочийСписокИспользуемых
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьРабочийСписокИспользуемых(ПоказательОбработки,мОперанды) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьРабочийСписокИспользуемых(ПоказательОбработки, мОперанды));
```
</details>

## ПолучитьДанныеДляРасчетаДополнениеАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеДляРасчетаДополнениеАналитик(ОбъектРасчета,ПоказательОбработки,РабочаяТаблица,СтрПоказательИтог,СпособОбработки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеДляРасчетаДополнениеАналитик(ОбъектРасчета, ПоказательОбработки, РабочаяТаблица, СтрПоказательИтог, СпособОбработки));
```
</details>

## РассчитатьПараметрическиНастроенныйПоказатель
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РассчитатьПараметрическиНастроенныйПоказатель(ОбъектРасчета,ПоказательОбработки,РабочаяТаблица,СтрПоказательИтог,СпособОбработки) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.РассчитатьПараметрическиНастроенныйПоказатель(ОбъектРасчета, ПоказательОбработки, РабочаяТаблица, СтрПоказательИтог, СпособОбработки));
```
</details>

## ЗаписатьСтрокуРаскрытияПоУмолчанию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьСтрокуРаскрытияПоУмолчанию(ОбъектРасчета,СтрПоказательИтог,СпособОбработки) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаписатьСтрокуРаскрытияПоУмолчанию(ОбъектРасчета, СтрПоказательИтог, СпособОбработки));
```
</details>

## ЗаписатьДанныеСтрокиРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьДанныеСтрокиРаскрытия(ОбъектРасчета,СтрПоказательИтог,СуммаСинтетика,СтрокаРасчет,СпособОбработки,ВыполнятьПоиск=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаписатьДанныеСтрокиРаскрытия(ОбъектРасчета, СтрПоказательИтог, СуммаСинтетика, СтрокаРасчет, СпособОбработки, ВыполнятьПоиск);
```
</details>

## ПересчитатьЗначениеПоказателяПоКурсу
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


// Возвращает значение показателя, пересчитанное по курсу.
Функция ПересчитатьЗначениеПоказателяПоКурсу(ОбъектРасчета,ЗначениеПоказателя, Показатель, ТекущаяВалюта, ВалютаПересчета,ПризнакОшибки=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПересчитатьЗначениеПоказателяПоКурсу(ОбъектРасчета, ЗначениеПоказателя, Показатель, ТекущаяВалюта, ВалютаПересчета, ПризнакОшибки);
```
</details>

## ЗаписатьЗначениеВмПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаписатьЗначениеВмПоказатели(ОбъектРасчета, СсылкаНаЗаписываемуюСтроку, Знач Значение, РежимВычисления = Ложь, Знач ЗаписатьИзменениеВЛог = Истина) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаписатьЗначениеВмПоказатели(ОбъектРасчета, СсылкаНаЗаписываемуюСтроку, Значение, РежимВычисления, ЗаписатьИзменениеВЛог);
```
</details>

## ЗаписатьЗначениеВмПоказателиРаскрытия
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Процедура вносит изменения в таблицу мПоказателиРаскрытия и записывает данные в лог изменений.
// Параметры:
//  СсылкаНаЗаписываемоеЗначение: Структура, ЭлементМассива, СправочникСсылка.ПоказателиОтчетов - задает ссылку на изменяемое значение в таблице мПоказателиРаскрытия.
//   В том случае, если указан ссылка на справочник Показатели отчетов, нужно заполнение остальных параметров для задания критериев отбора.
//  Аналитика1..5   : Аналитики раскрытия.
// Возвращаемое значение: измененная запись таблицы значений мПоказателиРаскрытия.
//
Функция ЗаписатьЗначениеВмПоказателиРаскрытия(ОбъектРасчета, Знач ДанныеКорректировки, СсылкаНаЗаписываемуюСтроку, Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ЗаписатьЗначениеВмПоказателиРаскрытия(ОбъектРасчета, ДанныеКорректировки, СсылкаНаЗаписываемуюСтроку, );
```
</details>

## ТипизироватьАналитикиПринудительно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ТипизироватьАналитикиПринудительно(ОбъектРасчета,СтрокаАналитики,ТекСтрокамПоказатели) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ТипизироватьАналитикиПринудительно(ОбъектРасчета, СтрокаАналитики, ТекСтрокамПоказатели) 
```
</details>

## НеобходимостьЗапросаПоОперандам
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция НеобходимостьЗапросаПоОперандам(ОбъектРасчета,ТаблицаОперандов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.НеобходимостьЗапросаПоОперандам(ОбъектРасчета, ТаблицаОперандов));
```
</details>

## ПолучитьДанныеВнутр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеВнутр(ОбъектРасчета, СтрЗапрос) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьДанныеВнутр(ОбъектРасчета, СтрЗапрос));
```
</details>

## ЗаполнитьАналитикиПринудительно
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ЗаполнитьАналитикиПринудительно(ТаблицаДанных,ПравилаИспользованияПолей,КонтекстОтчета=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаполнитьАналитикиПринудительно(ТаблицаДанных, ПравилаИспользованияПолей, КонтекстОтчета);
```
</details>

## ПолучитьДанныеРегистраВнутр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеРегистраВнутр(ОбъектРасчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеРегистраВнутр(ОбъектРасчета, СтрЗапрос));
```
</details>

## ПолучитьДанныеРегистраБухгалтерииТек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеРегистраБухгалтерииТек(ОбъектРасчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьДанныеРегистраБухгалтерииТек(ОбъектРасчета, СтрЗапрос));
```
</details>

## ПоместитьЗначенияВТаблицуОперандовТек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПоместитьЗначенияВТаблицуОперандовТек(ОбъектРасчета,ТабОперандов,ТабСчетаОперандов,ЕстьРазворотПоАналитикам,СписокКодовОперандов=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПоместитьЗначенияВТаблицуОперандовТек(ОбъектРасчета, ТабОперандов, ТабСчетаОперандов, ЕстьРазворотПоАналитикам, СписокКодовОперандов);
```
</details>

## РазобратьСводныеДанныеРегистраБухгалтерииТек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура РазобратьСводныеДанныеРегистраБухгалтерииТек(ОбъектРасчета,ТаблицаДанных,ТаблицаОперандов,ТабСчетаОперандов,ТабПравилаИспользованияПолей); Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.РазобратьСводныеДанныеРегистраБухгалтерииТек(ОбъектРасчета, ТаблицаДанных, ТаблицаОперандов, ТабСчетаОперандов, ТабПравилаИспользованияПолей););
```
</details>

## ПолучитьДанныеВнутрПараметрический
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеВнутрПараметрический(ОбъектРасчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьДанныеВнутрПараметрический(ОбъектРасчета, СтрЗапрос) 
```
</details>

## ПолучитьДанныеПроизвольногоЗапросаВнутр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеПроизвольногоЗапросаВнутр(ОбъектРасчета,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьДанныеПроизвольногоЗапросаВнутр(ОбъектРасчета, СтрЗапрос));
```
</details>

## ПолучитьЗначениеОперандаФункция
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьЗначениеОперандаФункция(ОбъектРасчета,ТекстФункции) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьЗначениеОперандаФункция(ОбъектРасчета, ТекстФункции) 
```
</details>

## ПолучитьТаблицуВнутрТекущий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТаблицуВнутрТекущий(ОбъектРасчета,СтрЗапрос,ТекПоказателиРаскрытия) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуВнутрТекущий(ОбъектРасчета, СтрЗапрос, ТекПоказателиРаскрытия));
```
</details>

## ПолучитьДанныеВнутрТекущий
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьДанныеВнутрТекущий(ОбъектРасчета,ТабРезультат,СтрЗапрос) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьДанныеВнутрТекущий(ОбъектРасчета, ТабРезультат, СтрЗапрос));
```
</details>

## ПолучитьЗначенияОперандаИзОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Получает значения операнда, ссылающегося на показатель текущего отчета
//
Процедура ПолучитьЗначенияОперандаИзОтчета(ОбъектРасчета,КодПоказательОперанд,ПоказательОперанд,СтрПоказательОперанд,СтрПоказательИтог,РабочаяТаблица,СтруктураАналитик) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьЗначенияОперандаИзОтчета(ОбъектРасчета, КодПоказательОперанд, ПоказательОперанд, СтрПоказательОперанд, СтрПоказательИтог, РабочаяТаблица, СтруктураАналитик));
```
</details>

## ПолучитьЗначенияОперандаИзСправочника
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПолучитьЗначенияОперандаИзСправочника(ОбъектРасчета,КодОперанда,Операнд,РабочаяТаблица,СтруктураАналитик,ОперандыБезАналитики) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПолучитьЗначенияОперандаИзСправочника(ОбъектРасчета, КодОперанда, Операнд, РабочаяТаблица, СтруктураАналитик, ОперандыБезАналитики));
```
</details>

## ПодготовитьТаблицуРасчетаНечисловыхЗначений
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПодготовитьТаблицуРасчетаНечисловыхЗначений(ОбъектРасчета,РабочаяТаблица,ТекстСверткиИзмерения,ТекстСверткиОперанды,ТипЗначения=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПодготовитьТаблицуРасчетаНечисловыхЗначений(ОбъектРасчета, РабочаяТаблица, ТекстСверткиИзмерения, ТекстСверткиОперанды, ТипЗначения);
```
</details>

## ПроверитьЗаполнениеАналитик
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Проверяет заполнение аналитик в переданной строке таблицы раскрытия
//
Функция ПроверитьЗаполнениеАналитик(ОбъектРасчета,СтрокаРаскрытия,ТабРаскрытия,Запись=Ложь,НачальнаяПозиция=0) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьЗаполнениеАналитик(ОбъектРасчета, СтрокаРаскрытия, ТабРаскрытия, Запись, НачальнаяПозиция);
```
</details>

## ПолучитьТаблицуОтчетовРасшифровки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


Функция ПолучитьТаблицуОтчетовРасшифровки(КонтекстОтчета,СтрЗапрос,СтруктураОтбора=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуОтчетовРасшифровки(КонтекстОтчета, СтрЗапрос, СтруктураОтбора);
```
</details>

## ДобавитьПолеВСтрокуСвертки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьПолеВСтрокуСвертки(СтрокаСвертки,Поле,Колонки) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДобавитьПолеВСтрокуСвертки(СтрокаСвертки, Поле, Колонки));
```
</details>

## ПолучитьСчетБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСчетБД(ДанныеСчета) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСчетБД(ДанныеСчета) 
```
</details>

## ПолучитьДанныеЭкземпляраОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеЭкземпляраОтчета(Организация,Период,Сценарий,ВидОтчета,ОтборАналитикВидаОтчета=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеЭкземпляраОтчета(Организация, Период, Сценарий, ВидОтчета, ОтборАналитикВидаОтчета);
```
</details>

## ПолучитьТаблицуЗначенийПоказателя
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// 	Счет может быть передан как ссылкой на элемент справочника "СчетаБД", так и в виде структуры из двух элементов
// 		- ключ: "ПланСчетов",значение - наименование плана счетов
//		- ключ: "КодСчета",	значение - код счета
//  Период может быть передан как ссылкой на элемент справочника "Периоды", так и в виде структуры из двух элементов:
//		- ключ: "Дата", значение - дата из периода
//		- ключ: "Периодичность", значение - элемент перечисления "Периодичность".
//
Функция ПолучитьТаблицуЗначенийПоказателя(Сценарий,Организация,Знач Период,Знач Валюта=Неопределено,Знач ВидОтчета=Неопределено,Знач СчетБД=Неопределено,Знач ВидИтогаПоСчету=Неопределено,Знач Показатель=Неопределено, ОтборАналитикВидаОтчета=Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуЗначенийПоказателя(Сценарий, Организация, Период, Валюта, ВидОтчета, СчетБД, ВидИтогаПоСчету, Показатель, ОтборАналитикВидаОтчета);
```
</details>

## ЗаписатьНастройкиПравилТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

//////////////////////////////////////////////////////////////////////////////////////////////
// Процедуры и функции трансляции значений показателей

Процедура ЗаписатьНастройкиПравилТрансляции(ШаблонТрансляции=Неопределено,СоответствиеСчетов=Неопределено,СтруктураРесурсов=Неопределено,ЗапросПоказатели=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ЗаписатьНастройкиПравилТрансляции(ШаблонТрансляции, СоответствиеСчетов, СтруктураРесурсов, ЗапросПоказатели);
```
</details>

## НастроитьТрансляциюПоказателиВПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////////////////////////////////////////
// Трансляция показателей ОСВ в показатели ОСВ
/////////////////////////////////////////////////////////////////////////////////////////////////////

Процедура НастроитьТрансляциюПоказателиВПоказатели(ПравилоОбработки,СоответствиеСчетов,СтруктураРесурсов,ЗапросПоказатели) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.НастроитьТрансляциюПоказателиВПоказатели(ПравилоОбработки, СоответствиеСчетов, СтруктураРесурсов, ЗапросПоказатели));
```
</details>

## ИтогЯвляетсяОборотом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИтогЯвляетсяОборотом(ВидИтога) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИтогЯвляетсяОборотом(ВидИтога) 
```
</details>

## ИтогЯвляетсяСальдо
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИтогЯвляетсяСальдо(ВидИтога) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИтогЯвляетсяСальдо(ВидИтога) 
```
</details>

## ПолучитьПоказательОСВ
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьПоказательОСВ(СчетБД,ВидИтогаПоСчету,ЗапросПоказатели,ИмяТаблицы) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПоказательОСВ(СчетБД, ВидИтогаПоСчету, ЗапросПоказатели, ИмяТаблицы) 
```
</details>

## ПолучитьТекстИтогаПоСчету
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьТекстИтогаПоСчету(СчетБД,ВидИтогаОСВ) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТекстИтогаПоСчету(СчетБД, ВидИтогаОСВ) 
```
</details>

## ПодготовитьОперандыПоказательДругогоОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПодготовитьОперандыПоказательДругогоОтчета(ПравилоОбработки,СоответствиеСчетов,ВидИтогаОСВ,ИспользованиеИтога,ЗапросПоказатели) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПодготовитьОперандыПоказательДругогоОтчета(ПравилоОбработки, СоответствиеСчетов, ВидИтогаОСВ, ИспользованиеИтога, ЗапросПоказатели));
```
</details>

## НастроитьПроцедурыРасчетаРегистрБухгалтерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////////////////////////////////////////
// Трансляция регистра бухгалтерии в показатели ОСВ
/////////////////////////////////////////////////////////////////////////////////////////////////////

Процедура НастроитьПроцедурыРасчетаРегистрБухгалтерии(ПравилоОбработки,СоответствиеСчетов,ВидИтогаОСВ,ИспользованиеИтога,ЗапросПоказатели) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.НастроитьПроцедурыРасчетаРегистрБухгалтерии(ПравилоОбработки, СоответствиеСчетов, ВидИтогаОСВ, ИспользованиеИтога, ЗапросПоказатели));
```
</details>

## НастроитьТрансляциюРегистраВПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура НастроитьТрансляциюРегистраВПоказатели(ПравилоОбработки,СоответствиеСчетов,СтруктураРесурсов,ЗапросПоказатели) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.НастроитьТрансляциюРегистраВПоказатели(ПравилоОбработки, СоответствиеСчетов, СтруктураРесурсов, ЗапросПоказатели));
```
</details>

## НастроитьТрансляциюРегистраВРегистр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

/////////////////////////////////////////////////////////////////////////////////////////////////////
// Трансляция регистра бухгалтерии в регистр бухгалтерии
/////////////////////////////////////////////////////////////////////////////////////////////////////

Процедура НастроитьТрансляциюРегистраВРегистр(ПравилоОбработки,СоответствиеСчетов,СтруктураРесурсов); Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.НастроитьТрансляциюРегистраВРегистр(ПравилоОбработки, СоответствиеСчетов, СтруктураРесурсов););
```
</details>

## ОбновитьНастройкиТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьНастройкиТрансляции(ПравилоОбработки,СторонаПроводки,СоответствиеСчетов,СтруктураРесурсов) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьНастройкиТрансляции(ПравилоОбработки, СторонаПроводки, СоответствиеСчетов, СтруктураРесурсов));
```
</details>

## ИзменитьПравилаТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl


/////////////////////////////////////////////////////////////////////////////////////////////////////

Процедура ИзменитьПравилаТрансляции(ШаблонТрансляции,СоответствиеСчетов,СтруктураРесурсов,ЗапросПоказатели=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ИзменитьПравилаТрансляции(ШаблонТрансляции, СоответствиеСчетов, СтруктураРесурсов, ЗапросПоказатели);
```
</details>

## ПроверитьСоздатьИсточникТрансляцииРегистр
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьСоздатьИсточникТрансляцииРегистр(ПравилоОбработки,СоответствиеСчетов) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьСоздатьИсточникТрансляцииРегистр(ПравилоОбработки, СоответствиеСчетов) 
```
</details>

## ОбновитьФормулыРасчетаПоказателиВПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьФормулыРасчетаПоказателиВПоказатели(ШаблонТрансляции,ПравилоОбработки,СчетПриемник=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьФормулыРасчетаПоказателиВПоказатели(ШаблонТрансляции, ПравилоОбработки, СчетПриемник);
```
</details>

## ОбновитьФормулыРасчетаРегистрВПоказатели
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьФормулыРасчетаРегистрВПоказатели(ШаблонТрансляции,ПравилоОбработки,СчетПриемник=Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьФормулыРасчетаРегистрВПоказатели(ШаблонТрансляции, ПравилоОбработки, СчетПриемник);
```
</details>

## ПеренестиНастройкиСоответствияСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПеренестиНастройкиСоответствияСчетов(ИсходныйШаблон,НовыйШаблон) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПеренестиНастройкиСоответствияСчетов(ИсходныйШаблон, НовыйШаблон) 
```
</details>

## СгенерироватьНаименованиеНовогоБланкаДляВидаОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает незанятое наименование по умолчанию для бланка отчета, принадлежащего
// виду отчета ВидОтчетаВход.
Функция СгенерироватьНаименованиеНовогоБланкаДляВидаОтчета(ВидОтчетаВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.СгенерироватьНаименованиеНовогоБланкаДляВидаОтчета(ВидОтчетаВход) 
```
</details>

## СоздатьНастройкиНовогоБланка
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Обертка для процедуры СоздатьНастройкиНовогоБланка для бланка БланкВход.
Процедура СоздатьНастройкиНовогоБланка(БланкВход) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.СоздатьНастройкиНовогоБланка(БланкВход) 
```
</details>

## ПолучитьПравилоЗаполненияРакурса
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает правило заполнения отчётов, сопоставленное ракурсу данных РакурсВход.
Функция ПолучитьПравилоЗаполненияРакурса(РакурсВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьПравилоЗаполненияРакурса(РакурсВход));
```
</details>

## ВозможноУстановитьСостояние
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ВозможноУстановитьСостояние(ДокументОбъект, НовоеСостояние, ШапкаОшибки = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ВозможноУстановитьСостояние(ДокументОбъект, НовоеСостояние, ШапкаОшибки);
```
</details>

## ПолучитьСтруктуруПараметровДляРаспределения
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьСтруктуруПараметровДляРаспределения(ДокументОбъект, ТабКорректировка, мПоказателиРаскрытия = Неопределено) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьСтруктуруПараметровДляРаспределения(ДокументОбъект, ТабКорректировка, мПоказателиРаскрытия);
```
</details>

## ИспользоватьНеактуальныеЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользоватьНеактуальныеЗаписи(НастраиваемыйОтчет) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИспользоватьНеактуальныеЗаписи(НастраиваемыйОтчет) 
```
</details>

## ДобавитьОтборПоАктивности
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОтборПоАктивности(ПостроительЗапроса, КонтекстОтчета, ПроверитьСуществованиеОтбора = Ложь, ПроверятьИспользование = Истина) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДобавитьОтборПоАктивности(ПостроительЗапроса, КонтекстОтчета, ПроверитьСуществованиеОтбора, ПроверятьИспользование);
```
</details>

## ПроверитьНаличиеДокументовПоЭлементуНастройки
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет наличие отчетов, использующих данный элемент настройки и имеющих статус "Утверждено".
//
Функция ПроверитьНаличиеДокументовПоЭлементуНастройки(Ссылка,ИмяЭлемента) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьНаличиеДокументовПоЭлементуНастройки(Ссылка, ИмяЭлемента) 
```
</details>

## ДобавитьОтборПоАктивностиПредварительныеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьОтборПоАктивностиПредварительныеДанные(ПостроительЗапроса, КонтекстОтчета, ИспользованиеПредварительныхДанных) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДобавитьОтборПоАктивностиПредварительныеДанные(ПостроительЗапроса, КонтекстОтчета, ИспользованиеПредварительныхДанных) 
```
</details>

## ДобавитьАктивностьВСтруктуру
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДобавитьАктивностьВСтруктуру(СтруктураОтбора, Контекст, Активность = Неопределено) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДобавитьАктивностьВСтруктуру(СтруктураОтбора, Контекст, Активность);
```
</details>

## ИспользоватьТолькоПодтвержденныеДанные
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ИспользоватьТолькоПодтвержденныеДанные(ИспользоватьТолькоПодтвержденныеДанные = Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ИспользоватьТолькоПодтвержденныеДанные(ИспользоватьТолькоПодтвержденныеДанные);
```
</details>

## ПроверитьНаличиеУтвержденныхПравилИШаблонов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Функция проверяет, утверждены ли шаблон отчета и правило обработки
//
Функция ПроверитьНаличиеУтвержденныхПравилИШаблонов(ПравилоОбработки, ШаблонОтчета, ШапкаОшибки = Неопределено, СостояниеОтчетаДляСообщения = Неопределено, ПроверятьШаблонВход = Истина, ПроверятьПравилоВход = Истина) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьНаличиеУтвержденныхПравилИШаблонов(ПравилоОбработки, ШаблонОтчета, ШапкаОшибки, СостояниеОтчетаДляСообщения, ПроверятьШаблонВход, ПроверятьПравилоВход);
```
</details>

## ПолучитьДанныеЗакрытогоПериода
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьДанныеЗакрытогоПериода(Организация) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьДанныеЗакрытогоПериода(Организация)  
```
</details>

## ОбработатьДанныеОбъекта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьДанныеОбъекта(ДанныеОбъекта,СпособТрансляции,ДанныеЗакрытияПериода,ПроведениеОтменено=Ложь) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбработатьДанныеОбъекта(ДанныеОбъекта, СпособТрансляции, ДанныеЗакрытияПериода, ПроведениеОтменено);
```
</details>

## УстановитьПризнакДляСводнойТрансляции
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура УстановитьПризнакДляСводнойТрансляции(Источник) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.УстановитьПризнакДляСводнойТрансляции(Источник) 
```
</details>

## ПриИзмененииРегистраБухгалтерииТрансляцияПриЗаписи
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ПриИзмененииРегистраБухгалтерииТрансляцияПриЗаписи(Источник, Отказ, РежимЗаписи) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ПриИзмененииРегистраБухгалтерииТрансляцияПриЗаписи(Источник, Отказ, РежимЗаписи) 
```
</details>

## ПроверитьВозможностьЗапуска
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПроверитьВозможностьЗапуска(КлючЗадания) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПроверитьВозможностьЗапуска(КлючЗадания) 
```
</details>

## ОбновитьБланкОтчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьБланкОтчета(ВидОтчета,БланкОтчета) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьБланкОтчета(ВидОтчета, БланкОтчета) 
```
</details>

## ОбновитьСтруктуруОСВПриИзмененииСчета
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбновитьСтруктуруОСВПриИзмененииСчета(ПланСчетов,Счет,ОбновитьТР) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбновитьСтруктуруОСВПриИзмененииСчета(ПланСчетов, Счет, ОбновитьТР) 
```
</details>

## ПолучитьТаблицуДокументовПоТаблицеПериодов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// По таблице периодов и сценариев возвращает таблицу документов
// Управление отчетным периодом.
Функция ПолучитьТаблицуДокументовПоТаблицеПериодов(ТаблицаПериодовВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьТаблицуДокументовПоТаблицеПериодов(ТаблицаПериодовВход) 
```
</details>

## НайтиДокументУправлениеОтчетнымПериодом
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на документ Управление отчетным периодом
// по сценарию СценарийВход и периоду ПериодВход, когда он
// единственный.
Функция НайтиДокументУправлениеОтчетнымПериодом(СценарийВход, ПериодВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.НайтиДокументУправлениеОтчетнымПериодом(СценарийВход, ПериодВход) 
```
</details>

## ПолучитьВерсиюРегламентаПоПериодуИСценарию
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает ссылку на версию регламента подготовки отчетности
// по сценарию СценарийВход и периоду отчета ПериодВход.
Функция ПолучитьВерсиюРегламентаПоПериодуИСценарию(СценарийВход, ПериодВход) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьВерсиюРегламентаПоПериодуИСценарию(СценарийВход, ПериодВход) 
```
</details>

## ОпределитьРасширениеФайлаADO
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

// Возвращает строку фильтра для загрузки по ADO из внешней
// базы ИспользуемаяИБ.
Функция ОпределитьРасширениеФайлаADO(ИспользуемаяИБ) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ОпределитьРасширениеФайлаADO(ИспользуемаяИБ) 
```
</details>

## ПолучитьАналитикиТекущегоГоризонта
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьАналитикиТекущегоГоризонта(УправлениеПериодом,ПериодСценария,ПериодСценарияОкончание,Сценарий,ВерсияРегламента,ПериодЗакрыт=Ложь) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьАналитикиТекущегоГоризонта(УправлениеПериодом, ПериодСценария, ПериодСценарияОкончание, Сценарий, ВерсияРегламента, ПериодЗакрыт);
```
</details>

## ОпределитьТипБД
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ОпределитьТипБД(ПравилоОбработки) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ОпределитьТипБД(ПравилоОбработки) 
```
</details>

## ПолучитьМассивРегистровБухгалтерии
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивРегистровБухгалтерии(ПланСчетовБД) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьМассивРегистровБухгалтерии(ПланСчетовБД) 
```
</details>

## ПолучитьМассивПлановСчетов
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Функция ПолучитьМассивПлановСчетов(РегистрБухгалтерии) Экспорт
```

Пример вызова
```bsl
Результат = УправлениеОтчетамиУХ.ПолучитьМассивПлановСчетов(РегистрБухгалтерии) 
```
</details>

## ДополнитьДанныеОтборамиШаблона
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьДанныеОтборамиШаблона(Операнд,ПолеТекстЗапроса) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДополнитьДанныеОтборамиШаблона(Операнд, ПолеТекстЗапроса) 
```
</details>

## ДополнитьДанныеСохраненнымиНастройками
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ДополнитьДанныеСохраненнымиНастройками(Операнд,ПолеТекстЗапроса) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ДополнитьДанныеСохраненнымиНастройками(Операнд, ПолеТекстЗапроса) 
```
</details>

## ОбработатьСтрокуСохраненныхНастроек
<details style="margin: 1em 0; padding: 0.5em; border: 1px solid #ccc; border-radius: 6px;">

<summary style="font-weight: bold; cursor: pointer;">Описание, пример вызова</summary>

```bsl

Процедура ОбработатьСтрокуСохраненныхНастроек(Операнд,СтрНастройка,ПолеТекстЗапроса) Экспорт
```

Пример вызова
```bsl
УправлениеОтчетамиУХ.ОбработатьСтрокуСохраненныхНастроек(Операнд, СтрНастройка, ПолеТекстЗапроса));
```
</details>

---

© 2024, **ООО 1С-Софт**  
Все права защищены. Эта программа и сопроводительные материалы предоставляются  
в соответствии с условиями лицензии [Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/legalcode).

---
